<?php
/*
  $Id: blacklist.php,v 1.1 2005/10/03 
  blacklist Originally Created by: Jack_mcs
  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
 
  require('includes/application_top.php');
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_BLACKLIST);

  $sort_order = 'customers_lastname';
  $checkedFirstName = $checkedLastName = '';
  if ($_POST['group1'] == 'first')
    $checkedFirstName = 'Checked';
  else
    $checkedLastName = 'Checked';
  
  $action  = (isset($_POST['action']) ? $_POST['action'] : '');
 
  if (tep_not_null($action)) 
  { 
    if (isset($_POST['add_cust_x']))
    { 
       $names = explode(" ", $_POST['customers']);       
       if (tep_not_null($names[2]))  //for three part names
         $names[1] .= ' '.$names[2];        
         
       $customers_query = tep_db_query("SELECT customers_id, customers_firstname, customers_lastname FROM " . TABLE_CUSTOMERS . " where customers_firstname = '" . $names[0] . "' AND customers_lastname = '" . $names[1] . "'");
       $cust = tep_db_fetch_array($customers_query);
       $reason = $_POST['blacklist_reason']; 
       $ban = ($_POST['ban_customer'] == 'on') ? '1' : '0';       
      
       $address_book_query = tep_db_query("SELECT customers_id, entry_street_address, entry_suburb, entry_postcode, entry_city, entry_state, entry_zone_id FROM " . TABLE_ADDRESS_BOOK . " where customers_id = '" . $cust['customers_id'] . "'");
       tep_db_query("delete from " . TABLE_BLACKLIST . " where customers_id = '" . $cust['customers_id'] . "'");

       while($address = tep_db_fetch_array($address_book_query))
       {
          if ($address['entry_zone_id'] != 0)
          {
             $zone_query = tep_db_query("SELECT zone_name FROM " . TABLE_ZONES . " where zone_id = '" . $address['entry_zone_id'] . "'");
             $zone_name = tep_db_fetch_array($zone_query);
             $address['entry_state'] = $zone_name['zone_name'];
          }
        
          tep_db_query("insert into " . TABLE_BLACKLIST . " (customers_id, ban_customer, description, entry_street_address, entry_suburb, entry_postcode, entry_city, entry_state, date_added) values ('" . $cust['customers_id'] . "', '" . $ban . "', '" . $reason . "', '" . $address['entry_street_address'] . "', '" . $address['entry_suburb'] . "', '" . $address['entry_postcode'] . "', '" . $address['entry_city'] . "', '" . $address['entry_state'] . "', now() )") or die('');
       }
     }
     else if (isset($_POST['delete_cust_x']))
     { 
       $names = explode(" ", $_POST['blacklist']);
       if (tep_not_null($names[2]))  //for three part names
         $names[1] .= ' '.$names[2];  
         
       $customers_query = tep_db_query("SELECT customers_id, customers_firstname, customers_lastname FROM " . TABLE_CUSTOMERS . " where customers_firstname = '" . $names[0] . "' AND customers_lastname = '" . $names[1] . "'");
       $cust = tep_db_fetch_array($customers_query);
       tep_db_query("delete from " . TABLE_BLACKLIST . " where customers_id = '" . $cust['customers_id'] . "'");
     }
     else if (isset($_POST['sort_name_x']))
     {
       if ($checkedFirstName == 'Checked')
        $sort_order = 'customers_firstname';
       else
        $sort_order = 'customers_lastname';
     }
  }
  
  $customers = array();
  $customers_query = tep_db_query("SELECT customers_id, customers_lastname FROM " . TABLE_CUSTOMERS . " ORDER by " . $sort_order . " ASC");
  while ($list = tep_db_fetch_array($customers_query))
  {
    $customer_name = tep_customers_name($list['customers_id']); 
    $customers[] = array('id' => $customer_name, 'text' => $customer_name);
  }
  
  $banned = '';
  $attempted_use - '';
  $reason_banned = '';
  $blackList = array();
  $blacklist_query = tep_db_query("SELECT c.customers_id, b.customers_id, b.ban_customer, b.attempted_use, b.description FROM " . TABLE_CUSTOMERS . " c, " . TABLE_BLACKLIST . " b WHERE c.customers_id = b.customers_id ORDER by " . $sort_order . " ASC");
  while ($list = tep_db_fetch_array($blacklist_query)) 
  {
    $customer_name = tep_customers_name($list['customers_id']);
    if ($customer_name === $_POST['blacklist'])
    {     
      if ($list['ban_customer'] == 1)
       $banned = 'checked';
       
      if ($list['attempted_use'] == '1')
        $attempted_use = 'Checked';  

      $reason_banned = $list['description'];
    }
    $blackList[] = array('id' => $customer_name, 'text' => $customer_name);
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
     <tr>
      <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
     </tr>
     <tr>
      <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
     </tr>
     
     <!-- Begin of Blacklist -->
     <tr>
      <td colspan="4"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '2'); ?></td>
     </tr>
     <tr>
      <td align="right"><?php echo tep_draw_form('blacklist_controller', FILENAME_BLACKLIST, '', 'post') . tep_draw_hidden_field('action', 'process'); ?></td>
       <tr>
        <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
         <tr>
          <td><table border="0" width="100%">
           <tr>             
            <td width="15%"><?php echo TEXT_SORT_NAME; ?> </td> 
            <td width="15%" align="center"><INPUT TYPE="radio" NAME="group1" VALUE="first" <?php echo $checkedFirstName .">" . TEXT_FIRSTNAME; ?></td>
            <td width="15%" align="center"><INPUT	TYPE="radio" NAME="group1" VALUE="last" <?php echo $checkedLastName .">" . TEXT_LASTNAME; ?></td>
            <td width="15%" align="center"><INPUT TYPE=IMAGE SRC="<?php echo DIR_WS_LANGUAGES  . $language . '/' ."images/buttons/button_update.gif" ;  ?>" NAME="sort_name"></td>
            <td>&nbsp;</td> 
           </tr>
           <tr>
            <td colspan="5"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '2'); ?></td>
           </tr>
          </table></td>
         </tr> 
         <tr>
          <td><table border="0" width="100%" cellpadding="0">
           <tr>  
            <td><table border="0" width="50%" cellpadding="0">
             <tr>
              <th colspan="2" style="color: sienna;"><?php echo TEXT_ALL_CUSTOMERS; ?> </th>
             </tr> 
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             <tr>
              <td class="main" width="30%" style="font-weight: bold;"><?php echo CUSTOMERS_ALL; ?></td>
              <td><?php echo tep_draw_pull_down_menu('customers', $customers, '', '');?></td>
             </tr>
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             <tr>    
              <td colspan="2"><table border="0" width="100%" cellpadding="0">
               <tr>                  
                <td class="main"  width="30%"  style="font-weight: bold;"><?php echo BAN_OK; ?> </td>
                <td><?php echo tep_draw_checkbox_field('ban_customer', '', false, 'onChange="this.form.submit();"'); ?> </td>
               </tr>
              </table></td>  
             </tr>
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             </tr>
              <td class="main" width="30%" style="font-weight: bold;"><?php echo BLACKLIST_REASON; ?></td>
              <td  ><?php  echo tep_draw_textarea_field('blacklist_reason', 'hard', 40, 5, ''); ?></td>
             </tr>
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             <tr>
              <td width="15%" colspan="2" align="center"><INPUT TYPE=IMAGE SRC="<?php echo DIR_WS_LANGUAGES  . $language . '/' ."images/buttons/button_update.gif" ;  ?>" NAME="add_cust"></td>
             </tr>
            </table></td> 
            <td><table border="0" width="50%" cellpadding="0">
             <tr>
              <th colspan="2" style="color: sienna;"><?php echo BANNED_CUSTOMERS; ?></th>
             </tr> 
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             <tr>
              <td class="main" width="30%" style="font-weight: bold;"><?php echo CUSTOMERS_BLACKLISTED; ?></td>
              <td align="left" colspan="3"><?php echo tep_draw_pull_down_menu('blacklist', $blackList, '',  'onChange="this.form.submit();"');?></td>              
             </tr>
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             <tr>           
              <td colspan="2"><table border="0" width="100%" cellpadding="0">
               <tr> 
                <td class="main"  width="30%"  style="font-weight: bold;"><?php echo BAN_OK; ?> </td>
                <td><input type="checkbox" name="ban_customer_out" value="" <?php echo $banned; ?> </td>
                <td class="main" style="font-weight: bold;" align="right"><?php echo TEXT_ATTEMPTED_USE; ?></td>
                <td><input type="checkbox" name="attempted_use" value="" <?php echo $attempted_use; ?> ></td>
               </tr>
              </table></td>
             </tr>
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             </tr>
              <td class="main" width="30%" style="font-weight: bold;"><?php echo BLACKLIST_REASON; ?></td>
              <td><?php echo tep_draw_textarea_field('blacklist_reason_out', 'hard', 40, 5, $reason_banned, '', false); ?></td>
             </tr>
             <tr>
              <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
             </tr>
             <tr>
              <td colspan="2" align="center"><INPUT TYPE=IMAGE SRC="<?php echo DIR_WS_LANGUAGES  . $language . '/' ."images/buttons/button_delete.gif" ;  ?>" NAME="delete_cust"></td>
             </tr>
            </table></td>
           <tr>             
          </table></td>
         </tr>            
       <tr>
        <td colspan="4"><?php echo tep_draw_separator('pixel_silver.gif', '100%', '2'); ?></td>
       </tr>      
      </form>
      </td>
     </tr>
     <!-- end of Blacklist-->  
	 
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
