<?php
/*
  $Id: customers_points.php, v 1.60 2005/NOV/03 09:00:46 dsa_ Exp $
  http://www.deep-silver.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2005 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

  $action = (isset($_GET['action']) ? $_GET['action'] : '');


  if (tep_not_null($action)) {
    switch ($action) {
      case 'addconfirm':
        $customers_id = tep_db_prepare_input($_GET['cID']);
        $pointstoadd = $_POST['points_to_add'];
        $comment = $_POST['comment'];

        $points_added = false;
        if (tep_not_null($pointstoadd)) {
		  tep_db_query('update '. TABLE_CUSTOMERS . ' set customers_shopping_points = customers_shopping_points + '. $pointstoadd . ' where customers_id = '. $customers_id);
			
          $customer_notified = '0';
          $customer_query = tep_db_query("select customers_lastname, customers_firstname, customers_gender, customers_email_address, customers_shopping_points from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$cID . "'");
          $customer = tep_db_fetch_array($customer_query);
          $balance = $customer['customers_shopping_points'];
          $gender = $customer['customers_gender'];
          $first_name = $customer['customers_firstname'];
          $last_name = $customer['customers_lastname'];
          $name = $first_name . ' ' . $last_name;
          
          if (isset($_POST['notify']) && ($_POST['notify'] == 'on')) {
            $notify_comment = '';
            if (isset($_POST['comment']) && tep_not_null($comment)) {
              $notify_comment = sprintf(EMAIL_TEXT_COMMENT . ' ' . $comment) . "\n";
            }

            if (ACCOUNT_GENDER == 'true') {
                if ($gender == 'm') {
                $greet = sprintf(EMAIL_GREET_MR, $last_name);
            } else {
                $greet = sprintf(EMAIL_GREET_MS, $last_name);
              }
            } else {
                $greet = sprintf(EMAIL_GREET_NONE, $first_name);
            }
            $email_text = $greet  . "\n" . EMAIL_TEXT . "\n" . EMAIL_TEXT_BALANCE_ADD . ' ' . $pointstoadd . ' ' . TABLE_HEADING_POINTS . ' ' . TABLE_HEADING_POINTS_VALUE . ' ' . $currencies->format($pointstoadd * REDEEM_POINT_VALUE). "\n" . $notify_comment . EMAIL_TEXT_BALANCE . ' ' . $balance . ' ' . TABLE_HEADING_POINTS . ' ' . TABLE_HEADING_POINTS_VALUE . ' = ' . $currencies->format($balance * REDEEM_POINT_VALUE) . "\n" . EMAIL_TEXT_POINTS_URL . "\n" . 
						'<a href="' . tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS) . '">'. tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS).'</a>' ."\n" . 
						EMAIL_TEXT_SUCCESS_POINTS . "\n" . EMAIL_CONTACT . "\n\n" . EMAIL_SEPARATOR . "\n" . '<b>' . STORE_NAME . '</b>.' . "\n\n";

            tep_mail($name, $customer['customers_email_address'], EMAIL_TEXT_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

            $customer_notified = '1';
            $messageStack->add_session(sprintf(NOTICE_EMAIL_SENT_TO, $name . '( ' . $customer['customers_email_address']. ').'), 'success');
          }
          
          $database_queue = '0';
          if (isset($_POST['queue_add']) && ($_POST['queue_add'] == 'on')) {
	        
		     $sql_data_array = array('unique_id' => '',
                            'customer_id' => $customers_id,
                            'orders_id' => 0,
                            'comment' => $comment,
                            'points_pending' => $pointstoadd,
                            'date_added' => 'now()', 
                            'status' => 2);
                            
			   tep_db_perform(TABLE_CUSTOMERS_POINTS_PENDING, $sql_data_array);
          $database_queue = '1';
          $messageStack->add_session(SUCCESS_DATABASE_UPDATED, 'success');
          }
          $points_added = true;
        }
        if ($points_added == true) {
         $messageStack->add_session(SUCCESS_POINTS_UPDATED, 'success');
        } else {
          $messageStack->add_session(WARNING_DATABASE_NOT_UPDATED, 'warning');
        }
        tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action'))));
        break;
     case 'ajustpoints':
        $customers_id = tep_db_prepare_input($_GET['cID']);
        $ajust = $_POST['points_to_aj'];
	        
        $points_ajusted = false;
        if (tep_not_null($ajust)) {
  	      tep_db_query('update '. TABLE_CUSTOMERS . ' set customers_shopping_points = '. $ajust . ' where customers_id = '. $customers_id);
        } else {
            $messageStack->add_session(WARNING_DATABASE_NOT_UPDATED, 'warning');
        }
        tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action'))));
        break;
      case 'delconfirm':
        $customers_id = tep_db_prepare_input($_GET['cID']);
        $pointstodel = $_POST['points_to_delete'];
        $comment = $_POST['comment'];

          $points_deleted = false;
        if (tep_not_null($pointstodel)) {
			tep_db_query('update '. TABLE_CUSTOMERS . ' set customers_shopping_points = customers_shopping_points - '. $pointstodel. ' where customers_id = '. $customers_id);          
		  
          $customer_notified = '0';
          $customer_query = tep_db_query("select customers_lastname, customers_firstname, customers_gender, customers_email_address, customers_shopping_points from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$cID . "'");
          $customer = tep_db_fetch_array($customer_query);
          $balance = $customer['customers_shopping_points'];
          $gender = $customer['customers_gender'];
          $first_name = $customer['customers_firstname'];
          $last_name = $customer['customers_lastname'];
          $name = $first_name . ' ' . $last_name;
          
          if (isset($_POST['notify']) && ($_POST['notify'] == 'on')) {
            $notify_comment = '';
            if (isset($_POST['comment']) && tep_not_null($comment)) {
              $notify_comment = sprintf(EMAIL_TEXT_COMMENT . ' ' . $comment) . "\n";
            $customer_balance = '';
              if ($customer['customers_shopping_points'] > 0) {
                $customer_balance = sprintf(EMAIL_TEXT_BALANCE . ' ' . $balance . ' ' . TABLE_HEADING_POINTS_VALUE . ' = ' . $currencies->format($balance * REDEEM_POINT_VALUE)) . "\n";
              }
            }

            if (ACCOUNT_GENDER == 'true') {
                if ($gender == 'm') {
                $greet = sprintf(EMAIL_GREET_MR, $last_name);
            } else {
                $greet = sprintf(EMAIL_GREET_MS, $last_name);
              }
            } else {
                $greet = sprintf(EMAIL_GREET_NONE, $first_name);
            }
            $email_text = $greet  . "\n" . EMAIL_TEXT . "\n" . EMAIL_TEXT_BALANCE_DEL . ' -' . $pointstodel . ' ' . TABLE_HEADING_POINTS . ' ' . TABLE_HEADING_POINTS_VALUE . ' -' . $currencies->format($pointstodel * REDEEM_POINT_VALUE). "\n" . $notify_comment . $customer_balance . EMAIL_TEXT_POINTS_URL . "\n" . 
						  '<a href="' . tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS) . '">'. tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS).'</a>' . "\n" . 
							EMAIL_CONTACT . "\n\n" . EMAIL_SEPARATOR . "\n" . '<b>' . STORE_NAME . '</b>.' . "\n\n";

            tep_mail($name, $customer['customers_email_address'], EMAIL_TEXT_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

            $customer_notified = '1';
            $messageStack->add_session(sprintf(NOTICE_EMAIL_SENT_TO, $name . '( ' . $customer['customers_email_address']. ').'), 'success');
          }
          
          $database_queue = '0';
          if (isset($_POST['queue_delete']) && ($_POST['queue_delete'] == 'on')) {
	        
		  		     $sql_data_array = array('unique_id' => '',
                            'customer_id' => $customers_id,
                            'orders_id' => 0,
                            'comment' => $comment,
                            'points_pending' => -$pointstodel,
                            'date_added' => 'now()', 
                            'status' => 3);
                            
			   tep_db_perform(TABLE_CUSTOMERS_POINTS_PENDING, $sql_data_array);
          $database_queue = '1';
          $messageStack->add_session(SUCCESS_DATABASE_UPDATED, 'success');
          }
          $points_deleted = true;
        }
        if ($points_deleted == true) {
         $messageStack->add_session(SUCCESS_POINTS_UPDATED, 'success');
        } else {
          $messageStack->add_session(WARNING_DATABASE_NOT_UPDATED, 'warning');
        }

        tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action'))));
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
<script language="javascript"><!--
function validate(field) {
  var valid = "0123456789."
  var ok = "yes";
  var temp;
 for (var i=0; i<field.value.length; i++) {
  temp = "" + field.value.substring(i, i+1);
  if (valid.indexOf(temp) == "-1") ok = "no";
  }
  if (ok == "no") {
    alert("<?php echo POINTS_ENTER_JS_ERROR; ?>");
    field.focus();
    field.value = "";
  }
}
//--></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr><?php echo tep_draw_form('search', FILENAME_CUSTOMERS_POINTS, '', 'get'); ?>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td class="smallText" align="right"><?php echo HEADING_TITLE_SEARCH . ' ' . tep_draw_input_field('search'); ?></td>
          </form></tr>
        </table></td>
         <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
<?php
   if (POINTS_PER_AMOUNT_PURCHASE > 1) {
     $point_or_points = HEADING_POINTS;
   } else {
     $point_or_points = HEADING_POINT;
   }
//sort view   
   if (isset($_GET['viewedSort'])){
     $viewedSort = $_GET['viewedSort'];
     tep_session_register('viewedSort');
   }
   if (isset($_GET['page']))
   {
     $page = $_GET['page'];
     tep_session_register('page');
   }
   if(!isset($page)) $page = 1;
 
   switch ($viewedSort) {
       case "lastname-asc":
         $sort .= "customers_lastname";
       break;
       case "lastname-desc":
         $sort .= "customers_lastname DESC";
       break;
       case "firstname-asc":
         $sort .= "customers_firstname";
       break;
       case "firstname-desc":
         $sort .= "customers_firstname DESC";
       break;
       case "date-asc":
         $sort .= "customers_dob";
       break;
       case "date-desc":
         $sort .= "customers_dob DESC";
       break;
       case "points-asc":
         $sort .= "customers_shopping_points";
       break;
       case "points-desc":
         $sort .= "customers_shopping_points DESC";
       break;
        default:
        $sort .= "customers_lastname DESC";
   }
?>
          <tr><td class="smalltext"><?php echo ' <b> ' . HEADING_RATE . ' </b>&nbsp;&nbsp;&nbsp; ' .  HEADING_AWARDS . $currencies->format(1) . ' = ' . number_format(POINTS_PER_AMOUNT_PURCHASE,2) .' &nbsp' . $point_or_points . ' &nbsp;&nbsp;&nbsp;' . HEADING_REDEEM  .  number_format(POINTS_PER_AMOUNT_PURCHASE,2)  .' &nbsp' . $point_or_points . ' = ' . $currencies->format(POINTS_PER_AMOUNT_PURCHASE * REDEEM_POINT_VALUE); ?></td>
         </tr>
        </table></td>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><a href="<?php echo "$PHP_SELF?viewedSort=lastname-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_LASTNAME . TABLE_HEADING_SORT_UA; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_LASTNAME; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=lastname-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_LASTNAME . TABLE_HEADING_SORT_DA; ?>">-</a></td>
                <td class="dataTableHeadingContent"><a href="<?php echo "$PHP_SELF?viewedSort=firstname-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_FIRSTNAME . TABLE_HEADING_SORT_UA; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_FIRSTNAME; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=firstname-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_FIRSTNAME . TABLE_HEADING_SORT_DA; ?>">-</a></td>
                <td class="dataTableHeadingContent"><a href="<?php echo "$PHP_SELF?viewedSort=date-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_DOB . TABLE_HEADING_SORT_U1; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_DOB; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=date-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_DOB . TABLE_HEADING_SORT_D1; ?>">-</a></td>
				<td class="dataTableHeadingContent" align="right"><a href="<?php echo "$PHP_SELF?viewedSort=points-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_POINTS . TABLE_HEADING_SORT_U1; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_POINTS; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=poinst-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_POINTS . TABLE_HEADING_SORT_D1; ?>">-</a></td>                
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_POINTS_VALUE; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
    $search = '';
    if (isset($_GET['search']) && tep_not_null($_GET['search'])) {
      $keywords = tep_db_input(tep_db_prepare_input($_GET['search']));
      $search = "where customers_lastname like '%" . $keywords . "%' or customers_firstname like '%" . $keywords . "%' or customers_email_address like '%" . $keywords . "%' or customers_shopping_points like '%" . $keywords . "%'";
    }
   $customers_query_raw = "select customers_id, customers_lastname, customers_firstname, customers_dob, customers_email_address, customers_shopping_points from " . TABLE_CUSTOMERS . " " . $search . " order by $sort";
    $customers_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $customers_query_raw, $customers_query_numrows);
    $customers_query = tep_db_query($customers_query_raw);
   while ($customers = tep_db_fetch_array($customers_query)) {
     $info_query = tep_db_query("select o.customers_id, sum(op.products_quantity * op.final_price) as ordersum from " . TABLE_ORDERS_PRODUCTS . " op, " . TABLE_ORDERS . " o where o.customers_id = '" . (int)$customers['customers_id'] . "' and o.orders_id = op.orders_id group by o.customers_id ");
     $info = tep_db_fetch_array($info_query);

     if ((!isset($_GET['cID']) || (isset($_GET['cID']) && ($_GET['cID'] == $customers['customers_id']))) && !isset($cInfo)) {
       $pending_query = tep_db_query("select count(*) as number_of_points_pending from " . TABLE_CUSTOMERS_POINTS_PENDING . " where status = 1 and customer_id = '" . (int)$customers['customers_id'] . "'");
       $pending = tep_db_fetch_array($pending_query);

       if (is_array($info)) { 
        $cInfo_array = array_merge($customers, $pending, $info); 
       } else {
         $cInfo_array = array_merge($customers, $pending);
       }
        $cInfo = new objectInfo($cInfo_array);
      }

      if (isset($cInfo) && is_object($cInfo) && ($customers['customers_id'] == $cInfo->customers_id)) {
        echo '          <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=edit') . '\'">' . "\n";
      } else {
        echo '          <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID')) . 'cID=' . $customers['customers_id']) . '\'">' . "\n";
      }
?>
                <td class="dataTableContent"><?php echo '<a href="' . tep_href_link(FILENAME_ORDERS, 'cID=' . $cInfo->customers_id) . '">' . tep_image(DIR_WS_ICONS . 'preview.gif', ICON_PREVIEW) . '</a>&nbsp;' . $customers['customers_lastname']; ?></td>
                <td class="dataTableContent"><?php echo $customers['customers_firstname']; ?></td>
                <td class="dataTableContent"><?php echo tep_date_short($customers['customers_dob']); ?></td>
                <td class="dataTableContent" align="right"><?php echo number_format($customers['customers_shopping_points'],2); ?></td>
                <td class="dataTableContent" align="right"><?php echo $currencies->format($customers['customers_shopping_points'] * REDEEM_POINT_VALUE); ?></td>
                <td class="dataTableContent" align="right"><?php if (isset($cInfo) && is_object($cInfo) && ($customers['customers_id'] == $cInfo->customers_id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID')) . 'cID=' . $customers['customers_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
    }
?>
              <tr>
                <td colspan="4"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $customers_split->display_count($customers_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_CUSTOMERS); ?></td>
                    <td class="smallText" align="right"><?php echo $customers_split->display_links($customers_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], tep_get_all_get_params(array('page', 'info', 'x', 'y', 'cID'))); ?></td>
                  </tr>
<?php
    if (isset($_GET['search']) && tep_not_null($_GET['search'])) {
?>
                  <tr>
                    <td align="right" colspan="2"><?php echo '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS) . '">' . tep_image_button('button_reset.gif', IMAGE_RESET) . '</a>'; ?></td>
                  </tr>
<?php
    }
?>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    case 'addpoints':
      $heading[] = array('text' => '<b>' . $cInfo->customers_firstname . ' ' . $cInfo->customers_lastname . '</b>');

      $contents = array('form' => tep_draw_form('customers', FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=addconfirm'));
      $value_field = '<b>'. TEXT_ADD_POINTS . '</b><br>'. TEXT_ADD_POINTS_LONG . '<br><br>' . TEXT_POINTS_TO_ADD . '<br>'. tep_draw_input_field('points_to_add', '' , 'onBlur="validate(this)"');
      $contents[] = array('text' => $value_field);      
      $contents[] = array('text' => '<br>' . tep_draw_checkbox_field('queue_add') . ' ' . TEXT_QUEUE_POINTS_TABLE);
      $contents[] = array('text' => tep_draw_checkbox_field('notify', '', true) . ' ' . TEXT_NOTIFY_CUSTOMER);
      $value_field = TEXT_COMMENT. '<br>'. tep_draw_input_field('comment', 0);
      $contents[] = array('text' => $value_field);      

      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_add_points.gif', BUTTON_TEXT_ADD_POINTS) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'ajust':
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_AJUST_POINTS . '</b>');

      $contents = array('form' => tep_draw_form('points', FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=ajustpoints'));
      $contents[] = array('text' => '<b>'. TEXT_INFO_HEADING_AJUST_POINTS . '</b><br>');
      $value_field = TEXT_AJUST_INTRO . '<br><br>' . TEXT_POINTS_TO_AJUST . '<br>'. tep_draw_input_field('points_to_aj', '' , 'onBlur="validate(this)"');
      $contents[] = array('text' => $value_field); 
           
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_ajust_points.gif', BUTTON_TEXT_AJUST_POINTS) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'deletepoints':
      $heading[] = array('text' => '<b>' . $cInfo->customers_firstname . ' ' . $cInfo->customers_lastname . '</b>');

      $contents = array('form' => tep_draw_form('customers', FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=delconfirm'));
      $value_field = '<b>'. TEXT_DELETE_POINTS . '</b><br>'. TEXT_DELETE_POINTS_LONG . '<br><br>' . TEXT_POINTS_TO_DELETE . '<br>'. tep_draw_input_field('points_to_delete', '' , 'onBlur="validate(this)"');
      $contents[] = array('text' => $value_field);      
      $contents[] = array('text' => '<br>' . tep_draw_checkbox_field('queue_delete') . ' ' . TEXT_QUEUE_POINTS_TABLE);
      $contents[] = array('text' => tep_draw_checkbox_field('notify', '', true) . ' ' . TEXT_NOTIFY_CUSTOMER);
      $value_field = TEXT_COMMENT. '<br>'. tep_draw_input_field('comment', 0);
      $contents[] = array('text' => $value_field);      

      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete_points.gif', BUTTON_TEXT_DELETE_POINTS) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;      
    default:
      if (isset($cInfo) && is_object($cInfo)) {
        $heading[] = array('text' => '<b>' . $cInfo->customers_firstname . ' ' . $cInfo->customers_lastname . '</b>');

    if ($cInfo->customers_shopping_points > 0) {
        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=addpoints') . '">' . tep_image_button('button_add_points.gif', BUTTON_TEXT_ADD_POINTS) . '</a> <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=deletepoints') . '">' . tep_image_button('button_delete_points.gif', BUTTON_TEXT_DELETE_POINTS) . '</a> <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=ajust') . '">' . tep_image_button('button_ajust_points.gif', BUTTON_TEXT_AJUST_POINTS) . '</a> <a href="' . tep_href_link(FILENAME_ORDERS, 'cID=' . $cInfo->customers_id) . '">' . tep_image_button('button_orders.gif', IMAGE_ORDERS) . '</a> <a href="' . tep_href_link(FILENAME_MAIL, 'selected_box=tools&customer=' . $cInfo->customers_email_address) . '">' . tep_image_button('button_email.gif', IMAGE_EMAIL) . '</a>') ;
     } else {
        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=addpoints') . '">' . tep_image_button('button_add_points.gif', BUTTON_TEXT_ADD_POINTS) . '</a><a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=ajust') . '">' . tep_image_button('button_ajust_points.gif', BUTTON_TEXT_AJUST_POINTS) . '</a><a href="' . tep_href_link(FILENAME_CUSTOMERS, tep_get_all_get_params(array('cID', 'action')) . 'cID=' . $cInfo->customers_id . '&action=edit') . '">' . tep_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . tep_href_link(FILENAME_ORDERS, 'cID=' . $cInfo->customers_id) . '">' . tep_image_button('button_orders.gif', IMAGE_ORDERS) . '</a> <a href="' . tep_href_link(FILENAME_MAIL, 'selected_box=tools&customer=' . $cInfo->customers_email_address) . '">' . tep_image_button('button_email.gif', IMAGE_EMAIL) . '</a>') ;
       }
        $contents[] = array('text' => '<br>' . TEXT_INFO_NUMBER_OF_ORDERS . ' ' . $currencies->format($cInfo->ordersum));
        $contents[] = array('text' => TEXT_INFO_NUMBER_OF_PENDING . ' ' . $cInfo->number_of_points_pending);
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
