<?php
/*
  $Id: customers_points_pending.php, v 1.60 2005/NOV/03 22:05:00 dgw_ Exp $
  http://www.deep-silver.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2005 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

// drop-down filter array
  $filter_selection_array = array( array('id' => '1', 'text' => TEXT_POINTS_PENDING), 
                                   array('id' => '2', 'text' => TEXT_POINTS_CONFIRMED),
                                   array('id' => '3', 'text' => TEXT_POINTS_CANCELLED),
                                   array('id' => '4', 'text' => TEXT_ALL_ORDERS));


  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {

      case 'confirmconfirm':
        $oID = tep_db_prepare_input($_GET['oID']);

		$customer_query = tep_db_query('select customer_id, date_added, points_pending, status from '. TABLE_CUSTOMERS_POINTS_PENDING .' where status  = 1 and orders_id = '. $oID);
		$customer_points = tep_db_fetch_array($customer_query);
          
        if ($customer_points['status'] == 1) {
		  tep_db_query('update '. TABLE_CUSTOMERS . ' set customers_shopping_points = customers_shopping_points + '. $customer_points['points_pending'] . 'where customers_id = '. $customer_points['customer_id']); 
		}

        $customer_notified = '0';
        $customer_query = tep_db_query("select customers_lastname, customers_firstname, customers_gender, customers_email_address, customers_shopping_points from " . TABLE_CUSTOMERS . " where customers_id = '" . $customer_points['customer_id'] . "'");
        $customer = tep_db_fetch_array($customer_query);
        $balance = $customer['customers_shopping_points'];
        $gender = $customer['customers_gender'];
        $first_name = $customer['customers_firstname'];
        $last_name = $customer['customers_lastname'];
        $name = $first_name . ' ' . $last_name;
          
        if (isset($_POST['notify']) && ($_POST['notify'] == 'on')) {
          if (ACCOUNT_GENDER == 'true') {
            if ($gender == 'm') {
                $greet = sprintf(EMAIL_GREET_MR, $last_name);
            } else {
                $greet = sprintf(EMAIL_GREET_MS, $last_name);
            }
            
          } else {
	            
          $greet = sprintf(EMAIL_GREET_NONE, $first_name);
          }
            
          $email_text = $greet  . "\n" . EMAIL_TEXT . "\n" . EMAIL_TEXT_BALANCE_CONFIRMED . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($customer_points['date_added']) . "\n" . TABLE_HEADING_POINTS . ' = ' . number_format($customer_points['points_pending'],2) . "\n" . TABLE_HEADING_POINTS_VALUE . ' ' . $currencies->format($customer_points['points_pending'] * REDEEM_POINT_VALUE) . "\n" . EMAIL_TEXT_BALANCE . ' ' . $balance . ' ' . TABLE_HEADING_POINTS_VALUE . ' = ' . $currencies->format($balance * REDEEM_POINT_VALUE) . "\n" . EMAIL_TEXT_POINTS_URL . "\n" . 
		  			  	'<a href="' . tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS) . '">'. tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS).'</a>' . "\n" . 
		  			  	EMAIL_TEXT_SUCCESS_POINTS . "\n" . EMAIL_CONTACT . "\n\n" . EMAIL_SEPARATOR . "\n" . '<b>' . STORE_NAME . '</b>.' . "\n\n";

          tep_mail($name, $customer['customers_email_address'], EMAIL_TEXT_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

          $customer_notified = '1';
          $messageStack->add_session(sprintf(NOTICE_EMAIL_SENT_TO, $name . '( ' . $customer['customers_email_address']. ').'), 'success');
          }
					  
        if (isset($_POST['queue_confirm'])) {
	      tep_db_query('update '. TABLE_CUSTOMERS_POINTS_PENDING . ' set status  = 2 where status  = 1 and orders_id = '. $oID);
	                
        } else {
	        
          $messageStack->add_session(NOTICE_RECORED_REMOVED, 'warning');
          tep_db_query("delete from " . TABLE_CUSTOMERS_POINTS_PENDING . " where orders_id = '" . $oID . "'");
      }          
          $messageStack->add_session(SUCCESS_POINTS_UPDATED, 'success');
          tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action'))));
        break;
      case 'confirmcancel':
        $oID = tep_db_prepare_input($_GET['oID']);
        $comment = $_POST['comment'];
	        
        $database_queue = '0';
        if (isset($_POST['queue_cancel'])) {
 	      tep_db_query('update '. TABLE_CUSTOMERS_POINTS_PENDING . ' set status  = 3, comment = \''. $comment . '\' where status  = 1 and orders_id = '. $oID);          
        $database_queue = '1';
        $messageStack->add_session(SUCCESS_DATABASE_UPDATED, 'success');
          
        $customer_notified = '0';
		$customer_query = tep_db_query('select customer_id, date_added, points_pending from '. TABLE_CUSTOMERS_POINTS_PENDING .' where orders_id = '. $oID);
		$customer_points = tep_db_fetch_array($customer_query);
		
        $customer_query = tep_db_query("select customers_lastname, customers_firstname, customers_gender, customers_email_address, customers_shopping_points from " . TABLE_CUSTOMERS . " where customers_id = '" . $customer_points['customer_id'] . "'");
        $customer = tep_db_fetch_array($customer_query);
        $balance = $customer['customers_shopping_points'];
        $gender = $customer['customers_gender'];
        $first_name = $customer['customers_firstname'];
        $last_name = $customer['customers_lastname'];
        $name = $first_name . ' ' . $last_name;
          
        if (isset($_POST['notify']) && ($_POST['notify'] == 'on')) {
          $notify_comment = '';
          if (isset($_POST['comment']) && tep_not_null($comment)) {
            $notify_comment = sprintf(EMAIL_TEXT_COMMENT . ' ' . $comment) . "\n";
            $customer_balance = '';
            $success = '';
            if ($customer['customers_shopping_points'] > 0) {
              $customer_balance = sprintf(EMAIL_TEXT_BALANCE . ' ' . $balance . ' ' . TABLE_HEADING_POINTS_VALUE . ' = ' . $currencies->format($balance * REDEEM_POINT_VALUE)) . "\n";
              $success = sprintf(EMAIL_TEXT_SUCCESS_POINTS) . "\n";
            }
          }

          if (ACCOUNT_GENDER == 'true') {
            if ($gender == 'm') {
              $greet = sprintf(EMAIL_GREET_MR, $last_name);
            } else {
                $greet = sprintf(EMAIL_GREET_MS, $last_name);
            }
            } else {
                $greet = sprintf(EMAIL_GREET_NONE, $first_name);
            }
            $email_text = $greet  . "\n" . EMAIL_TEXT . "\n" . EMAIL_TEXT_BALANCE_CANCELLED . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($customer_points['date_added']) . "\n" . TABLE_HEADING_POINTS . ' = ' . $customer_points['points_pending'] . "\n" . TABLE_HEADING_POINTS_VALUE . ' ' . $currencies->format($customer_points['points_pending'] * REDEEM_POINT_VALUE). "\n" . $notify_comment . $customer_balance . EMAIL_TEXT_POINTS_URL . "\n" . 
						  '<a href="' . tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS) . '">'. tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS).'</a>' . "\n" . 
						  $success . EMAIL_CONTACT . "\n" . EMAIL_CONTACT . "\n\n" . EMAIL_SEPARATOR . "\n" . '<b>' . STORE_NAME . '</b>.' . "\n\n";

            tep_mail($name, $customer['customers_email_address'], EMAIL_TEXT_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

            $customer_notified = '1';
            $messageStack->add_session(sprintf(NOTICE_EMAIL_SENT_TO, $name . '( ' . $customer['customers_email_address']. ').'), 'success');
          }
          
        } else {
            tep_db_query("delete from " . TABLE_CUSTOMERS_POINTS_PENDING . " where orders_id = '" . $oID . "'");
        }
            tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action'))));
        break;
     case 'ajustpoints':
        $oID = tep_db_prepare_input($_GET['oID']);
        $ajust = $_POST['points_to_aj'];
	        
        $points_ajusted = false;
        if (tep_not_null($ajust)) {
  	      tep_db_query('update '. TABLE_CUSTOMERS_POINTS_PENDING . ' set points_pending = '. $ajust . ' where status  = 1 and orders_id = '. $oID);
        } else {
            $messageStack->add_session(WARNING_DATABASE_NOT_UPDATED, 'warning');
        }
        tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action'))));
        break;
      case 'pe_rollback':
        $oID = tep_db_prepare_input($_GET['oID']);
        $d_comment = 'TEXT_DEFAULT_COMMENT';

		$customer_query = tep_db_query('select customer_id, date_added, points_pending, status from '. TABLE_CUSTOMERS_POINTS_PENDING .' where status  = 2 and orders_id = '. $oID);
		$customer_points = tep_db_fetch_array($customer_query);
          
        if ($customer_points['status'] == 2) {
		  tep_db_query('update '. TABLE_CUSTOMERS . ' set customers_shopping_points = customers_shopping_points - '. $customer_points['points_pending'] . 'where customers_id = '. $customer_points['customer_id']); 
	      tep_db_query('update '. TABLE_CUSTOMERS_POINTS_PENDING . ' set status  = 1, comment = \''. $d_comment . '\' where status  = 2 and orders_id = '. $oID);
		}

        $customer_notified = '0';
        $customer_query = tep_db_query("select customers_lastname, customers_firstname, customers_gender, customers_email_address, customers_shopping_points from " . TABLE_CUSTOMERS . " where customers_id = '" . $customer_points['customer_id'] . "'");
        $customer = tep_db_fetch_array($customer_query);
        $balance = $customer['customers_shopping_points'];
        $gender = $customer['customers_gender'];
        $first_name = $customer['customers_firstname'];
        $last_name = $customer['customers_lastname'];
        $name = $first_name . ' ' . $last_name;
          
        if (isset($_POST['notify']) && ($_POST['notify'] == 'on')) {
          $notify_comment = '';
          if (isset($_POST['comment']) && tep_not_null($comment)) {
            $notify_comment = sprintf(EMAIL_TEXT_ROLL_COMMENT . ' ' . $comment) . "\n";
            $customer_balance = '';
            $success = '';
            if ($customer['customers_shopping_points'] > 0) {
              $customer_balance = sprintf(EMAIL_TEXT_BALANCE . ' ' . $balance . ' ' . TABLE_HEADING_POINTS_VALUE . ' = ' . $currencies->format($balance * REDEEM_POINT_VALUE)) . "\n";
              $success = sprintf(EMAIL_TEXT_SUCCESS_POINTS) . "\n";
            }
          }
            
          if (ACCOUNT_GENDER == 'true') {
            if ($gender == 'm') {
                $greet = sprintf(EMAIL_GREET_MR, $last_name);
            } else {
                $greet = sprintf(EMAIL_GREET_MS, $last_name);
            }
            
          } else {
	            
          $greet = sprintf(EMAIL_GREET_NONE, $first_name);
          }
            
          $email_text = $greet  . "\n" . EMAIL_TEXT . "\n" . EMAIL_TEXT_BALANCE_ROLL_BACK . "\n" . EMAIL_TEXT_ORDER_NUMBER . ' ' . $oID . "\n" . EMAIL_TEXT_DATE_ORDERED . ' ' . tep_date_long($customer_points['date_added']) . "\n" . TABLE_HEADING_POINTS . ' = ' . $customer_points['points_pending'] . "\n" . TABLE_HEADING_POINTS_VALUE . ' ' . $currencies->format($customer_points['points_pending'] * REDEEM_POINT_VALUE). "\n" . $notify_comment . $customer_balance . EMAIL_TEXT_POINTS_URL . "\n" . 
		  			  			'<a href="' . tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS) . '">'. tep_catalog_href_link(FILENAME_CATALOG_MY_POINTS).'</a>' . "\n" . 
		  						$success . EMAIL_CONTACT . "\n\n" . EMAIL_SEPARATOR . "\n" . '<b>' . STORE_NAME . '</b>.' . "\n\n";

          tep_mail($name, $customer['customers_email_address'], EMAIL_TEXT_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);

          $customer_notified = '1';
          $messageStack->add_session(sprintf(NOTICE_EMAIL_SENT_TO, $name . '( ' . $customer['customers_email_address']. ').'), 'success');
          }
					  
          $messageStack->add_session(SUCCESS_POINTS_UPDATED, 'success');
          tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action'))));
        break;
     case 'deleteconfirm':
        $oID = tep_db_prepare_input($_GET['oID']);
	        
        tep_db_query("delete from " . TABLE_CUSTOMERS_POINTS_PENDING . " where orders_id = '" . $oID . "'");

        tep_redirect(tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action'))));
        break;
    }
  }

  include(DIR_WS_CLASSES . 'order.php');
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
<script language="javascript"><!--
function validate(field) {
  var valid = "0123456789."
  var ok = "yes";
  var temp;
 for (var i=0; i<field.value.length; i++) {
  temp = "" + field.value.substring(i, i+1);
  if (valid.indexOf(temp) == "-1") ok = "no";
  }
  if (ok == "no") {
    alert("<?php echo POINTS_ENTER_JS_ERROR; ?>");
    field.focus();
    field.value = "";
  }
}
//--></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php
  require(DIR_WS_INCLUDES . 'header.php');
?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
<?php
  if (($action == 'edit') && ($order_exists == true)) {
    $order = new order($oID);
?>
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
            <td class="pageHeading" align="right"><?php echo '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('action'))) . '">' . tep_image_button('button_back.gif', IMAGE_BACK) . '</a>'; ?></td>
          </tr>
        </table></td>
<?php
  } else {
?>
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', 1, HEADING_IMAGE_HEIGHT); ?></td>
           <td class="smalltext" align="right"><?php echo ' <b> ' . HEADING_RATE . ' </b>&nbsp;&nbsp;&nbsp; ' .  HEADING_AWARDS . $currencies->format(1) . ' = ' . number_format(POINTS_PER_AMOUNT_PURCHASE,2) .' &nbsp' . HEADING_POINTS .' &nbsp;&nbsp;&nbsp;' . HEADING_REDEEM  .  number_format(POINTS_PER_AMOUNT_PURCHASE,2)  .' &nbsp' . HEADING_POINTS .' = ' . $currencies->format(POINTS_PER_AMOUNT_PURCHASE * REDEEM_POINT_VALUE); ?></td>
         </tr>
   <tr><?php echo tep_draw_form('status', FILENAME_CUSTOMERS_POINTS_PENDING, '', 'get'); ?>
    <td colspan="3" class="smallText" align="right"><?php echo HEADING_TITLE_STATUS . ' ' .  tep_draw_pull_down_menu('filter_selection', $filter_selection_array, '', 'onChange="this.form.submit();"'); ?></td>
   </form></tr>
       </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><a href="<?php echo "$PHP_SELF?viewedSort=c_name-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_CUSTOMERS . TABLE_HEADING_SORT_UA; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_CUSTOMERS; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=c_name-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_CUSTOMERS . TABLE_HEADING_SORT_DA; ?>">-</a></td>
                <td class="dataTableHeadingContent" align="right"><a href="<?php echo "$PHP_SELF?viewedSort=ot-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_ORDER_TOTAL . TABLE_HEADING_SORT_U1; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_ORDER_TOTAL; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=ot-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_ORDER_TOTAL . TABLE_HEADING_SORT_D1; ?>">-</a></td>
				<td class="dataTableHeadingContent" align="right"><a href="<?php echo "$PHP_SELF?viewedSort=points-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_POINTS . TABLE_HEADING_SORT_U1; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_POINTS; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=poinst-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_POINTS . TABLE_HEADING_SORT_D1; ?>">-</a></td>                
                <td class="dataTableHeadingContent" align="right"><a href="<?php echo "$PHP_SELF?viewedSort=points-asc"; ?>"title="Sort <?php echo TABLE_HEADING_POINTS . ' --> A-B-C From Top ' ; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_POINTS_VALUE; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=points-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_DATE_PURCHASED . TABLE_HEADING_SORT_D1; ?>">-</a></td>
                <td class="dataTableHeadingContent" align="center"><a href="<?php echo "$PHP_SELF?viewedSort=date-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_DATE_PURCHASED . TABLE_HEADING_SORT_U1; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_DATE_PURCHASED; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=date-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_DATE_PURCHASED . TABLE_HEADING_SORT_D1; ?>">-</a></td>
                <td class="dataTableHeadingContent"><a href="<?php echo "$PHP_SELF?viewedSort=o_status-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_ORDERS_STATUS . TABLE_HEADING_SORT_UA; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_ORDERS_STATUS; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=o_status-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_ORDERS_STATUS . TABLE_HEADING_SORT_DA; ?>">-</a></td>
                <td class="dataTableHeadingContent"><a href="<?php echo "$PHP_SELF?viewedSort=o_status-asc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_POINTS_STATUS . TABLE_HEADING_SORT_UA; ?>">+</a>&nbsp;<?php echo TABLE_HEADING_POINTS_STATUS; ?>&nbsp;<a href="<?php echo "$PHP_SELF?viewedSort=o_status-desc"; ?>"title="<?php echo TABLE_HEADING_SORT . TABLE_HEADING_POINTS_STATUS . TABLE_HEADING_SORT_DA; ?>">-</a></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
 $filter_selection = $_GET['filter_selection'];
 switch ($filter_selection) {
  case '1':
    $filter_selection =  " and cpp.status = '1' ";
    break;
    case '2':
    $filter_selection =  " and cpp.status = '2' ";
    break;
  case '3':
    $filter_selection =  " and cpp.status = '3' ";
    break;
  case '4':
    $filter_selection =  '';
    break;
    default:
    $filter_selection =  " and cpp.status = '1' ";
    }

//sort view   
   if (isset($_GET['viewedSort'])){
     $viewedSort = $_GET['viewedSort'];
     tep_session_register('viewedSort');
   }
   if (isset($_GET['page']))
   {
     $page = $_GET['page'];
     tep_session_register('page');
   }
   if(!isset($page)) $page = 1;
 
   switch ($viewedSort) {
       case "c_name-asc":
         $sort .= "o.customers_name";
       break;
       case "c_name-desc":
         $sort .= "o.customers_name DESC";
       break;
       case "ot-asc":
         $sort .= "order_total";
       break;
       case "ot-desc":
         $sort .= "order_total DESC";
       break;
       case "points-asc":
         $sort .= "points_pending";
       break;
       case "points-desc":
         $sort .= "points_pending DESC";
       break;
       case "date-asc":
         $sort .= "o.date_purchased";
       break;
       case "date-desc":
         $sort .= "o.date_purchased DESC";
       break;
       case "o_status-asc":
         $sort .= "orders_status_name";
       break;
       case "o_status-desc":
         $sort .= "orders_status_name DESC";
       break;
       case "p_status-asc":
         $sort .= "status";
       break;
       case "p_status-desc":
         $sort .= "status DESC";
       break;
        default:
        $sort .= "o.orders_id DESC";
   }
//sort view   
   
    $orders_query_raw = "select o.orders_id, o.orders_status, o.customers_name, o.customers_email_address, o.payment_method, o.date_purchased, o.last_modified, o.currency, o.currency_value, s.orders_status_name, ot.text as order_total, cpp.points_pending as points_pending, cpp.comment as comment, cpp.status as status from " . TABLE_ORDERS . " o , " . TABLE_ORDERS_TOTAL . " ot , " . TABLE_ORDERS_STATUS . " s , customers_points_pending cpp where ot.class = 'ot_total' " . $filter_selection . "and cpp.orders_id = o.orders_id and o.orders_id = ot.orders_id and o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "'  order by $sort";

    $orders_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $orders_query_raw, $orders_query_numrows);
    $orders_query = tep_db_query($orders_query_raw);
    $showbuttons = 0;
    
    while ($orders = tep_db_fetch_array($orders_query)) {
  $order = new order($orders['order_id']);
 
    if ((!isset($_GET['oID']) || (isset($_GET['oID']) && ($_GET['oID'] == $orders['orders_id']))) && !isset($oInfo) &&($orders['status'] < 4)) {
        $oInfo = new objectInfo($orders);
      }

      if (isset($oInfo) && is_object($oInfo) && ($orders['orders_id'] == $oInfo->orders_id)) {
        echo '              <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=edit') . '\'">' . "\n";
      } else {
        echo '              <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID')) . 'oID=' . $orders['orders_id']) . '\'">' . "\n";
      }
		
		if( $orders['orders_id'] == $oInfo->orders_id && $orders['status'] == 1) {
			$showbuttons = 1;
		}
		
		if( ($orders['orders_id'] == $oInfo->orders_id && $orders['status'] == 2) || ( $orders['orders_id'] == $oInfo->orders_id && $orders['status'] == 3)){
			$showbuttons = 2;
		}
				
		if($orders['status'] == 1) {
		  $points_status_name = TEXT_POINTS_PENDING;
		}
		else if($orders['status'] == 2)
		  $points_status_name = TEXT_POINTS_CONFIRMED;
		else if($orders['status'] == 3)
		  $points_status_name = '<font color="FF0000">' . TEXT_POINTS_CANCELLED . '</font>';
		  
		if($orders['orders_status'] == 2) {
		  $points_status_name = TEXT_POINTS_PROCESSING;
		}
		
    if($orders['status'] < 4) {
?>		  
                <td class="dataTableContent"><?php echo '<a href="' . tep_href_link(FILENAME_ORDERS, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $orders['orders_id'] . '&action=edit') . '">' . tep_image(DIR_WS_ICONS . 'preview.gif', ICON_PREVIEW_EDIT) . '</a>&nbsp;' . $orders['customers_name']; ?></td>
                <td class="dataTableContent" align="right"><?php echo strip_tags($orders['order_total']); ?></td>
                <td class="dataTableContent" align="right"><?php echo number_format($orders['points_pending'],2); ?></td>
                <td class="dataTableContent" align="right"><?php echo $currencies->format($orders['points_pending'] * REDEEM_POINT_VALUE); ?></td>
                <td class="dataTableContent" align="center"><?php echo tep_date_short($orders['date_purchased']); ?></td>
                <td class="dataTableContent"><?php echo $orders['orders_status_name']; ?></td>
                <td class="dataTableContent"><?php echo $points_status_name; ?></td>
                <td class="dataTableContent" align="right"><?php if (isset($oInfo) && is_object($oInfo) && ($orders['orders_id'] == $oInfo->orders_id) && ($orders['status'] < 4)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID')) . 'oID=' . $orders['orders_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
              </tr>
<?php
    }
  }
?>
              <tr>
                <td colspan="5"><table border="0" width="100%" cellspacing="0" cellpadding="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $orders_split->display_count($orders_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_ORDERS); ?></td>
                    <td class="smallText" align="right"><?php echo $orders_split->display_links($orders_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], tep_get_all_get_params(array('page', 'oID', 'action'))); ?></td>
                  </tr>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    case 'confirm':
      $heading[] = array('text' => '<b>' . TEXT_CONFIRM_POINTS . '</b>');

      $contents = array('form' => tep_draw_form('points', FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=confirmconfirm'));      
      $value_field = TEXT_CONFIRM_POINTS_LONG. '<br>';
      $contents[] = array('text' => $value_field);      
      $contents[] = array('text' => '<br>' . tep_draw_checkbox_field('queue_confirm', '', true) . ' ' . TEXT_QUEUE_POINTS_TABLE);
      $contents[] = array('text' => tep_draw_checkbox_field('notify', '', true) . ' ' . TEXT_NOTIFY_CUSTOMER);
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_confirm_points.gif', BUTTON_TEXT_CONFIRM_PENDING_POINTS) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'cancel':
      $heading[] = array('text' => '<b>' . TEXT_CANCEL_POINTS . '</b>');

      $contents = array('form' => tep_draw_form('points', FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=confirmcancel'));
      $contents[] = array('text' => TEXT_CANCEL_POINTS_LONG);      
      $contents[] = array('text' => '<br>' . tep_draw_checkbox_field('queue_cancel', '', true) . ' ' . TEXT_QUEUE_POINTS_TABLE);
      $contents[] = array('text' => tep_draw_checkbox_field('notify', '', true) . ' ' . TEXT_NOTIFY_CUSTOMER);
      $value_field = TEXT_CANCELLATION_REASON .'<BR>'. tep_draw_input_field('comment', 0);
      $contents[] = array('text' => $value_field);      
      
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_cancel_points.gif', BUTTON_TEXT_CANCEL_PENDING_POINTS) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'ajust':
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_AJUST_POINTS . '</b>');

      $contents = array('form' => tep_draw_form('points', FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=ajustpoints'));
      $contents[] = array('text' => '<b>'. TEXT_INFO_HEADING_AJUST_POINTS . '</b><br>');
      $value_field = TEXT_AJUST_INTRO . '<br><br>' . TEXT_POINTS_TO_AJUST . '<br>'. tep_draw_input_field('points_to_aj', '' , 'onBlur="validate(this)"');
      $contents[] = array('text' => $value_field); 
           
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_ajust_points.gif', BUTTON_TEXT_AJUST_POINTS) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'rollback':
      $heading[] = array('text' => '<b>' . TEXT_ROLL_POINTS . '</b>');

      $contents = array('form' => tep_draw_form('points', FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=pe_rollback'));
      $contents[] = array('text' => '<b>'. TEXT_ROLL_POINTS . '</b><br>');
      $value_field = TEXT_ROLL_POINTS_LONG. '<br>';
      $contents[] = array('text' => $value_field);      
      $contents[] = array('text' =>  '<br>'. tep_draw_checkbox_field('notify', '', true) . ' ' . TEXT_NOTIFY_CUSTOMER);
      $value_field = TEXT_ROLL_REASON .'<BR>'. tep_draw_input_field('comment', 0);
       $contents[] = array('text' => $value_field);      
     $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_rollback_points.gif', BUTTON_TEXT_ROLL_POINTS) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_RECORD . '</b>');

      $contents = array('form' => tep_draw_form('points', FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_DELETE_INTRO );
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete.gif', BUTTON_TEXT_REMOVE_RECORD) . ' <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
      
    default:
      if (isset($oInfo) && is_object($oInfo)) {
        $heading[] = array('text' => TEXT_INFO_HEADING_PENDING_NO .'<b>' . $oInfo->orders_id . '</b>');

		if($showbuttons == 1) {
                $cInfo->customers_email_address  == $orders['customers_email_address'] ;
      
			$contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=confirm') . '">' . tep_image_button('button_confirm_points.gif', BUTTON_TEXT_CONFIRM_PENDING_POINTS) . '</a> <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=cancel') . '">' . tep_image_button('button_cancel_points.gif', BUTTON_TEXT_CANCEL_PENDING_POINTS) . '</a> <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=ajust') . '">' . tep_image_button('button_ajust_points.gif', BUTTON_TEXT_AJUST_POINTS) . '</a> <a href="' . tep_href_link(FILENAME_MAIL, 'selected_box=tools&customer=' . $oInfo->customers_email_address) . '">' . tep_image_button('button_email.gif', IMAGE_EMAIL) . '</a> <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=delete') . '">' . tep_image_button('button_delete.gif', BUTTON_TEXT_REMOVE_RECORD) . '</a>');
		}
		
		if($showbuttons == 2) {
			$contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=rollback') . '">' . tep_image_button('button_rollback_points.gif', BUTTON_TEXT_ROLL_POINTS) . '</a> <a href="' . tep_href_link(FILENAME_MAIL, 'selected_box=tools&customer=' . $oInfo->customers_email_address) . '">' . tep_image_button('button_email.gif', IMAGE_EMAIL) . '</a> <a href="' . tep_href_link(FILENAME_CUSTOMERS_POINTS_PENDING, tep_get_all_get_params(array('oID', 'action')) . 'oID=' . $oInfo->orders_id . '&action=delete') . '">' . tep_image_button('button_delete.gif', BUTTON_TEXT_REMOVE_RECORD) . '</a>');
		}
		
		if($oInfo->comment == 'TEXT_DEFAULT_COMMENT') {
		   $oInfo->comment = TEXT_DEFAULT_COMMENT;
		}
		if($oInfo->comment == 'TEXT_DEFAULT_REDEEMED') {
		   $oInfo->comment = TEXT_DEFAULT_REDEEMED;
		}
		
        $contents[] = array('text' => '<br><b>' . TEXT_INFO_POINTS_COMMENT . '</b><br>' . $oInfo->comment );
        $contents[] = array('text' => '<br>' . TEXT_DATE_ORDER_CREATED . ' ' . tep_date_short($oInfo->date_purchased));
        if (tep_not_null($oInfo->last_modified)) $contents[] = array('text' => TEXT_DATE_ORDER_LAST_MODIFIED . ' ' . tep_date_short($oInfo->last_modified));
        $contents[] = array('text' => '<br><b>' . TEXT_INFO_PAYMENT_METHOD . '</b><br>'  . $oInfo->payment_method);
      }
      break;
  }

  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
?>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
