<?php
/*
  $Id: tep_get_years.inc.php,v 1.1.1.1 21/11/06 11:46

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

function tep_get_year_list($name, $selected = '', $parameters = '') {
    $years = tep_get_years();
    return tep_draw_pull_down_menu($name, $years, $selected, $parameters);
  }

function tep_get_years($default = '') {
    $years_array = array();
    if ($default) {
      $years_array[] = array('id' => '',
                                 'text' => $default);
    }
    $years_query = tep_db_query("select distinct YEAR(date_purchased) as y from " . TABLE_ORDERS . " order by year(date_purchased) desc");
    while ($years = tep_db_fetch_array($years_query)) {
      $years_array[] = array('id' => $years['y'],
                                 'text' => $years['y']);
    }

    return $years_array;
  }
?>