<?php
/*
  $Id: tchinese.php,v 1.1.1.1 2003/08/14 07:59:14 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License

*/
//Admin begin
// header text in includes/header.php
define('HEADER_TITLE_ACCOUNT', '我的帳號');
define('HEADER_TITLE_LOGOFF', '登出');

// Admin Account
define('BOX_HEADING_MY_ACCOUNT', '我的帳號');

// configuration box text in includes/boxes/administrator.php
define('BOX_HEADING_ADMINISTRATOR', '管理者');
define('BOX_ADMINISTRATOR_MEMBERS', '會員群組');
define('BOX_ADMINISTRATOR_MEMBER', '會員');
define('BOX_ADMINISTRATOR_BOXES', '設定納入管理檔案');

// images
define('IMAGE_FILE_PERMISSION', '設定檔案存取權限');
define('IMAGE_GROUPS', '群組列表');
define('IMAGE_INSERT_FILE', '存入檔案');
define('IMAGE_MEMBERS', '會員列表');
define('IMAGE_NEW_GROUP', '新增群組');
define('IMAGE_NEW_MEMBER', '新增會員');
define('IMAGE_NEXT', '下一步');

// constants for use in tep_prev_next_display function
define('TEXT_DISPLAY_NUMBER_OF_FILENAMES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個檔案)');
define('TEXT_DISPLAY_NUMBER_OF_MEMBERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 位會員)');
//Admin end


// look in your $PATH_LOCALE/locale directory for available locales..
// on RedHat6.0 I used 'en_US'
// on FreeBSD 4.0 I use 'en_US.ISO_8859-1'
// this may not work under win32 environments..
setlocale(LC_TIME, 'zh_TW.UTF-8');
define('DATE_FORMAT_SHORT', '%Y/%m/%d');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%Y年%B月%d日%A'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('PHP_DATE_TIME_FORMAT', 'Y/m/d H:i:s'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');

////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// Global entries for the <html> tag
define('HTML_PARAMS','dir="ltr" lang="tw"');

// charset for web pages and emails
define('CHARSET', 'UTF-8');
define('EMAIL_CHARSET', 'BIG5');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_TOP', '系統管理');
define('HEADER_TITLE_SUPPORT_SITE', '支援網站');
define('HEADER_TITLE_ONLINE_CATALOG', '線上目錄');
define('HEADER_TITLE_ADMINISTRATION', '系統管理');
define('HEADER_TITLE_LOGOFF', '登出');


// box text in includes/boxes/administrators.php
define('BOX_HEADING_ADMINISTRATORS', '系統管理員');
define('BOX_ADMINISTRATORS_SETUP', '設定');

// text for gender
define('MALE', '男');
define('FEMALE', '女');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// configuration box text in includes/boxes/configuration.php
define('BOX_HEADING_CONFIGURATION', '系統設定');
define('BOX_CONFIGURATION_MYSTORE', '我的商店');
define('BOX_CONFIGURATION_LOGGING', '紀錄');
define('BOX_CONFIGURATION_CACHE', '快取');

// modules box text in includes/boxes/modules.php
define('BOX_HEADING_MODULES', '外掛模組');
define('BOX_MODULES_PAYMENT', '付款方式');
define('BOX_MODULES_SHIPPING', '出貨方式');
define('BOX_MODULES_ORDER_TOTAL', '訂單總計');

// categories box text in includes/boxes/catalog.php
define('BOX_HEADING_CATALOG', '商品分類');
define('BOX_CATALOG_CATEGORIES_PRICEUPDATE', '價格更新');
define('BOX_CATALOG_CATEGORIES_PRODUCTS', '商品分類');
define('BOX_CATALOG_CATEGORIES_PRODUCTS_ATTRIBUTES', '商品屬性');
define('BOX_CATALOG_MANUFACTURERS', '製造廠商');
define('BOX_CATALOG_REVIEWS', '商品評論');
define('BOX_CATALOG_SPECIALS', '特價商品');
define('BOX_CATALOG_PRODUCTS_EXPECTED', '商品預告');

// customers box text in includes/boxes/customers.php
define('BOX_HEADING_CUSTOMERS', '客戶/訂單');
define('BOX_CUSTOMERS_CUSTOMERS', '客戶');
define('BOX_CUSTOMERS_ORDERS', '訂單');

// taxes box text in includes/boxes/taxes.php
define('BOX_HEADING_LOCATION_AND_TAXES', '國別/地區/稅');
define('BOX_TAXES_COUNTRIES', '國別');
define('BOX_TAXES_ZONES', '地區');
define('BOX_TAXES_GEO_ZONES', '稅區');
define('BOX_TAXES_TAX_CLASSES', '稅別');
define('BOX_TAXES_TAX_RATES', '稅率');

// reports box text in includes/boxes/reports.php
define('BOX_HEADING_REPORTS', '各類報表');
define('BOX_REPORTS_PRODUCTS_VIEWED', '已被瀏覽商品');
define('BOX_REPORTS_PRODUCTS_PURCHASED', '已賣商品');
define('BOX_REPORTS_ORDERS_TOTAL', '客戶購物排行榜');

// tools text in includes/boxes/tools.php
define('BOX_HEADING_TOOLS', '系統工具');
define('BOX_TOOLS_BACKUP', '資料庫備分');
define('BOX_TOOLS_BANNER_MANAGER', '廣告管理');
define('BOX_TOOLS_CACHE', '快取控制');
define('BOX_TOOLS_DEFINE_LANGUAGE', '語系定義');
define('BOX_TOOLS_FILE_MANAGER', '檔案管理');
define('BOX_TOOLS_MAIL', '寄電子郵件');
define('BOX_TOOLS_SERVER_INFO', '主機資訊');
define('BOX_TOOLS_WHOS_ONLINE', '線上客戶');
define('BOX_HEADING_ADMINISTRATORS', '系統管理者');
define('BOX_ADMINISTRATORS_SETUP', '管理者設定');

// localizaion box text in includes/boxes/localization.php
define('BOX_HEADING_LOCALIZATION', '本地化設定');
define('BOX_LOCALIZATION_CURRENCIES', '貨幣設定');
define('BOX_LOCALIZATION_LANGUAGES', '語系設定');
define('BOX_LOCALIZATION_ORDERS_STATUS', '訂單狀態');

// javascript messages
define('JS_ERROR', 'Errors have occured during the process of your form!\nPlease make the following corrections:\n\n');

define('JS_OPTIONS_VALUE_PRICE', '* The new product atribute needs a price value\n');
define('JS_OPTIONS_VALUE_PRICE_PREFIX', '* The new product atribute needs a price prefix\n');

define('JS_PRODUCTS_NAME', '* The new product needs a name\n');
define('JS_PRODUCTS_DESCRIPTION', '* The new product needs a description\n');
define('JS_PRODUCTS_PRICE', '* The new product needs a price value\n');
define('JS_PRODUCTS_WEIGHT', '* The new product needs a weight value\n');
define('JS_PRODUCTS_QUANTITY', '* The new product needs a quantity value\n');
define('JS_PRODUCTS_MODEL', '* The new product needs a model value\n');
define('JS_PRODUCTS_IMAGE', '* The new product needs an image value\n');

define('JS_SPECIALS_PRODUCTS_PRICE', '* A new price for this product needs to be set\n');

define('JS_GENDER', '* The \'Gender\' value must be chosen.\n');
define('JS_FIRST_NAME', '* The \'First Name\' entry must have at least ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' characters.\n');
define('JS_LAST_NAME', '* The \'Last Name\' entry must have at least ' . ENTRY_LAST_NAME_MIN_LENGTH . ' characters.\n');
define('JS_DOB', '* The \'Date of Birth\' entry must be in the format: xx/xx/xxxx (month/date/year).\n');
define('JS_EMAIL_ADDRESS', '* The \'E-Mail Address\' entry must have at least ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' characters.\n');
define('JS_ADDRESS', '* The \'Street Address\' entry must have at least ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' characters.\n');
define('JS_POST_CODE', '* The \'Post Code\' entry must have at least ' . ENTRY_POSTCODE_MIN_LENGTH . ' characters.\n');
define('JS_CITY', '* The \'City\' entry must have at least ' . ENTRY_CITY_MIN_LENGTH . ' characters.\n');
define('JS_STATE', '* The \'State\' entry is must be selected.\n');
define('JS_STATE_SELECT', '-- Select Above --');
define('JS_ZONE', '* The \'State\' entry must be selected from the list for this country.');
define('JS_COUNTRY', '* The \'Country\' value must be chosen.\n');
define('JS_TELEPHONE', '* The \'Telephone Number\' entry must have at least ' . ENTRY_TELEPHONE_MIN_LENGTH . ' characters.\n');
define('JS_PASSWORD', '* The \'Password\' amd \'Confirmation\' entries must match amd have at least ' . ENTRY_PASSWORD_MIN_LENGTH . ' characters.\n');

define('JS_ORDER_DOES_NOT_EXIST', 'Order Number %s does not exist!');

define('CATEGORY_PERSONAL', '個人資料');
define('CATEGORY_ADDRESS', '通訊地址');
define('CATEGORY_CONTACT', '電話/傳真');
define('CATEGORY_COMPANY', '公司資料');
define('CATEGORY_PASSWORD', '密碼');
define('CATEGORY_OPTIONS', '選項');
define('ENTRY_GENDER', '性別:');
define('ENTRY_GENDER_ERROR', '&nbsp;<span class="errorText">必填</span>');
define('ENTRY_FIRST_NAME', '中文名稱:');
define('ENTRY_FIRST_NAME_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' 個字</span>');
define('ENTRY_LAST_NAME', '英文名稱:');
define('ENTRY_LAST_NAME_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_LAST_NAME_MIN_LENGTH . ' 幾個字</span>');
define('ENTRY_DATE_OF_BIRTH', '生日:');
define('ENTRY_DATE_OF_BIRTH_ERROR', '&nbsp;<span class="errorText">(例如 05/21/1970)</span>');
define('ENTRY_EMAIL_ADDRESS', '電子郵件:');
define('ENTRY_EMAIL_ADDRESS_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' 個字</span>');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', '&nbsp;<span class="errorText">這個電子郵件無效！</span>');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', '&nbsp;<span class="errorText">這個電子郵件已經存在！</span>');
define('ENTRY_COMPANY', '公司名稱:');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_STREET_ADDRESS', '街道門牌號碼:');
define('ENTRY_STREET_ADDRESS_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' 個字</span>');
define('ENTRY_SUBURB', '村里鄰:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_POST_CODE', '郵遞區號:');
define('ENTRY_POST_CODE_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_POSTCODE_MIN_LENGTH . ' 個字</span>');
define('ENTRY_CITY', '鄉鎮區:');
define('ENTRY_CITY_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_CITY_MIN_LENGTH . ' 個字</span>');
define('ENTRY_STATE', '縣市:');
define('ENTRY_STATE_ERROR', '&nbsp;<span class="errorText">必填</span>');
define('ENTRY_COUNTRY', '國家:');
define('ENTRY_COUNTRY_ERROR', '');
define('ENTRY_TELEPHONE_NUMBER', '電話號碼:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', '&nbsp;<span class="errorText">少於 ' . ENTRY_TELEPHONE_MIN_LENGTH . ' 個字</span>');
define('ENTRY_FAX_NUMBER', '傳真/行動:');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_NEWSLETTER', '電子報:');
define('ENTRY_NEWSLETTER_YES', '訂電子報');
define('ENTRY_NEWSLETTER_NO', '取消');
define('ENTRY_NEWSLETTER_ERROR', '');
define('ENTRY_PASSWORD', '密碼:');
define('ENTRY_PASSWORD_CONFIRMATION', '再輸入一次密碼:');
define('PASSWORD_HIDDEN', '--隱藏--');

// images
define('IMAGE_ANI_SEND_EMAIL', '寄電子郵件中...');
define('IMAGE_BACK', '回上頁');
define('IMAGE_BACKUP', '備份');
define('IMAGE_CANCEL', '取消');
define('IMAGE_CONFIRM', '確認');
define('IMAGE_COPY', '複製');
define('IMAGE_COPY_TO', '複製到');
define('IMAGE_DEFINE', '定義');
define('IMAGE_DELETE', '刪除');
define('IMAGE_EDIT', '編輯');
define('IMAGE_EMAIL', 'Email 郵寄');
define('IMAGE_FILE_MANAGER', '檔案管理');
define('IMAGE_ICON_STATUS_GREEN', '已啟動');
define('IMAGE_ICON_STATUS_GREEN_LIGHT', '按我啟動');
define('IMAGE_ICON_STATUS_RED', '未啟動');
define('IMAGE_ICON_STATUS_RED_LIGHT', '按我停止');
define('IMAGE_ICON_INFO', '資訊');
define('IMAGE_INSERT', '插入');
define('IMAGE_LOCK', '鎖定');
define('IMAGE_MODULE_INSTALL', '安裝模組');
define('IMAGE_MODULE_REMOVE', '移除模組');
define('IMAGE_MOVE', '移動');
define('IMAGE_NEW_BANNER', '新增廣告');
define('IMAGE_NEW_CATEGORY', '新增商品分類');
define('IMAGE_NEW_COUNTRY', '新增國別');
define('IMAGE_NEW_CURRENCY', '新增貨幣');
define('IMAGE_NEW_FILE', '新增檔案');
define('IMAGE_NEW_FOLDER', '新增資料夾');
define('IMAGE_NEW_LANGUAGE', '新增語系');
define('IMAGE_NEW_NEWSLETTER', '新增電子報');
define('IMAGE_NEW_PRODUCT', '新增商品');
define('IMAGE_NEW_TAX_CLASS', '新增稅別');
define('IMAGE_NEW_TAX_RATE', '新增稅率');
define('IMAGE_NEW_TAX_ZONE', '新增稅區');
define('IMAGE_NEW_ZONE', '新增地區');
define('IMAGE_ORDERS', '訂單');
define('IMAGE_ORDERS_INVOICE', '收據列印');
define('IMAGE_ORDERS_PACKINGSLIP', '分裝列印');
define('IMAGE_PREVIEW', '預覽');
define('IMAGE_RESTORE', '回復資料庫');
define('IMAGE_RESET', '重設');
define('IMAGE_SAVE', '儲存');
define('IMAGE_SEARCH', '搜尋');
define('IMAGE_SELECT', '選擇');
define('IMAGE_SEND', '寄出');
define('IMAGE_SEND_EMAIL', '寄 Email');
define('IMAGE_UNLOCK', '開鎖');
define('IMAGE_UPDATE', '更新');
define('IMAGE_UPDATE_CURRENCIES', '更新匯率');
define('IMAGE_UPLOAD', '上傳');

define('ICON_CROSS', '否');
define('ICON_CURRENT_FOLDER', '目前資料夾');
define('ICON_DELETE', '刪除');
define('ICON_ERROR', '錯誤');
define('ICON_FILE', '檔案');
define('ICON_FILE_DOWNLOAD', '下載');
define('ICON_FOLDER', '資料夾');
define('ICON_LOCKED', '鎖住');
define('ICON_PREVIOUS_LEVEL', 'Previous Level');
define('ICON_PREVIEW', '預覽');
define('ICON_STATISTICS', '統計資料');
define('ICON_SUCCESS', '完成');
define('ICON_TICK', '是');
define('ICON_UNLOCKED', '解開');
define('ICON_WARNING', '警告');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', ' %s / %d 頁');
define('TEXT_DISPLAY_NUMBER_OF_BANNERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個廣告)');
define('TEXT_DISPLAY_NUMBER_OF_COUNTRIES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個國別)');
define('TEXT_DISPLAY_NUMBER_OF_CUSTOMERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個客戶)');
define('TEXT_DISPLAY_NUMBER_OF_CURRENCIES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個貨幣)');
define('TEXT_DISPLAY_NUMBER_OF_LANGUAGES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個語系)');
define('TEXT_DISPLAY_NUMBER_OF_MANUFACTURERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個製造廠商)');
define('TEXT_DISPLAY_NUMBER_OF_NEWSLETTERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 份電子報)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 筆訂單)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS_STATUS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個訂單狀態)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個商品)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_EXPECTED', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個商品上市預告)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個商品評論)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個特價商品)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_CLASSES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個稅別)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_ZONES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個稅區)');
define('TEXT_DISPLAY_NUMBER_OF_TAX_RATES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個稅率)');
define('TEXT_DISPLAY_NUMBER_OF_ZONES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個地區)');

define('PREVNEXT_BUTTON_PREV', '&lt;&lt;');
define('PREVNEXT_BUTTON_NEXT', '&gt;&gt;');

define('TEXT_DEFAULT', '預設');
define('TEXT_SET_DEFAULT', '設定為預設');
define('TEXT_FIELD_REQUIRED', '&nbsp;<span class="fieldRequired">* 必填</span>');

define('ERROR_NO_DEFAULT_CURRENCY_DEFINED', '錯誤：沒有預設的貨幣，請到\'系統工具/本地化設定/貨幣\' 設定');

define('TEXT_NONE', '--無--');
define('TEXT_TOP', '頂端');

define('ERROR_DESTINATION_DOES_NOT_EXIST', '錯誤: 目的地不存在');
define('ERROR_DESTINATION_NOT_WRITEABLE', '錯誤: 目的地無法寫入');
define('ERROR_FILE_NOT_SAVED', '錯誤: 上傳檔案無法儲存');
define('ERROR_FILETYPE_NOT_ALLOWED', '錯誤r: 不允許檔案上傳');
define('SUCCESS_FILE_SAVED_SUCCESSFULLY', '完成: 檔案上傳完成');
define('WARNING_NO_FILE_UPLOADED', '警告: 沒有檔案上傳');
define('WARNING_FILE_UPLOADS_DISABLED', '警告:  php.ini 設定檔無開啟檔案上傳');

define('TEXT_INFO_USER_NAME', '使用者名稱：');
define('TEXT_INFO_PASSWORD', '密碼：');
define('TEXT_LOGIN_ERROR', '錯誤的使用者名稱或密碼');

// header text in includes/header.php
define('HEADER_TITLE_TOP', '管理中心');
define('HEADER_TITLE_SUPPORT_SITE', '支援網站');
define('HEADER_TITLE_ONLINE_CATALOG', '線上目錄');
define('HEADER_TITLE_ADMINISTRATION', '管理中心');

// xsell
define('BOX_CATALOG_XSELL_PRODUCTS', '推薦產品');
define('TEXT_CACHE_CATEGORIES', '類別區');
define('TEXT_CACHE_MANUFACTURERS', '廠商區');
define('TEXT_CACHE_ALSO_PURCHASED', '推薦商品模組');

//B2B_suit
define('BOX_CUSTOMERS_GROUPS','群組設定');
define('BOX_CUSTOMERS_APPROVAL', '客戶等級設定');
define('ENTRY_CUSTOMERS_GROUP_NAME','客戶等級');
define('ENTRY_GROUPS_NAME','群組名稱');
define('VISITOR_NAME','新客戶');
define('ENTRY_DEFAULT_DISCOUNT','折扣％');
define('ENTRY_CATEGORIES_NAME','選擇目錄');
define('ENTRY_CATEGORIES_DISCOUNT','折扣％');

// BOF Separate Pricing per Customer
define('ENTRY_COMPANY_TAX_ID', '公司統一編號:');
define('ENTRY_COMPANY_TAX_ID_ERROR', '統一編號錯誤');
define('ENTRY_CUSTOMERS_GROUP_REQUEST_AUTHENTICATION', '公司資料認證:');
define('ENTRY_CUSTOMERS_GROUP_RA_NO', '資料齊全');
define('ENTRY_CUSTOMERS_GROUP_RA_YES', '未完成');
define('ENTRY_CUSTOMERS_GROUP_RA_ERROR', '資料錯誤');


//BEGIN USERNAME
define('ENTRY_USERNAME', '會員帳號:');
define('TABLE_HEADING_USERNAME', '會員帳號');
define('JS_USER_NAME', '* 使用者名稱至少須 ' . ENTRY_USERNAME_MIN_LENGTH . ' 字元.\n');
// ENTRY_CF
define('ENTRY_CF', '統一編號');
define('ENTRY_CF_ERROR','統一編號錯誤');
// Text in birthday.php 
define('HEADING_BIRTHDAYS', '生日'); 
define('TEXT_BIRTHDAYS', '客戶生日'); 
define('BOX_CUSTOMERS_BIRTHDAY', '客戶生日');
define('BOX_SEND_CUSTOMER_BIRTHDAYS_EMAIL', '寄發客戶生日E-mail');
define('TEXT_BIRTHDAYS_NOWMONTH', ' 本月份生日名單');
define('TEXT_BIRTHDAYS_NEXTMONTH', ' 下個月份生日名單');
define('TEXT_BIRTHDAYS_NAME', ' 客戶名稱');
define('TEXT_BIRTHDAYS_EMAIL', ' 客戶 Email');
define('TEXT_BIRTHDAYS_DATE', ' 客戶生日');
define('ICON_ORDERS', '顯示所有訂單');
// blacklist text in includes/boxes/blacklist.php
   define('BOX_HEADING_BLACKLIST', '客戶黑名單');
   define('BOX_BLACKLIST_CONTROL', '黑名單管制');  
//Customers extra fields
 define('BOX_TOOLS_EXTRA_FIELDS_MANAGER','個別通信欄');
 define('ENTRY_EXTRA_FIELDS_ERROR','欄位 %s 最少必須 %d 個字元');
 define('TEXT_DISPLAY_NUMBER_OF_FIELDS', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 欄位)');
 
//cities
  define('BOX_TAXES_CITIES', '鄉鎮市(區)');
  define('TEXT_DISPLAY_NUMBER_OF_CITIES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 個鄉鎮市(區))');
  
// Report box =====================================================
//SALES_Report2
  define('BOX_REPORTS_SALES_REPORT2', '銷售統計表');
//Inactive User Report
  define('BOX_REPORTS_INACTIVE_USER', '靜止(無交易)戶');
//unsold_cart report
  define('BOX_REPORTS_UNSOLD_CARTS', '購物車未結帳');
//low stock report
  define('BOX_REPORTS_STOCK_LEVEL', '庫存不足報表');
  define('TEXT_PRODUCTS_TO_STOCK', '商品回存');
//Customers per Product
  define('BOX_REPORTS_CUSTOMERS_PER_PRODUCT', '客戶/商品分析');
//graph for sales_report
  define('BOX_REPORTS_SALES_REPORT', '銷售統計表(圖形版)');
// All Customers contrib
  define('BOX_REPORTS_ALL_CUSTOMERS', '全部客戶');
// visitors
define('BOX_VISITORS', '訪客統計');
define('TEXT_DISPLAY_NUMBER_OF_ENTRIES', '顯示 <b>%d</b>到<b>%d</b> (共<b>%d</b>來訪)');
//credit stats--4009
define('BOX_REPORTS_CREDITS', '客戶禮券積分');
// Report box ======================================================

// ################# Contribution Newsletter v050 ##############
// newsletters box text in includes/boxes/newsletters.php
//define('BOX_TOOLS_NEWSLETTER_MANAGER', '電子報管理');
define('BOX_HEADING_NEWSLETTER', '電子報中心');
define('BOX_NEWSLETTER_ADMIN', '電子報管理');
define('BOX_NEWSLETTERS_MAILS', 'MAIL訂報者');
define('BOX_NEWSLETTER_EXTRA_INFOS', '版面管理');
define('BOX_NEWSLETTER_EXTRA_DEFAULT', '預設版面');
//define('BOX_NEWSLETTER_UPDATE', '更新訂報資料');
define('BOX_NEWSLETTER_SUBSCRIBERS_UTILITIES', '各類工具');
define('BOX_NEWSLETTER_SUBSCRIBERS_VIEW', '訂戶管理');
define('BOX_CUSTOMERS_NEWSLETTER_MANAGER', '電子報管理');
define('TABLE_HEADING_EMAIL','E Mails');
define('TEXT_UNSUBSCRIBE','取消訂閱 : ');
// customers_newsletters
define('BOX_NEWSLETTERS_MAIL', 'MAIL客戶');
// ################# END - Contribution Newsletter v050 ##############

// Account Balance Modif
  define('BOX_CUSTOMERS_BALANCE_HISTORY', '客戶帳款結餘'); 
        // added for account balance mod
        define('ENTRY_ACCOUNT_BALANCE', '帳款調整金額: ');
        define('ENTRY_ACCOUNT_BALANCE_OLD', '帳款餘額: ');
        define('ENTRY_ACCOUNT_BALANCE_DESC', '新 帳款調整說明: ');
        define('CATEGORY_ACCOUNT_BALANCE', '帳款餘額');
        define('TABLE_HEADING_ACCOUNT_BALANCE', '帳款餘額');
  

define('BOX_HEADING_CATALOG_INFO', '商品資訊');
// QUICK_UPDATES
define('BOX_CATALOG_QUICK_UPDATES', '商品快速更新');
// sort_order_1.5
define('BOX_CATALOG_PRODUCTS_SORTER', '商品排序');
// Product Extra Fields
define('BOX_CATALOG_PRODUCTS_EXTRA_FIELDS', '商品增加欄位');
// STAR PRODUCT Start
define('STAR_PRODUCT', '明星商品');	
// Admin Specials by Categories for SPPC
define('BOX_CATALOG_SPECIALSBYCAT','分類特價');
// dangling_carrot
define('BOX_CATALOG_CARROT', '滿額加購商品');
// Featured Products
define('BOX_CATALOG_FEATURED_PRODUCTS', '精選商品');

define('BOX_2GETHER_SPECIALS', '２種合購特價');

define('BOX_CATALOG_ATTRIBUTES_COPIER', '複製商品屬性');
// BOF Linkmatics attributes sets plus  
define('BOX_CATALOG_CATEGORIES_PRODUCTS_ATTRIBUTES_SETS', '屬性集');

// Points/Rewards Module V1.60
define('BOX_CUSTOMERS_POINTS', '客戶紅利點數');
define('BOX_CUSTOMERS_POINTS_PENDING', '處理中的點數');
// Email Queue V2.0
define('BOX_EMAIL_QUEUE', '郵件備份管理');
// header_tags_controller text in includes/boxes/header_tags_controller.php
define('BOX_HEADING_HEADER_TAGS_CONTROLLER', '商品標題');
define('BOX_HEADER_TAGS_ADD_A_PAGE', '頁面標題');
define('BOX_HEADER_TAGS_ENGLISH', '標題文字');
define('BOX_HEADER_TAGS_FILL_TAGS', '填入標籤');
// Additional Images 
define('BOX_CATALOG_IMAGES_PRODUCTS', '增加圖片');
define('IMAGE_ADDITIONAL_NEW', '增加圖片');    
define('IMAGE_ADDITIONAL_DEL', '刪除圖片');
// Newsdesk
define('BOX_HEADING_NEWSDESK', '新聞公告');
define('BOX_NEWSDESK', '資訊分類管理');
define('BOX_NEWSDESK_REVIEWS', '評論管理');
define('NEWSDESK_ARTICLES', '文章');
define('NEWSDESK_REVIEWS', '評論');

// Extra Pages - Info Box
  define('BOX_TOOLS_PAGE_MANAGER', '網站內容管理');
  define('TEXT_DISPLAY_NUMBER_OF_PAGES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 頁)');
// Dynamic sitemap
define('BOX_TOOLS_SITEMAP', '網站導覽');
define('IMAGE_EXCLUDE', '排除');
// VJ Links Manager v1.00
// links manager box text in includes/boxes/links.php
define('BOX_HEADING_LINKS', '交換連結管理');
define('BOX_LINKS_LINKS', '連結數');
define('BOX_LINKS_LINK_CATEGORIES', '連結分類');
define('BOX_LINKS_LINKS_CONTACT', '連結連絡');
define('BOX_LINKS_LINKS_FEATURED', '指定連結');
define('BOX_LINKS_LINKS_STATUS', '連結狀態');
// Begin Shipping Info
define('ENTRY_TRACKING_NO', '運送編號:  ');
define('ENTRY_SHIP_DATE', '運送日期:  ');
define('ENTRY_DELIVERY_DATE', '送達日期:  ');
// End ShippingInfo
define('BOX_CACHE_MANAGER','商品頁快取管理');

// STS 4.0
define('BOX_MODULES_STS', 'STS佈景配置'); 
// ICW CREDIT CLASS Gift Voucher Addittion
require(DIR_WS_LANGUAGES . 'add_ccgvdc_tchinese.php');  
?>
