<?php
/*
  $Id: products_attributes_copier.php,v 1.0 2003/11/15 22:50:52 Jedlinsky Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'copy':
        $errors = false;
        $source_product_id = tep_db_prepare_input($_POST['source_product_id']);

        $test_query = tep_db_query("select distinct products_id from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id = '" . (int)$source_product_id . "'");
        if (tep_db_num_rows($test_query) != 1) {
          $messageStack->add_session(ERROR_SOURCE_PRODUCT, 'error');
          $error = true;
        }

        $options_count = count($_POST['copied_options']);
        if ($options_count < 1) {
          $messageStack->add_session(ERROR_NO_OPTIONS_SELECTED, 'error');
          $error = true;
        }

        $destination_products_count = count($_POST['destination_products']);
        if ($destination_products_count < 1) {
          $messageStack->add_session(ERROR_NO_DESTINATION_PRODUCTS, 'error');
          $error = true;
        }

        if ($error == false) {

// create array with all selected options of source product
          $source_attributes_query = tep_db_query("select * from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id = '" . (int)$source_product_id . "'");
          $source_attributes_array = array();
          while ($source_attributes = tep_db_fetch_array($source_attributes_query)) {
            $source_attributes_array[] = $source_attributes;
          }

// insert new attributes to destination products
          for ($h = 0; $h < $options_count; $h++) {
            $options_id_is_selected = tep_db_prepare_input($_POST['copied_options'][$h]);
            for ($i = 0; $i < $destination_products_count; $i++) {
              for ($j = 0; $j < count($source_attributes_array); $j++) {
                $products_id = tep_db_prepare_input($_POST['destination_products'][$i]);
                $options_id = $source_attributes_array[$j]['options_id'];
                $options_values_id = $source_attributes_array[$j]['options_values_id'];
                $options_values_price = $source_attributes_array[$j]['options_values_price'];
                $price_prefix = $source_attributes_array[$j]['price_prefix'];
//                $sort_order = $source_attributes_array[$j]['sort_order'];

                if ($options_id == $options_id_is_selected) {
                  $test_query = tep_db_query("select products_attributes_id from " . TABLE_PRODUCTS_ATTRIBUTES . " where products_id = '" . $products_id . "' and options_id = '" . $options_id . "' and options_values_id = '" . $options_values_id . "'");
                  if (tep_db_num_rows($test_query) > 0) {
                    $test = tep_db_fetch_array($test_query);
                    $products_attributes_id = $test['products_attributes_id'];
//                    $update_query = tep_db_query("update " . TABLE_PRODUCTS_ATTRIBUTES . " set products_id = '" . $products_id . "', options_id = '" . $options_id . "', options_values_id = '" . $options_values_id . "', options_values_price = '" . $options_values_price . "', price_prefix = '" . $price_prefix . "', sort_order = '" . $sort_order . "' where products_attributes_id = '" . $products_attributes_id . "'");
                $update_query = tep_db_query("update " . TABLE_PRODUCTS_ATTRIBUTES . " set products_id = '" . $products_id . "', options_id = '" . $options_id . "', options_values_id = '" . $options_values_id . "', options_values_price = '" . $options_values_price . "', price_prefix = '" . $price_prefix . "' where products_attributes_id = '" . $products_attributes_id . "'");
                  } else {
//                    $insert_query = tep_db_query("insert into " . TABLE_PRODUCTS_ATTRIBUTES . " (products_attributes_id, products_id, options_id, options_values_id, options_values_price, price_prefix, sort_order) values (NULL, '" . $products_id . "', '" . $options_id . "', '" . $options_values_id . "', '" . $options_values_price . "', '" . $price_prefix . "', '" . $sort_order . "')");
                $insert_query = tep_db_query("insert into " . TABLE_PRODUCTS_ATTRIBUTES . " (products_attributes_id, products_id, options_id, options_values_id, options_values_price, price_prefix) values (NULL, '" . $products_id . "', '" . $options_id . "', '" . $options_values_id . "', '" . $options_values_price . "', '" . $price_prefix . "')");
                  }
                }
              }
            }
          }

          $messageStack->add_session(SUCCESS_OPTIONS_COPIED, 'success');
        }
        tep_redirect(tep_href_link(FILENAME_PRODUCTS_ATTRIBUTES_COPIER));
      break;
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr valign="top">
        <td class="smallText">
<?php
  if (isset($_GET['source_product_id']))
    $source_product_id = (int)$_GET['source_product_id'];

  $attributed_products_query = tep_db_query("select distinct pa.products_id, p.products_id, p.products_model, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_PRODUCTS_ATTRIBUTES . " pa where pa.products_id = pd.products_id and pd.products_id = p.products_id and pd.language_id = '" . $languages_id . "' order by p.products_model");
  $attributed_products_count = tep_db_num_rows($attributed_products_query);
  if ($attributed_products_count > 0) {

  echo TEXT_SELECT_SOURCE . '<br>' . "\n";

  $source_products_array = array();
  $selected = false;
  while ($attributed_products = tep_db_fetch_array($attributed_products_query)) {
    if (!isset($_GET['source_product_id']) && ($selected == false)) {
      $selected = true;
      $source_product_id = $attributed_products['products_id'];
    }

    $source_products_array[] = array('id' => $attributed_products['products_id'],
                                     'text' => '[' . $attributed_products['products_model'] . '] ' . (tep_not_null($attributed_products['products_name']) ? $attributed_products['products_name'] : 'n/a'));
  }

  echo tep_draw_form('source', FILENAME_PRODUCTS_ATTRIBUTES_COPIER, '', 'get');
  echo tep_draw_pull_down_menu('source_product_id', $source_products_array, $source_product_id, 'onChange="this.form.submit();"');
?>
                </form>
        </td>
      </tr>
      <tr valign="top">
        <td class="smallText">
<?php
  echo TEXT_SELECT_OPTIONS_COPIED . '<br>' . "\n";

  $product_options_query = tep_db_query("select distinct pa.options_id, po.products_options_name from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS . " po where pa.products_id = '" . (int)$source_product_id . "' and pa.options_id = po.products_options_id and po.language_id = '" . $languages_id . "' order by po.products_options_name");
  $product_options_array = array();
  while ($product_options = tep_db_fetch_array($product_options_query)) {
    $product_options_array[] = array('id' => $product_options['options_id'],
                                     'text' => $product_options['products_options_name']);
  }

  echo tep_draw_form('options_destinations', FILENAME_PRODUCTS_ATTRIBUTES_COPIER, 'action=copy', 'post');
  echo tep_draw_pull_down_menu('copied_options[]', $product_options_array, array(), 'size="5"');
?>

        </td>
      </tr>
      <tr valign="top">
        <td colspan="2" class="smallText">
<?php
   echo TEXT_SELECT_DESTINATION . '<br>' . "\n";

   $all_products_query = tep_db_query("select p.products_id, p.products_model, pd.products_name from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id <> '" . (int)$source_product_id . "' and pd.products_id = p.products_id and pd.language_id = '" . $languages_id . "' order by p.products_model");
   $all_products_array = array();
   while ($all_products = tep_db_fetch_array($all_products_query)) {
     $used_options_array = array();
     $used_options_query = tep_db_query("select distinct po.products_options_name from " . TABLE_PRODUCTS_ATTRIBUTES . " pa, " . TABLE_PRODUCTS_OPTIONS . " po where pa.products_id = '" . $all_products['products_id'] . "' and pa.options_id = po.products_options_id and po.language_id = '" . $languages_id . "' order by po.products_options_name");
     while ($used_options = tep_db_fetch_array($used_options_query)) {
       $used_options_array[] = $used_options['products_options_name'];
     }

     if (count($used_options_array) > 0)
       $used_options_text = ' (' . TEXT_OPTIONS . implode(';', $used_options_array) . ')';
     else
       $used_options_text = '';

     $all_products_array[] = array('id' => $all_products['products_id'],
                                   'text' => '[' . $all_products['products_model'] . '] ' . (tep_not_null($all_products['products_name']) ? $all_products['products_name'] : 'n/a') . $used_options_text);
   }

  echo tep_draw_pull_down_menu('destination_products[]', $all_products_array, array(), 'size="15"');
  echo '<br><br>' . "\n";
  echo tep_image_submit('button_copy.gif', IMAGE_COPY) . "\n";
?>
                  <input type="hidden" name="source_product_id" value="<?php echo $source_product_id; ?>">
                </form>
<?php
  } else {
    printf(TEXT_NO_PRODUCTS, '<a href="' . tep_href_link(FILENAME_PRODUCTS_ATTRIBUTES) . '">' . TEXT_HERE . '</a>');
  }
?>
        </td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>