<?php
/*
  $Id: sitemap.php,v 2.0 2006/07/07
  Released under the GNU General Public License
*/

  require('includes/application_top.php');

	require(DIR_WS_FUNCTIONS. 'dynamic_sitemap.php');

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'ex_file':
        if ($_POST['ex_type'] == 'all')
        	$ex_type = 1;
        	
        if ($_POST['ex_type'] == 'unreg')
        	$ex_type = 2;

      	$file = tep_db_prepare_input($_POST['file']);
				if (tep_not_null($file) && tep_not_null($ex_type))
							 tep_db_query('insert into '.TABLE_SITEMAP_EXCLUDE.' values(NULL,"'.$file.'","'.$ex_type.'",0)');

        tep_redirect(tep_href_link(FILENAME_SITEMAP));
        break;
      case 'ex_box':
        if ($_POST['ex_type'] == 'all')
        	$ex_type = 1;

        if ($_POST['ex_type'] == 'unreg')
        	$ex_type = 2;

      	$file = $_POST['box'];
				if (tep_not_null($file) && tep_not_null($ex_type))
							 tep_db_query('insert into '.TABLE_SITEMAP_EXCLUDE.' values(NULL,"'.$file.'","'.$ex_type.'",1)');

        tep_redirect(tep_href_link(FILENAME_SITEMAP));
        break;
      case 'include':
				if ($eID = tep_db_prepare_input($_GET['eID']))
							tep_db_query('delete from '.TABLE_SITEMAP_EXCLUDE.' where exclude_id="'.$eID.'"');

        tep_redirect(tep_href_link(FILENAME_SITEMAP));
        break;
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title>
<?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
</tr></td><tr><td>
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
<?php

//get all files in catalog/

	 $excluded_query = tep_db_query('select exclude_file from '.TABLE_SITEMAP_EXCLUDE.' where exclude_type != "0" and is_box="0"');
	 $excluded_array = array();
	 $files = array();
	 if (tep_db_num_rows($excluded_query))
	  while($ex = tep_db_fetch_array($excluded_query))
   			$excluded_array[] = $ex['exclude_file'];


	 if ($handle = opendir(DIR_FS_CATALOG)){
    while (false !== ($file = readdir($handle))){
		    if(! is_dir($file) && substr($file, -4, 4) === ".php") //only look at php files
		    {
						if (!in_array($file ,$excluded_array)){
				        $engFile = DIR_FS_CATALOG.DIR_WS_LANGUAGES . $language . '/' . $file;
				        if (file_exists($engFile) && IsViewable(DIR_FS_CATALOG.$file))
				        {
				           $fp = file($engFile);

				           for ($idx = 0; $idx < count($fp); ++$idx)
				           {
				             if (strpos($fp[$idx], "define('HEADING_TITLE") !== FALSE)
				             {
				                $fp[$idx] = stripslashes($fp[$idx]);
				                $p_start = strpos($fp[$idx], ",");
				                $p_start = strpos($fp[$idx], "'", $p_start);
				                $p_stop = strpos($fp[$idx], "'", $p_start + 2);
				                $files[] = array('id' => $file,
																				 'text' => ucfirst(substr($fp[$idx], $p_start + 1, $p_stop - $p_start - 1)).' ('.$file.')');
				                break;
				             }
				           }
				        }
		        }
		    }
		}
		closedir($handle);

 } else echo ERROR_CANNOT_OPEN_CATALOG_DIR . DIR_FS_CATALOG.'<br>';
 
 
 //get all catalog boxes
 
	 $excluded_query = tep_db_query('select exclude_file from '.TABLE_SITEMAP_EXCLUDE.' where exclude_type != "0" and is_box="1"');
	 $excluded_array = array();

	 if (tep_db_num_rows($excluded_query))
	  while($ex = tep_db_fetch_array($excluded_query))
   			$excluded_array[] = $ex['exclude_file'];

  if ($handle = opendir(DIR_FS_CATALOG.DIR_WS_BOXES)){
    $ctr = 0;
    while (false !== ($file = readdir($handle)))
    {
       if (substr($file, -4, 4) !== ".php")
          continue;
			 elseif (in_array($file ,$excluded_array))
			    continue;

       $file = DIR_FS_CATALOG.DIR_WS_BOXES . $file;
       $fp = file($file);

       for ($idx = 0; $idx < count($fp); ++$idx)
       {
         if ($posStart = strpos($fp[$idx], "BOX_HEADING") !== FALSE)
         {
             $parts = explode(" ", $fp[$idx]);
             for ($i = 0; $i < count($parts); ++$i)
             {
                if (strpos($parts[$i], "BOX_HEADING") === FALSE)
                  continue;
                $parts = explode(")", $parts[$i]);  //$parts has full box heading text
                $name = explode("_", $parts[0]);    //ignore the BOX_HEADING part
                for ($x = 3; $x < count($name); ++$x) //name may be more than one word
                {
                  if (tep_not_null($name[$x]))
                    $name[2] .= ' ' . $name[$x];
                }
                $name[2] = strtolower($name[2]);
                $name[2] = ucfirst($name[2]);
                $boxes[$ctr]['text'] = $name[2].' ('.basename($file).')';
             }
              $boxes[$ctr]['id'] = basename($file);
         }
       }
       $ctr++;
    }
    closedir($handle);

	}  else echo ERROR_CANNOT_OPEN_CATALOG_BOXES_DIR . DIR_FS_CATALOG.DIR_WS_BOXES.'<br>';
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" cellspacing="0" cellpadding="2">
									<tr>
									    <td class="main" width="50%"><?=TITLE_CATALOG_FILES?></td>
									    <td class="main" width="50%"><?=TITLE_CATALOG_BOXES?></td>
									</tr>
									<tr>
									    <td class="main"><table border="0" cellspacing="0" cellpadding="2">
														<tr>
															<td colspan="2" class="main"><? echo tep_draw_form('ex_file', FILENAME_SITEMAP,'action=ex_file').tep_draw_pull_down_menu('file',$files);?></td>
														</tr>
														<tr>
															<td class="main"><? echo TEXT_EXCLUDE_FOR_ALL.tep_draw_radio_field('ex_type','all', true).'<br>'.TEXT_EXCLUDE_FOR_UNREG.tep_draw_radio_field('ex_type','unreg');?></td>
															<td class="main" align="right"><?=tep_image_submit('button_exclude.gif', IMAGE_EXCLUDE)?></form></td>
														</tr>
											</table></td>
									    <td class="main"><table border="0" cellspacing="0" cellpadding="2">
														<tr>
															<td><? echo tep_draw_form('ex_box', FILENAME_SITEMAP,'action=ex_box').tep_draw_pull_down_menu('box',$boxes);?></td>
														</tr>
														<tr>
															<td class="main"><? echo TEXT_EXCLUDE_FOR_ALL.tep_draw_radio_field('ex_type','all', true).'<br>'.TEXT_EXCLUDE_FOR_UNREG.tep_draw_radio_field('ex_type','unreg');?></td>
															<td class="main" align="right"><?=tep_image_submit('button_exclude.gif', IMAGE_EXCLUDE)?></form></td>
														</tr>
											</table></td>
									</tr>
						</table></td>
					</tr>
		      <tr>
							<td class="main"><?="&nbsp;"?></td>
					</tr>
		      <tr>
			      <td valign="top"><table border="0" cellspacing="0" cellpadding="2" width="100%">
									<tr>
									    <td class="main" width="50%" valign="top" align="center"><table border="0" cellspacing="0" cellpadding="2" width="90%">
														<tr>
													    <td class="formAreaTitle"><?=TITLE_EXCLUDED_CATALOG_FILES?></td>
													  </tr>
														<tr>
														  <td class="main"><?
		$exclude_query = tep_db_query('select exclude_id, exclude_file, exclude_type from '.TABLE_SITEMAP_EXCLUDE.' where is_box="0" and exclude_type!="0" order by exclude_type, exclude_file');
		if (tep_db_num_rows($exclude_query))
		        while($exclude = tep_db_fetch_array($exclude_query)){
								 echo '<table border="0" cellspacing="0" cellpadding="2" width="100%"><tr><td class="main">'.$exclude['exclude_file'].'</td><td class="main">('.( $exclude['exclude_type'] == 1 ? TEXT_ALL : TEXT_UNREG ).')</td><td class="main" align="right"><a href="'.tep_href_link(FILENAME_SITEMAP, 'action=include&eID='.$exclude['exclude_id']).'">'.TEXT_INCLUDE.'</a></td></tr></table>';
						}
														?></td>
														</tr>
											</table></td>
             					<td class="main" width="50%" valign="top" align="center"><table border="0" cellspacing="0" cellpadding="2" width="90%">
														<tr>
													    <td class="formAreaTitle"><?=TITLE_EXCLUDED_CATALOG_BOXES?></td>
													  </tr>
														<tr>
														  <td class="main"><?
		$exclude_query = tep_db_query('select exclude_id, exclude_file, exclude_type from '.TABLE_SITEMAP_EXCLUDE.' where is_box="1" and exclude_type!="0" order by exclude_type, exclude_file');
		if (tep_db_num_rows($exclude_query))
		        while($exclude = tep_db_fetch_array($exclude_query)){
								 echo '<table border="0" cellspacing="0" cellpadding="2" width="100%"><tr><td class="main">'.$exclude['exclude_file'].'</td><td class="main">('.( $exclude['exclude_type'] == 1 ? TEXT_ALL : TEXT_UNREG ).')</td><td class="main" align="right"><a href="'.tep_href_link(FILENAME_SITEMAP, 'action=include&eID='.$exclude['exclude_id']).'">'.TEXT_INCLUDE.'</a></td></tr></table>';
						}
														?></td>
														</tr>
											</table></td>
									</tr>
						</table></td>
					</tr>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
