<?php
/*
   $Id: specials.php,v 1.10 2002/03/16 15:07:21 project3000 Exp $
  $Id: specials.php,v 1.15 2005/11/05 05:07:21 efp Exp $
  adapted for Special Pricing Per Customer v4.11 2005/03/20
 
   by by Infobroker, Germany

  Erich Paeper - info@cooleshops.de

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();

// BOF Separate Pricing Per Customer 
      $customers_groups_query = tep_db_query("select customers_group_name, customers_group_id from " . TABLE_CUSTOMERS_GROUPS . " order by customers_group_id ");
    while ($existing_groups =  tep_db_fetch_array($customers_groups_query)) {
         $input_groups[] = array("id"=>$existing_groups['customers_group_id'], "text"=> $existing_groups['customers_group_name']);
        $all_groups[$existing_groups['customers_group_id']]=$existing_groups['customers_group_name'];
    }
// EOF Separate Pricing Per Customer

  $action = (isset($_GET['action']) ? $_GET['action'] : '');

  if (tep_not_null($action)) {
    switch ($action) {
      case 'setflag':
        tep_set_specials_status($_GET['id'], $_GET['flag']);
        tep_redirect(tep_href_link(FILENAME_SPECIALS, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'sID=' . $_GET['id'], 'NONSSL'));
        break;

 // ############## Added happy_hours #############
       case 'setflag_happy_hours':
        tep_set_specials_status_happy_hours($_GET['id'], $_GET['flag']);
        tep_redirect(tep_href_link(FILENAME_SPECIALS, (isset($_GET['page']) ? 'page=' . $_GET['page'] . '&' : '') . 'sID=' . $_GET['id'], 'NONSSL'));
        break;
  // ############## End happy_hours #############

      case 'insert':
        $products_id = tep_db_prepare_input($_POST['products_id']);
        $products_price = tep_db_prepare_input($_POST['products_price']);
        $specials_price = tep_db_prepare_input($_POST['specials_price']);

        $day = tep_db_prepare_input($_POST['day']);
        $month = tep_db_prepare_input($_POST['month']);
        $year = tep_db_prepare_input($_POST['year']);
        $vday = tep_db_prepare_input($_POST['vday']);
        $vmonth = tep_db_prepare_input($_POST['vmonth']);
        $vyear = tep_db_prepare_input($_POST['vyear']);        

 // ############## Added happy_hours #############
        $happy_hours_day = tep_db_prepare_input($_POST['happy_hours_day']);
        $happy_hours_month = tep_db_prepare_input($_POST['happy_hours_month']);
        $happy_hours_year = tep_db_prepare_input($_POST['happy_hours_year']);
        $happy_specials_hour = tep_db_prepare_input($_POST['happy_specials_hour']);
        $happy_hours_minutes = tep_db_prepare_input($_POST['happy_hours_minutes']);
        $happy_hours_secondes = tep_db_prepare_input($_POST['happy_hours_secondes']);
 
        $happy_hours_end_day = tep_db_prepare_input($_POST['happy_hours_end_day']);
        $happy_hours_end_month = tep_db_prepare_input($_POST['happy_hours_end_month']);
        $happy_hours_end_year = tep_db_prepare_input($_POST['happy_hours_end_year']);
        $happy_hours_end_hour = tep_db_prepare_input($_POST['happy_hours_end_hour']);
        $happy_hours_end_minutes = tep_db_prepare_input($_POST['happy_hours_end_minutes']);
        $happy_hours_end_secondes = tep_db_prepare_input($_POST['happy_hours_end_secondes']);

        $specials_price_happy_hours = tep_db_prepare_input($_POST['specials_price_happy_hours']); 
 // ############## End happy_hours #############
// BOF Separate Pricing Per Customer
        $customers_group=tep_db_prepare_input($_POST['customers_group']);
        $price_query = tep_db_query("select customers_group_price from " . TABLE_PRODUCTS_GROUPS. " WHERE products_id = ".(int)$products_id . " AND customers_group_id  = ".(int)$customers_group);
        while ($gprices = tep_db_fetch_array($price_query)) {
            $products_price = $gprices['customers_group_price'];
        }
// EOF Separate Pricing Per Customer
       if (substr($specials_price, -1) == '%' && $customers_group == '0') {
          $new_special_insert_query = tep_db_query("select products_id, products_price from " . TABLE_PRODUCTS . " where products_id = '" . (int)$products_id . "'");
          $new_special_insert = tep_db_fetch_array($new_special_insert_query);

          $products_price = $new_special_insert['products_price'];
          $specials_price = ($products_price - (($specials_price / 100) * $products_price));
       } elseif (substr($specials_price, -1) == '%' && $customers_group != '0') {
 				$specials_price = ($products_price - (($specials_price / 100) * $products_price));
        }

        // check if valid from date is later than expires date
        if (tep_not_null($day) && tep_not_null($month) && tep_not_null($year) &&
                tep_not_null($vday) && tep_not_null($vmonth) && tep_not_null($vyear)) {

                if (($vyear > $year) ||
                        ($vmonth > $month && $vyear == $year) ||
                        ($vday > $day && $vmonth == $month && $vyear == $year))
                        {
                                // if so, swap the dates
                                $tempdate = $vyear; $vyear = $year; $year = $tempdate;
                                $tempdate = $month; $vmonth = $month; $month = $tempdate;
                                $tempdate = $vday; $vday = $day; $day = $tempdate;
                        }
        }
        
        $validfrom_date = '';
        if (tep_not_null($vday) && tep_not_null($vmonth) && tep_not_null($vyear)) {
          $validfrom_date = $vyear . '-';
          $validfrom_date .= (strlen($vmonth) == 1) ? '0' . $vmonth . '-': $vmonth . '-';
          $validfrom_date .= (strlen($vday) == 1) ? '0' . $vday : $vday;
          if ($vday != 0 && $vmonth != 0 && $vyear != 0)
          $validfrom_date .= ' 23:59:59';
        }

        $expires_date = '';
        if (tep_not_null($day) && tep_not_null($month) && tep_not_null($year)) {
          $expires_date = $year. '-';
          $expires_date .= (strlen($month) == 1) ? '0' . $month . '-': $month. '-';
          $expires_date .= (strlen($day) == 1) ? '0' . $day : $day;
          if ($vday != 0 && $vmonth != 0 && $vyear != 0)
          $expires_date .= ' 23:59:59';
        }

 // ############## Added happy_hours #############
        $happy_hours_beginning_date = '';
        if (tep_not_null($happy_hours_day) && tep_not_null($happy_hours_month) && tep_not_null($happy_hours_year) ) {
          $happy_hours_beginning_date = $happy_hours_year. '-';
          $happy_hours_beginning_date .= (strlen($happy_hours_month) == 1) ? '0' . $happy_hours_month. '-' : $happy_hours_month. '-';
          $happy_hours_beginning_date .= (strlen($happy_hours_day) == 1) ? '0' . $happy_hours_day : $happy_hours_day;
        }

       $happy_hours_beginning_time = '';
         $happy_hours_beginning_time = (strlen($happy_specials_hour) == 1) ? '0' . $happy_specials_hour : $happy_specials_hour;
          $happy_hours_beginning_time .= (strlen($happy_hours_minutes) == 1) ? '0' . $happy_hours_minutes : $happy_hours_minutes;
          $happy_hours_beginning_time .= (strlen($happy_hours_secondes) == 1) ? '0' . $happy_hours_secondes : $happy_hours_secondes;

 
        $happy_hours_end_date = '';
        if (tep_not_null($happy_hours_end_day) && tep_not_null($happy_hours_end_month) && tep_not_null($happy_hours_end_year) ) {
          $happy_hours_end_date = $happy_hours_end_year. '-';
          $happy_hours_end_date .= (strlen($happy_hours_end_month) == 1) ? '0' . $happy_hours_end_month . '-': $happy_hours_end_month. '-';
          $happy_hours_end_date .= (strlen($happy_hours_end_day) == 1) ? '0' . $happy_hours_end_day : $happy_hours_end_day;
        }
		
          $happy_hours_end_time = '';
          $happy_hours_end_time = (strlen($happy_hours_end_hour) == 1) ? '0' . $happy_hours_end_hour : $happy_hours_end_hour;
          $happy_hours_end_time .= (strlen($happy_hours_end_minutes) == 1) ? '0' . $happy_hours_end_minutes : $happy_hours_end_minutes;
          $happy_hours_end_time .= (strlen($happy_hours_end_secondes) == 1) ? '0' . $happy_hours_end_secondes : $happy_hours_end_secondes;


        if (substr($specials_price_happy_hours, -1) == '%') {
          $new_special_happy_hours_insert_query = tep_db_query("select products_id, products_price from " . TABLE_PRODUCTS . " where products_id = '" . (int)$products_id . "'");
          $new_special_happy_hours_insert = tep_db_fetch_array($new_special_happy_hours_insert_query);

          $products_price_happy_hours = $new_special_happy_hours_insert['products_price'];
          $specials_price_happy_hours = ($products_price_happy_hours - (($specials_price_happy_hours / 100) * $products_price_happy_hours));
        }

// BOF Separate Pricing Per Customer
        $result = tep_db_query("insert into " . TABLE_SPECIALS . " (products_id, specials_new_products_price, specials_date_added, valid_from_date, expires_date, happy_hours_beginning_date, happy_hours_end_date, happy_hours_beginning_time, happy_hours_end_time, specials_price_happy_hours, status, customers_group_id) values ('" . (int)$products_id . "', '" . tep_db_input($specials_price) . "', now(), '".  tep_db_input($validfrom_date)  ."', '" . tep_db_input($expires_date) . "', '" . tep_db_input($happy_hours_beginning_date) . "', '" . tep_db_input($happy_hours_end_date) . "', '" . tep_db_input($happy_hours_beginning_time) . "', '" . tep_db_input($happy_hours_end_time) . "', '" . tep_db_input($specials_price_happy_hours) . "', '1', ".(int)$customers_group.")");
//$expires_date) . "', '1', ".(int)$customers_group.")");
// EOF Separate Pricing Per Customer
// ############## End happy_hours #############
        // maybe the special product must be deactivated or actived (depending on wether the valid from/expires dates had been changed)
         if ($result == 1) {
        	$new_specials_id = tep_db_insert_id();
        	tep_db_query("update " . TABLE_SPECIALS . " set status = '0' where (now() < valid_from_date) and specials_id = '" . (int)$new_specials_id . "'");
        	tep_db_query("update " . TABLE_SPECIALS . " set status = '0' where ((expires_date < now()) and expires_date > 0) and specials_id = '" . (int)$new_specials_id . "'");
        	tep_db_query("update " . TABLE_SPECIALS . " set status = '1' where (now() >= valid_from_date and now() < expires_date) and specials_id = '" . (int)$new_specials_id . "'");
        }
 
        tep_redirect(tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page']));
        break;
      case 'update':
        $specials_id = tep_db_prepare_input($_POST['specials_id']);
        $products_price = tep_db_prepare_input($_POST['products_price']);
        $specials_price = tep_db_prepare_input($_POST['specials_price']);
        $day = tep_db_prepare_input($_POST['day']);
        $month = tep_db_prepare_input($_POST['month']);
        $year = tep_db_prepare_input($_POST['year']);
        $vday = tep_db_prepare_input($_POST['vday']);
        $vmonth = tep_db_prepare_input($_POST['vmonth']);
        $vyear = tep_db_prepare_input($_POST['vyear']);        
 
 // ############## Added happy_hours #############
 
        $happy_hours_day = tep_db_prepare_input($_POST['happy_hours_day']);
        $happy_hours_month = tep_db_prepare_input($_POST['happy_hours_month']);
        $happy_hours_year = tep_db_prepare_input($_POST['happy_hours_year']); 
        $happy_specials_hour = tep_db_prepare_input($_POST['happy_specials_hour']);  
        $happy_hours_minutes = tep_db_prepare_input($_POST['happy_hours_minutes']);  
        $happy_hours_secondes = tep_db_prepare_input($_POST['happy_hours_secondes']);

        $happy_hours_end_day = tep_db_prepare_input($_POST['happy_hours_end_day']);
        $happy_hours_end_month = tep_db_prepare_input($_POST['happy_hours_end_month']);
        $happy_hours_end_year = tep_db_prepare_input($_POST['happy_hours_end_year']);
        $happy_hours_end_hour = tep_db_prepare_input($_POST['happy_hours_end_hour']);
        $happy_hours_end_minutes = tep_db_prepare_input($_POST['happy_hours_end_minutes']);
        $happy_hours_end_secondes = tep_db_prepare_input($_POST['happy_hours_end_secondes']);

        $specials_price_happy_hours = tep_db_prepare_input($_POST['specials_price_happy_hours']); 
// BOF Separate Pricing Per Customer
        $customers_group=tep_db_prepare_input($_POST['customers_group']);
        $price_query = tep_db_query("select customers_group_price from " . TABLE_PRODUCTS_GROUPS. " WHERE products_id = ".(int)$products_id . " AND customers_group_id  = ".(int)$customers_group);
        while ($gprices = tep_db_fetch_array($price_query)) {
            $products_price = $gprices['customers_group_price'];
        }
// EOF Separate Pricing Per Customer        

        if (substr($specials_price_happy_hours, -1) == '%') $specials_price_happy_hours = ($products_price_happy_hours - (($specials_price_happy_hours / 100) * $products_price_happy_hours));

// ############## End happy_hours #############
        // check if valid from date is later than expires date
        if (tep_not_null($day) && tep_not_null($month) && tep_not_null($year) &&
                tep_not_null($vday) && tep_not_null($vmonth) && tep_not_null($vyear)) {

                if (($vyear > $year) ||
                        ($vmonth > $month && $vyear == $year) ||
                        ($vday > $day && $vmonth == $month && $vyear == $year))
                        {
                                // if so, swap the dates
                                $tempdate = $vyear; $vyear = $year; $year = $tempdate;
                                $tempdate = $month; $vmonth = $month; $month = $tempdate;
                                $tempdate = $vday; $vday = $day; $day = $tempdate;
                        }
        }

        if (substr($specials_price, -1) == '%') $specials_price = ($products_price - (($specials_price / 100) * $products_price));

        $validfrom_date = '';
        if (tep_not_null($vday) && tep_not_null($vmonth) && tep_not_null($vyear)) {
          $validfrom_date = $vyear . '-';
          $validfrom_date .= (strlen($vmonth) == 1) ? '0' . $vmonth . '-': $vmonth . '-';
          $validfrom_date .= (strlen($vday) == 1) ? '0' . $vday : $vday;
          if ($vday != 0 && $vmonth != 0 && $vyear != 0)
          $validfrom_date .= ' 23:59:59';
        }

        $expires_date = '';
        if (tep_not_null($day) && tep_not_null($month) && tep_not_null($year)) {
          $expires_date = $year. '-';
          $expires_date .= (strlen($month) == 1) ? '0' . $month . '-': $month. '-';
          $expires_date .= (strlen($day) == 1) ? '0' . $day : $day;
          if ($vday != 0 && $vmonth != 0 && $vyear != 0)
          $expires_date .= ' 23:59:59';
        }

 // ############## Added happy_hours #############

        $happy_hours_beginning_date = '';
        if (tep_not_null($happy_hours_day) && tep_not_null($happy_hours_month) && tep_not_null($happy_hours_year) ) {

          $happy_hours_beginning_date = $happy_hours_year. '-';
          $happy_hours_beginning_date .= (strlen($happy_hours_month) == 1) ? '0' . $happy_hours_month. '-' : $happy_hours_month. '-';
          $happy_hours_beginning_date .= (strlen($happy_hours_day) == 1) ? '0' . $happy_hours_day : $happy_hours_day;
        }
        $happy_hours_beginning_time = '';		
          $happy_hours_beginning_time = (strlen($happy_specials_hour) == 1) ? '0' . $happy_specials_hour : $happy_specials_hour; 
          $happy_hours_beginning_time .= (strlen($happy_hours_minutes) == 1) ? '0' . $happy_hours_minutes : $happy_hours_minutes;
          $happy_hours_beginning_time .= (strlen($happy_hours_secondes) == 1) ? '0' . $happy_hours_secondes : $happy_hours_secondes;
		

        $happy_hours_end_date = '';
        if (tep_not_null($happy_hours_end_day) && tep_not_null($happy_hours_end_month) && tep_not_null($happy_hours_end_year) ) {
          $happy_hours_end_date = $happy_hours_end_year. '-';
          $happy_hours_end_date .= (strlen($happy_hours_end_month) == 1) ? '0' . $happy_hours_end_month . '-': $happy_hours_end_month. '-';
          $happy_hours_end_date .= (strlen($happy_hours_end_day) == 1) ? '0' . $happy_hours_end_day : $happy_hours_end_day;
        }
        $happy_hours_end_time = '';
         $happy_hours_end_time .= (strlen($happy_hours_end_hour) == 1) ? '0' . $happy_hours_end_hour : $happy_hours_end_hour;
         $happy_hours_end_time .= (strlen($happy_hours_end_minutes) == 1) ? '0' . $happy_hours_end_minutes : $happy_hours_end_minutes;
         $happy_hours_end_time .= (strlen($happy_hours_end_secondes) == 1) ? '0' . $happy_hours_end_secondes : $happy_hours_end_secondes;

//      tep_db_query("update " . TABLE_SPECIALS . " set specials_new_products_price = '" . tep_db_input($specials_price) . "', specials_last_modified = now(), expires_date = '" . tep_db_input($expires_date) . "' where specials_id = '" . (int)$specials_id . "'");
      $result = tep_db_query("update " . TABLE_SPECIALS . " set specials_new_products_price = '" . tep_db_input($specials_price) . "', specials_last_modified = now(), valid_from_date = '".  tep_db_input($validfrom_date)  ."', expires_date = '" . tep_db_input($expires_date) . "', happy_hours_beginning_date = '" . tep_db_input($happy_hours_beginning_date) . "', happy_hours_end_date = '" . tep_db_input($happy_hours_end_date) . "', happy_hours_beginning_time = '" . tep_db_input($happy_hours_beginning_time) . "', happy_hours_end_time = '" . tep_db_input($happy_hours_end_time) . "', specials_price_happy_hours = '" . tep_db_input($specials_price_happy_hours) . "', customers_group_id = '" . $customers_group . "' where specials_id = '" . (int)$specials_id . "'");
// ############## End happy_hoursg #############
        // maybe the special product must be deactivated or actived (depending on wether the valid from/expires dates had been changed)
         if ($result == 1) {
        	$new_specials_id = tep_db_insert_id();
        	tep_db_query("update " . TABLE_SPECIALS . " set status = '0' where (now() < valid_from_date) and specials_id = '" . (int)$new_specials_id . "'");
        	tep_db_query("update " . TABLE_SPECIALS . " set status = '0' where ((expires_date < now()) and expires_date > 0) and specials_id = '" . (int)$new_specials_id . "'");
        	tep_db_query("update " . TABLE_SPECIALS . " set status = '1' where (now() >= valid_from_date and now() < expires_date) and specials_id = '" . (int)$new_specials_id . "'");
        }
        
        tep_redirect(tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $specials_id));
        break;
      case 'deleteconfirm':
        $specials_id = tep_db_prepare_input($_GET['sID']);

        tep_db_query("delete from " . TABLE_SPECIALS . " where specials_id = '" . (int)$specials_id . "'");

        tep_redirect(tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page']));
        break;
    }
  }
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="includes/stylesheet.css">
<script language="javascript" src="includes/general.js"></script>
<?php
  if ( ($action == 'new') || ($action == 'edit') ) {
?>
<link rel="stylesheet" type="text/css" href="includes/javascript/calendar.css">
<script language="JavaScript" src="includes/javascript/calendarcode.js"></script>
<?php
  }
?>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="#FFFFFF" onload="SetFocus();">
<div id="popupcalendar" class="text"></div>
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="2" cellpadding="2">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="1" cellpadding="1" class="columnLeft">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
      <tr>
        <td width="100%"><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_draw_separator('pixel_trans.gif', HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
<?php
  if ( ($action == 'new') || ($action == 'edit') ) {
    $form_action = 'insert';
    if ( ($action == 'edit') && isset($_GET['sID']) ) {
      $form_action = 'update';
// BOF Separate Pricing Per Customer      
 // ############## Added happy_hours #############
      $product_query = tep_db_query("select p.products_id, pd.products_name, p.products_price, hhs.specials_new_products_price, hhs.valid_from_date, hhs.expires_date, happy_hours_beginning_date, happy_hours_end_date, happy_hours_beginning_time, happy_hours_end_time, specials_price_happy_hours, hhs.customers_group_id from " . TABLE_PRODUCTS . " p, " . TABLE_PRODUCTS_DESCRIPTION . " pd, " . TABLE_SPECIALS . " hhs where p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and p.products_id = hhs.products_id and hhs.specials_id = '" . (int)$_GET['sID'] . "'");
 // ############## End Added happy_hours #############
      $product = tep_db_fetch_array($product_query);
      
     $customer_group_price_query = tep_db_query("select customers_group_price from " . TABLE_PRODUCTS_GROUPS . " where products_id = '" . $product['products_id']. "' and customers_group_id =  '" . $product['customers_group_id'] . "'");
        if ($customer_group_price = tep_db_fetch_array($customer_group_price_query)) {
           $product['products_price']= $customer_group_price['customers_group_price'];
        }      
// EOF Separate Pricing Per Customer
      $sInfo = new objectInfo($product);
    } else {
      $sInfo = new objectInfo(array());

// create an array of products on special, which will be excluded from the pull down menu of products
// (when creating a new product on special)
 /*     $specials_array = array();
      $specials_query = tep_db_query("select p.products_id from " . TABLE_PRODUCTS . " p, " . TABLE_SPECIALS . " hhs where hhs.products_id = p.products_id");
      while ($specials = tep_db_fetch_array($specials_query)) {
        $specials_array[] = $specials['products_id'];
      }
    }*/
	// BOF Separate Pricing Per Customer
    $specials_array = array();
    $specials_query = tep_db_query("select p.products_id, s.customers_group_id from " .  TABLE_PRODUCTS . " p, " . TABLE_SPECIALS . " s where s.products_id = p.products_id");
    while ($specials = tep_db_fetch_array($specials_query)) {
       $specials_array[] = (int)$specials['products_id'].":".(int)$specials['customers_group_id'];
    }

    if(isset($_GET['sID']) && $sInfo->customers_group_id!= '0'){
        $customer_group_price_query = tep_db_query("select customers_group_price from " . TABLE_PRODUCTS_GROUPS . " where products_id = '" . $sInfo->products_id . "' and customers_group_id =  '" . $sInfo->customers_group_id . "'");
          if ($customer_group_price = tep_db_fetch_array($customer_group_price_query)) {
            $sInfo->products_price = $customer_group_price['customers_group_price'];
          }
    }
    } 
// EOF Separate Pricing Per Customer	
?>
      <tr><form name="new_special" <?php echo 'action="' . tep_href_link(FILENAME_SPECIALS, tep_get_all_get_params(array('action', 'info', 'sID')) . 'action=' . $form_action, 'NONSSL') . '"'; ?> method="post"><?php if ($form_action == 'update') echo tep_draw_hidden_field('specials_id', $_GET['sID']); ?>
        <td><br>
        <table border="0" cellspacing="0" cellpadding="2">
<td>
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_PRODUCT; ?>&nbsp;</td>
            <td class="main"><?php echo (isset($sInfo->products_name)) ? $sInfo->products_name . ' <small>(' . $currencies->format($sInfo->products_price) . ')</small>' : tep_draw_products_pull_down('products_id', 'style="font-size:10px"', $specials_array); echo tep_draw_hidden_field('products_price', (isset($sInfo->products_price) ? $sInfo->products_price : '')); ?></td>
          </tr>
<!-- BOF Separate Pricing per Customer -->
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_GROUPS; ?>&nbsp;</td>
            <td class="main"><?php if (isset($sInfo->customers_group_id)) {
            for ($x=0; $x<count($input_groups); $x++) {
            if ($input_groups[$x]['id'] == $sInfo->customers_group_id) {
            echo tep_draw_pull_down_menu('customers_group', tep_get_customers_group($input_groups[$x]['text']), (isset($sInfo->customers_group_id)? $sInfo->customers_group_id:''));
//            echo $input_groups[$x]['text'];
            }
            } // end for loop
            } else {
         echo tep_draw_pull_down_menu('customers_group', $input_groups, (isset($sInfo->customers_group_id)?$sInfo->customers_group_id:'')); 
         } ?> </td>
          </tr>
<!-- EOF Separate Pricing per Customer -->	  
		  
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_SPECIAL_PRICE; ?>&nbsp;</td>
            <td class="main"><?php echo tep_draw_input_field('specials_price', (isset($sInfo->specials_new_products_price) ? $sInfo->specials_new_products_price : '')); ?></td>
          </tr>
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_VALIDFROM_DATE; ?>&nbsp;</td>
            <td class="main"><?php echo  tep_draw_input_field('vyear', (isset($sInfo->valid_from_date) ? substr($sInfo->valid_from_date, 0, 4) : ''), 'size="4" maxlength="4" class="cal-TextBox"'). tep_draw_input_field('vmonth', (isset($sInfo->valid_from_date) ? substr($sInfo->valid_from_date, 5, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . tep_draw_input_field('vday', (isset($sInfo->valid_from_date) ? substr($sInfo->valid_from_date, 8, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"'); ?><a class="so-BtnLink" href="javascript:calClick();return false;" onmouseover="calSwapImg('BTN_valid_date', 'img_Date_OVER',true);" onmouseout="calSwapImg('BTN_valid_date', 'img_Date_UP',true);" onclick="calSwapImg('BTN_valid_date', 'img_Date_DOWN');showCalendar('new_special','vday', 'vmonth', 'vyear','dte_valid_When','BTN_valid_date');return false;"><?php echo tep_image(DIR_WS_IMAGES . 'cal_date_up.gif', 'Calendar', '22', '17', 'align="absmiddle" name="BTN_valid_date"'); ?></a>
          </tr>          
          <tr>
            <td class="main"><?php echo TEXT_SPECIALS_EXPIRES_DATE; ?>&nbsp;</td>
            <td class="main"><?php echo  tep_draw_input_field('year', (isset($sInfo->expires_date) ? substr($sInfo->expires_date, 0, 4) : ''), 'size="4" maxlength="4" class="cal-TextBox"'). tep_draw_input_field('month', (isset($sInfo->expires_date) ? substr($sInfo->expires_date, 5, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . tep_draw_input_field('day', (isset($sInfo->expires_date) ? substr($sInfo->expires_date, 8, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"'); ?><a class="so-BtnLink" href="javascript:calClick();return false;" onmouseover="calSwapImg('BTN_date', 'img_Date_OVER',true);" onmouseout="calSwapImg('BTN_date', 'img_Date_UP',true);" onclick="calSwapImg('BTN_date', 'img_Date_DOWN');showCalendar('new_special', 'day', 'month','year', 'dteWhen','BTN_date');return false;"><?php echo tep_image(DIR_WS_IMAGES . 'cal_date_up.gif', 'Calendar', '22', '17', 'align="absmiddle" name="BTN_date"'); ?></a></td>
          </tr>
</td>

        </table></td>
      </tr>
      <tr>
        <td>
        <table border="0" width="65%" cellspacing="0" cellpadding="2">


<!-- ###################### Added happy_hours ################ -->

<tr>
<td> <b><?php echo HAPPY_HOURS_DISCOUNT; ?></b></td><td>&nbsp;</td>
</tr>
<tr>
            <td class="main" width="200"><?php echo TEXT_SPECIALS_BEGINNING_HAPPY_HOURS_DATE; ?>&nbsp;</td>
			<td class="main"><?php echo 
								   tep_draw_input_field('happy_hours_year', (isset($sInfo->happy_hours_beginning_date) ? substr($sInfo->happy_hours_beginning_date, 0, 4) : ''), 'size="4" maxlength="4" class="cal-TextBox"').
								   tep_draw_input_field('happy_hours_month', (isset($sInfo->happy_hours_beginning_date) ? substr($sInfo->happy_hours_beginning_date, 5, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . 
								   tep_draw_input_field('happy_hours_day', (isset($sInfo->happy_hours_beginning_date) ? substr($sInfo->happy_hours_beginning_date, 8, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"')  
								   
								   ; ?>
								   <a class="so-BtnLink" href="javascript:calClick();return false;" onmouseover="calSwapImg('BTN_date', 'img_Date_OVER',true);" onmouseout="calSwapImg('BTN_date', 'img_Date_UP',true);" onclick="calSwapImg('BTN_date', 'img_Date_DOWN');showCalendar('new_special', 'happy_hours_day', 'happy_hours_month','happy_hours_year', 'dteWhen','BTN_date');return false;"><?php echo tep_image(DIR_WS_IMAGES . 'cal_date_up.gif', 'Calendar', '22', '17', 'align="absmiddle" name="BTN_date"'); ?></a>
						</td>			
						</tr>
						<tr>
			<td class="main" width="200"><?php echo TEXT_SPECIALS_END_HAPPY_HOURS_DATE; ?>&nbsp;</td>
			<td class="main"><?php echo 
								   tep_draw_input_field('happy_hours_end_year', (isset($sInfo->happy_hours_end_date) ? substr($sInfo->happy_hours_end_date, 0, 4) : ''), 'size="4" maxlength="4" class="cal-TextBox"') . 
								   tep_draw_input_field('happy_hours_end_month', (isset($sInfo->happy_hours_end_date) ? substr($sInfo->happy_hours_end_date, 5, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . 
								   tep_draw_input_field('happy_hours_end_day', (isset($sInfo->happy_hours_end_date) ? substr($sInfo->happy_hours_end_date, 8, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"')
								   
								   ; ?>
								   <a class="so-BtnLink" href="javascript:calClick();return false;" onmouseover="calSwapImg('BTN_date', 'img_Date_OVER',true);" onmouseout="calSwapImg('BTN_date', 'img_Date_UP',true);" onclick="calSwapImg('BTN_date', 'img_Date_DOWN');showCalendar('new_special', 'happy_hours_end_day', 'happy_hours_end_month','happy_hours_end_year', 'dteWhen','BTN_date');return false;"><?php echo tep_image(DIR_WS_IMAGES . 'cal_date_up.gif', 'Calendar', '22', '17', 'align="absmiddle" name="BTN_date"'); ?></a>
						</td>
						</tr>
						
						
<tr>
            <td class="main" ><?php echo TEXT_SPECIALS_BEGINNING_HAPPY_HOURS_TIME; ?>&nbsp;</td><td class="main" width="400">
						<?php echo 			
						            tep_draw_input_field('happy_specials_hour', (isset($sInfo->happy_hours_beginning_time) ? substr($sInfo->happy_hours_beginning_time, 0, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . 'Hr-&nbsp;'. 
											  tep_draw_input_field('happy_hours_minutes', (isset($sInfo->happy_hours_beginning_time) ? substr($sInfo->happy_hours_beginning_time, 3, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"'). 'Mn-&nbsp;'.  
											  tep_draw_input_field('happy_hours_secondes', (isset($sInfo->happy_hours_beginning_time) ? substr($sInfo->happy_hours_beginning_time, 6, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"'). 'Sec&nbsp;';  

											  
						?>
						
						</td>
						</tr>
						<tr>
						            <td class="main" width="200"><?php echo TEXT_SPECIALS_END_HAPPY_HOURS_TIME; ?>&nbsp;</td><td class="main" >
						<?php echo 
						            tep_draw_input_field('happy_hours_end_hour', (isset($sInfo->happy_hours_end_time) ? substr($sInfo->happy_hours_end_time, 0, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"') . 'Hr-&nbsp;'. 
											  tep_draw_input_field('happy_hours_end_minutes', (isset($sInfo->happy_hours_end_time) ? substr($sInfo->happy_hours_end_time, 3, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"'). 'Mn-&nbsp;'.  
											  tep_draw_input_field('happy_hours_end_secondes', (isset($sInfo->happy_hours_end_time) ? substr($sInfo->happy_hours_end_time, 6, 2) : ''), 'size="2" maxlength="2" class="cal-TextBox"'). 'Sec&nbsp;';  
						?>
							</td>					
						</tr>
						
						
          <tr>
            <td class="main"><?php echo TEXT_SPECIAL_PRICE_HAPPY_HOURS; ?>&nbsp;</td><td class="main" width="400">
           <?php echo tep_draw_input_field('specials_price_happy_hours', (isset($sInfo->specials_price_happy_hours) ? $sInfo->specials_price_happy_hours : ''), 'size="20" class="cal-TextBox"'); ?>
          </td>
          </tr>
						

<?php // ############ End happy_hours ##########  ?>
        </table>
        <table border="0" width="100%" cellspacing="0" cellpadding="2">




          <tr>
            <td class="main"><br><?php echo TEXT_SPECIALS_PRICE_TIP; ?></td>
            <td class="main" align="right" valign="top"><br><?php echo (($form_action == 'insert') ? tep_image_submit('button_insert.gif', IMAGE_INSERT) : tep_image_submit('button_update.gif', IMAGE_UPDATE)). '&nbsp;&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . (isset($_GET['sID']) ? '&sID=' . $_GET['sID'] : '')) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>'; ?></td>
          </tr>
        </table></td>
      </form></tr>
<?php
  } else {
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr class="dataTableHeadingRow">
                <td class="dataTableHeadingContent"><?php echo TABLE_HEADING_PRODUCTS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRODUCTS_PRICE; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_STATUS; ?></td>
<?php // ############## Added happy_hours ############# ?>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_STATUS_HAPPY_HOURS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_PRODUCTS_PRICE_HAPPY_HOURS; ?></td>
<?php // ############## End happy_hours ############# ?>
<?php // ############## BOF Neue Spalten Start-End Zeit ############# ?>
                <td class="dataTableHeadingContent" align="right"><?php echo TEXT_INFO_BEGINNING_HAPPY_HOURS; ?><br><?php echo TEXT_INFO_END_HAPPY_HOURS; ?></td>
                <td class="dataTableHeadingContent" align="right"><?php echo TEXT_INFO_BEGINNING_HAPPY_HOURS_TIME; ?><br><?php echo TEXT_INFO_END_HAPPY_HOURS_TIME; ?></td>
<?php // ############## EOF Neue Spalten Start-End Zeit ############# ?>
                <td class="dataTableHeadingContent" align="right"><?php echo TABLE_HEADING_ACTION; ?>&nbsp;</td>
              </tr>
<?php
// ############## Added happy_hours #############
// BOF Separate Pricing Per Customer
    $all_groups = array();
    $customers_groups_query = tep_db_query("select customers_group_name, customers_group_id from " . TABLE_CUSTOMERS_GROUPS . " order by customers_group_id ");
    while ($existing_groups =  tep_db_fetch_array($customers_groups_query)) {
      $all_groups[$existing_groups['customers_group_id']] = $existing_groups['customers_group_name'];
    }
	
  /*  $specials_query_raw = "select p.products_id, pd.products_name, p.products_price, hhs.specials_id, hhs.customers_group_id hhs.specials_new_products_price, hhs.specials_date_added, hhs.specials_last_modified, hhs.expires_date, hhs.happy_hours_beginning_date, hhs.happy_hours_end_date, hhs.happy_hours_beginning_time, hhs.happy_hours_end_time, hhs.specials_price_happy_hours, hhs.date_status_change, hhs.status, hhs.status_happy_hours, hhs.date_status_change_happy_hours from " . TABLE_PRODUCTS . " p, " . TABLE_SPECIALS . " hhs, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and p.products_id = hhs.products_id order by pd.products_name";*/
	
  $specials_query_raw = "select p.products_id, pd.products_name, p.products_price, s.specials_id, s.customers_group_id, s.specials_new_products_price, s.specials_date_added, s.specials_last_modified, s.valid_from_date, s.expires_date, s.happy_hours_beginning_date, s.happy_hours_end_date, s.happy_hours_beginning_time, s.happy_hours_end_time, s.specials_price_happy_hours, s.date_status_change, s.status, s.status_happy_hours, s.date_status_change_happy_hours  from " . TABLE_PRODUCTS . " p, " . TABLE_SPECIALS . " s, " . TABLE_PRODUCTS_DESCRIPTION . " pd where p.products_id = pd.products_id and pd.language_id = '" . (int)$languages_id . "' and p.products_id = s.products_id order by pd.products_name"; 	
// ############## Added happy_hours #############

   $customers_group_prices_query = tep_db_query("select hhs.products_id, hhs.customers_group_id, pg.customers_group_price from " . TABLE_SPECIALS . " hhs LEFT JOIN " . TABLE_PRODUCTS_GROUPS . " pg using (products_id, customers_group_id) ");
 while ($_customers_group_prices = tep_db_fetch_array($customers_group_prices_query)) {
 $customers_group_prices[] = $_customers_group_prices;
 } 

    $specials_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $specials_query_raw, $specials_query_numrows);
    $specials_query = tep_db_query($specials_query_raw);
// BOF Separate Pricing Per Customer
    $no_of_rows_in_specials = tep_db_num_rows($specials_query);	
    while ($specials = tep_db_fetch_array($specials_query)) {
   for ($y = 0; $y < $no_of_rows_in_specials; $y++) {
    if ( tep_not_null($customers_group_prices[$y]['customers_group_price']) && $customers_group_prices[$y]['products_id'] == $specials['products_id'] && $customers_group_prices[$y]['customers_group_id'] == $specials['customers_group_id']) {
    $specials['products_price'] = $customers_group_prices[$y]['customers_group_price'] ;
    } // end if (tep_not_null($customers_group_prices[$y]['customers_group_price'] etcetera
    } // end for loop
// EOF Separate Pricing Per Customer	
      if ((!isset($_GET['sID']) || (isset($_GET['sID']) && ($_GET['sID'] == $specials['specials_id']))) && !isset($sInfo)) {
        $products_query = tep_db_query("select products_image from " . TABLE_PRODUCTS . " where products_id = '" . (int)$specials['products_id'] . "'");
        $products = tep_db_fetch_array($products_query);
        $sInfo_array = array_merge($specials, $products);
        $sInfo = new objectInfo($sInfo_array);
      }

      if (isset($sInfo) && is_object($sInfo) && ($specials['specials_id'] == $sInfo->specials_id)) {
        echo '                  <tr id="defaultSelected" class="dataTableRowSelected" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=edit') . '\'">' . "\n";
      } else {
        echo '                  <tr class="dataTableRow" onmouseover="rowOverEffect(this)" onmouseout="rowOutEffect(this)" onclick="document.location.href=\'' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $specials['specials_id']) . '\'">' . "\n";
      }
?>
                <td  class="dataTableContent"><?php echo $specials['products_name']; ?></td>
<!-- BOF Separate Pricing Per Customer -->				
                <td  class="dataTableContent" align="left"><span class="oldPrice"><?php echo $currencies->format($specials['products_price']); ?></span><br><span class="specialPrice"><?php echo $currencies->format($specials['specials_new_products_price'])." (".$all_groups[$specials['customers_group_id']].")"; ?></span></td>
				<!-- EOF Separate Pricing per Customer -->
                <td  class="dataTableContent" align="right">

<?php
      if ($specials['status'] == '1') {
        echo tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_SPECIALS, 'action=setflag&flag=0&id=' . $specials['specials_id'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
      } else {
        echo '<a href="' . tep_href_link(FILENAME_SPECIALS, 'action=setflag&flag=1&id=' . $specials['specials_id'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
      }
?></td>


<?php // ############## Added happy_hours ############# ?>
      <td  class="dataTableContent" align="center">
<?php
      if ($specials['status_happy_hours'] == '1') {
        echo tep_image(DIR_WS_IMAGES . 'icon_status_green.gif', IMAGE_ICON_STATUS_GREEN, 10, 10) . '&nbsp;&nbsp;<a href="' . tep_href_link(FILENAME_SPECIALS, 'action=setflag_happy_hours&flag=0&id=' . $specials['specials_id'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_red_light.gif', IMAGE_ICON_STATUS_RED_LIGHT, 10, 10) . '</a>';
      } else {
        echo '<a href="' . tep_href_link(FILENAME_SPECIALS, 'action=setflag_happy_hours&flag=1&id=' . $specials['specials_id'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . 'icon_status_green_light.gif', IMAGE_ICON_STATUS_GREEN_LIGHT, 10, 10) . '</a>&nbsp;&nbsp;' . tep_image(DIR_WS_IMAGES . 'icon_status_red.gif', IMAGE_ICON_STATUS_RED, 10, 10);
      }
?></td>

                <td  class="dataTableContent" align="right"><span class="oldPrice"><?php echo $currencies->format($specials['products_price']); ?></span> <span class="specialPrice"><?php echo $currencies->format($specials['specials_price_happy_hours']); ?></span></td>
<?php // ############## BOF Neue Spalte Start-End Zeit ############# ?>
                <td  class="dataTableContent" align="right"><?php echo tep_date_short($specials['happy_hours_beginning_date']); ?><br> <?php echo tep_date_short($specials['happy_hours_end_date']); ?></td>
                <td  class="dataTableContent" align="right"><?php echo $specials['happy_hours_beginning_time']; ?><br> <?php echo $specials['happy_hours_end_time']; ?></td>
<?php // ############## EOF Neue Spalte Start-End Zeit ############# ?>                

<?php // ############## End happy_hours ############# ?>

                <td class="dataTableContent" align="right"><?php if (isset($sInfo) && is_object($sInfo) && ($specials['specials_id'] == $sInfo->specials_id)) { echo tep_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', ''); } else { echo '<a href="' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $specials['specials_id']) . '">' . tep_image(DIR_WS_IMAGES . 'icon_info.gif', IMAGE_ICON_INFO) . '</a>'; } ?>&nbsp;</td>
      </tr>
<?php
    }
?>
              <tr>
                <td colspan="4"><table border="0" width="100%" cellpadding="0"cellspacing="2">
                  <tr>
                    <td class="smallText" valign="top"><?php echo $specials_split->display_count($specials_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_SPECIALS); ?></td>
                    <td class="smallText" align="right"><?php echo $specials_split->display_links($specials_query_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
                  </tr>
<?php
  if (empty($action)) {
?>
                  <tr>                    
                    <td colspan="2" align="right"><?php echo '<a href="' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&action=new') . '">' . tep_image_button('button_new_product.gif', IMAGE_NEW_PRODUCT) . '</a>'; ?></td>
                  </tr>
<?php
  }
?>
                </table></td>
              </tr>
            </table></td>
<?php
  $heading = array();
  $contents = array();

  switch ($action) {
    case 'delete':
      $heading[] = array('text' => '<b>' . TEXT_INFO_HEADING_DELETE_SPECIALS . '</b>');

      $contents = array('form' => tep_draw_form('specials', FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=deleteconfirm'));
      $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
      $contents[] = array('text' => '<br><b>' . $sInfo->products_name . '</b>');
      $contents[] = array('align' => 'center', 'text' => '<br>' . tep_image_submit('button_delete.gif', IMAGE_DELETE) . '&nbsp;<a href="' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id) . '">' . tep_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
      break;
    default:
      if (is_object($sInfo)) {
        $heading[] = array('text' => '<b>' . $sInfo->products_name . '</b>');

        $contents[] = array('align' => 'center', 'text' => '<a href="' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=edit') . '">' . tep_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . tep_href_link(FILENAME_SPECIALS, 'page=' . $_GET['page'] . '&sID=' . $sInfo->specials_id . '&action=delete') . '">' . tep_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
        $contents[] = array('text' => '<br>' . TEXT_INFO_DATE_ADDED . ' ' . tep_date_short($sInfo->specials_date_added));
        $contents[] = array('text' => '' . TEXT_INFO_LAST_MODIFIED . ' ' . tep_date_short($sInfo->specials_last_modified));
        $contents[] = array('align' => 'center', 'text' => '<br>' . tep_info_image($sInfo->products_image, $sInfo->products_name, SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT));
        $contents[] = array('text' => '<br>' . TEXT_INFO_ORIGINAL_PRICE . ' ' . $currencies->format($sInfo->products_price));
        $contents[] = array('text' => '' . TEXT_INFO_NEW_PRICE . ' ' . $currencies->format($sInfo->specials_new_products_price));
        $contents[] = array('text' => '' . TEXT_INFO_PERCENTAGE . ' ' . number_format(100 - (($sInfo->specials_new_products_price / $sInfo->products_price) * 100)) . '%');
    $contents[] = array('text' => '<br>' . TEXT_INFO_VALIDFROM_DATE . ' <b>' . tep_date_short($sInfo->valid_from_date) . '</b>');
        $contents[] = array('text' => '<br>' . TEXT_INFO_EXPIRES_DATE . ' <b>' . tep_date_short($sInfo->expires_date) . '</b>');
// ###################### Added  happy_hours ###############
        $contents[] = array('text' => '<br>' . TEXT_INFO_BEGINNING_HAPPY_HOURS . ' <b>' . tep_date_short($sInfo->happy_hours_beginning_date) . '</b>');
        $contents[] = array('text' => '' . TEXT_INFO_END_HAPPY_HOURS . ' <b>' . tep_date_short($sInfo->happy_hours_end_date) . '</b>');
		
		$contents[] = array('text' => '<br>' . TEXT_INFO_BEGINNING_HAPPY_HOURS_TIME . ' <b>' . $sInfo->happy_hours_beginning_time . '</b>');
        $contents[] = array('text' => '' . TEXT_INFO_END_HAPPY_HOURS_TIME . ' <b>' . $sInfo->happy_hours_end_time . '</b>');
		
        $contents[] = array('text' => '' . TEXT_INFO_NEW_PRICE . ' ' . $currencies->format($sInfo->specials_price_happy_hours));
        $contents[] = array('text' => '' . TEXT_INFO_PERCENTAGE . ' ' . number_format(100 - (($sInfo->specials_price_happy_hours / $sInfo->products_price) * 100)) . '%');

// ##################### End Added happy_hours ###############
        $contents[] = array('text' => '<BR>' . TEXT_INFO_STATUS_CHANGE . ' ' . tep_date_short($sInfo->date_status_change));
// ###################### Added  happy_hours ###############
        $contents[] = array('text' => '<BR>' . TEXT_INFO_STATUS_CHANGE_HAPPY_HOURS . ' ' . tep_date_short($sInfo->date_status_change_happy_hours));
// ###################### Added  happy_hours ###############
      }
      break;
  }
  if ( (tep_not_null($heading)) && (tep_not_null($contents)) ) {
    echo '            <td width="25%" valign="top">' . "\n";

    $box = new box;
    echo $box->infoBox($heading, $contents);

    echo '            </td>' . "\n";
  }
}
?>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>