<?php
/*
  $Id: contact_us.php,v 1.1.1.1 2003/08/14 07:58:30 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

  // include needed functions   
  require_once (DIR_WS_INC.'tep_validate_email.inc.php');
  require_once (DIR_WS_INC.'tep_store_mail.inc.php');
  require_once (DIR_WS_INC.'vvcode_render_code.inc.php');

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CONTACT_ABOUT_ATM);

//extra info page_bof  
  $page_query = tep_db_query("select p.pages_id, p.sort_order, p.status, s.pages_title, s.pages_html_text
                            from " . TABLE_PAGES . " p LEFT JOIN " .TABLE_PAGES_DESCRIPTION . " s on p.pages_id = s.pages_id 
                            where p.status = 1 and s.language_id = '" . (int)$languages_id . "' and p.page_type = 5");
$page_check = tep_db_fetch_array($page_query);
$pagetext=stripslashes($page_check[pages_html_text]);
//extra info page_eof

  $error = false;
  if (isset($_GET['action']) && ($_GET['action'] == 'send')) {
    $name = $_POST['name'];
    $email_address = $_POST['email'];

    $order_content =  $_POST['order_content'];
    $enquiry = ENTRY_NAME . stripslashes($name) ."\n" . $email_address ."\n" . ENTRY_ENQUIRY . "\n" . stripslashes($order_content);
    
    if (tep_not_null($name) == false) {
      $error = true;
      $messageStack->add('contact_about_atm', EMPTY_NAME_ERROR);
    }

    if (tep_validate_email($email_address) == false) {
      $error = true;
      $messageStack->add('contact_about_atm', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    }
    
//VISUAL VERIFY CODE start
 // require(DIR_WS_FUNCTIONS . 'visual_verify_code.php');

    $code_query = tep_db_query("select code from visual_verify_code where oscsid = '" . $_GET['osCsid'] . "'");
    $code_array = tep_db_fetch_array($code_query);
    $code = $code_array['code'];

    tep_db_query("DELETE FROM " . TABLE_VISUAL_VERIFY_CODE . " WHERE oscsid='" . $vvcode_oscsid . "'"); //remove the visual verify code associated with this session to clean database and ensure new results

    $user_entered_code = $_POST['visual_verify_code'];
    if (!(strcasecmp($user_entered_code, $code) == 0)) {    //make the check case insensitive
        $error = true;
        $messageStack->add('contact_about_atm', VISUAL_VERIFY_CODE_ENTRY_ERROR);
    }
//VISUAL VERIFY CODE stop    

   if ($error == false) { 
	if (USE_EMAIL_QUEUE == 'true') {
      tep_store_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT, $enquiry, $name, $email_address);	      
	  }      
      tep_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT, $enquiry, $name, $email_address);
	

      tep_redirect(tep_href_link(FILENAME_CONTACT_ABOUT_ATM, 'action=success'));      
    }
  }

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_CONTACT_ABOUT_ATM));
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8 echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><?php echo tep_draw_form('contact_about_atm', tep_href_link(FILENAME_CONTACT_ABOUT_ATM, 'action=send')); ?><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_contact_us.gif', HEADING_TITLE, HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<!-- extra info page-- START-->
<?php
	 if (tep_not_null($pagetext)) {
	   include (DIR_WS_MODULES . 'extra_infopages.php');  
?>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
	 }
?>      
<!-- extra info page-- STOP-->  
<?php
  if ($messageStack->size('contact_about_atm') > 0) {
?>
      <tr>
        <td><?php echo $messageStack->output('contact_about_atm'); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
  }

  if (isset($_GET['action']) && ($_GET['action'] == 'success')) {
?>
      <tr>
        <td class="main" align="center"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_man_on_board.gif', HEADING_TITLE, '0', '0', 'align="left"') . TEXT_SUCCESS; ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td align="right"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
<?php
  } else {
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
			  <tr>
                <td class="main"><?php echo ENTRY_NAME; ?></td>
               </tr>
              <tr>
                <td class="main"><?php
                          // prefill first+last name and email address if customer is logged in
                          if (tep_session_is_registered('customer_id')) {
                          $customer_query_raw = "select customers_firstname, customers_lastname, customers_email_address from " . TABLE_CUSTOMERS . " where customers_id='" . $customer_id . "'";
                          $customer_query = tep_db_query($customer_query_raw);
                          $customer_array = tep_db_fetch_array($customer_query);
                          echo tep_draw_input_field('name', $customer_array['customers_firstname'] . " " . $customer_array['customers_lastname'],'readonly');
                          echo "</td></tr><tr><td class=\"main\">" . ENTRY_EMAIL . "</td></tr><tr><td class=\"main\">";
                          echo tep_draw_input_field('email', $customer_array['customers_email_address'],'readonly');
                            } else {
                          echo tep_draw_input_field('name');
                          echo "</td></tr><tr><td class=\"main\">" . ENTRY_EMAIL . "</td></tr><tr><td class=\"main\">";
                                echo tep_draw_input_field('email');
                            } ?></td>
              </tr>
              <tr>
                <td class="main">
				   <font color="#0000ff">1. 訂購單編號：</font> <font color="#828282">(如123456)</font><br>
				   <font color="#0000ff">2. 轉帳銀行名：</font> <font color="#828282">(如中國信託)</font><br>
				   <font color="#0000ff">3. 帳號後五碼：</font> <font color="#828282">(如88888 [附註]只要後五碼作為核對您轉帳來的帳號用,不會有安全性問題)</font><br>
				   <font color="#0000ff">4. 轉帳的日期：</font> <font color="#828282">(如2006/1/1)</font><br>
				   <font color="#0000ff">5. 聯絡的電話：</font> <font color="#828282">(如0930999988, 請留下最容易與您聯絡的電話)</font><br>
				   
				</td>
                </tr>
              
              <tr>
                <td class="main"><?php echo ENTRY_ENQUIRY; ?></td>
              </tr>
              <tr>
                <td class="main" align="left"><textarea name="order_content" wrap="soft" cols="50" rows="10">
1. 訂購單編號：<?php echo '#' . sprintf($_GET['order_id']) ; ?>

2. 轉帳銀行代號：
3. 帳號後五碼：
4. 轉帳的日期：
5. 聯絡的電話：
6.付款人真實姓名：<?php echo $name; ?> 
7.付款人信箱位址：<?php echo $email; ?> 
8. 其他事項: 
				</textarea> </td>				
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      
<!--  VISUAL VERIFY CODE start -->
      <?php include_once (DIR_WS_MODULES. 'show_vvcode.php'); ?>
<!--  VISUAL VERIFY CODE stop   -->
	  <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>      
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td align="left" class="main"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT, '', 'NONSSL') . '">' . tep_image_button('button_back.gif', IMAGE_BUTTON_BACK) . '</a>'; ?></td>
                <td align="right"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table></form></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>