<?php
/* -----------------------------------------------------------------------------------------
   $Id: tep_draw_input_field.inc.php 13/09/06 10:26 
   
   osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com  
   -----------------------------------------------------------------------------------------
  based on: 
   (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
   (c) 2002-2003 osCommerce(general.php,v 1.225 2003/05/29); www.oscommerce.com 
  Released under the GNU General Public License 
   ---------------------------------------------------------------------------------------*/
  
// Output a form input field
  function tep_draw_input_field($name, $value = '', $parameters = '', $type = 'text', $reinsert_value = true) {
    $field = '<input type="' . tep_output_string($type) . '" name="' . tep_output_string($name) . '"';

    if ( (isset($GLOBALS[$name])) && ($reinsert_value == true) ) {
      $field .= ' value="' . tep_output_string(stripslashes($GLOBALS[$name])) . '"';
    } elseif (tep_not_null($value)) {
      $field .= ' value="' . tep_output_string($value) . '"';
    }

    if (tep_not_null($parameters)) $field .= ' ' . $parameters;

    $field .= '>';

    return $field;
  }
?>