<?php
/* -----------------------------------------------------------------------------------------
   $Id: tep_image_info.inc.php 13/09/06 10:26 
   
   osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com  
   -----------------------------------------------------------------------------------------
  based on: 
   (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
   (c) 2002-2003 osCommerce(general.php,v 1.225 2003/05/29); www.oscommerce.com 
  Released under the GNU General Public License 
   ---------------------------------------------------------------------------------------*/
  //require_once (DIR_WS_INC.'tep_output_string.inc.php');
  
//BOF Image Magic
function tep_image_info($src, $alt = '', $width = '', $height = '', $params = '') {
  global $product_info;

  //Allow for a new intermediate sized thumbnail size to be set
  //without any changes having to be made to the product_info page itself.
  //(see the lengths I go to to make your life easier :-)
  if (strstr($_SERVER['PHP_SELF'],"product_info.php")) {

        if (isset($product_info['products_image'])
                   && $src == DIR_WS_IMAGES . $product_info['products_image']
                   && $product_info[products_id]==$_GET['products_id'])  {   //final check just to make sure that we don't interfere with other contribs
         //   $width = PRODUCT_INFO_IMAGE_WIDTH == 0?'':PRODUCT_INFO_IMAGE_WIDTH;
         //   $height = PRODUCT_INFO_IMAGE_HEIGHT == 0?'':PRODUCT_INFO_IMAGE_HEIGHT;
            $product_info_image=true;
            $page="prod_info";
        }
  }

  //Detect whether this is a pop-up image
  if (strstr($_SERVER['PHP_SELF'],"popup_image.php")) $page="popup";

  //do we apply the IE PNG alpha transparency fix?
  if  (strstr(strtolower($src),".png") && CFG_PNG_BUG=="True") $fix_png = true;

  //send the image for processing unless told otherwise
  $image = '<img src="' . $src . '"'; //set up the image tag just in case we don't want to process
  if (CFG_MASTER_SWITCH=="On") $calculate = true;
  else $calculate=false;

  // Don't calculate if the image is set to a "%" width
  if (strstr($width,'%') == true || strstr($height,'%') == true) $calculate = false;

  // Dont calculate if a pixel image is being passed (hope you dont have pixels for sale)
  if (strstr($image, 'pixel')) $calculate = false;


  $image_size = @getimagesize($src);


  // Decide whether or not we want to process this image
  if (($width == '' && $height == '' && $page != 'popup' ) || ($width == $image_size[0] && $height == $image_size[0] && $page != 'popup')) {
        if (CFG_PROCESS_GRAPHICS=="False") $calculate = false; //looks like this is a store graphic rather than product image
  }

  // Is this image good to go?
  if (CONFIG_CALCULATE_IMAGE_SIZE && $calculate) {

  if ($image_size) {

      $ratio = $image_size[1] / $image_size[0];

      // Set the width and height to the proper ratio
      if (!$width && $height) {
        $ratio = $height / $image_size[1];
        $width = intval($image_size[0] * $ratio);
      } elseif ($width && !$height) {
        $ratio = $width / $image_size[0];
        $height = intval($image_size[1] * $ratio);
      } elseif (!$width && !$height && !$over_ride) {
        $width = $image_size[0];
        $height = $image_size[1];
      }
      
      // Scale the image if larger than the set width or height
        if ($image_size[0] > $width || $image_size[1] > $height) {
                $rx = $image_size[0] / $width;
                $ry = $image_size[1] / $height;

                if ($rx < $ry) {
                    $width = intval($height / $ratio);
                } else {
                    $height = intval($width * $ratio);
                }

      //Encrypt the image filename if switched on
        if (CFG_ENCRYPT_FILENAMES == "True" && CFG_ENCRYPTION_KEY !="") {
              $result = '';
              $key=CFG_ENCRYPTION_KEY;
              for($i=0; $i<strlen($src); $i++) {
                  $char = substr($src, $i, 1);
                  $keychar = substr($key, ($i % strlen($key))-1, 1);
                  $char = chr(ord($char)+ord($keychar));
                  $result.=$char;
              }
              $src=urlencode(base64_encode($result));
        }
        
        

       //Return the html
        $image = '<img src="imagemagic.php?img='.$src.'&w='.
        tep_output_string($width).'&h='.tep_output_string($height).'&page='.$page.'"';
      }  

    } elseif (IMAGE_REQUIRED == 'false') {
      return false;
    }
  }

    //If the size asked for is greater than the image itself, we check the configs to see if this is allowed and if not over-ride
  if ($width > $image_size[0] || $height > $image_size[1]) {
        if (CFG_ALLOW_LARGER  != 'True'){
              $width=$image_size[0];
              $height=$image_size[1];
              $over_ride = true;
        }
  }
  // Add remaining image parameters if they exist
  if ($width) {
    $image .= ' width="' . tep_output_string($width) . '"';
  }

  if ($height) {
    $image .= ' height="' . tep_output_string($height) . '"';
  }

  if (tep_not_null($params)) $image .= ' ' . $params;

  $image .= ' border="0" alt="' . tep_output_string($alt) . '"';

  if (tep_not_null($alt)) {
    $image .= ' title="' . tep_output_string($alt) . '"';
  }

  if ($fix_png && CFG_MASTER_SWITCH=="On") {
        $image .= ' onload="fixPNG(this)"';
  }

  $image .= '>';
  return $image;
}
//EOF Image Magic
?>