<?php
/*
  $Id: database_tables.php,v 1.0 2004-02-28 03:22:55+01 bluedog Exp bluedog $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
        Contribution B2BSuite id="id20031008144119"
        released by Walter "BluEdoG" Tosolini (info AT bluedog DOT it)
*/

// define the database table names used in the project
  define('TABLE_ADDRESS_BOOK', 'address_book');
  define('TABLE_ADDRESS_FORMAT', 'address_format');
  define('TABLE_BANNERS', 'banners');
  define('TABLE_BANNERS_HISTORY', 'banners_history');
  define('TABLE_CATEGORIES', 'categories');
  define('TABLE_CATEGORIES_DESCRIPTION', 'categories_description');
  define('TABLE_CONFIGURATION', 'configuration');
  define('TABLE_CONFIGURATION_GROUP', 'configuration_group');
  define('TABLE_COUNTER', 'counter');
  define('TABLE_COUNTER_HISTORY', 'counter_history');
  define('TABLE_COUNTRIES', 'countries');
  define('TABLE_CURRENCIES', 'currencies');
  define('TABLE_CUSTOMERS', 'customers');
  define('TABLE_CUSTOMERS_BASKET', 'customers_basket');
  define('TABLE_CUSTOMERS_BASKET_ATTRIBUTES', 'customers_basket_attributes');
  define('TABLE_CUSTOMERS_INFO', 'customers_info');
  define('TABLE_LANGUAGES', 'languages');
  define('TABLE_MANUFACTURERS', 'manufacturers');
  define('TABLE_MANUFACTURERS_INFO', 'manufacturers_info');
  define('TABLE_ORDERS', 'orders');
  define('TABLE_ORDERS_PRODUCTS', 'orders_products');
  define('TABLE_ORDERS_PRODUCTS_ATTRIBUTES', 'orders_products_attributes');
  define('TABLE_ORDERS_PRODUCTS_DOWNLOAD', 'orders_products_download');
  define('TABLE_ORDERS_STATUS', 'orders_status');
  define('TABLE_ORDERS_STATUS_HISTORY', 'orders_status_history');
  define('TABLE_ORDERS_TOTAL', 'orders_total');
  define('TABLE_PRODUCTS', 'products');
  define('TABLE_PRODUCTS_ATTRIBUTES', 'products_attributes');
  define('TABLE_PRODUCTS_ATTRIBUTES_DOWNLOAD', 'products_attributes_download');
  define('TABLE_PRODUCTS_DESCRIPTION', 'products_description');
  define('TABLE_PRODUCTS_NOTIFICATIONS', 'products_notifications');
  define('TABLE_PRODUCTS_OPTIONS', 'products_options');
  define('TABLE_PRODUCTS_OPTIONS_VALUES', 'products_options_values');
  define('TABLE_PRODUCTS_OPTIONS_VALUES_TO_PRODUCTS_OPTIONS', 'products_options_values_to_products_options');
  define('TABLE_PRODUCTS_TO_CATEGORIES', 'products_to_categories');
  define('TABLE_REVIEWS', 'reviews');
  define('TABLE_REVIEWS_DESCRIPTION', 'reviews_description');
  define('TABLE_SESSIONS', 'sessions');
  define('TABLE_SPECIALS', 'specials');
  define('TABLE_TAX_CLASS', 'tax_class');
  define('TABLE_TAX_RATES', 'tax_rates');
  define('TABLE_GEO_ZONES', 'geo_zones');
  define('TABLE_ZONES_TO_GEO_ZONES', 'zones_to_geo_zones');
  define('TABLE_WHOS_ONLINE', 'whos_online');
  define('TABLE_ZONES', 'zones');
// BOF Separate Pricing per Customer
  define('TABLE_PRODUCTS_GROUPS', 'products_groups');
  define('TABLE_SPECIALS_RETAIL_PRICES', 'specials_retail_prices');
  define('TABLE_PRODUCTS_GROUP_PRICES', 'products_group_prices_cg_');
  define('TABLE_CUSTOMERS_GROUPS', 'customers_groups');
  // this will define the maximum time in minutes between updates of a products_group_prices_cg_# table
  // changes in table specials will trigger an immediate update if a query needs this particular table
  define('MAXIMUM_DELAY_UPDATE_PG_PRICES_TABLE', '15');
  // EOF Separate Pricing per Customer

// Added for Xsell Products Mod
  define('TABLE_PRODUCTS_XSELL', 'products_xsell');
// BEGIN latest news
  define('TABLE_LATEST_NEWS', 'latest_news');
// CITIES
  define('TABLE_CITIES', 'cities');
// define the database table names used in the newsletters project
  define('TABLE_SUBSCRIBERS', 'subscribers');
//Star Products Start --343
  define('TABLE_STAR_PRODUCT', 'star_product');
// Extra Pages - Info Box-  347
  define('TABLE_PAGES', 'pages');
// CCGV contribution
  define('TABLE_COUPON_GV_CUSTOMER', 'coupon_gv_customer');
  define('TABLE_COUPON_GV_QUEUE', 'coupon_gv_queue');
  define('TABLE_COUPON_REDEEM_TRACK', 'coupon_redeem_track');
  define('TABLE_COUPON_EMAIL_TRACK', 'coupon_email_track');
  define('TABLE_COUPONS', 'coupons');
  define('TABLE_COUPONS_DESCRIPTION', 'coupons_description');

// START: Product Extra Fields
  define('TABLE_PRODUCTS_EXTRA_FIELDS', 'products_extra_fields');
  define('TABLE_PRODUCTS_TO_PRODUCTS_EXTRA_FIELDS', 'products_to_products_extra_fields');
// Automatic DB optimisation
  define('TABLE_OPTIMIZE_CHECK', 'optimize_check');
//blacklist
  define('TABLE_BLACKLIST', 'blacklist');
//Linkmatics attributes sets plus custom tables
  define('TABLE_PRODUCTS_ATTRIBUTES_SETS', 'products_attributes_sets');
  define('TABLE_PRODUCTS_ATTRIBUTES_SETS_ELEMENTS','products_attributes_sets_elements');
  define('TABLE_PRODUCTS_ATTRIBUTES_SETS_TO_PRODUCTS', 'products_attributes_sets_to_products');
// visitors
  define('TABLE_VISITORS', 'visitors');
  define('TABLE_VISITORS_TRACE', 'visitors_trace');
//Points/Rewards Module V1.60
  define('TABLE_CUSTOMERS_POINTS_PENDING', 'customers_points_pending');
// the email queue
  define('TABLE_EMAIL_BATCH', 'email_batch');
//dangling_carrot
  define('TABLE_CARROT', 'free_gifts');
//featured_products
  define('TABLE_FEATURED', 'featured');
// Added 2gether (contribution 3929)
  define('TABLE_2GETHER', 'products_2gether'); 
//customer extra_fields
  define('TABLE_EXTRA_FIELDS','extra_fields');
  define('TABLE_EXTRA_FIELDS_INFO','extra_fields_info');
  define('TABLE_CUSTOMERS_TO_EXTRA_FIELDS','customers_to_extra_fields');
//VVC CODE
  define('TABLE_VISUAL_VERIFY_CODE', 'visual_verify_code');
// Additional Images
  define('TABLE_ADDITIONAL_IMAGES', 'additional_images'); 
  
// BEGIN newdesk
define('TABLE_NEWSDESK', 'newsdesk');
define('TABLE_NEWSDESK_DESCRIPTION', 'newsdesk_description');
define('TABLE_NEWSDESK_TO_CATEGORIES', 'newsdesk_to_categories');
define('TABLE_NEWSDESK_CATEGORIES', 'newsdesk_categories');
define('TABLE_NEWSDESK_CATEGORIES_DESCRIPTION', 'newsdesk_categories_description');
define('TABLE_NEWSDESK_CONFIGURATION', 'newsdesk_configuration');
define('TABLE_NEWSDESK_CONFIGURATION_GROUP', 'newsdesk_configuration_group');
define('TABLE_NEWSDESK_REVIEWS', 'newsdesk_reviews');
define('TABLE_NEWSDESK_REVIEWS_DESCRIPTION', 'newsdesk_reviews_description');
//Extra Pages - Info Box
define('TABLE_PAGES', 'pages');
define('TABLE_PAGES_DESCRIPTION', 'pages_description'); 
//dynamic sitemap control
  define('TABLE_SITEMAP_EXCLUDE', 'sitemap_exclude');
// VJ Links Manager v1.00 begin
  define('TABLE_LINK_CATEGORIES', 'link_categories');
  define('TABLE_LINK_CATEGORIES_DESCRIPTION', 'link_categories_description');
  define('TABLE_LINKS', 'links');
  define('TABLE_LINKS_DESCRIPTION', 'links_description');
  define('TABLE_LINKS_TO_LINK_CATEGORIES', 'links_to_link_categories');
  define('TABLE_LINKS_FEATURED', 'links_featured');
// VJ Links Manager v1.00 end  
?>
