<?php
/*
  $Id: redemptions.php, v 1.60 2005/NOV/02 09:00:46 dsa_ Exp $
  http://www.deep-silver.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2005 osCommerce

  Released under the GNU General Public License
*/

// include  functions
   require_once (DIR_WS_INC.'tep_date_long.inc.php');

// fetches the shopping points the customer currently has
  function tep_get_shopping_points($id = '', $check_session = true) {
    global $customer_id;

    if (is_numeric($id) == false) {
      if (tep_session_is_registered('customer_id')) {
        $id = $customer_id;
      } else {
        return 0;
      }
    }

    if ($check_session == true) {
      if ( (tep_session_is_registered('customer_id') == false) || ($id != $customer_id) ) {
        return 0;
      }
    }

	$points_query = tep_db_query("select customers_shopping_points from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$id . "'");
    $points = tep_db_fetch_array($points_query);

    return $points['customers_shopping_points'];
  }

  
// balance customer points account
  function tep_set_shopping_points($points_toset, $customer_id) {
	  
	tep_db_query("update " . TABLE_CUSTOMERS . " set customers_shopping_points = '" . (int)$points_toset . "' where customers_id = '" . (int)$customer_id . "'");
  }
  
// calculate the shopping points value for the customer
  function tep_calc_shopping_pvalue($points) {
	  
	return((float)$points * (float)REDEEM_POINT_VALUE);
  }

// calculate the products shopping points tax value if any  
    function tep_display_points($products_price, $products_tax, $quantity = 1) {
    if ((DISPLAY_PRICE_WITH_TAX == 'true') && (USE_POINTS_FOR_TAX == 'true')) {
      $products_price_points_query = tep_add_tax($products_price, $products_tax) * $quantity;
      } else {
      $products_price_points_query = $products_price * $quantity;
      }
      return $products_price_points_query;
    }
    
// calculate the shopping points for any products price  
  function tep_calc_products_price_points($products_price_points_query) {
    $products_points_total = $products_price_points_query * POINTS_PER_AMOUNT_PURCHASE;
	  
	return $products_points_total;
  }
  
// calculate the shopping points value for any products price  
  function tep_calc_price_pvalue($products_points_total) {
    $products_points_value = tep_calc_shopping_pvalue($products_points_total);
	  
	return($products_points_value);
  }

// fetches the pending rows the customer currently has
  function tep_count_pending_rows($customer_id) {

    $rows_query = tep_db_query("select count(*) as count from " . TABLE_CUSTOMERS_POINTS_PENDING . " where customer_id = '" . $customer_id . "'");
    $rows = tep_db_fetch_array($rows_query);

    if ($rows['count'] > 0) {
      return true;
    } else {
      return false;
    }
  }
    
// fetches the products restriction by model.
    function get_redemption_rules($order) {
      
	  if (REDEMPTION_RESTRICTION == 'true') { 
		     
 	    if (tep_not_null(RESTRICTION_MODEL))   
          for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
		     if (!(substr($order->products[$i]['model'], 0, 10) == RESTRICTION_MODEL)) {
			       
			   return false;
		     }
          return true;
        }
 	    if (tep_not_null(RESTRICTION_PID))   
		  for ($i=0; $i<sizeof($order->products); $i++) {
			 $p_ids = split("[,]", RESTRICTION_PID);
			 for ($ii = 0; $ii < count($p_ids); $ii++) {
				if ($order->products[$i]['id'] == $p_ids[$ii]) {
			       
			      return true;
		        }
            }
 	    }
 	    if (tep_not_null(RESTRICTION_PATH))   
		  for ($i=0; $i<sizeof($order->products); $i++) {
			 $cat_ids = split("[,]", RESTRICTION_PATH);
			 $sub_cat_ids = split("[_]", tep_get_product_path($order->products[$i]['id']));
			   for ($iii = 0; $iii < count($sub_cat_ids); $iii++) {
				  for ($ii = 0; $ii < count($cat_ids); $ii++) {
					 if ($sub_cat_ids[$iii] == $cat_ids[$ii]) {
			       
			           return true;
		          }
	           }
            }
 	    }
        return false;
          
	  } else {
	        
        return true;
      }
    }
    
// check to see if to add pending points for specials.
    function get_award_discounted($order) {
		     
     if (USE_POINTS_FOR_SPECIALS == 'false') {  
      
		    for ($i=0; $i<sizeof($order->products); $i++) {
                 $id = $order->products[$i]['id'];
                 $product_query = tep_db_query("select products_price from " . TABLE_PRODUCTS . " where products_id = '" . $id . "' and products_status = 1");
                 $product = tep_db_fetch_array($product_query);
		         $cart_pri = split("[,]", $order->products[$i]['price']);
                 $p_pri = split("[,]", $product['products_price']);
			     for ($iii = 0; $iii < count($p_pri); $iii++) {
				    for ($ii = 0; $ii < count($cart_pri); $ii++) {
					   if ($p_pri[$iii] == $cart_pri[$ii]) {
						 
			           return true;
		               }
	                }
                 }
 	         }

        return false;
        
      } else {
        return true;
    }
  }
  
// fetches the products pending points to add.
  function get_points_toadd($order) {
		     
    if ((USE_POINTS_SYSTEM == 'true') && ($order->info['total'] > 0)) { // check that the points system is enabled
      if ((USE_POINTS_FOR_SHIPPING == 'false') && (USE_POINTS_FOR_TAX == 'false'))
        $points_toadd = $order->info['total'] - $order->info['shipping_cost'] - $order->info['tax'];
         else if ((USE_POINTS_FOR_SHIPPING == 'false') && (USE_POINTS_FOR_TAX == 'true'))
        $points_toadd = $order->info['total'] - $order->info['shipping_cost'];
         else if ((USE_POINTS_FOR_SHIPPING == 'true') &&  (USE_POINTS_FOR_TAX == 'false'))
        $points_toadd = $order->info['total'] - $order->info['tax'];
         else $points_toadd = $order->info['total'];
    }
        return $points_toadd;
  }
  
// this function sets the customers Pending points
  function tep_add_pending_points($customer_id, $insert_id, $points_toadd) {
	
    $points_awarded = $points_toadd * POINTS_PER_AMOUNT_PURCHASE;
      
    if (POINTS_AUTO_ON == 'true'){
      $sql_data_array = array('unique_id' => '',
                              'customer_id' => $customer_id,
                              'orders_id' => $insert_id,
                              'points_pending' => $points_awarded,
                              'date_added' => 'now()', 
                              'comment' => 'TEXT_DEFAULT_COMMENT', 
                              'status' => 2);
      tep_db_perform(TABLE_CUSTOMERS_POINTS_PENDING, $sql_data_array);
      
	  tep_db_query('update '. TABLE_CUSTOMERS . ' set customers_shopping_points = customers_shopping_points + '. $points_awarded . ' where customers_id = '. (int)$customer_id);          
    
    } else {
      $sql_data_array = array('unique_id' => '',
                              'customer_id' => $customer_id,
                              'orders_id' => $insert_id,
                              'points_pending' => $points_awarded,
                              'date_added' => 'now()', 
                              'comment' => 'TEXT_DEFAULT_COMMENT', 
                              'status' => 1);
                            
      tep_db_perform(TABLE_CUSTOMERS_POINTS_PENDING, $sql_data_array);
    }
  }


// this function sets the new signup customers welcome points
  function tep_add_welcome_points($customer_id) {
	
    $welcome_points = NEW_SIGNUP_POINT_AMOUNT;
      
	tep_db_query('update '. TABLE_CUSTOMERS . ' set customers_shopping_points = customers_shopping_points + '. $welcome_points . ' where customers_id = '. (int)$customer_id);          
  }

// this function get the last update value for any key
  function tep_get_last_date($key) {
	  
    $key_date_query = tep_db_query("select last_modified from " . TABLE_CONFIGURATION . "  where configuration_key = '" . $key . "'");
    $key_date = tep_db_fetch_array($key_date_query);

    return tep_date_long($key_date['last_modified']);
  }
  
// this function record the customers redeemed_points
  function tep_add_redeemed_points($customer_id, $insert_id,$redeemed_points) {
	
    $sql_data_array = array('unique_id' => '',
                            'customer_id' => $customer_id,
                            'orders_id' => $insert_id,
                            'points_pending' => - $redeemed_points,
                            'date_added' => 'now()', 
                            'comment' => 'TEXT_DEFAULT_REDEEMED', 
                            'status' => 4);
                            
    tep_db_perform(TABLE_CUSTOMERS_POINTS_PENDING, $sql_data_array);
  }
  
// fetches the products discounted restriction if enabled.
    function get_points_rules_discounted($order) {
		     
     if (REDEMPTION_DISCOUNTED == 'true') {  
      
      for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
           $id = $order->products[$i]['id'];
           $product_query = tep_db_query("select products_price from " . TABLE_PRODUCTS . " where products_id = '" . $id . "' and products_status = 1");
           $product = tep_db_fetch_array($product_query);
		 if (!(substr($order->products[$i]['price'],0,10) == $product['products_price'])) {
			return false;
		}
	  }

        return true;
        
      } else {
        return true;
      }
    }
      
// check for awards restriction if enabled.
    function get_redemption_awards($customer_shopping_points_spending) {
      
	   if (USE_POINTS_FOR_REDEEMED == 'false') {  
         if (!$customer_shopping_points_spending) {
		   return true;
		 }

         return false;
        
       } else {
	       
        return true;
       }
    }
?>