<?php
/*
  $Id: tchinese.php,v 1.1.1.1 2003/08/14 08:00:17 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License

*/

// look in your $PATH_LOCALE/locale directory for available locales
// or type locale -a on the server.
// 設定本地時間
// RedHat 'zh_TW'
// FreeBSD 'zh_TW.Big5'
// Windows ''引號內空白即可
//
@setlocale(LC_TIME, 'zh_TW');

define('DATE_FORMAT_SHORT', '%m/%d/%Y');  // this is used for strftime()
define('DATE_FORMAT_LONG', '%Y年%m月%d日'); // this is used for strftime()
define('DATE_FORMAT', 'm/d/Y'); // this is used for date()
define('DATE_TIME_FORMAT', DATE_FORMAT_SHORT . ' %H:%M:%S');


////
// Return date in raw format
// $date should be in format mm/dd/yyyy
// raw date is in format YYYYMMDD, or DDMMYYYY
function tep_date_raw($date, $reverse = false) {
  if ($reverse) {
    return substr($date, 3, 2) . substr($date, 0, 2) . substr($date, 6, 4);
  } else {
    return substr($date, 6, 4) . substr($date, 0, 2) . substr($date, 3, 2);
  }
}

// if USE_DEFAULT_LANGUAGE_CURRENCY is true, use the following currency, instead of the applications default currency (used when changing language)
define('LANGUAGE_CURRENCY', 'TWD');//預設值

// Global entries for the <html> tag
// Global entries for the <html> tag
define('HTML_PARAMS','xml:lang="zh-TW" lang="zh-TW" xmlns="http://www.w3.org/1999/xhtml"');
//define('HTML_PARAMS','dir="LTR" lang="tw"');

// charset for web pages and emails
define('CHARSET', 'UTF-8');
define('EMAIL_CHARSET', 'BIG5');

// page title
define('TITLE', STORE_NAME);

// header text in includes/header.php
define('HEADER_TITLE_CREATE_ACCOUNT', '開設帳號');
define('HEADER_TITLE_MY_ACCOUNT', '我的帳號');
define('HEADER_TITLE_CART_CONTENTS', '購物車內容');
define('HEADER_TITLE_CHECKOUT', '結帳');
define('HEADER_TITLE_CONTACT_US', '聯絡我們');
define('HEADER_TITLE_TOP', '首頁');
define('HEADER_TITLE_CATALOG', '商品目錄');
define('HEADER_TITLE_LOGOFF', '登出');
define('HEADER_TITLE_LOGIN', '登入');
define('HEADER_TITLE_ADMINISTRATION', '系統管理');

// box text in includes/boxes/administrators.php
define('BOX_HEADING_ADMINISTRATORS', '系統管理員');
define('BOX_ADMINISTRATORS_SETUP', '設定');

// footer text in includes/footer.php
define('FOOTER_TEXT_REQUESTS_SINCE', '次瀏覽,自從');

// text for gender
define('MALE', '男');
define('FEMALE', '女');
define('MALE_ADDRESS', '先生');
define('FEMALE_ADDRESS', '小姐');

// text for date of birth example
define('DOB_FORMAT_STRING', 'mm/dd/yyyy');

// categories box text in includes/boxes/categories.php
define('BOX_HEADING_CATEGORIES', '商品分類');

// manufacturers box text in includes/boxes/manufacturers.php
define('BOX_HEADING_MANUFACTURERS', '製造廠商');

// whats_new box text in includes/boxes/whats_new.php
define('BOX_HEADING_WHATS_NEW', '新上架商品');

// quick_find box text in includes/boxes/quick_find.php
define('BOX_HEADING_SEARCH', '快速尋找商品');
define('BOX_SEARCH_TEXT', '輸入關鍵字尋找商品');
define('BOX_SEARCH_ADVANCED_SEARCH', '進階尋找商品');

// specials box text in includes/boxes/specials.php
define('BOX_HEADING_SPECIALS', '特價商品');

// reviews box text in includes/boxes/reviews.php
define('BOX_HEADING_REVIEWS', '商品評論');
define('BOX_REVIEWS_WRITE_REVIEW', '請寫下您對這個商品的評論!');
define('BOX_REVIEWS_NO_REVIEWS', '目前沒有任何商品評論');
define('BOX_REVIEWS_TEXT_OF_5_STARS', '我給這個商品 %s 顆星星');

// shopping_cart box text in includes/boxes/shopping_cart.php
define('BOX_HEADING_SHOPPING_CART', '購物車');
define('BOX_SHOPPING_CART_EMPTY', '空的...');

// order_history box text in includes/boxes/order_history.php
define('BOX_HEADING_CUSTOMER_ORDERS', '購物紀錄');

// best_sellers box text in includes/boxes/best_sellers.php
define('BOX_HEADING_BESTSELLERS', '暢銷商品');
define('BOX_HEADING_BESTSELLERS_IN', '暢銷商品在<br>&nbsp;&nbsp;');

// notifications box text in includes/boxes/products_notifications.php
define('BOX_HEADING_NOTIFICATIONS', '商品通知狀態');
define('BOX_NOTIFICATIONS_NOTIFY', '<b>%s</b><br>更新時通知我');
define('BOX_NOTIFICATIONS_NOTIFY_REMOVE', '<b>%s</b><br>更新時不必通知我');

// manufacturer box text
define('BOX_HEADING_MANUFACTURER_INFO', '製造商的相關資訊');
define('BOX_MANUFACTURER_INFO_HOMEPAGE', '去看看 %s 的首頁');
define('BOX_MANUFACTURER_INFO_OTHER_PRODUCTS', '製造商的其他商品');

// languages box text in includes/boxes/languages.php
define('BOX_HEADING_LANGUAGES', '語系');

// currencies box text in includes/boxes/currencies.php
define('BOX_HEADING_CURRENCIES', '貨幣');

// tell a friend box text in includes/boxes/tell_a_friend.php
define('BOX_HEADING_TELL_A_FRIEND', '推薦給親友');
define('BOX_TELL_A_FRIEND_TEXT', '推薦這個商品給親友');

// checkout procedure text
//define('CHECKOUT_BAR_CART_CONTENTS', '購物車內容');
//define('CHECKOUT_BAR_DELIVERY_ADDRESS', '出貨地址');
//define('CHECKOUT_BAR_PAYMENT_METHOD', '付款方式');
define('CHECKOUT_BAR_DELIVERY', '出貨資訊');
define('CHECKOUT_BAR_PAYMENT', '付款資訊');
define('CHECKOUT_BAR_CONFIRMATION', '確認');
define('CHECKOUT_BAR_FINISHED', '完成');

// pull down default text
define('PULL_DOWN_DEFAULT', '請選擇');
define('TYPE_BELOW', '於下列輸入');

// javascript messages
define('JS_ERROR', '別急！別急！\n您的資料還沒填完喔！\n看看您漏掉哪些\n\n');

define('JS_REVIEW_TEXT', '* 您的評論最少要' . (REVIEW_TEXT_MIN_LENGTH/2) . '個字\n\n');
define('JS_REVIEW_RATING', '* 請給這個商品一個評等\n\n');

define('JS_ERROR_NO_PAYMENT_MODULE_SELECTED', '* 請選一個付款方式\n');

define('JS_ERROR_SUBMITTED', '這個表單已經送出，請按 Ok 後等待處理');

define('ERROR_NO_PAYMENT_MODULE_SELECTED', '您必須選一個付款方式.');
define('ERROR_NO_CONDITIONS', '請確認您已詳閱並同意同意本公司的隱私權聲明保護 & 會員權益及須知');

define('CATEGORY_COMPANY', '公司資料');
define('CATEGORY_PERSONAL', '個人資料');
define('CATEGORY_ADDRESS', '地址');
define('CATEGORY_CONTACT', '通訊');
define('CATEGORY_OPTIONS', '選項');
define('CATEGORY_PASSWORD', '密碼');

define('ENTRY_COMPANY', '公司名稱:');
define('ENTRY_COMPANY_ERROR', '');
define('ENTRY_COMPANY_TEXT', '');
define('ENTRY_GENDER', '性別:');
define('ENTRY_GENDER_ERROR', '請選擇性別');
define('ENTRY_GENDER_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_FIRST_NAME', '中文姓名:');
define('ENTRY_FIRST_NAME_ERROR', '中文姓名不得少於 ' . ENTRY_FIRST_NAME_MIN_LENGTH . ' 個字');
define('ENTRY_FIRST_NAME_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_LAST_NAME', '英文姓名:');
define('ENTRY_LAST_NAME_ERROR', '英文姓名不得少於 ' . ENTRY_LAST_NAME_MIN_LENGTH . ' 個字');
define('ENTRY_LAST_NAME_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_DATE_OF_BIRTH', '生日:');
define('ENTRY_DATE_OF_BIRTH_ERROR', '&nbsp;<small><font color="#FF0000">(例：05/21/1970)</font></small>');
define('ENTRY_DATE_OF_BIRTH_TEXT', '&nbsp;<small>(例：1970/05/21) <font color="#FF0000">*</font></small>');
define('ENTRY_EMAIL_ADDRESS', 'E MAIL:');
define('ENTRY_EMAIL_ADDRESS_ERROR', '電子郵件不得少於 ' . ENTRY_EMAIL_ADDRESS_MIN_LENGTH . ' 個字');
define('ENTRY_EMAIL_ADDRESS_CHECK_ERROR', '電子郵件地址格式錯誤!');
define('ENTRY_EMAIL_ADDRESS_ERROR_EXISTS', '這個電子郵件已經註冊過!請確認或換一個電子郵件');
define('ENTRY_EMAIL_ADDRESS_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_STREET_ADDRESS', '街道門牌號碼:');
define('ENTRY_STREET_ADDRESS_ERROR', '街道門牌號碼不得少於 ' . ENTRY_STREET_ADDRESS_MIN_LENGTH . ' 個字');
define('ENTRY_STREET_ADDRESS_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_SUBURB', '村里鄰:');
define('ENTRY_SUBURB_ERROR', '');
define('ENTRY_SUBURB_TEXT', '');
define('ENTRY_POST_CODE', '郵遞區號:');
define('ENTRY_POST_CODE_ERROR', '郵遞區號不得少於 ' . ENTRY_POSTCODE_MIN_LENGTH . ' 個字');
define('ENTRY_POST_CODE_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_CITY', '鄉/鎮市區:');
define('ENTRY_CITY_ERROR', '鄉/鎮市區不得少於 ' . ENTRY_CITY_MIN_LENGTH . ' 個字');
define('ENTRY_CITY_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_STATE', '縣市:');
define('ENTRY_STATE_ERROR', '縣市最少必須 ' . ENTRY_STATE_MIN_LENGTH . '個字');
define('ENTRY_STATE_ERROR_SELECT', '<-請自行輸入：尚未建立縣市資料庫，您選取之國家碼: ');
define('ENTRY_STATE_TEXT', '&nbsp;<small><font color="#FF0000">*請從下拉式選單中選取縣市</small>');
define('ENTRY_COUNTRY', '國家:');
define('ENTRY_COUNTRY_ERROR', '請從下拉式選單中選取國別');
define('ENTRY_COUNTRY_TEXT', '&nbsp;<small><font color="#FF0000">*請從下拉式選單中選取國別</small>');
define('ENTRY_TELEPHONE_NUMBER', '電話號碼:');
define('ENTRY_TELEPHONE_NUMBER_ERROR', '電話號碼不得少於 ' . ENTRY_TELEPHONE_MIN_LENGTH . ' 個字');
define('ENTRY_TELEPHONE_NUMBER_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_FAX_NUMBER', '傳真/行動電話:');
define('ENTRY_FAX_NUMBER_ERROR', '');
define('ENTRY_FAX_NUMBER_TEXT', '');
define('ENTRY_NEWSLETTER', '訂閱電子報:');
define('ENTRY_NEWSLETTER_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_NEWSLETTER_YES', '-訂閱-');
define('ENTRY_NEWSLETTER_NO', '取消');
define('ENTRY_NEWSLETTER_ERROR', '');
define('ENTRY_PASSWORD', '密碼:');
define('ENTRY_PASSWORD_ERROR', '密碼不得少於' . ENTRY_PASSWORD_MIN_LENGTH . ' 個字');
define('ENTRY_PASSWORD_ERROR_NOT_MATCHING', '密碼不符');
define('ENTRY_PASSWORD_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_PASSWORD_CONFIRMATION', '再輸入一次密碼:');
define('ENTRY_PASSWORD_CONFIRMATION_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_PASSWORD_CURRENT', '目前密碼:');
define('ENTRY_PASSWORD_CURRENT_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_PASSWORD_CURRENT_ERROR', '密碼不得少於 ' . ENTRY_PASSWORD_MIN_LENGTH . ' 個字');
define('ENTRY_PASSWORD_NEW', '新密碼:');
define('ENTRY_PASSWORD_NEW_TEXT', '&nbsp;<small><font color="#FF0000">*</small>');
define('ENTRY_PASSWORD_NEW_ERROR', '新密碼不得少於' . ENTRY_PASSWORD_MIN_LENGTH . ' 個字');
define('ENTRY_PASSWORD_NEW_ERROR_NOT_MATCHING', '密碼不符');
define('PASSWORD_HIDDEN', '--隱藏--');
define('FORM_REQUIRED_INFORMATION', '<font color="#FF0000">* </font>表示該欄位必須填寫');

// constants for use in tep_prev_next_display function
define('TEXT_RESULT_PAGE', '總頁數:');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS', '顯示 <b>%d</b> 到 <b>%d</b> (共<b>%d</b>個商品)');
define('TEXT_DISPLAY_NUMBER_OF_ORDERS', '顯示 <b>%d</b> 到 第<b>%d</b> (共<b>%d</b>筆訂單)');
define('TEXT_DISPLAY_NUMBER_OF_REVIEWS', '顯示 <b>%d</b> 到 第<b>%d</b> (共<b>%d</b>個評論)');
define('TEXT_DISPLAY_NUMBER_OF_PRODUCTS_NEW', '顯示 <b>%d</b> 到 第<b>%d</b> (共<b>%d</b>個新商品)');
define('TEXT_DISPLAY_NUMBER_OF_SPECIALS', '顯示 <b>%d</b> 到 第 <b>%d</b> (共 <b>%d</b> 項特價)');

define('PREVNEXT_TITLE_FIRST_PAGE', '第一頁');
define('PREVNEXT_TITLE_PREVIOUS_PAGE', '前一頁');
define('PREVNEXT_TITLE_NEXT_PAGE', '下一頁');
define('PREVNEXT_TITLE_LAST_PAGE', '最後一頁');
define('PREVNEXT_TITLE_PAGE_NO', '第%d頁');
define('PREVNEXT_TITLE_PREV_SET_OF_NO_PAGE', '往前 %d 頁');
define('PREVNEXT_TITLE_NEXT_SET_OF_NO_PAGE', '往後 %d 頁');
define('PREVNEXT_BUTTON_FIRST', '<<最前面');
define('PREVNEXT_BUTTON_PREV', '[<<&nbsp;往前]');
define('PREVNEXT_BUTTON_NEXT', '[往後&nbsp;>>]');
define('PREVNEXT_BUTTON_LAST', '最後面>>');

define('IMAGE_BUTTON_ADD_ADDRESS', '新增地址');
define('IMAGE_BUTTON_ADDRESS_BOOK', '通訊錄');
define('IMAGE_BUTTON_BACK', '回上頁');
define('IMAGE_BUTTON_BUY_NOW', '馬上買');
define('IMAGE_BUTTON_CHANGE_ADDRESS', '變更地址');
define('IMAGE_BUTTON_CHECKOUT', '結帳');
define('IMAGE_BUTTON_CONFIRM_ORDER', '確認訂單');
define('IMAGE_BUTTON_CONTINUE', '繼續');
define('IMAGE_BUTTON_CREATE_ACCOUNT', '加入會員');
define('IMAGE_BUTTON_CONTINUE_SHOPPING', '繼續購物');
define('IMAGE_BUTTON_DELETE', '刪除');
define('IMAGE_BUTTON_EDIT_ACCOUNT', '編輯帳號');
define('IMAGE_BUTTON_HISTORY', '訂單記錄');
define('IMAGE_BUTTON_LOGIN', '登入');
define('IMAGE_BUTTON_IN_CART', '放到購物車');
define('IMAGE_BUTTON_NOTIFICATIONS', '通知');
define('IMAGE_BUTTON_QUICK_FIND', '快速尋找');
define('IMAGE_BUTTON_REMOVE_NOTIFICATIONS', '移除商品通知');
define('IMAGE_BUTTON_REVIEWS', '評價');
define('IMAGE_BUTTON_SEARCH', '搜尋');
define('IMAGE_BUTTON_SHIPPING_OPTIONS', '出貨選項');
define('IMAGE_BUTTON_TELL_A_FRIEND', '推薦給親友');
define('IMAGE_BUTTON_UPDATE', '更新');
define('IMAGE_BUTTON_UPDATE_CART', '更新購物車');
define('IMAGE_BUTTON_WRITE_REVIEW', '寫寫商品評論');

define('SMALL_IMAGE_BUTTON_DELETE', '刪除');
define('SMALL_IMAGE_BUTTON_EDIT', '編輯');
define('SMALL_IMAGE_BUTTON_VIEW', '檢視');

define('ICON_ARROW_RIGHT', '更多');
define('ICON_CART', '放到購物車');
define('ICON_ERROR', '錯誤');
define('ICON_SUCCESS', '完成');
define('ICON_WARNING', '注意');

define('TEXT_GREETING_PERSONAL', '<span class="greetUser">%s</span> 您好，歡迎光臨！ 想看看有什麼<a href="%s"><u>新進商品</u></a>？');
define('TEXT_GREETING_PERSONAL_RELOGON', '如果您不是 %s, 請用自己的帳號<a href="%s"><u>登入</u></a>');
define('TEXT_GREETING_GUEST', '<span class="greetUser">訪客</span>，歡迎光臨，如果您已經是會員請直接<a href="%s"><u>登入</u></a>？ 或是<a href="%s"><u>註冊為會員</u></a>？');

define('TEXT_SORT_PRODUCTS', '商品排序方式：');
define('TEXT_DESCENDINGLY', '遞減，');
define('TEXT_ASCENDINGLY', '遞增，');
define('TEXT_BY', '排序鍵：');

define('TEXT_REVIEW_BY', '%s 所評論寫道：');
define('TEXT_REVIEW_WORD_COUNT', '%s   字');
define('TEXT_REVIEW_RATING', '評等: %s [%s]');
define('TEXT_REVIEW_DATE_ADDED', '評論日期: %s');
define('TEXT_NO_REVIEWS', '目前沒有任何商品評論.');

define('TEXT_NO_NEW_PRODUCTS', '目前沒有新進商品.');

define('TEXT_UNKNOWN_TAX_RATE', '不明的稅率');

define('TEXT_REQUIRED', '<span class="errorText">必填</span>');

define('ERROR_TEP_MAIL', '<font face="Verdana, Arial" size="2" color="#ff0000"><b><small>TEP ERROR:</small> 無法由指定的 SMTP 主機傳送郵件，請檢查 php.ini 設定</b></font>');
define('WARNING_INSTALL_DIRECTORY_EXISTS', '警告： 安裝目錄仍然存在： ' . dirname($_SERVER['SCRIPT_FILENAME']) . '/install. 基於安全的理由，請將這個目錄刪除');
define('WARNING_CONFIG_FILE_WRITEABLE', '警告： 設定檔允許被寫入： ' . dirname($_SERVER['SCRIPT_FILENAME']) . '/includes/configure.php. 這將具有潛在的系統安全風險 - 請將檔案設定為正確的使用權限');
define('WARNING_SESSION_DIRECTORY_NON_EXISTENT', '警告： sessions 資料夾不存在： ' . tep_session_save_path() . '. 在這個目錄未建立之前 Sessions 無法正常動作');
define('WARNING_SESSION_DIRECTORY_NOT_WRITEABLE', '警告： 無法寫入sessions 資料夾： ' . tep_session_save_path() . '. 在使用者權限未正確設定之前 Sessions 將無法正常動作');
define('WARNING_DOWNLOAD_DIRECTORY_NON_EXISTENT', '警告： 下載的商品目錄不存在： ' . DIR_FS_DOWNLOAD . '. 在這個目錄未建立之前，無法下載商品');
define('WARNING_SESSION_AUTO_START', '警告： session.auto_start 已啟動 - 請到 php.ini 內關閉這個功能，並重新啟動網頁主機');

define('TEXT_CCVAL_ERROR_INVALID_DATE', '輸入的信用卡到期日無效<br>請檢查日期後再試');
define('TEXT_CCVAL_ERROR_INVALID_NUMBER', '信用卡卡號無效<br>請檢查後再試');
define('TEXT_CCVAL_ERROR_UNKNOWN_CARD', '您輸入的前四碼是: %s<br>如果正確，我們目前尚無法接受此類信用卡<br>如果錯誤請重試');

// categories box text in includes/boxes/buildccc.php
define('BOX_HEADING_CCC', 'Build-Your-Own Computer Designer');
define('BOX_INFORMATION_CCC', 'Build-Your-Own Custom Built Computers');
/*
  The following copyright announcement can only be
  appropriately modified or removed if the layout of
  the site theme has been modified to distinguish
  itself from the default osCommerce-copyrighted
  theme.

  For more information please read the following
  Frequently Asked Questions entry on the osCommerce
  support site:

  http://www.oscommerce.com/community.php/faq,26/q,50

  Please leave this comment intact together with the
  following copyright announcement.
*/
define('FOOTER_TEXT_BODY', '版權所有 &copy;2004-2006 '.STORE_NAME.'<BR><BR>Powered by <a href="http://www.oscommerce.com">osCommerce</a> Integrated by <a href="http://www.yago.com.tw">YAGO.com.tw</a>');

// subscribers box text in includes/boxes/subscribers.php
define('BOX_HEADING_SUBSCRIBERS', '訂閱電子報');
define('BOX_TEXT_SUBSCRIBE', '‧訂電子報‧');
define('BOX_TEXT_UNSUBSCRIBE', '‧取消訂報');
define('TEXT_EMAIL', '‧e-mail‧');
define('TEXT_NAME', '‧姓名‧');

// +Country-State Selector
define ('DEFAULT_COUNTRY', '206');
// ENTRY_CF
define('ENTRY_CF', '統一編號');
define('ENTRY_CF_ERROR','統一編號錯誤');
define('ENTRY_CF_TEXT', '*');

define('FREE_TEXT', '<img src="' . DIR_WS_IMAGES . 'table_background_payment.gif">免費!</img>');

define('CALL_TEXT', '<font color=red>價格請來電洽詢</font>');
define('CALL_LINK_ON','1');
define('CALL_LINK_TEXT','按這裡與我們聯絡');
define('CALL_LINK_OFF_TEXT','<font color=blue>洽詢電話請撥: xxxx-xxx-xxx</font>');
define('CALL_INCART_LINK', '<B><A HREF="' . DIR_WS_CATALOG . 'contact_us.php">' . CALL_LINK_TEXT . '</A></B> &nbsp;&nbsp; ');

define('SOON_TEXT', '<font color=red>即將上市...</font>');
define('SOON_LINK_ON','0');
define('SOON_LINK_TEXT','按這裡與我們聯絡');
define('SOON_LINK_OFF_TEXT','<font color=blue>洽詢電話請撥: xxxx-xxx-xxx</font>');
define('SOON_INCART_LINK', '<B><A HREF="' . DIR_WS_CATALOG . 'contact_us.php">' . SOON_LINK_TEXT . '</A></B> &nbsp;&nbsp; ');

//Star product Start --343
  define('STAR_TITLE', '特別推薦商品'); // star product
  define('STAR_READ_MORE', '<FONT color=blue> ... 更多資訊.</FONT>'); // ... read more.
// Popup promo v1.2
 define('TEXT_CLICK_POPUP', '點這裏...');
 define('TEXT_CLOSE_POPUP', '關閉');
// BOF Show price list for SPPC 4.1
define('SHOW_PRICE_LIST', '零售價： ');
define('SHOW_YOUR_PRICE', '您的會員價： ');
// addded for the account balance mod
define('ENTRY_ACCOUNT_BALANCE', '結餘金額 :');
// Product Extra Fields
define('TABLE_HEADING_LANGUAGE', '語言');
define ('TEXT_ALL_LANGUAGES', '全部');
// previous next product
  define('PREV_NEXT_PRODUCT', '商品');
  define('PREV_NEXT_FROM', '從');
  define('IMAGE_BUTTON_PREVIOUS','前一項');
  define('IMAGE_BUTTON_NEXT','下一項');
  define('IMAGE_BUTTON_RETURN_TO_PRODUCT_LIST','回到商品列表');

// SSL box
  define ('SSLBOX_HEADER', '安全保護');
  define ('SSLBOX_CONTENT','您在安全保護區');
  define ('SSLBOX_TITLE','128-bit SSL啟動!');

#### Points/Rewards Module V1.60 BOF ####
define('REDEEM_SYSTEM_ERROR_POINTS', '兌換紅利點數錯誤 ! 您還沒有足夠的購物點數支付.');
define('REDEEM_SYSTEM_ERROR_POINTS_EMPTY', '兌換紅利點數錯誤 ! 您沒有輸入要支付的點數.');
define('REDEEM_SYSTEM_ERROR_POINTS_MAX', '兌換紅利點數錯誤 ! 很抱歉! 每一張訂單不能使用超過 ' . number_format(POINTS_MAX_VALUE,2) . ' 點.');
define('REDEEM_SYSTEM_ERROR_POINTS_NOT', '紅利點數不夠支付您購買的金額. 請選擇其他付款方式');
define('REDEEM_SYSTEM_ERROR_POINTS_OVER', '兌換紅利點數錯誤 ! 您輸入的點數大於您的儲值，請重新輸入點數');
define('TEXT_POINTS_BALANCE', '您的紅利點數資訊.');
define('TEXT_POINTS', '紅利點數 :');
define('TEXT_VALUE', '儲值:');
#### Points/Rewards Module V1.60 EOF ####    
// dangling carrot v1.9 in includes/boxes/gifts.php
	define('BOX_HEADING_GIFTS', '滿額超值商品');
//BEGIN USERNAME
define('ENTRY_USERNAME', '帳號名稱:');
define('ENTRY_USERNAME_TEXT', '*');
define('ENTRY_USERNAME_ERROR', '您的會員帳號須達 ' . ENTRY_USERNAME_MIN_LENGTH . '個字以上 </font></small>');
define('ENTRY_USERNAME_ERROR_EXISTS', '這個名稱已經有人註冊使用了! 請試一試其他名稱。');
// BOF: Product Specials Module v1.0
define('TABLE_HEADING_PRODUCT_SPECIALS', '特價商品');
// added for New Product Icon contribution
define('TEXT_ICON_NEW_PRODUCT', '新上市');

// favourites box text   
   define('TEXT_BOOKMARK', '加入書籤');
//extra_fields
define('ENTRY_EXTRA_FIELDS_ERROR','欄位 %s 必須最小須包含 %d 字元');
define('CATEGORY_EXTRA_FIELDS', '會員特別通信欄');
//VISUAL VERIFY CODE start
   define('VISUAL_VERIFY_CODE_CHARACTER_POOL', 'abcdefghijklmnpqrstuvwxyzABCDEFGHIJKLMNPQRSTUVWXYZ123456789FJWNVB63HDLAJAF');  //不可使用數字0或英文字o
   define('VISUAL_VERIFY_CODE_CATEGORY', '安全認證碼');
   define('VISUAL_VERIFY_CODE_ENTRY_ERROR', '您輸入的認證碼不相符！煩請重新輸入！');
   define('VISUAL_VERIFY_CODE_ENTRY_TEXT', '*');
   define('VISUAL_VERIFY_CODE_TEXT_INSTRUCTIONS', '請輸入安全認證碼：<br>（注意小大寫）');
   define('VISUAL_VERIFY_CODE_BOX_IDENTIFIER', '<- 安全認證碼');
//VISUAL VERIFY CODE stop  

// information box text in includes/boxes/information.php
define('BOX_HEADING_INFORMATION', '資訊服務區');
define('BOX_INFORMATION_ABOUT_ATM','匯款通知');
define('BOX_INFORMATION_PRIVACY', '隱私權保護聲明');
define('BOX_INFORMATION_CONDITIONS', '會員權益及須知');
define('BOX_INFORMATION_SHIPPING', '訂購與退換貨');
define('BOX_INFORMATION_CONTACT', '聯絡我們');
define('BOX_INFORMATION_MY_POINTS_HELP', '紅利點數問答集');   //Points/Rewards Module V1.60
define('BOX_INFORMATION_ALLPRODS', '全部商品'); //BEGIN allprods modification
define('BOX_ALL_AUCTIONS', '全部拍賣品'); //BEGIN allprods modification
define('BOX_INFORMATION_RSS', 'RSS新聞'); // RSS Feed
//BEGIN allprods modification
define('VIEW_LATEST_ADDITION','新增商品'); //BEGIN allprods modification
define('VIEW_ALL_DISCOUNT','全部特價品'); //BEGIN allprods modification

// newsdesk box text in includes/boxes/newsdesk.php
define('TABLE_HEADING_NEWSDESK', '重要資訊');
define('TEXT_NO_NEWSDESK_NEWS', '抱歉，沒有重要資訊!');
define('TEXT_NEWSDESK_READMORE', '更多重要資訊');
define('TEXT_NEWSDESK_VIEWED', '瀏覽數:');
define('BOX_HEADING_NEWSDESK_CATEGORIES', '資訊分類');
define('BOX_HEADING_NEWSDESK_LATEST', '最新資訊');
define('TEXT_DISPLAY_NUMBER_OF_ARTICLES', '顯示 <b>%d</b> 到 <b>%d</b> (共 <b>%d</b> 則資訊)');
// Who's online
define('BOX_HEADING_WHOS_ONLINE', '線上人數');
define('BOX_WHOS_ONLINE_THEREIS', '*目前線上訪客*');
define('BOX_WHOS_ONLINE_THEREARE', '*目前線上訪客*');
define('BOX_WHOS_ONLINE_GUEST', '位匿名訪客');
define('BOX_WHOS_ONLINE_GUESTS', '位匿名訪客');
define('BOX_WHOS_ONLINE_AND', '和');
define('BOX_WHOS_ONLINE_MEMBER', '位會員');
define('BOX_WHOS_ONLINE_MEMBERS', '位會員');

define('TEXT_PRODUCT_NOT_FOUND', '沒有任何商品！');
// Extra Pages - Info Box
  define('BOX_HEADING_PAGES', '最新快訊');
// Extra Pages - Info Box
define('BOX_HEADER_ADDFAVORITE', '加入我的最愛');
     
define('BOX_INFORMATION_DYNAMIC_SITEMAP', '網站導覽');  
// VJ Links Manager v1.00 begin
define('BOX_INFORMATION_LINKS', '友好連結');
define('BOX_HEADING_LINKS', '指定連結');
define('BOX_INFORMATION_LINKS', '連結數');
define('BOX_SUBMIT_LINKS', '申請連結');
// VJ Links Manager v1.00 end
define('TEXT_THUMB_BAR', '快速瀏覽 - 本類商品'); # text

// text in includes/modules/new_products.php
define('TABLE_HEADING_MODEL', '型號');
define('TABLE_HEADING_PRODUCTS', '品名');
define('TABLE_HEADING_MANUFACTURER', '廠商');
define('TABLE_HEADING_QUANTITY', '數量');
define('TABLE_HEADING_PRICE', '價格');
define('TABLE_HEADING_WEIGHT', '重量');
define('TABLE_HEADING_BUY_NOW', '買上買');
define('TABLE_HEADING_RATING', '評價');
define('TABLE_HEADING_FIRST_TO_RATE', '搶先評價');
define('TABLE_HEADING_TEXT_OF_5_STARS', ' 最高 5 顆星!');
define('NOT_RATED', '尚無評價!');
  // Happy Hours Specials Basic 
   define('BOX_HEADING_HAPPY_HOURS', '限時特賣');
   define('BOX_TEXT_HAPPY_HOURS1', '有效時間');
   define('BOX_TEXT_HAPPY_HOURS2', ' 截止');

 require(DIR_WS_LANGUAGES . 'add_ccgvdc_tchinese.php');  // ICW CREDIT CLASS Gift Voucher Addittion  
// LoginBox Text
 require(DIR_WS_LANGUAGES . $language . '/' . 'loginbox.php');
 
 require(DIR_WS_LANGUAGES . $language . '/' . 'banner_manager.php');


?>
