<?php
/*
  $Id: ot_account_balance.php by Teddy Caddy
  made by copying:

  ot_tax.php,v 1.14 2003/02/14 05:58:35 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
  class ot_account_balance {
    var $title, $output;

    function ot_account_balance() {
      $this->code = 'ot_account_balance';
      $this->title = MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_TITLE;
      $this->description = MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_DESCRIPTION;
      $this->enabled = ((MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_STATUS == 'true') ? true : false);
      $this->sort_order = MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_SORT_ORDER;
      $this->output = array();
 }


function process () {
        global $order, $currencies, $customer_id;

	$begin_account_balance_query = tep_db_query("select customers_account_balance from " . TABLE_CUSTOMERS . " where customers_id = '" . (int)$customer_id . "'");
	$begin_account_balance_result = tep_db_fetch_array($begin_account_balance_query);
	$begin_account_balance = tep_round($begin_account_balance_result['customers_account_balance'],2);

//	#do not show this module if account balance is zero, NULL, or negative
//	if (($account_balance == 0) || ($account_balance == NULL) || ($account_balance == "0.00") || ($account_balance < 0)) { 
//		$this->enabled = false;
//	}

	// $this->enabled = false;
	if ($begin_account_balance > 0) { 
		// $this->enabled = true;
	
		$tax = tep_get_tax_rate(MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_TAX_CLASS, $order->delivery['country']['id'], $order->delivery['zone_id']);
		$tax_description = tep_get_tax_description(MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_TAX_CLASS, $order->delivery['country']['id'], $order->delivery['zone_id']);
	
		    $order->info['tax'] += tep_calculate_tax($begin_account_balance, $tax);
	     	    $order->info['tax_groups']["$tax_description"] += tep_calculate_tax($begin_account_balance, $tax);

		    $ot = $order->info['total'];
		    $ab = $begin_account_balance; // + tep_calculate_tax($begin_account_balance, $tax);

		    if ($ot > $ab) {
			$ot -= $ab; // + tep_calculate_tax($begin_account_balance, $tax);
			$account_balance = $ab;
			}

			elseif ($ot < $ab) {
			// $account_balance = $begin_account_balance - $ot; // + tep_calculate_tax($begin_account_balance, $tax) - $order->info['total'];
			$account_balance = $ot; // + tep_calculate_tax($begin_account_balance, $tax) - $order->info['total'];
			$ot = 0;
			}

			elseif ($ot == $ab) {
			$ot = 0;
			$account_balance = $ab;
			}


		    $order->info['total'] = $ot;

		// $ending_account_balance_query = tep_db_query("UPDATE " . TABLE_CUSTOMERS . " SET customers_account_balance = '" . $account_balance . "' WHERE customers_id = '" . (int)$customer_id . "'");

		$this->output[] =  array(         'title' =>  MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_TITLE . ':',
	      	                            'text' => $currencies->format( $account_balance, true, $order->info['currency'], $order->info['currency_value']),
	            	                      'value' => tep_add_tax($account_balance, $tax));
	}
 }
 

function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }

      return $this->_check;
    }

    function keys() {
      return array('MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_STATUS', 'MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_SORT_ORDER', 'MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_TAX_CLASS');
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Account Balance', 'MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_STATUS', 'true', 'Do you want to display user account balances?  This is useful for redeeming gift certificates.', '6', '1','tep_cfg_select_option(array(\'true\', \'false\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Sort Order', 'MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_SORT_ORDER', '3', 'Sort order of display.', '6', '2', now())");
 tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('Tax Class', 'MODULE_ORDER_TOTAL_ACCOUNT_BALANCE_TAX_CLASS', '0', 'Use the following tax class on the account balance.', '6', '7', 'tep_get_tax_class_title', 'tep_cfg_pull_down_tax_classes(', now())");

    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }
  }
?>
