<?php
/*
  $Id: dlycity.php,v 1.2 2004/11/18 16:29:56 ChBu Exp $
  Dr. Bill Bailey, http://www.lowcarbnexus.com
  Zoe Lozada Almodovar, rocaluna@yahoo.com
  
  VERY slight hack of dly.php by Dr. Bill Bailey, http://www.lowcarbnexus.com
  VERY slight hack of spu.php by dion made from original code by M. Halvorsen (http://www.arachnia-web.com)
  to allow local delivery from warehouse.  Dr. Bill Bailey, http://www.lowcarbnexus.com

  Made to work with latest check-out procedure by Matthijs (Mattice)
     >> e-mail:    mattice@xs4all.nl
     >> site:      http://www.matthijs.org

   CHANGES (v1.6) (wheeloftime):
   - added code for different delivery costs depending on weight or price.   
   CHANGES (v1.5):
   - added code to enter maximum distance you will travel for local deliveries.   
   CHANGES (v1.4):
   - added code to convert admin supplied postal codes to upper case.
   - added code to remove spaces from both admin & user supplied postal codes while comparing them.
   CHANGES (v1.3):
   - added code to convert user supplied postal codes to upper case.
   CHANGES (v1.2):
   - added selection of post codes (city codes) where this delivery is possible, it will not show up if the delivery is not
     in a selected city of the selected zone. 
   CHANGES (v1.1):
   - added Minimum Total Order Value to configuration
   - updated code
   - added icon references
   CHANGES (v1.0):
   - formatted to work with latest checkout procedure
   - removed icon references
   - updated the db queries

  Released under the GNU General Public License


*/

  class dlycity {
    var $code, $title, $description, $icon, $enabled;

// class constructor
    function dlycity() {
	  global $order;

      $this->code = 'dlycity';
      $this->title = MODULE_SHIPPING_DLYCITY_TEXT_TITLE;
      $this->description = MODULE_SHIPPING_DLYCITY_TEXT_DESCRIPTION;
	  $this->tax_class = MODULE_SHIPPING_DLYCITY_TAX_CLASS;
      $this->sort_order = MODULE_SHIPPING_DLYCITY_SORT_ORDER;
      $this->icon = DIR_WS_ICONS . 'shipping_dly.gif';  // To remove icon change this line to: $this->icon = '';

// START SHIPPING UNALLOWED
    //  $this->enabled = MODULE_SHIPPING_DLYCITY_STATUS;
if (tep_get_shipping_unallowed($this->code) ) {
      $this->enabled = ((MODULE_SHIPPING_DLYCITY_STATUS == 'True') ? true : false); 
       }
// END SHIPPING UNALLOWED
      
// Beg Minimum Order Total required to activate module
      $this->min_order = MODULE_SHIPPING_DLYCITY_MINIMUM_ORDER_TOTAL;

    if ( ($order->info['total']) < ($this->min_order) )  {
          $this->enabled = false;
    }
// End Minimum Order Total required to activate module

	  if ( ($this->enabled == true) && ((int)MODULE_SHIPPING_DLYCITY_ZONE > 0) ) {
        $check_flag = false;
        $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_SHIPPING_DLYCITY_ZONE . "' and zone_country_id = '" . $order->delivery['country']['id'] . "' order by zone_id");
		//$city=split (',',MODULE_SHIPPING_DLYCITY_CITY);
				$zip_up = MODULE_SHIPPING_DLYCITY_CITY;
		$zip_up = strtoupper($zip_up);
		$zip_up = str_replace (' ', '', $zip_up);
		$city = split (',', $zip_up);		
		$order->delivery['city'] = strtoupper($order->delivery['city']);
		$order->delivery['city'] = str_replace (' ', '', $order->delivery['city']);

        while ($check = tep_db_fetch_array($check_query)) {
          if ($check['zone_id'] < 1) {
		    if ((in_array($order->delivery['city'],$city )) or (MODULE_SHIPPING_DLYCITY_CITY==''))
              $check_flag = true;
            break;
          } elseif ($check['zone_id'] == $order->delivery['zone_id']) {
		      if ((in_array($order->delivery['city'],$city )or (MODULE_SHIPPING_DLYCITY_CITY=='')))
                $check_flag = true;
            break;
          }
		}

		if ($check_flag == false) {
          $this->enabled = false;
        }
      }
    }

// class methods

    function quote($method = '') {
	  global $order, $cart, $shipping_weight, $shipping_num_boxes;

      if (MODULE_SHIPPING_DLYCITY_MODE == 'price') {
        $order_total = $cart->show_total();
      } else {
        $order_total = $shipping_weight;
      }

      $table_cost = split("[:,]" , MODULE_SHIPPING_DLYCITY_COST);
      $shipping_rate = 0;
      $size = sizeof($table_cost);
      for ($i=0, $n=$size; $i<$n; $i+=2) {
        if ($order_total <= $table_cost[$i]) {
          $shipping_rate = $table_cost[$i+1];
          break;
        }
      }

      if (MODULE_SHIPPING_DLYCITY_MODE == 'weight') {
        $shipping_rate = $shipping_rate * $shipping_num_boxes;
      }

      $this->quotes = array('id' => $this->code,
                            'module' => MODULE_SHIPPING_DLYCITY_TEXT_TITLE,
                            'methods' => array(array('id' => $this->code,
                                                     'title' => MODULE_SHIPPING_DLYCITY_TEXT_WAY,
                                                     'cost' =>  $shipping_rate)));

      if (tep_not_null($this->icon)) $this->quotes['icon'] = tep_image($this->icon, $this->title);

	  if ($this->tax_class > 0) {
       $this->quotes['tax'] = tep_get_tax_rate($this->tax_class, $order->delivery['country']['id'], $order->delivery['zone_id']);
     }

      return $this->quotes;
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_SHIPPING_DLYCITY_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('要啟動區域運送', 'MODULE_SHIPPING_DLYCITY_STATUS', '1', '要啟動區域運送?', '6', '5', now())");
// BOF Determine if costs table is based on price or weight	  
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('運費計算方式', 'MODULE_SHIPPING_DLYCITY_MODE', 'weight', '運費計算方式:訂購總金額或總重量.', '6', '2', 'tep_cfg_select_option(array(\'weight\', \'price\'), ', now())");	  
// EOF Determine if costs table is based on price or weight	  
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('運費表', 'MODULE_SHIPPING_DLYCITY_COST', '25:8.50,50:5.50,10000:0.00', '運費以訂購總金額或總重量. 舉例: 25:8.50,50:5.50,etc.. Up to 25 charge 8.50, from there to 50 charge 5.50, etc. Be aware: The Handling fee will NOT be added.', '6', '4', now())");
	  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('稅率', 'MODULE_SHIPPING_DLYCITY_TAX_CLASS', '0', '運費使用以下稅率', '6', '6', 'tep_get_tax_class_title', 'tep_cfg_pull_down_tax_classes(', now())");
// Beg Minimum Order Total required to activate module
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('最小訂購金額', 'MODULE_SHIPPING_DLYCITY_MINIMUM_ORDER_TOTAL', '0.00', '啟用之最低訂購總金額.', '6', '7', now())");
// End Minimum Order Total required to activate module
	  tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('最大運送距離', 'MODULE_SHIPPING_DLYCITY_MAX_LOCAL_DISTANCE', '12 Km', '接受運送之最大距離. [ ie. 12 Km ]', '6', '10', now())");
// Begin City
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('城鎮', 'MODULE_SHIPPING_DLYCITY_CITY', '', '僅接受以下城市. 多個之間以,(comma)分開, 空白表示全部接受.', '6', '7', now())");
// End City
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('運送地區', 'MODULE_SHIPPING_DLYCITY_ZONE', '0', '若已選擇一個區域, 僅能使用指定之區域', '6', '0', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('順序', 'MODULE_SHIPPING_DLYCITY_SORT_ORDER', '3', '顯示順序，數字越小順序在前', '6', '0', now())");
    }


    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_SHIPPING_DLYCITY_STATUS',
// Begin costs method
                   'MODULE_SHIPPING_DLYCITY_MODE',
// End cost method
                   'MODULE_SHIPPING_DLYCITY_COST',
                   'MODULE_SHIPPING_DLYCITY_TAX_CLASS',
// Beg Minimum Order Total required to activate module
                   'MODULE_SHIPPING_DLYCITY_MINIMUM_ORDER_TOTAL',
// End Minimum Order Total required to activate module
		   'MODULE_SHIPPING_DLYCITY_MAX_LOCAL_DISTANCE',
// Begin City
                   'MODULE_SHIPPING_DLYCITY_CITY',
// End City
                   'MODULE_SHIPPING_DLYCITY_SORT_ORDER',
                   'MODULE_SHIPPING_DLYCITY_ZONE');
    }
  }
?>
