<?php
/*
  $Id: my_points.php, v 1.50 2005/AUG/10 15:17:12 dgw_ Exp $
  http://www.deep-silver.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2005 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');
// include needed functions
  require_once (DIR_WS_INC.'tep_count_customer_orders.inc.php');  
  

  if (!tep_session_is_registered('customer_id')) {
    $navigation->set_snapshot();
    tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
  }

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_MY_POINTS);

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_MY_POINTS, '', 'SSL'));

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?>  : <?php echo HEADING_TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
<script language="javascript"><!--
function rowOverEffect(object) {
  if (object.className == 'moduleRow') object.className = 'moduleRowOver';
}

function rowOutEffect(object) {
  if (object.className == 'moduleRowOver') object.className = 'moduleRow';
}
//--></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_image(DIR_WS_IMAGES . 'money.gif', HEADING_TITLE, HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td>
<?php
  $shopping_points = tep_get_shopping_points();
  $pending_rows = tep_count_pending_rows($customer_id);
  $orders_total = tep_count_customer_orders();

    if (($shopping_points > 0) || ($orders_total > 0)){
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
           <tr>
<?php
  if ($shopping_points > 0) {
?>
            <td class="main"><?php echo tep_image(DIR_WS_IMAGES . 'indicator.gif') .'&nbsp;&nbsp;'.  sprintf(MY_POINTS_CURRENT_BALANCE, number_format($shopping_points,2)).'&nbsp;&nbsp;'. sprintf(MY_POINTS_CURRENT_VALUE , $currencies->format(tep_calc_shopping_pvalue($shopping_points))); ?></td>
<?php
  } else {
?>
            <td class="main"><?php echo tep_image(DIR_WS_IMAGES . 'indicator.gif') .'&nbsp;&nbsp;<b>'. TEXT_NO_POINTS; ?></b></td>
<?php
  }
?>
          </tr>
          <tr>
            <td class="main">&nbsp;&nbsp;&nbsp;<?php echo MY_POINTS_HELP_LINK; ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '20'); ?></td>
      </tr>
<?php
  if ($pending_rows == true) {
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="productListing-heading">
          <tr class="productListing-heading">
                    <td class="productListing-heading">&nbsp;<?php echo HEADING_ORDER_DATE; ?></td>
                    <td class="productListing-heading"><?php echo HEADING_ORDERS_NUMBER; ?></td>
                    <td class="productListing-heading"><?php echo HEADING_POINTS_COMMENT; ?></td>
                    <td class="productListing-heading" align="right"><?php echo HEADING_POINTS_STATUS; ?></td>
                    <td class="productListing-heading" align="right"><?php echo HEADING_POINTS_TOTAL; ?>&nbsp;</td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
              <tr>
                <td><table border="0" width="100%" cellspacing="1" cellpadding="2">
<?php
    
    $points_query = "select o.unique_id, o.comment, o.orders_id, o.points_pending, o.date_added, o.status from " . TABLE_CUSTOMERS_POINTS_PENDING . "  o where o.customer_id = '" . (int)$customer_id . "'   order by unique_id DESC";
    $points_split = new splitPageResults($points_query, MAX_DISPLAY_POINTS_RECORD);
    $points_query = tep_db_query($points_split->sql_query);
    
    while ($points = tep_db_fetch_array($points_query)) {
      $orders_status_query = tep_db_query("select o.orders_id, o.orders_status, s.orders_status_name from " . TABLE_ORDERS . " o, " . TABLE_ORDERS_STATUS . " s where o.customers_id = '" . (int)$customer_id . "' and o.orders_id = '" . $points['orders_id'] . "' and o.orders_status = s.orders_status_id and s.language_id = '" . (int)$languages_id . "'");
      $orders_status = tep_db_fetch_array($orders_status_query);

		if($points['status'] == 1) {
		  $points_status_name = TEXT_POINTS_PENDING;
		}
		else if($points['status'] == 2)
		  $points_status_name = TEXT_POINTS_CONFIRMED;
		else if($points['status'] == 3)
		  $points_status_name = '<font color="FF0000">' . TEXT_POINTS_CANCELLED . '</font>';
		else if($points['status'] == 4)
		  $points_status_name = '<font color="0000FF">' . TEXT_POINTS_REDEEMED . '</font>';
		  
		if($orders_status['orders_status'] == 2 || $orders_status['orders_status'] == 3 && $points['status'] == 1) {
		  $points_status_name = TEXT_POINTS_PROCESSING;
		}
		
		if($orders_status['orders_status_name'] == null) {
		  $orders_status['orders_status_name'] = '<font color="FF0000">' . TEXT_STATUS_ADMINISTATION . '</font>';
		  $points['orders_id'] = '<font color="FF0000">' . TEXT_ORDER_ADMINISTATION . '</font>';
		}
		
		if($points['comment'] == 'TEXT_DEFAULT_COMMENT') {
		   $points['comment'] = TEXT_DEFAULT_COMMENT;
		}
		if($points['comment'] == 'TEXT_DEFAULT_REDEEMED') {
		   $points['comment'] = TEXT_DEFAULT_REDEEMED;
		}
?>
<?php
		if($points['orders_id'] > 0) {
?>
                  <tr class="moduleRow" onMouseOver="rowOverEffect(this)" onMouseOut="rowOutEffect(this)" onClick="document.location.href='<?php echo tep_href_link(FILENAME_ACCOUNT_HISTORY_INFO, 'order_id=' . $points['orders_id'], 'SSL'); ?>'">
<?php
  }
?>
                    <td class="productListing-data">&nbsp;<?php echo tep_date_short($points['date_added']); ?></td>
                    <td class="productListing-data"><?php echo '#' . $points['orders_id'] . '&nbsp;&nbsp;' . $orders_status['orders_status_name']; ?></td>                    
                    <td class="productListing-data"><?php echo  $points['comment']; ?></td>                    
                    <td class="productListing-data"><?php echo  $points_status_name; ?></td>                    
                    <td class="productListing-data" align="right"><?php echo number_format($points['points_pending']) . '&nbsp;'; ?></td>                    
                  </tr>
<?php
   }
?>
                </table></td>
                <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
        </td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="smallText" valign="top"><?php echo $points_split->display_count(TEXT_DISPLAY_NUMBER_OF_RECORDS); ?></td>
            <td class="smallText" align="right"><?php echo TEXT_RESULT_PAGE . ' ' . $points_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
    }
  } else {
?>
          <table border="0" width="100%" cellspacing="1" cellpadding="2" >
            <tr class="infoBoxContents">
              <td><table border="0" width="100%" cellspacing="2" cellpadding="4">
                <tr>
                  <td class="main"><?php echo TEXT_NO_PURCHASES; ?></td>
                </tr>
              </table></td>
              </tr>
            </table></td>
         <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '40'); ?></td>
        </tr>
<?php
  }
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
		        <td class="main"><a href="javascript:history.go(-1)"><?php echo tep_image_button('button_back.gif', IMAGE_BUTTON_BACK); ?></a></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>
