<?php
/*
  $Id: quickfind.php,v 1.10 2005/08/04 23:25:46 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright ?2003 osCommerce

  Released under the GNU General Public License

  Patches:
  - tom 001: - Enable / Disable Ajax search in OSC Configuration
             - Define Search Limit in OSC Configuration
             - Hide Products from groups mod to return only
               allowed products
             - All displayed texts are now from language\x\advanced_search.php
*/
// output a response header
require('includes/application_top.php');
header('Content-type: text/html; charset='.CHARSET);
// include needed functions 
  require_once (DIR_WS_INC.'tep_get_tax_rate.inc.php');

// tom 001:
require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_ADVANCED_SEARCH);

$results = array();
$q = '';
$name = '';
$id = '';
$url = '';
$osCsid = '';

$q = addslashes($_GET['keywords']);
$osCsid = addslashes(preg_replace("%[^0-9a-zA-Z ]%", "", $_GET[tep_session_name()]) );

// tom 001:
$limit = AJAX_ENHANCED_SEARCH_LIMIT;


  if ( isset($q) && tep_not_null($q) ) {
    // tom 001:
    // BOF Hide Products from groups mod
    $query = tep_db_query("select pd.products_id,
                                  pd.products_name,
                                  p.products_model
                            from " . TABLE_PRODUCTS_DESCRIPTION . "
                                  pd left join " . TABLE_PRODUCTS . " p
                                  on (p.products_id = pd.products_id)
                           where (pd.products_name like '%" . tep_db_input($q) . "%'
                              or  p.products_model like '%" . tep_db_input($q) . "%')
                             and  p.products_status = '1'
                             and  pd.language_id = '" . (int)$languages_id . "'
                             and  find_in_set('".$customer_group_id."', products_hide_from_groups) = 0
                           order  by pd.products_name asc limit " . $limit);
    $query = tep_db_query("select pd.products_id,
                                  pd.products_name,
					    p.products_tax_class_id,
                                  p.products_price,
                                  p.products_model,
IF(s.status, s.specials_new_products_price, NULL) as specials_new_products_price, IF(s.status, s.specials_new_products_price, p.products_price) as final_price
                            from  " . TABLE_PRODUCTS_DESCRIPTION . "
                                  pd left join " . TABLE_PRODUCTS . " p
                                  on (p.products_id = pd.products_id) left join specials s on p.products_id = s.products_id     
                           where (pd.products_name like '%" . tep_db_input($q) . "%'
                              or  p.products_model like '%" . tep_db_input($q) . "%' or  pd.products_description like '%" . tep_db_input($q) . "%' )
                             and  p.products_status = '1'
                             and  pd.language_id = '" . (int)$languages_id . "'
                             and  find_in_set('".$customer_group_id."', products_hide_from_groups) = 0
			 	order  by pd.products_name asc limit " . $limit);
    // EOF hide products from group

    if ( tep_db_num_rows($query) ) {
      while ( $row = tep_db_fetch_array($query) ) {

 if (tep_not_null($row['specials_new_products_price'])) {
            $price = '&nbsp;<s>' .  $currencies->display_price($row['products_price'], tep_get_tax_rate($row['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($listing['specials_new_products_price'], tep_get_tax_rate($row['products_tax_class_id'])) . '</span>';
          } else {
            $price = '&nbsp;' . $currencies->display_price($row['products_price'], tep_get_tax_rate($row['products_tax_class_id'])) . '&nbsp;';
          }
          
          if ( isset($row['products_model']) && tep_not_null($row['products_model']) ) {
          $model = ' [' . $row['products_model'] . ']';
        } else {
          $model = '';
        }

  		$name = $row['products_name'];
        $id = $row['products_id'];
        $url = tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $id);
        $results[] = '<a href="' .  $url . '">' .  $name . '</a>' . $model . $price. "\n";
    
      }
    } else {
      // tom 001:
      $results [] = QUICKSEARCH_NO_RESULTS;
    }
    echo implode('<br>' . "\n", $results);
    // To use <DOCTYPE> XHTML 1.0 or higher
    // echo implode('<br />' . "\n", $results);
  } else {
    // tom 001:
    echo QUICKSEARCH_FIND_RESULTS;
  }

?>
