<?php
/*
  $Id: shopping_cart.php,v 1.73 2003/06/09 23:03:56 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require("includes/application_top.php");
  
  require_once (DIR_WS_INC.'tep_array_to_string.inc.php');
  require_once (DIR_WS_INC.'tep_break_string.inc.php');
  require_once (DIR_WS_INC.'tep_get_all_get_params.inc.php');
  require_once (DIR_WS_INC.'tep_check_stock.inc.php');
  require_once (DIR_WS_INC.'tep_check_stock_attributes.inc.php');
  require_once (DIR_WS_INC.'tep_get_tax_rate.inc.php');
  require_once (DIR_WS_INC.'tep_get_prid.inc.php');  

  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_SHOPPING_CART);
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_2GETHER); // Added 2gether (contribution 3929)

  $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_SHOPPING_CART));
  
  //BOF //////////////////////// dangling carrot v2.0 //////////////////////////////////

   if ($_SESSION['cart']->count_contents() > 0) {
    // find any free gifts, and remove invalid ones
    $num_in_cart = $_SESSION['cart']->show_total();
    $products = $_SESSION['cart']->get_products();
  
    $gift_query = tep_db_query("SELECT fg.*, p.products_id, p.products_model, p.products_price, p.products_image, p.products_status, pd.products_name 
	FROM (" . TABLE_CARROT . " fg, " . TABLE_PRODUCTS . " p )
	LEFT JOIN " . TABLE_PRODUCTS_DESCRIPTION . " pd ON (pd.products_id=fg.products_id)
	WHERE pd.language_id = '".$languages_id."' AND p.products_id = fg.products_id AND p.products_status = '1' ORDER BY fg.threshold ASC");

    $threshold = 0;
    $p=0;
    $gift_price=0;
    $gift_exists=0;
	
    while ($gift = tep_db_fetch_array($gift_query)) {   // loop through the current gifts
      if ($gift_exists == 0){
	  for ($i=0, $n=sizeof($products); $i<$n; $i++) {
	   if ($products[$i]['id'] == $gift['products_id']) { // gift already in cart
		$gift_exists = $products[$i]['id'];
		$gift_price = $gift['products_price'];
		$deficit = $gift['threshold'] - $num_in_cart + $gift_price;
 	      break;
         } else {
	      $deficit = $gift['threshold'] - $num_in_cart;
         }
	 }
     } else {
	 $deficit = $gift['threshold'] - $num_in_cart + $gift_price;	
     }
		
     if ( $deficit < 20 && $deficit > 0 ) {
	$near_limit = 1;
     } else {
	$near_limit = 0;
     }
		
     if ($num_in_cart >= $gift['threshold'] && $deficit <= 0) { 
                  // cart could qualify for this gift
			// check to see if in cart already
			// add to gift list if not in cart
	 if ($gift['products_id'] != $gift_exists && $deficit <= 0) { // this particular gift is not in cart but qualifies
		$freebie[$p]['message'] .= sprintf(TEXT_QUALIFIED_FOR_GIFT, $currencies->display_price($gift['threshold'],tep_get_tax_rate($gift['products_tax_class_id'])));
    $freebie[$p]['link'] = '<a href="' . tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action')) . 'action=buy_now&products_id=' . $gift['products_id']) . '">' . tep_image_button('button_add_now.gif', 'Select ' . $gift['products_id'] ) . '</a>';
		$freebie[$p]['name']    		= $gift['products_name'];
		$freebie[$p]['id']      		= $gift['products_id'];
		$freebie[$p]['image']   		= $gift['products_image'];
		$freebie[$p]['price']   		= $currencies->display_price($gift['products_price'], tep_get_tax_rate($gift['products_tax_class_id']));
		$p++;
	 }
     } else if ($near_limit) {
	 if ($gift['products_id'] != $gift_exists) { // this particular gift is not in cart
		$freebie[$p]['message'] .= sprintf(TEXT_CLOSE_TO_FREE_GIFT, $currencies->display_price($deficit,tep_get_tax_rate($gift['products_tax_class_id'])));
		$freebie[$p]['link'] = '';
		$freebie[$p]['name']    		= $gift['products_name'];
		$freebie[$p]['id']      		= $gift['products_id'];
		$freebie[$p]['image']   		= $gift['products_image'];
		$freebie[$p]['price']   		= $currencies->display_price($gift['products_price'], tep_get_tax_rate($gift['products_tax_class_id']));
		$p++;
	 } else {
	   	  // cart cannot qualify for this gift
		  // remove if in cart
		$_SESSION['cart']->remove($gift['products_id']);
	 }
     } else {
		 // cart cannot qualify for this gift
		 // remove if in cart
	      $_SESSION['cart']->remove($gift['products_id']);
     }
	 $threshold = $gift['threshold'];
    }//while
  }
  
  //EOF dangling carrot v2.0
  
?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">

<script language="JavaScript1.2">
	function UpdateCartQuantity()
	{
	  document.cart_quantity.submit();
	}
function changeQuantity(i,qty)
	{
	 	document.cart_quantity['qty_'+i].value = Number(document.cart_quantity['qty_'+i].value)+Number(qty);
		UpdateCartQuantity();
	}
</script>

</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><?php echo tep_draw_form('cart_quantity', tep_href_link(FILENAME_SHOPPING_CART, 'action=update_product')); ?><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_cart.gif', HEADING_TITLE, HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
  if ($_SESSION['cart']->count_contents() > 0) {
?>
      <tr>
        <td>
<?php
    $info_box_contents = array();
    $info_box_contents[0][] = array('align' => 'center',
                                    'params' => 'class="productListing-heading"',
                                    'text' => TABLE_HEADING_REMOVE);

    $info_box_contents[0][] = array('params' => 'class="productListing-heading"',
                                    'text' => TABLE_HEADING_PRODUCTS);

    $info_box_contents[0][] = array('align' => 'center',
                                    'params' => 'class="productListing-heading"',
                                    'text' => TABLE_HEADING_QUANTITY);

    $info_box_contents[0][] = array('align' => 'right',
                                    'params' => 'class="productListing-heading"',
                                    'text' => TABLE_HEADING_TOTAL);

    $any_out_of_stock = 0;
    $products = $cart->get_products();
    for ($i=0, $n=sizeof($products); $i<$n; $i++) {
// Push all attributes information in an array
      if (isset($products[$i]['attributes']) && is_array($products[$i]['attributes'])) {
        while (list($option, $value) = each($products[$i]['attributes'])) {
          //clr 030714 move hidden field to if statement below
          //echo tep_draw_hidden_field('id[' . $products[$i]['id'] . '][' . $option . ']', $value);
          $attributes = tep_db_query("select popt.products_options_name, poval.products_options_values_name, pa.options_values_price, pa.price_prefix
                                      from " . TABLE_PRODUCTS_OPTIONS . " popt, " . TABLE_PRODUCTS_OPTIONS_VALUES . " poval, " . TABLE_PRODUCTS_ATTRIBUTES . " pa
                                      where pa.products_id = '" . (int)$products[$i]['id'] . "'
									   and pa.options_id = '" . (int)$option . "' 
                                       and pa.options_id = popt.products_options_id
                                       and pa.options_values_id = '" . (int)$value . "'
                                       and pa.options_values_id = poval.products_options_values_id
									   and popt.language_id = '" . (int)$languages_id . "'
									   and poval.language_id = '" . (int)$languages_id . "'");
          $attributes_values = tep_db_fetch_array($attributes);

          //clr 030714 determine if attribute is a text attribute and assign to $attr_value temporarily
          if ($value == PRODUCTS_OPTIONS_VALUE_TEXT_ID) {
            echo tep_draw_hidden_field('id[' . $products[$i]['id'] . '][' . TEXT_PREFIX . $option . ']',  $products[$i]['attributes_values'][$option]);
            $attr_value = $products[$i]['attributes_values'][$option];
          } else {
            echo tep_draw_hidden_field('id[' . $products[$i]['id'] . '][' . $option . ']', $value);
            $attr_value = $attributes_values['products_options_values_name'];
          }

          $products[$i][$option]['products_options_name'] = $attributes_values['products_options_name'];
          $products[$i][$option]['options_values_id'] = $value;
          //clr 030714 assign $attr_value
          $products[$i][$option]['products_options_values_name'] = $attr_value ;
          $products[$i][$option]['options_values_price'] = $attributes_values['options_values_price'];
          $products[$i][$option]['price_prefix'] = $attributes_values['price_prefix'];
        }
      }
    }

$together_offer_ok = false;  // Added 2gether (contribution 3929)

    for ($i=0, $n=sizeof($products); $i<$n; $i++) {
//// bof: Added 2gether (contribution 3929)
     $together_offer = false;
     $together_this_done = false;
     $together_recommend = false;
     $together_products_query = tep_db_query("select product_1_id, product_2_id, discount, type from " . TABLE_2GETHER . "  where status = 1 ");
     while 	($together_products = tep_db_fetch_array($together_products_query)) {
        if ($together_products['product_1_id'] == $products[$i]['id']) {
          if (!$_SESSION['cart']->in_cart($together_products['product_2_id'])) {
            $together_pid = $together_products['product_2_id'];
            if ($together_products['discount'] > 0) {
                $together_offer = true;
            } else {
                $together_recommend = true;
            }
          } elseif ($together_products['discount'] > 0) {
             $together_offer_ok = true;
             $together_this_done = true;
          }
        } elseif ($together_products['product_2_id'] == $products[$i]['id']) {
          if (!$_SESSION['cart']->in_cart($together_products['product_1_id'])) {
            $together_pid = $together_products['product_1_id'];
            if ($together_products['discount'] > 0) {
                $together_offer = true;
            } else {
                $together_recommend = true;
            }
          } elseif ($together_products['discount'] > 0) {
             $together_offer_ok = true;
             $together_this_done = true;
          }
        }
     }
//// eof: Added 2gether
    
//MAXIMUM quantity code
if(MAXIMUM_ORDERS == 'true'){
	$max_order_query = tep_db_query("select p.maxorder as max_quant FROM " . TABLE_PRODUCTS . " p where p.products_id = '".$products[$i]['id']."'");
	while ($max_order = tep_db_fetch_array($max_order_query))  {
		$products[$i]['max_quant']=$max_order['max_quant']; // set the cart item max var
		if (!empty($products[$i]['max_quant'])) {//add check account for if max_quant is null or '', if it is you can skip all this stuff can it's umlimited
	    // okay if this product already is in basket irregardless of it's attributes selected... keep the old one
		for ($ic = 0; $ic < $i;$ic++) {
		   if (tep_get_prid($products[$i]['id']) == tep_get_prid($products[$ic]['id'])) {
		   $cart_notice .= sprintf(MAXIMUM_ORDER_DUPLICATE, $products[$i]["name"], $products[$i]["max_quant"]) . '<BR>'; // notify them they can not do that
	       $cart_skip_prod = true;
		   $_SESSION['cart']->remove($products[$i]['id']); // remove this new item from the cart session
		   $cart_skip_prod = true; // set a flag so we can bypass output of the item that was already stuck into the products array before we removed it just now
		   }
		   else {
		   //$cart_notice .= ' - okay no match ';
		   }
		   $cart_notice .= '<BR>';
		}

		// okay now for products that have no attributes or have identical attributes
		if ($products[$i]['quantity'] > $max_order['max_quant'] ) { //add check account for if max_quant is null or '', if so let it go through.
			$products[$i]['quantity']=$products[$i]['max_quant'];
			$_SESSION['cart']->add_cart($products[$i]['id'],$products[$i]['quantity'],$products[$i]['attributes']); // update the qty
			$cart_notice .= sprintf(MAXIMUM_ORDER_NOTICE, $products[$i]["name"], $products[$i]["max_quant"]); // notify them they can not do that
		}
		}
	}
}

if ($cart_skip_prod) { // still need to skip displaying the item still stuck in $products array even though we removed it from $cart
   break;
   }
//End MAXIMUM quantity code
      if (($i/2) == floor($i/2)) {
        $info_box_contents[] = array('params' => 'class="productListing-even"');
      } else {
        $info_box_contents[] = array('params' => 'class="productListing-odd"');
      }

      $cur_row = sizeof($info_box_contents) - 1;

      $info_box_contents[$cur_row][] = array('align' => 'center',
                                             'params' => 'class="productListing-data" valign="top"',
                                          //   'text' => tep_draw_checkbox_field('cart_delete[]', $products[$i]['id']));
                                          'text' => tep_draw_checkbox_field('cart_delete[]', $products[$i]['id'],'', 'onclick="document.cart_quantity.submit();"',false));//auto update cart

      //<!--BOF dangling carrot v2.0--> 

	if ($products[$i]['carrot'] == "1"){
	$products_name = '<table border="0" cellspacing="2" cellpadding="2">' .
	'  <tr>' .
	'    <td class="productListing-data" align="center">' . tep_image(DIR_WS_IMAGES . $products[$i]['image'], $products[$i]['name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</td>' .
	'    <td class="productListing-data" valign="top"><b>' . $products[$i]['name'] . '</b>';
	}else{
	$products_name = '<table border="0" cellspacing="2" cellpadding="2">' .
	'  <tr>' .
	'    <td class="productListing-data" align="center"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $products[$i]['id']) . '">' . tep_image(DIR_WS_IMAGES . $products[$i]['image'], $products[$i]['name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a></td>' .
	'    <td class="productListing-data" valign="top"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $products[$i]['id']) . '"><b>' . $products[$i]['name'] . '</b></a>';
 
	}
	//<!--EOF dangling carrot v2.0-->

      if (STOCK_CHECK == 'true') {
        $stock_check = tep_check_stock($products[$i]['id'], $products[$i]['quantity']);
        if (tep_not_null($stock_check)) {
          $any_out_of_stock = 1;

          $products_name .= $stock_check;
        }
      }
   /*   if (isset($products[$i]['attributes']) && is_array($products[$i]['attributes'])) {
        reset($products[$i]['attributes']);
        while (list($option, $value) = each($products[$i]['attributes'])) {
          $products_name .= '<br><small><i> - ' . $products[$i][$option]['products_options_name'] . ' ' . $products[$i][$option]['products_options_values_name'] . '</i></small>';
        }
      }
  */
     
//// bof: Added 2gether (contribution 3929)
//// here the box will show show
      if ($together_offer) {
        $together_pid_query = tep_db_query("select p.products_image, 
                                            pd.products_name 
                                     from " . TABLE_PRODUCTS . " p,
                                          " . TABLE_PRODUCTS_DESCRIPTION . " pd 
                                     where p.products_id = '" . $together_pid . "' and 
                                           p.products_id = pd.products_id and
                                           pd.language_id = '" . $languages_id . "' and 
                                           p.products_status = '1'"); 
        $together = tep_db_fetch_array($together_pid_query); 

        $products_name .= '<br><table class="borderGray" cellpadding="2" bgcolor="#ffffff"><tr><td class="smalltext" align="center"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $together_pid) . '#b2"><img src="images/save-icon_sm.gif" border="0" style="vertical-align:middle" alt="2gether" title="2gether"> ' . '2<i>gether</i> ' . SPECIALS . ' <img src="images/save-icon_sm.gif" border="0" style="vertical-align:middle" alt="2gether" title="2gether"><br>' .tep_image(DIR_WS_IMAGES . $together['products_image'], $together['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HIGHT).'<br</a><br><a href="' . tep_href_link(FILENAME_SHOPPING_CART, 'action=buy_now&products_id=' . $together_pid) . '"><img src="includes/languages/' . $language . '/images/buttons/button_buy_now.gif" alt="'.IMAGE_BUTTON_BUY_NOW.'" border="0"></a></td></tr></table>';
      } elseif ($together_recommend) {
        $together_pid_query = tep_db_query("select p.products_image, 
                                            pd.products_name 
                                     from " . TABLE_PRODUCTS . " p,
                                          " . TABLE_PRODUCTS_DESCRIPTION . " pd 
                                     where p.products_id = '" . $together_pid . "' and 
                                           p.products_id = pd.products_id and
                                           pd.language_id = '" . $languages_id . "' and 
                                           p.products_status = '1'"); 
        $together = tep_db_fetch_array($together_pid_query); 

          $products_name .= '<br><table cellpadding="2" bgcolor="#ffffff"><tr><td class="smalltext" align="center"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $together_pid) . '#b2">'.BUY_TWO_HEADING_TEXT_SUGGESTION.'<br>' .tep_image(DIR_WS_IMAGES . $together['products_image'], $together['products_name']).'<br><a href="' . tep_href_link(FILENAME_SHOPPING_CART, 'action=buy_now&products_id=' . $together_pid) . '"><img src="includes/languages/' . $language . '/images/buttons/button_buy_now.gif" alt="'.IMAGE_BUTTON_BUY_NOW.'" border="0"></a></td></tr></table>';
        } elseif ($together_this_done) {
          $products_name .= '<br><img src="images/save-icon_sm.gif" border="0" style="vertical-align:middle" alt="2gether discount" title="2gether discount">';
        }

//// eof: Added 2gether    


      if (isset($products[$i]['attributes']) && is_array($products[$i]['attributes'])) {
        reset($products[$i]['attributes']);
        while (list($option, $value) = each($products[$i]['attributes'])) {
          $products_name .= '<br><small><i> - ' . $products[$i][$option]['products_options_name'] . ' ' . $products[$i][$option]['products_options_values_name'] . '</i></small>';
        }
      }

      $products_name .= '    </td>' .
                        '  </tr>' .
                        '</table>';
      //Minimum quantity code
    if(MINIMUM_ORDERS == 'true'){
      $min_order_query = tep_db_query("select p.minorder as min_quant FROM " . TABLE_PRODUCTS . " p where p.products_id = '".$products[$i]['id']."'");
        while ($min_order = tep_db_fetch_array($min_order_query))  {
          if ($products[$i]['quantity'] < $min_order['min_quant'] ) {
                        $products[$i]['min_quant']=$min_order['min_quant'];
          }
        }

         if ($products[$i]['quantity'] < $products[$i]['min_quant'] ) {
                 $products[$i]['quantity']=$products[$i]['min_quant'];
                $_SESSION['cart']->add_cart($products[$i]['id'],$products[$i]['quantity'],$products[$i]['attributes']);
                $cart_notice = sprintf(MINIMUM_ORDER_NOTICE, $products[$i]["name"], $products[$i]["min_quant"]);
        }
        }
        //End Minimum quantity code

      $info_box_contents[$cur_row][] = array('params' => 'class="productListing-data"',
                                             'text' => $products_name);


	/*  $info_box_contents[$cur_row][] = array('align' => 'center',
                                             'params' => 'class="productListing-data" valign="top"',
                                             //'text' => tep_draw_input_field('cart_quantity[]', $products[$i]['quantity'], 'size="4"') . tep_draw_hidden_field('products_id[]', $products[$i]['id']));
											 'text' => tep_draw_input_field('cart_quantity[]', $products[$i]['quantity'], 'size="4" onblur="document.cart_quantity.submit();"') . tep_draw_hidden_field('products_id[]', $products[$i]['id']));
	*/
//<!--BOF dangling carrot v2.0--> 
											 
if ($products[$i]['carrot'] == "1"){	  									 
	  $info_box_contents[$cur_row][] = array('align' => 'center',
	  								   		 'params' => 'class="productListing-data" valign="top"',											 
											 'text' => $products[$i]['quantity']. tep_draw_hidden_field('cart_quantity[]', $products[$i]['quantity']) . tep_draw_hidden_field('products_id[]', $products[$i]['id']));
}else{
	  $info_box_contents[$cur_row][] = array('align' => 'center',
								   	 	     'params' => 'class="productListing-data" valign="top"',
									//	     'text' => tep_draw_input_field('cart_quantity[]', $products[$i]['quantity'], 'size="4" onblur="document.cart_quantity.submit();"') . tep_draw_hidden_field('products_id[]', $products[$i]['id']));
										     'text' => '<a href="javascript:changeQuantity(&quot;'.$products[$i]['id'].'&quot;,-1)">'.tep_image(DIR_WS_IMAGES .'minusBtn.gif').'</a>'.tep_draw_input_field('cart_quantity[]', $products[$i]['quantity'], 'size="4" onChange="UpdateCartQuantity();" id="qty_'.$products[$i]['id'].'"').'<a href="javascript:changeQuantity(&quot;'.$products[$i]['id'].'&quot;, 1)">'.tep_image(DIR_WS_IMAGES .'plusBtn.gif').'</a>'. tep_draw_hidden_field('products_id[]', $products[$i]['id']));
	}
//<!--EOF dangling carrot v2.0-->

      $info_box_contents[$cur_row][] = array('align' => 'right',
                                             'params' => 'class="productListing-data" valign="top"',
                                             'text' => '<b>' . $currencies->display_price($products[$i]['final_price'], tep_get_tax_rate($products[$i]['tax_class_id']), $products[$i]['quantity']) . '</b>');
    }
    

    new productListingBox($info_box_contents);
?>
        </td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td align="right" class="main"><b><?php echo SUB_TITLE_SUB_TOTAL; ?> <?php echo $currencies->format($_SESSION['cart']->show_total()); ?></b></td>
      </tr>
      
<!-- bof: Added 2gether (contribution 3929) //-->
<?php 
if ($together_offer_ok) { 
  echo '<tr><td class="smalltext" align="center"><img src="images/save-icon_sm.gif" border="0" style="vertical-align:middle" alt="2gether discount" title="2gether discount">&nbsp; ' . TOGETHER_CHECKOUT .' &nbsp;<img src="images/save-icon_sm.gif" border="0" style="vertical-align:middle" alt="2gether discount" title="2gether discount"></td></tr>';
  echo '<tr><td>'.tep_draw_separator('pixel_trans.gif', '100%', '10').'</td></tr>';
} 
?>
<!-- eof: Added 2gether //-->      
      
<?php
    if ($any_out_of_stock == 1) {
      if (STOCK_ALLOW_CHECKOUT == 'true') {
?>
      <tr>
        <td class="stockWarning" align="center"><br><?php echo OUT_OF_STOCK_CAN_CHECKOUT; ?></td>
      </tr>
<?php
      } else {
?>
      <tr>
        <td class="stockWarning" align="center"><br><?php echo OUT_OF_STOCK_CANT_CHECKOUT; ?></td>
      </tr>
<?php
      }
    }
    
//bof minimum total order quantity add thecreationhouse.com
    if ($_SESSION['cart']->count_contents() < MIN_TOTAL_ORDER_QUANTITY) {
?>
      <tr>
        <td class="stockWarning" align="center"><br><?php echo sprintf(TEXT_ORDER_UNDER_MIN_QUANTITY_AMOUNT, MIN_TOTAL_ORDER_QUANTITY); ?></td>
      </tr>
<?php
    }
//eof    
    
    
        //Minimum quantity code & MAXIMUM quantity code
    if ($cart_notice) {
?>
      <tr>
        <td class="stockWarning" align="center"><br><?php echo $cart_notice; ?></td>
      </tr>
<?php
      }
        //End Minimum quantity code & MAXIMUM quantity code	    
?>
      
	  <?php
// minimum order total
    if ($_SESSION['cart']->show_total() < MIN_ORDER_AMOUNT) {
?>
      <tr>
        <td class="stockWarning" align="center"><br><?php echo sprintf(TEXT_ORDER_UNDER_MIN_AMOUNT, $currencies->format(MIN_ORDER_AMOUNT)); ?></td>
      </tr>
<?php
    }
?>

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td class="main"><?php echo tep_image_submit('button_update_cart.gif', IMAGE_BUTTON_UPDATE_CART); ?></td>
				
				<td class="main"><a href="javascript:history.back(1)"><?php echo tep_image_button('button_continue_shopping.gif', IMAGE_BUTTON_CONTINUE_SHOPPING); ?></a></td>
                
				<td align="right" class="main"><?php echo '<a href="' . tep_href_link(FILENAME_CHECKOUT_SHIPPING, '', 'SSL') . '">' . tep_image_button('button_checkout.gif', IMAGE_BUTTON_CHECKOUT) . '</a>'; ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
<!--BOF dangling carrot v2.0-->

  <?php
   if ($_SESSION['cart']->count_contents() > 0){
  ?>
		<tr><td>
            <hr noshade width="100%" size="1">
            <?php 
		
		if ($gift_message) {
			echo '<div align="center"><span class="smallText">'.$gift_message.'</span></div><p>';
		}
		
		for ($i=0, $n=sizeof($freebie); $i<$n; $i++) {
			if ($gift_exists > 0) {
				$link = TEXT_REMOVE_GIFT;
			} else {
				$link = $freebie[$i]['link'];
			}
			echo '<table width="100%" align="center" cellspacing="1" bgcolor="#FFFFFF">
			<tr>
			  <td class="smallText" bgcolor="#FFFFFF">  
                     <a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id='.$freebie[$i]['id'], 'NONSSL') . '">' . tep_image(DIR_WS_IMAGES . $freebie[$i]['image'], $freebie[$i]['name'], GIFTS_IMAGE_WIDTH, GIFTS_IMAGE_WIDTH, 'align="left"' )  . '</a>' 
                     . $freebie[$i]['message'].'
			   <br><span class="gift5">'.$freebie[$i]['name'].'</span>
			   <br><b>'.$freebie[$i]['price'].'</b>
			   <br> ' . TEXT_MAX_1_GIFT . '
                     <br>'.$link.'
			  </td>
			</tr>
			</table>';						
		}
		
		if ($freebie[0]['name']) {
			echo '<hr noshade width="100%" size="1">';
		}
		
		?>
		</td></tr>		
   <?php
   }
   ?>
   <!--EOF dangling carrot v2.0-->       
<?php
  } else {
?>
      <tr>
        <td align="center" class="main"><?php new infoBox(array(array('text' => TEXT_CART_EMPTY))); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td align="right" class="main"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT) . '">' . tep_image_button('button_continue.gif', IMAGE_BUTTON_CONTINUE) . '</a>'; ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>
    </table></form></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php require(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
<br>
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>