<?php
/*
  $Id: orders.php,v 1.25 2003/06/20 00:28:44 hpdl Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2002 osCommerce

  Released under the GNU General Public License
*/

define('HEADING_TITLE', 'Orders');
define('HEADING_TITLE_SEARCH', 'Order ID:');
define('HEADING_TITLE_STATUS', 'Status:');

define('TABLE_HEADING_COMMENTS', 'Comments');
define('TABLE_HEADING_CUSTOMERS', 'Customers');
define('TABLE_HEADING_ORDER_TOTAL', 'Order Total');
define('TABLE_HEADING_DATE_PURCHASED', 'Date Purchased');
define('TABLE_HEADING_STATUS', 'Status');
define('TABLE_HEADING_ACTION', 'Action');
define('TABLE_HEADING_QUANTITY', 'Qty.');
define('TABLE_HEADING_PRODUCTS_MODEL', 'Model');
define('TABLE_HEADING_PRODUCTS', 'Products');
define('TABLE_HEADING_TAX', 'Tax');
define('TABLE_HEADING_TOTAL', 'Total');
define('TABLE_HEADING_PRICE_EXCLUDING_TAX', 'Price (ex)');
define('TABLE_HEADING_PRICE_INCLUDING_TAX', 'Price (inc)');
define('TABLE_HEADING_TOTAL_EXCLUDING_TAX', 'Total (ex)');
define('TABLE_HEADING_TOTAL_INCLUDING_TAX', 'Total (inc)');

define('TABLE_HEADING_CUSTOMER_NOTIFIED', 'Customer Notified');
define('TABLE_HEADING_DATE_ADDED', 'Date Added');

define('ENTRY_CUSTOMER', 'Customer:');
define('ENTRY_SOLD_TO', 'SOLD TO:');
define('ENTRY_DELIVERY_TO', 'Delivery To:');
define('ENTRY_SHIP_TO', 'SHIP TO:');
define('ENTRY_SHIPPING_ADDRESS', 'Shipping Address:');
define('ENTRY_BILLING_ADDRESS', 'Billing Address:');
define('ENTRY_PAYMENT_METHOD', 'Payment Method:');
define('ENTRY_CREDIT_CARD_TYPE', 'Credit Card Type:');
define('ENTRY_CREDIT_CARD_OWNER', 'Credit Card Owner:');
define('ENTRY_CREDIT_CARD_NUMBER', 'Credit Card Number:');
define('ENTRY_CREDIT_CARD_EXPIRES', 'Credit Card Expires:');
define('ENTRY_SUB_TOTAL', 'Sub-Total:');
define('ENTRY_TAX', 'Tax:');
define('ENTRY_SHIPPING', 'Shipping:');
define('ENTRY_TOTAL', 'Total:');
define('ENTRY_DATE_PURCHASED', 'Date Purchased:');
define('ENTRY_STATUS', 'Status:');
define('ENTRY_DATE_LAST_UPDATED', 'Date Last Updated:');
define('ENTRY_NOTIFY_CUSTOMER', 'Notify Customer:');
define('ENTRY_NOTIFY_COMMENTS', 'Append Comments:');
define('ENTRY_PRINTABLE', 'Print Invoice');

define('TEXT_INFO_HEADING_DELETE_ORDER', 'Delete Order');
define('TEXT_INFO_DELETE_INTRO', 'Are you sure you want to delete this order?');
define('TEXT_INFO_RESTOCK_PRODUCT_QUANTITY', 'Restock product quantity');
define('TEXT_DATE_ORDER_CREATED', 'Date Created:');
define('TEXT_DATE_ORDER_LAST_MODIFIED', 'Last Modified:');
define('TEXT_INFO_PAYMENT_METHOD', 'Payment Method:');

define('TEXT_ALL_ORDERS', 'All Orders');
define('TEXT_NO_ORDER_HISTORY', 'No Order History Available');

define('EMAIL_SEPARATOR', '------------------------------------------------------');
define('EMAIL_TEXT_SUBJECT', 'Order Update');
define('EMAIL_TEXT_ORDER_NUMBER', 'Order Number:');
define('EMAIL_TEXT_INVOICE_URL', 'Detailed Invoice:');
define('EMAIL_TEXT_DATE_ORDERED', 'Date Ordered:');
define('EMAIL_TEXT_STATUS_UPDATE', 'Your order has been updated to the following status.' . "\n\n" . 'New status: %s' . "\n\n" . 'Please reply to this email if you have any questions.' . "\n");
define('EMAIL_TEXT_COMMENTS_UPDATE', 'The comments for your order are' . "\n\n%s\n\n");

define('ERROR_ORDER_DOES_NOT_EXIST', 'Error: Order does not exist.');
//define('SUCCESS_ORDER_UPDATED', 'Success: Order has been successfully updated.');
//define('WARNING_ORDER_NOT_UPDATED', 'Warning: Nothing to change. The order was not updated.');

// addded for the account balance mod 
define('TEXT_INFO_ADD_ACCOUNT_BALANCE', 'Wish you create an account balance');

define('TABLE_HEADING_ORDER', 'Order');
//BEGIN NEXT AND PREVIOUS ORDERS DISPLAY IN ADMIN

   define('PREV_ORDER', '<b>&lt;&lt;Previous Order</b>');
   define('NEXT_ORDER', '<b>Next Order&gt;&gt;</b>');

  //END NEXT AND PREVIOUS ORDERS DISPLAY IN ADMIN
  ######## Points/Rewards Module V1.60 BOF ##################
define('ENTRY_NOTIFY_POINTS', 'Confirm Pending Points:');
define('ENTRY_CONFIRMED_POINTS', 'Points Confirmed.  ');
define('SUCCESS_POINTS_UPDATED', 'Success: Customer Points account has been successfully updated.');

define('EMAIL_TEXT_SUBJECT2', 'Shopping Points Account Update');
define('EMAIL_TEXT_BALANCE_CONFIRMED', 'Points confirmed for the following order details.');
define('EMAIL_GREET_MR', 'Dear Mr. %s,');
define('EMAIL_GREET_MS', 'Dear Ms. %s,');
define('EMAIL_GREET_NONE', 'Dear %s');
define('TABLE_HEADING_POINTS', 'Points');
define('TABLE_HEADING_POINTS_VALUE', 'Value');
define('EMAIL_TEXT', 'This is to inform you that your Shopping Points Account has been updated.');
define('EMAIL_TEXT_BALANCE', 'Your current Shopping Points balance:');
define('EMAIL_TEXT_POINTS_URL', 'Please click the following link to your Shopping Points Account for more details');
define('EMAIL_TEXT_COMMENT', 'Cancellation Reason :');
define('EMAIL_TEXT_SUCCESS_POINTS', 'Points are available at your account, during the checkout procces you will be able to pay for your purchase items with your points balance. '. "\n" .'Thank you for shopping at ' . STORE_NAME . ' and we looking forward to serving you again.');
define('EMAIL_CONTACT', 'If you have any questions or for help with any of our online services, please email the store-owner: ' . STORE_OWNER_EMAIL_ADDRESS . '.');
######## Points/Rewards Module V1.60 EOF ##################
// Begin Shipping Info changes
define('EMAIL_TEXT_STATUS_UPDATE', 'Updated Order Status: %s');
define('EMAIL_TEXT_COMMENTS_UPDATE', 'Comments:' . "\n\n%s\n\n");
define('EMAIL_TEXT_SHIP_DATE', 'Order Shipped:  ');
define('EMAIL_TEXT_CARRIER', 'Carrier:  ');
define('EMAIL_TEXT_TRACKING_NO', 'Tracking Number:  ');
define('EMAIL_TEXT_DELIVERY_DATE', 'Order Delivered:  ');
define('EMAIL_TEXT_FEEDBACK' , ''); // Feedback request
define('EMAIL_TEXT_QUESTIONS', 'Please reply to this email if you have any questions. Thank you again for shopping with us!');
define('ENTRY_CARRIER', 'Carrier');
// End Shipping Info changes
?>
