<?php
/*
  $Id: categories.php,v 1.1.1.1 2003/08/14 07:59:27 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License

  Traditional Chinese language pack(Big5 code) for osCommerce 2.2
  Community: http://forum.kmd.com.tw
  Author(s): Nickle Cheng (nickle@mail.kmd.com.tw)
  Released under the GNU General Public License ,too!!

*/

define('HEADING_TITLE', '目錄/商品');
define('HEADING_TITLE_SEARCH', '搜尋：');
define('HEADING_TITLE_GOTO', '前往：');

define('TABLE_HEADING_ID', '編號');
define('TABLE_HEADING_CATEGORIES_PRODUCTS', '目錄 /商品[型號]');
define('TABLE_HEADING_ACTION', '動作');
define('TABLE_HEADING_STATUS', '狀態');
define('TABLE_HEADING_PRODUCT_SORT','排序');

define('TEXT_NEW_PRODUCT', '新商品在 &quot;%s&quot;');
define('TEXT_CATEGORIES', '目錄：');
define('TEXT_SUBCATEGORIES', '子目錄：');
define('TEXT_PRODUCTS', '商品：');
define('TEXT_PRODUCTS_PRICE_INFO', '價格(含稅)：');
define('TEXT_PRODUCTS_TAX_CLASS', '稅別：');
define('TEXT_PRODUCTS_AVERAGE_RATING', '平均評等：');
define('TEXT_PRODUCTS_QUANTITY_INFO', '數量：');
define('TEXT_DATE_ADDED', '新增日期：');
define('TEXT_DATE_AVAILABLE', '上架日期：');
define('TEXT_LAST_MODIFIED', '最後修改日期：');
define('TEXT_IMAGE_NONEXISTENT', '沒有圖片');
define('TEXT_NO_CHILD_CATEGORIES_OR_PRODUCTS', '請新增一個目錄或商品<br>&nbsp;<br><b>%s</b>');
define('TEXT_PRODUCT_MORE_INFORMATION', '更多資訊息,請到商品 <a href="http://%s" target="blank"><u>網頁</u></a>.');
define('TEXT_PRODUCT_DATE_ADDED', '本商品加入目錄日期： %s');
define('TEXT_PRODUCT_DATE_AVAILABLE', '本商品預定入庫日期： %s');

define('TEXT_EDIT_INTRO', '請做適當修改');
define('TEXT_EDIT_CATEGORIES_ID', '目錄編號：');
define('TEXT_EDIT_CATEGORIES_NAME', '目錄名稱：');
define('TEXT_EDIT_CATEGORIES_IMAGE', '目錄圖片：');
define('TEXT_EDIT_SORT_ORDER', '排序順序：');
define('TEXT_OVERRIDE', '系統自動打折/打v點選');
define('TEXT_CUST_GROUPS', '群組價格');
/*
if (B2B == 'true'){
define('TEXT_OVERRIDE_ON', 'price + 折扣%');
} else {
define('TEXT_OVERRIDE_ON', 'price - 折扣%');
}
*/
define('TEXT_OVERRIDE_ON', '自動折扣%');
define('TEXT_OVERRIDE_OFF', '直接設定價格');

define('TEXT_INFO_COPY_TO_INTRO', '請選擇一個您想將本商品複製到那裡的目錄');
define('TEXT_INFO_CURRENT_CATEGORIES', '現在目錄：');

define('TEXT_INFO_HEADING_NEW_CATEGORY', '新增目錄');
define('TEXT_INFO_HEADING_EDIT_CATEGORY', '編輯目錄');
define('TEXT_INFO_HEADING_DELETE_CATEGORY', '刪除目錄');
define('TEXT_INFO_HEADING_MOVE_CATEGORY', '搬移目錄');
define('TEXT_INFO_HEADING_DELETE_PRODUCT', '刪除商品');
define('TEXT_INFO_HEADING_MOVE_PRODUCT', '新增商品');
define('TEXT_INFO_HEADING_COPY_TO', '複製到');

define('TEXT_DELETE_CATEGORY_INTRO', '確定要刪除這個目錄？');
define('TEXT_DELETE_PRODUCT_INTRO', '確定要永久刪除這個商品？');

define('TEXT_DELETE_WARNING_CHILDS', '<b>注意：</b> 這個目錄內尚有 %s 個子目錄！');
define('TEXT_DELETE_WARNING_PRODUCTS', '<b>注意：</b> 這個目錄內尚有 %s 個商品！');

define('TEXT_MOVE_PRODUCTS_INTRO', '請選擇一個要放 <b>%s</b> 的商品分類');
define('TEXT_MOVE_CATEGORIES_INTRO', '請選擇一個要放 <b>%s</b> 的商品分類');
define('TEXT_MOVE', '搬移<b>%s</b>到：');

define('TEXT_NEW_CATEGORY_INTRO', '<br>請填寫下列新目錄資料');
define('TEXT_CATEGORIES_NAME', '目錄名稱：');
define('TEXT_CATEGORIES_IMAGE', '目錄圖片：');
define('TEXT_SORT_ORDER', '排序順序；');

define('TEXT_PRODUCTS_STATUS', '產品狀態：');
define('TEXT_PRODUCTS_DATE_AVAILABLE', '上架日期：');
define('TEXT_PRODUCT_AVAILABLE', '現貨');
define('TEXT_PRODUCT_NOT_AVAILABLE', '缺貨');
define('TEXT_PRODUCTS_MANUFACTURER', '商品廠商：');
define('TEXT_PRODUCTS_NAME', '品名：');
define('TEXT_PRODUCTS_DESCRIPTION', '商品說明：');
define('TEXT_PRODUCTS_QUANTITY', '數量：');
define('TEXT_PRODUCTS_MODEL', '型號：');
define('TEXT_PRODUCTS_IMAGE', '商品主圖片：');
define('TEXT_PRODUCTS_URL', '商品網址：');
define('TEXT_PRODUCTS_URL_WITHOUT_HTTP', '<small>(不需打 http://)</small>');
define('TEXT_PRODUCTS_PRICE_NET', '商品價格 (淨):');
define('TEXT_PRODUCTS_PRICE_GROSS', '商品價格 (毛):');
define('TEXT_PRODUCTS_WEIGHT', '重量：');

define('EMPTY_CATEGORY', '空目錄');

define('TEXT_HOW_TO_COPY', '複製方式：');
define('TEXT_COPY_AS_LINK', '商品連結');
define('TEXT_COPY_AS_DUPLICATE', '商品複製');

define('ERROR_CANNOT_LINK_TO_SAME_CATEGORY', '錯誤：您無法在同一個目錄內作商品連結 ！');
define('ERROR_CATALOG_IMAGE_DIRECTORY_NOT_WRITEABLE', '錯誤：目錄圖片資料夾無法寫入(權限)：' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CATALOG_IMAGE_DIRECTORY_DOES_NOT_EXIST', '錯誤：目錄圖片的資料夾不存在： ' . DIR_FS_CATALOG_IMAGES);
define('ERROR_CANNOT_MOVE_CATEGORY_TO_PARENT', '錯誤: 資料夾無法移動到子資料夾內');
//Enable - Disable Categories Contribution--------------------------------------
define('TEXT_EDIT_STATUS', '狀態');
// BOF MaxiDVD: Modified For delete_or_unlink_image
define('TEXT_PRODUCTS_IMAGE_LINKED', '<u>Store Product/s linking to this Image =</u>');
define('TEXT_PRODUCTS_IMAGE_REMOVE', '從資料表移除圖片?');
define('TEXT_PRODUCTS_IMAGE_DELETE', '從主機刪除本圖片(完全刪除!)?');
define('TEXT_PRODUCTS_IMAGE_REMOVE_SHORT', '從主機移除圖片(完全刪除!):');
define('TEXT_PRODUCTS_IMAGE_DELETE_SHORT', '從資料表刪除圖片:');
// EOF MaxiDVD: Modified For delete_or_unlink_image
define('TEXT_DELETE_IMAGE', '移除圖片:'); 
//define mainpage
define('ERROR_FILE_NOT_WRITEABLE','檔案無法寫入');
//b2bsuit
define('TAB_NAME', '品名');
define('TAB_PRICE', '價格');
define('TAB_DESC', '描述');
define('TAB_IMG', '圖片');
//categories_description_MS2_1.8
  define('TEXT_EDIT_CATEGORIES_HEADING_TITLE', '標題:');
  define('TEXT_EDIT_CATEGORIES_DESCRIPTION', '詳細說明:');

define('TEXT_PRODUCTS_INFO', '商品簡介:');
define('TEXT_NONE', '--none--');
//Minimum quantity code
define('TEXT_PRODUCTS_MINIMUM','最低訂購量:');
//Quantity_Price_Breaks_Per_Product
define('TEXT_PRODUCTS_PRICE', '商品價格:');
define('TEXT_PRODUCTS_QTY_BLOCKS', '訂購基本批量:');
define('TEXT_PRODUCTS_QTY_BLOCKS_INFO', '(包裝單位=出售數量，客戶訂購量=包裝單位 x 價格)');
define('TEXT_PRODUCTS_PRICE1', '價格等級1:');
define('TEXT_PRODUCTS_PRICE1_QTY', '  數量:');
define('TEXT_PRODUCTS_PRICE2', '價格等級2:');
define('TEXT_PRODUCTS_PRICE2_QTY', '  數量:');
define('TEXT_PRODUCTS_PRICE3', '價格等級3:');
define('TEXT_PRODUCTS_PRICE3_QTY', '  數量:');
define('TEXT_PRODUCTS_PRICE4', '價格等級4:');
define('TEXT_PRODUCTS_PRICE4_QTY', '  數量:');
define('TEXT_PRODUCTS_PRICE5', '價格等級5:');
define('TEXT_PRODUCTS_PRICE5_QTY', '  數量:');
define('TEXT_PRODUCTS_PRICE6', '價格等級6:');
define('TEXT_PRODUCTS_PRICE6_QTY', '  數量:');
define('TEXT_PRODUCTS_PRICE7', '價格等級7:');
define('TEXT_PRODUCTS_PRICE7_QTY', '  數量:');
define('TEXT_PRODUCTS_PRICE8', '價格等級8:');
define('TEXT_PRODUCTS_PRICE8_QTY', '  數量:');
// BOF Hide product from groups
define('TEXT_HIDE_PRODUCTS_FROM_GROUP', '選擇要隱藏商品的群組:');
//BOF Linkmatics attribute sets plus
	define('TEXT_PRODUCTS_ATTRIBUTES_SET', '屬性集:');
	define('IMAGE_ICON_ATTRIBUTE_SETS', '屬性集:');
///dangling_carrot.v2.5
define('TEXT_PRODUCTS_CARROT', '本商品為限購品:');
define('TEXT_CARROT_ISSET', '本商品為限購品.');
//MAXIMUM quantity code
define('TEXT_PRODUCTS_MAXIMUM', '最大限購量:');
//HeaderTags
define('TEXT_PRODUCT_METTA_INFO', '<b>Meta標籤資訊</b>');
define('TEXT_PRODUCTS_PAGE_TITLE', '商品頁Title:');
define('TEXT_PRODUCTS_HEADER_DESCRIPTION', '商品標題說明:');
define('TEXT_PRODUCTS_KEYWORDS', '商品關鍵字:');

define('TEXT_HEADER_TAGS_CATEGORY_TITILE', '標籤-標題:');
define('TEXT_HEADER_TAGS_CATEGORY_DESCRIPTION', '標籤-簡介:');
define('TEXT_HEADER_TAGS_KEYWORDS', '標籤-關鍵字:');
define('TEXT_HEADER_TAGS_CATEGORIES_DESCRIPTION', '標籤-說明:'); 
//Three images with Admin 1.02--3432
define('TEXT_PRODUCTS_IMAGE2', '商品圖片2 :'); 
define('TEXT_PRODUCTS_IMAGE3', '商品圖片3 :');
// BOF: Additional Images
define('TEXT_INFO_HEADING_NEW_IMAGES', '擴增圖片');
define('TEXT_NEW_IMAGES_INTRO', '增加本商品之圖片. 如果放大圖片與縮圖名稱相同, 放大圖片欄位保持空白!');    
    
define('TEXT_DEL_IMAGES_INTRO', '刪除本商品增加之圖片');    
define('TEXT_PRODUCTS_IMAGES_NEW', '新圖片');
define('TEXT_PRODUCTS_IMAGES_NEWMED', '縮圖 (預設):');

define('TEXT_PRODUCTS_IMAGES_NEWPOP', '放大圖 (選項):');    
define('TEXT_PRODUCTS_IMAGES_DESC', '圖片說明');
define('ERROR_ADDITIONAL_IMAGE_IS_EMPTY', '錯誤: Additional images欄位空白');
define('ERROR_NO_ADDITIONAL_IMAGES', '沒有擴增圖片!');
define('ERROR_DEL_IMG_XTRA','錯誤: 無法刪除圖片 ');
define('SUCCESS_DEL_IMG_XTRA','圖片已經正確刪除: ');
//SECTION:    REAL MAIN POPUP IMAGE
define('TEXT_PRODUCTS_IMAGE_POP', '放大圖 (選項):');
//SECTION:    DELETE POPUP IMAGE
define('ERROR_DEL_IMG_XTRA','錯誤: 無法刪除圖片 ');
define('SUCCESS_DEL_IMG_XTRA','圖片已經正確刪除: ');
// EOF: Additional Images
define('TABLE_HEADING_STOCK','商品庫存量');
define('ICON_EDIT', '編輯');
define('TEXT_PRODUCTS_PRICE_NINFO', '價格(未含稅):');
define('TEXT_PRODUCTS_PRICE_SINFO', '特價:(含稅'); 
?>