<?php
/*
  $Id: customers_points_pending.php, v 1.60 2005/NOV/03 15:17:12 dgw_ Exp $
  http://www.deep-silver.com

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2005 osCommerce

  Released under the GNU General Public License
*/

define('HEADING_TITLE', '客戶待確認點數');
define('HEADING_RATE', '兌換比率 : ');
define('HEADING_AWARDS', '獲得Awards : ');
define('HEADING_REDEEM', '使用Redeem : ');
define('HEADING_POINT', '點');
define('HEADING_POINTS', '點數');
define('HEADING_TITLE_STATUS', '顯示紅利點數狀態:');

define('TABLE_HEADING_CUSTOMERS', '客戶');
define('TABLE_HEADING_ORDER_TOTAL', '訂單總額');
define('TABLE_HEADING_DATE_PURCHASED', '購買日期');
define('TABLE_HEADING_ORDERS_STATUS', '訂單狀態');
define('TABLE_HEADING_POINTS_STATUS', '點數狀態');
define('TABLE_HEADING_ACTION', '動作');
define('TABLE_HEADING_POINTS', '點數');
define('TABLE_HEADING_POINTS_VALUE', '儲值');

define('TABLE_HEADING_SORT', 'Sort this row by ');
define('TABLE_HEADING_SORT_UA', ' --> A-B-C From Top');
define('TABLE_HEADING_SORT_U1', ' --> 1-2-3 From Top');
define('TABLE_HEADING_SORT_DA', ' --> Z-Y-X From Top');
define('TABLE_HEADING_SORT_D1', ' --> 3-2-1 From Top');

define('TEXT_DEFAULT_COMMENT', '購物紅利點數');

define('TEXT_POINTS_PENDING', '等候確認中');
define('TEXT_POINTS_PROCESSING', '處裡中');
define('TEXT_POINTS_CONFIRMED', '已發送');
define('TEXT_POINTS_CANCELLED', '已取消');
define('TEXT_ALL_ORDERS', '查看全部');

define('TEXT_DATE_ORDER_CREATED', '訂單日期');
define('TEXT_DATE_ORDER_LAST_MODIFIED', '最後更新:');
define('TEXT_INFO_POINTS_COMMENT', '點數註記內容 : ');
define('TEXT_INFO_PAYMENT_METHOD', '付款方式: ');

define('TEXT_INFO_HEADING_AJUST_POINTS', '調整待確認的點數.');
define('TEXT_INFO_HEADING_DELETE_RECORD', '刪除紀錄');
define('TEXT_INFO_HEADING_PENDING_NO', '處理中的點數--訂單編號.');
define('TEXT_CONFIRM_POINTS', '確認發送點數給本客戶?');
define('TEXT_CANCEL_POINTS', '取消客戶待確認點數?');
define('TEXT_CANCEL_POINTS_LONG', '你可以選擇在取消點數時是否留下本處備分紀錄.<br>不留下紀錄直接取消時點數將會變更為"已取消"狀態，並且刪除本處表表單內的該筆訊息，同時預設的取消註記將會變更為您輸入的理由 .');
define('TEXT_CANCELLATION_REASON', '取消理由 :');
define('TEXT_AJUST_INTRO', '這個功能提供你在[確認]點數之前，先行調整[等候確認]的點數<br>請注意這將會更新目前的[待確認點數]，而且不能還原.');
define('TEXT_DELETE_INTRO', '你確定要刪除這個紀錄嗎?<br>這將會從資料表上移除這個紀錄.');
define('TEXT_POINTS_TO_AJUST', '新的點數總額 :');
define('TEXT_ROLL_POINTS', '還原點數');
define('TEXT_ROLL_POINTS_LONG', '這個功能提供你[還原]已確認的點數，恢復到先前[等候確認]的狀態.<br>點數將會從客戶帳戶中扣除，並且轉回待確認狀態.');
define('TEXT_ROLL_REASON', '回轉[Roll Back]之理由:');

define('TEXT_QUEUE_POINTS_TABLE', '留下本處紀錄');
define('TEXT_NOTIFY_CUSTOMER', '通知客戶');

define('BUTTON_TEXT_AJUST_POINTS', '調整目前待確認點數總額');
define('BUTTON_TEXT_CANCEL_PENDING_POINTS', '取消客戶點數');
define('BUTTON_TEXT_CONFIRM_PENDING_POINTS', '確認發送點數給客戶');
define('BUTTON_TEXT_REMOVE_RECORD', '從資料表刪除這個紀錄');
define('BUTTON_TEXT_ROLL_POINTS', '還原點數回待確認狀態');
define('ICON_PREVIEW_EDIT', '觀看訂單明細以及編輯狀態');

define('EMAIL_SEPARATOR', '------------------------------------------------------');
define('EMAIL_TEXT_SUBJECT', '購物紅利點數帳目更新');
define('EMAIL_GREET_MR', '親愛的 %s先生,');
define('EMAIL_GREET_MS', '親愛的 %s小姐,');
define('EMAIL_GREET_NONE', '親愛的 %s');
define('EMAIL_TEXT_ORDER_NUMBER', '訂單編號:');
define('EMAIL_TEXT_DATE_ORDERED', '訂單日期:');
define('EMAIL_TEXT', '提醒您！您的紅利點數使用帳戶已經更新!');
define('EMAIL_TEXT_BALANCE_CANCELLED', '很抱歉，因為下列理由我們必須取消這筆紅利點數.');
define('EMAIL_TEXT_BALANCE_CONFIRMED', '點數已經被確認發送，請參考下列明細.');
define('EMAIL_TEXT_BALANCE_ROLL_BACK', '下列原確認發送的點數已經暫恢復成先前的狀態.');
define('EMAIL_TEXT_ROLL_COMMENT', '說明:');
define('EMAIL_TEXT_BALANCE', '您目前可用的紅利回饋點數:');
define('EMAIL_TEXT_POINTS_URL', '請按下列連結查看詳細紅利點數帳戶資料');
define('EMAIL_TEXT_COMMENT', '取消原因 :');
define('EMAIL_TEXT_SUCCESS_POINTS', '紅利點數已存在您的帳戶中，您可以在結帳時利用您的紅利點數餘額來折抵'. "\n" .'感謝您在 ' . STORE_NAME . ' 購買，期待能再次為您服務。');
define('EMAIL_CONTACT', '如果您有任何問題，請來信至客服中心' . STORE_OWNER_EMAIL_ADDRESS . '.');

define('SUCCESS_POINTS_UPDATED', '成功: 客戶點數帳戶已經更新成功.');
define('SUCCESS_DATABASE_UPDATED', '轉存成功: 資料庫已經更新成功，點數狀態以本註明 " '. $comment . ' ". 設定到  ' . TEXT_POINTS_CANCELLED . '  ');
define('NOTICE_EMAIL_SENT_TO', '注意: Email正傳送到: %s');
define('NOTICE_RECORED_REMOVED', '注意: 編號. ' . $oID . '號的訂單的點數記錄已經從資料庫刪除了');
define('WARNING_DATABASE_NOT_UPDATED', '警告: 欄位空白, 沒有任何變更. 資料庫沒有更新.');
define('POINTS_ENTER_JS_ERROR', '輸入錯誤! \n 僅接受數值!');

?>
