<?php
/*
  $Id: edit_orders.php,v 2.1 2006/03/21 10:42:44 ams Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2006 osCommerce
  
  Released under the GNU General Public License
*/

define('HEADING_TITLE', '編輯訂單');
define('HEADING_TITLE_NUMBER', '編號.');
define('HEADING_TITLE_DATE', '之');
define('HEADING_TITLE_SEARCH', '訂單編號:');
define('HEADING_SUBTITLE', '請編輯所有細節並點選下面的"更新"鍵');
define('HEADING_TITLE_STATUS', '狀態:');
define('ADDING_TITLE', '增加一個產品到訂單');

define('HINT_UPDATE_TO_CC', '設定付款方式 ');
//ENTRY_CREDIT_CARD should be whatever is saved in your db as the payment method
//when your customer pays by Credit Card
define('ENTRY_CREDIT_CARD', '信用卡');
define('HINT_UPDATE_TO_CC2', ' 和 其他欄位會自動顯示.  如果選擇其他付款方式CC 欄位會隱藏.');
define('HINT_PRODUCTS_PRICES', '價格和重量會即時計算, 但是你必須點更新鈕以儲存變更資料.  數量也可以輸入Zero 和 negative 值. 如果要刪除商品, 勾選刪除(delete)以及點更新鈕. 重量欄位不可編輯.');
define('HINT_SHIPPING_ADDRESS', '如果運送地址已改變..運費及稅區也一起變更.  你必須點更新按鈕以便重新計算稅金及總金額.');
define('HINT_TOTALS', '如果要給折扣..只要加入負數金額. 欄位值若為 0 ，更新訂單時會刪除(運費例外).  重量, 小計, 稅金, 及總金額 欄位不可編輯修改. On-the-fly 計算是估計值; 小數四捨五入可能在更新之後略有小小差距.');
define('HINT_PRESS_UPDATE', '請點 "更新" 以儲存全部變更.');
define('HINT_BASE_PRICE', '原始單價 (base) 是未加入商品屬性之價格 (ie, the catalog price of the item)');
define('HINT_PRICE_EXCL', '未稅單價 是原始價格加商品屬性');
define('HINT_PRICE_INCL', '含稅單價  是未含稅價格加乘稅率');
define('HINT_TOTAL_EXCL', '價格 (未稅) 是 未稅單價乘以數量');
define('HINT_TOTAL_INCL', '價格 (含稅) 是 未稅單價 乘以稅金和數量');

define('TABLE_HEADING_COMMENTS', '意見欄');
define('TABLE_HEADING_STATUS', '新狀態');
define('TABLE_HEADING_QUANTITY', '數量.');
define('TABLE_HEADING_PRODUCTS_MODEL', '型號');
define('TABLE_HEADING_PRODUCTS_WEIGHT', '重量');
define('TABLE_HEADING_PRODUCTS', '商品');
define('TABLE_HEADING_TAX', '營業稅%');
define('TABLE_HEADING_BASE_PRICE', '基本單價');
define('TABLE_HEADING_UNIT_PRICE', '單價(未含稅)');
define('TABLE_HEADING_UNIT_PRICE_TAXED', '單價(含稅)');
define('TABLE_HEADING_TOTAL_PRICE', '總計 (未含稅)');
define('TABLE_HEADING_TOTAL_PRICE_TAXED', '總計 (含稅)');
define('TABLE_HEADING_TOTAL_MODULE', '組合');
define('TABLE_HEADING_TOTAL_AMOUNT', '金額');
define('TABLE_HEADING_TOTAL_WEIGHT', '總重量: ');
define('TABLE_HEADING_DELETE', '刪除?');
define('TABLE_HEADING_SHIPPING_TAX', '運費稅金: ');

define('TABLE_HEADING_CUSTOMER_NOTIFIED', '已通知客戶');
define('TABLE_HEADING_DATE_ADDED', '加入日期');

define('ENTRY_CUSTOMER_NAME', '客戶名稱');
define('ENTRY_CITY_STATE', '鄉鎮市, 縣市:');
define('ENTRY_CUSTOMER_ADDRESS', '客戶地址');

//add-on for currencies
define('ENTRY_CURRENCY_TYPE', '貨幣');
define('ENTRY_CURRENCY_VALUE', '幣值');

define('ENTRY_SHIPPING_ADDRESS', '收件地址');
define('ENTRY_BILLING_ADDRESS', '付款地址');
define('ENTRY_PAYMENT_METHOD', '付款方式:');
define('ENTRY_CREDIT_CARD_TYPE', '信用卡類型:');
define('ENTRY_CREDIT_CARD_OWNER', '信用卡使用人:');
define('ENTRY_CREDIT_CARD_NUMBER', '信用卡號碼:');
define('ENTRY_CREDIT_CARD_EXPIRES', '信用卡到期日:');
define('ENTRY_SUB_TOTAL', '小計-Total:');

//do not put a colon (" : ") in the definition of ENTRY_TAX
//ie entry should be 'Tax' NOT 'Tax:'
define('ENTRY_TAX', '營業稅');

define('ENTRY_TOTAL', '總計:');
define('ENTRY_STATUS', '訂單狀態:');
define('ENTRY_NOTIFY_CUSTOMER', '通知客戶:');
define('ENTRY_NOTIFY_COMMENTS', '信件內含意見欄:');

define('TEXT_NO_ORDER_HISTORY', '沒有發現訂單');

define('EMAIL_SEPARATOR', '------------------------------------------------------');
define('EMAIL_TEXT_SUBJECT', '您的訂單已更新');
define('EMAIL_TEXT_ORDER_NUMBER', '訂單號碼:');
define('EMAIL_TEXT_INVOICE_URL', '詳細收據 URL:');
define('EMAIL_TEXT_DATE_ORDERED', '訂購日期:');
define('EMAIL_TEXT_STATUS_UPDATE', '非常感謝您向我們訂購!' . "\n\n" . '您的訂單已更新' . "\n\n" . '最新狀態: %s' . "\n\n");
define('EMAIL_TEXT_STATUS_UPDATE2', '如果您有訂購的問題, 請直接回覆這封email.' . "\n\n" . '您真誠的朋友--- ' . STORE_NAME . "\n");
define('EMAIL_TEXT_COMMENTS_UPDATE', '以下是本次訂購的備註說明:' . "\n\n%s\n\n");

define('ERROR_ORDER_DOES_NOT_EXIST', '錯誤: 無此訂單.');
define('SUCCESS_ORDER_UPDATED', '已合應併: 訂單已完成更新.');

define('ADDPRODUCT_TEXT_CATEGORY_CONFIRM', 'OK');
define('ADDPRODUCT_TEXT_SELECT_PRODUCT', '選一個商品');
define('ADDPRODUCT_TEXT_PRODUCT_CONFIRM', 'OK');
define('ADDPRODUCT_TEXT_SELECT_OPTIONS', '選一個選項');
define('ADDPRODUCT_TEXT_OPTIONS_CONFIRM', 'OK');
define('ADDPRODUCT_TEXT_OPTIONS_NOTEXIST', '商品沒有選項, 請繼續...');
define('ADDPRODUCT_TEXT_CONFIRM_QUANTITY', '商品數量');
define('ADDPRODUCT_TEXT_CONFIRM_ADDNOW', '增加');
define('ADDPRODUCT_TEXT_STEP', '步驟');
define('ADDPRODUCT_TEXT_STEP1', ' &laquo; 選一個目錄. ');
define('ADDPRODUCT_TEXT_STEP2', ' &laquo; 選一個商品. ');
define('ADDPRODUCT_TEXT_STEP3', ' &laquo; 選一個選項. ');

define('MENUE_TITLE_CUSTOMER', '1. 客戶資料');
define('MENUE_TITLE_ORDER', '2. 已訂購商品');
define('MENUE_TITLE_TOTAL', '3. 折扣, 運費和總計');
define('MENUE_TITLE_STATUS', '4. 狀態和特別事項');

//add-on for downloads
define('ENTRY_DOWNLOAD_COUNT', '下載編號 #');
define('ENTRY_DOWNLOAD_FILENAME', '檔案名稱');
define('ENTRY_DOWNLOAD_MAXDAYS', '下載期限');
define('ENTRY_DOWNLOAD_MAXCOUNT', '下載數');

define('TEXT_SHIPPING_SAME_AS_BILLING', '運送地址與付款地址相同');
define('TEXT_BILLING_SAME_AS_CUSTOMER', '付款地址與客戶地址相同');

// pull down default text
define('PLEASE_SELECT', '請選擇');
define('TYPE_BELOW', 'Type Below');
?>