<?php
/*
  $Id: create_account.php,v 1.0 2004-04-29 03:22:23+01 bluedog Exp bluedog $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  require('includes/application_top.php');

// needs to be included earlier to set the success message in the messageStack
  require(DIR_WS_LANGUAGES . $language . '/' . FILENAME_CREATE_ACCOUNT);
  
// include needed functions  
  require_once (DIR_WS_INC.'tep_create_random_value.inc.php');
  require_once (DIR_WS_INC.'tep_encrypt_password.inc.php');
  require_once (DIR_WS_INC.'tep_validate_email.inc.php');
  require_once (DIR_WS_INC.'tep_get_country_list.inc.php');
  require_once (DIR_WS_INC.'tep_store_mail.inc.php');
  require_once (DIR_WS_INC.'vvcode_render_code.inc.php');
  
  require_once (DIR_WS_INC. 'tep_get_monthname_list.inc.php');
  require_once (DIR_WS_INC. 'tep_get_day_list.inc.php');  
/*BOF Pulldown date of birth 1.0*/
if(isset($_POST['dob_day']) && isset($_POST['dob_month']) && isset($_POST['dob_year']))
{
	$_POST['dob'] = $_POST['dob_month'].'/'.$_POST['dob_day'].'/'.$_POST['dob_year'];

}
/*EOF Pulldown date of birth 1.0*/  

  $process = false;
  if (isset($_POST['action']) && ($_POST['action'] == 'process')) {
    $process = true;


    if (ACCOUNT_GENDER == 'true') {
      if (isset($_POST['gender'])) {
        $gender = tep_db_prepare_input($_POST['gender']);
      } else {
        $gender = false;
      }
    }
    //BEGIN USERNAME
    $username = tep_db_prepare_input($_POST['username']);
    //END USERNAME    
    $firstname = tep_db_prepare_input($_POST['firstname']);
    $lastname = tep_db_prepare_input($_POST['lastname']);
    if (ACCOUNT_DOB == 'true') $dob = tep_db_prepare_input($_POST['dob']);
    $email_address = tep_db_prepare_input($_POST['email_address']);
    if (ACCOUNT_COMPANY == 'true') $company = tep_db_prepare_input($_POST['company']);
    //COMPANY_TAX_ID BOF
    if (ACCOUNT_CF == 'true') $company_tax_id = tep_db_prepare_input($_POST['company_tax_id']);
    //COMPANY_TAX_ID EOF

    $street_address = tep_db_prepare_input($_POST['street_address']);
    if (ACCOUNT_SUBURB == 'true') $suburb = tep_db_prepare_input($_POST['suburb']);
    $postcode = tep_db_prepare_input($_POST['postcode']);
    $city = tep_db_prepare_input($_POST['city']);
    if (ACCOUNT_STATE == 'true') {
      $state = tep_db_prepare_input($_POST['state']);
    if (isset($_POST['zone_id'])) {
        $zone_id = tep_db_prepare_input($_POST['zone_id']);
     } else {
       $zone_id = false;
      }
    }
    $country = tep_db_prepare_input($_POST['country']);
    $telephone = tep_db_prepare_input($_POST['telephone']);
    $fax = tep_db_prepare_input($_POST['fax']);
    if (isset($_POST['newsletter'])) {
      $newsletter = tep_db_prepare_input($_POST['newsletter']);
    } else {
      $newsletter = false;
    }

// Signup_Confirm_Emailrevision Start
   $new_password = tep_create_random_value(ENTRY_PASSWORD_MIN_LENGTH);
   $crypted_password = tep_encrypt_password($new_password);
// Signup_Confirm_Emailrevision End
// Signup_Confirm_Emailrevision Start
//    $password = tep_db_prepare_input($_POST['password']);
//    $confirmation = tep_db_prepare_input($_POST['confirmation']);

  $password = $new_password;
  $confirmation = $new_password;
// Signup_Confirm_Emailrevision End

    $error = false;


    if (ACCOUNT_GENDER == 'true') {
      if ( ($gender != 'm') && ($gender != 'f') ) {
        $error = true;

        $messageStack->add('create_account', ENTRY_GENDER_ERROR);
      }
    }

    if (strlen($firstname) < ENTRY_FIRST_NAME_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_FIRST_NAME_ERROR);
    }

    if (strlen($lastname) < ENTRY_LAST_NAME_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_LAST_NAME_ERROR);
    }

    if (ACCOUNT_DOB == 'true') {
      if (checkdate(substr(tep_date_raw($dob), 4, 2), substr(tep_date_raw($dob), 6, 2), substr(tep_date_raw($dob), 0, 4)) == false) {
        $error = true;

        $messageStack->add('create_account', ENTRY_DATE_OF_BIRTH_ERROR);
      }
    }

    if (strlen($email_address) < ENTRY_EMAIL_ADDRESS_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_EMAIL_ADDRESS_ERROR);
    } elseif (tep_validate_email($email_address) == false) {
      $error = true;

      $messageStack->add('create_account', ENTRY_EMAIL_ADDRESS_CHECK_ERROR);
    } else {
      $check_email_query = tep_db_query("select count(*) as total from " . TABLE_CUSTOMERS . " where customers_email_address = '" . tep_db_input($email_address) . "'");
      $check_email = tep_db_fetch_array($check_email_query);

      if ($check_email['total'] > 0) {
        $error = true;
        $messageStack->add('create_account', ENTRY_EMAIL_ADDRESS_ERROR_EXISTS);
      }

    }
    
//BEGIN USERNAME
    if (strlen($username) < ENTRY_USERNAME_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_USERNAME_ERROR);
    } else {
      $check_uname_query = tep_db_query("select count(*) as total from " . TABLE_CUSTOMERS . " where customers_username = '" . tep_db_input($username) . "'");
      $check_uname = tep_db_fetch_array($check_uname_query);
      if ($check_uname['total'] > 0) {
        $error = true;

        $messageStack->add('create_account', ENTRY_USERNAME_ERROR_EXISTS);
      }
    }
//END USERNAME
    
//COMPANY_TAX_ID BOF
  if (ACCOUNT_CF == 'true') {
         if (($company_tax_id == "") && (ACCOUNT_CF_REQ == 'true')) {
           $error = true;
              $messageStack->add('create_account', ENTRY_CF_ERROR);
         } else if ((strlen($company_tax_id) != 8) && ($company_tax_id != "")) {
           $error = true;
              $messageStack->add('create_account', ENTRY_CF_ERROR);
         } else if (strlen($company_tax_id) == 8) {
              $company_tax_id = strtoupper($company_tax_id);
              if( ! ereg("^[0-9]", $company_tax_id) ){
                $error = true;
                $messageStack->add('create_account', ENTRY_CF_ERROR);
              }
           }
                      }
//COMPANY_TAX_ID EOF

    if (strlen($street_address) < ENTRY_STREET_ADDRESS_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_STREET_ADDRESS_ERROR);
    }

    if (strlen($postcode) < ENTRY_POSTCODE_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_POST_CODE_ERROR);
    }

    if (strlen($city) < ENTRY_CITY_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_CITY_ERROR);
    }

    if (is_numeric($country) == false) {
      $error = true;

      $messageStack->add('create_account', ENTRY_COUNTRY_ERROR);
    }

    if (ACCOUNT_STATE == 'true') {
      $zone_id = 0;
      $check_query = tep_db_query("select count(*) as total from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "'");
      $check = tep_db_fetch_array($check_query);
      $entry_state_has_zones = ($check['total'] > 0);
      if ($entry_state_has_zones == true) {
      $zone_query = tep_db_query("select distinct zone_id from " . TABLE_ZONES . " where zone_country_id = '" . (int)$country . "' and (zone_name like '" . tep_db_input($state) . "%' or zone_code like '%" . tep_db_input($state) . "%')");
      if (tep_db_num_rows($zone_query) == 1) {
          $zone = tep_db_fetch_array($zone_query);
          $zone_id = $zone['zone_id'];
        } else {
          $error = true;
          $messageStack->add('create_account', ENTRY_STATE_ERROR_SELECT);
        }
      } else {

        if (strlen($state) < ENTRY_STATE_MIN_LENGTH) {
          $error = true;

          $messageStack->add('create_account', ENTRY_STATE_ERROR);
        }
      }
    }

    if (strlen($telephone) < ENTRY_TELEPHONE_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_TELEPHONE_NUMBER_ERROR);
    }
// Signup_Confirm_Emailrevision Start
/*
              if (MEMBER == 'false'){
    if (strlen($password) < ENTRY_PASSWORD_MIN_LENGTH) {
      $error = true;

      $messageStack->add('create_account', ENTRY_PASSWORD_ERROR);
    } elseif ($password != $confirmation) {
      $error = true;

      $messageStack->add('create_account', ENTRY_PASSWORD_ERROR_NOT_MATCHING);
    }
                }
*/
  if ( ($error == false) && (!isset($_POST['agree'])) ) {
      $error = true;

      $messageStack->add('create_account', ENTRY_PRIVACY_AGREEMENT_ERROR);
    }
    
//VISUAL VERIFY CODE start
//  require(DIR_WS_FUNCTIONS . 'visual_verify_code.php');
      
  $code_query = tep_db_query("select code from visual_verify_code where oscsid = '" . $_GET['osCsid'] . "'");
    $code_array = tep_db_fetch_array($code_query);
    $code = $code_array['code'];

    tep_db_query("DELETE FROM " . TABLE_VISUAL_VERIFY_CODE . " WHERE oscsid='" . $vvcode_oscsid . "'"); //remove the visual verify code associated with this session to clean database and ensure new results

    $user_entered_code = $_POST['visual_verify_code'];
    if (!(strcasecmp($user_entered_code, $code) == 0)) {    //make the check case insensitive
        $error = true;
        $messageStack->add('create_account', VISUAL_VERIFY_CODE_ENTRY_ERROR);
    }
//VISUAL VERIFY CODE stop    
    
// Signup_Confirm_Emailrevision Ende
    if ($error == false) {
    $confirm_id = tep_encrypt_password($password);
    
// Add $username to array    
      $sql_data_array = array('customers_username' => $username,
	  				  		   'customers_firstname' => $firstname,
                              'customers_lastname' => $lastname,
                              'customers_email_address' => $email_address,
                              'customers_telephone' => $telephone,
                              'customers_fax' => $fax,
                              'customers_newsletter' => $newsletter,
                              'customers_password' => $confirm_id);

      if (ACCOUNT_GENDER == 'true') $sql_data_array['customers_gender'] = $gender;
      if (ACCOUNT_DOB == 'true') $sql_data_array['customers_dob'] = tep_date_raw($dob);
      // BOF Separate Pricing Per Customer
      // if you would like to have an alert in the admin section when either a company name has been entered in
      // the appropriate field or a tax id number, or both then uncomment the next line and comment the default
      // setting: only alert when a tax_id number has been given
  //    if ( (ACCOUNT_COMPANY == 'true' && tep_not_null($company) ) || (ACCOUNT_COMPANY == 'true' && tep_not_null($company_tax_id) ) ) {
     /*     if ( ACCOUNT_COMPANY == 'true' && tep_not_null($company_tax_id)  ) {
      $sql_data_array['customers_group_ra'] = '1';
      }
      */
      // EOF Separate Pricing Per Customer
            
      tep_db_perform(TABLE_CUSTOMERS, $sql_data_array);

      $customer_id = tep_db_insert_id();

      $sql_data_array = array('customers_id' => $customer_id,
                              'entry_firstname' => $firstname,
                              'entry_lastname' => $lastname,
                              'entry_street_address' => $street_address,
                              'entry_postcode' => $postcode,
                              'entry_city' => $city,
                              'entry_country_id' => $country);

      if (ACCOUNT_GENDER == 'true') $sql_data_array['entry_gender'] = $gender;
      if (ACCOUNT_COMPANY == 'true') $sql_data_array['entry_company'] = $company;
      //company_tax_id BOF
          if (ACCOUNT_CF == 'true') $sql_data_array['entry_company_tax_id'] = $company_tax_id;
      //COMPANT_TAX_ID  EOF

      if (ACCOUNT_SUBURB == 'true') $sql_data_array['entry_suburb'] = $suburb;
      if (ACCOUNT_STATE == 'true') {
       if ($zone_id > 0) {
          $sql_data_array['entry_zone_id'] = $zone_id;
          $sql_data_array['entry_state'] = '';
        } else {
          $sql_data_array['entry_zone_id'] = '0';
          $sql_data_array['entry_state'] = $state;
        }
      }

      tep_db_perform(TABLE_ADDRESS_BOOK, $sql_data_array);

      $address_id = tep_db_insert_id();

      tep_db_query("update " . TABLE_CUSTOMERS . " set customers_default_address_id = '" . (int)$address_id . "' where customers_id = '" . (int)$customer_id . "'");

      tep_db_query("insert into " . TABLE_CUSTOMERS_INFO . " (customers_info_id, customers_info_number_of_logons, customers_info_date_account_created) values ('" . (int)$customer_id . "', '0', now())");

      if (SESSION_RECREATE == 'True') {
        tep_session_recreate();
      }

      $customer_first_name = $firstname;
      $customer_default_address_id = $address_id;
      $customer_country_id = $country;
      $customer_zone_id = $zone_id;
      tep_session_register('customer_id');
      //BEGIN USERNAME
      tep_session_register('customer_username');
      //END USERNAME      
      tep_session_register('customer_first_name');
      tep_session_register('customer_default_address_id');
      tep_session_register('customer_country_id');
      tep_session_register('customer_zone_id');

// restore cart contents
      $_SESSION['cart']->restore_contents();

// build the message content
      $name = $firstname . ' ' . $lastname;

      if (ACCOUNT_GENDER == 'true') {
         if ($gender == 'm') {
           $email_text = sprintf(EMAIL_GREET_MR, $lastname);
         } else {
           $email_text = sprintf(EMAIL_GREET_MS, $lastname);
         }
      } else {
        $email_text = sprintf(EMAIL_GREET_NONE, $firstname);
      }

// Signup_Confirm_Emailrevision Start

// Points/Rewards system V1.60 BOF
      if (NEW_SIGNUP_POINT_AMOUNT > 0) {
        tep_add_welcome_points($customer_id);
        
        $points_account .= '<a href="' . tep_href_link(FILENAME_MY_POINTS) . '"><b><u>' . EMAIL_POINTS_ACCOUNT . '</u></b></a>.';
        $points_faq .= '<a href="' . tep_href_link(FILENAME_MY_POINTS_HELP) . '"><b><u>' . EMAIL_POINTS_FAQ . '</u></b></a>.';
	    $text_points = sprintf(EMAIL_WELCOME_POINTS , $points_account,number_format(NEW_SIGNUP_POINT_AMOUNT,2),$currencies->format(tep_calc_shopping_pvalue(NEW_SIGNUP_POINT_AMOUNT)),$points_faq) ."\n\n";
      }
	    
//      $email_text .= EMAIL_WELCOME . EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING;
         //       $email_text .= EMAIL_WELCOME . EMAIL_USERNAME . EMAIL_PASSWORD . stripslashes($new_password) . "\n\n" . EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING;
     // $email_text .= EMAIL_WELCOME . EMAIL_TEXT . $text_points .EMAIL_CONTACT . EMAIL_WARNING;
      

// Points/Rewards system V1.60 EOF
if (ACCOUNT_USERNAME == 'true') {
$email_text .= EMAIL_WELCOME . EMAIL_CONFIRM_TEXT. 
                     EMAIL_USERNAME. "\n" .
					 EMAIL_USERNAME2 . $username . EMAIL_USERNAME3 .                     
                     EMAIL_PASSWORD. stripslashes($new_password) . "\n\n" . 
                     EMAIL_CONFIRM_URL. '<a href="' . tep_href_link(FILENAME_LOGIN, 'confirm_id=' . $confirm_id, 'SSL', false) . '">' . tep_href_link(FILENAME_LOGIN, 'confirm_id=' . $confirm_id, 'SSL', false) .'</a>' . "\n\n" . 
                     EMAIL_TEXT . $text_points . EMAIL_CONTACT . EMAIL_WARNING;
} else {
                $email_text .= EMAIL_WELCOME . EMAIL_CONFIRM_TEXT. 
                     EMAIL_USERNAME. "\n" .                     
                     EMAIL_PASSWORD. stripslashes($new_password) . "\n\n" . 
                     EMAIL_CONFIRM_URL. '<a href="' . tep_href_link(FILENAME_LOGIN, 'confirm_id=' . $confirm_id, 'SSL', false) . '">' . tep_href_link(FILENAME_LOGIN, 'confirm_id=' . $confirm_id, 'SSL', false) .'</a>' . "\n\n" . 
                     EMAIL_TEXT . $text_points . EMAIL_CONTACT . EMAIL_WARNING;
}
                     
// Signup_Confirm_Emailrevision Ende
// ###### Added CCGV Contribution #########
  if (NEW_SIGNUP_GIFT_VOUCHER_AMOUNT > 0) {
    $coupon_code = create_coupon_code();
    $insert_query = tep_db_query("insert into " . TABLE_COUPONS . " (coupon_code, coupon_type, coupon_amount, date_created) values ('" . $coupon_code . "', 'G', '" . NEW_SIGNUP_GIFT_VOUCHER_AMOUNT . "', now())");
    $insert_id = tep_db_insert_id($insert_query);
    $insert_query = tep_db_query("insert into " . TABLE_COUPON_EMAIL_TRACK . " (coupon_id, customer_id_sent, sent_firstname, emailed_to, date_sent) values ('" . $insert_id ."', '0', 'Admin', '" . $email_address . "', now() )");

    $email_text .= sprintf(EMAIL_GV_INCENTIVE_HEADER, $currencies->format(NEW_SIGNUP_GIFT_VOUCHER_AMOUNT)) . "\n\n" .
                   sprintf(EMAIL_GV_REDEEM, $coupon_code) . "\n\n" .
                   EMAIL_GV_LINK . tep_href_link(FILENAME_GV_REDEEM, 'gv_no=' . $coupon_code,'NONSSL', false) .
                   "\n\n";
  }
  if (NEW_SIGNUP_DISCOUNT_COUPON != '') {
		$coupon_code = NEW_SIGNUP_DISCOUNT_COUPON;
    $coupon_query = tep_db_query("select * from " . TABLE_COUPONS . " where coupon_code = '" . $coupon_code . "'");
    $coupon = tep_db_fetch_array($coupon_query);
		$coupon_id = $coupon['coupon_id'];		
    $coupon_desc_query = tep_db_query("select * from " . TABLE_COUPONS_DESCRIPTION . " where coupon_id = '" . $coupon_id . "' and language_id = '" . (int)$languages_id . "'");
    $coupon_desc = tep_db_fetch_array($coupon_desc_query);
    $insert_query = tep_db_query("insert into " . TABLE_COUPON_EMAIL_TRACK . " (coupon_id, customer_id_sent, sent_firstname, emailed_to, date_sent) values ('" . $coupon_id ."', '0', 'Admin', '" . $email_address . "', now() )");
    $email_text .= EMAIL_COUPON_INCENTIVE_HEADER .  "\n" .
                   sprintf("%s", $coupon_desc['coupon_description']) ."\n\n" .
                   sprintf(EMAIL_COUPON_REDEEM, $coupon['coupon_code']) . "\n\n" .
                   "\n\n";

  }
//    $email_text .= EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING;
// ###### End Added CCGV Contribution #########
      tep_mail($name, $email_address, EMAIL_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
    
	// admin email notification
    $admin_email_text .= ADMIN_EMAIL_WELCOME . ADMIN_EMAIL_TEXT . ADMIN_EMAIL_FIRSTNAME . $firstname . "\n" . ADMIN_EMAIL_LASTNAME . $lastname . "\n" . ADMIN_EMAIL_EMAIL . stripslashes($_POST['email_address']);
if (USE_EMAIL_QUEUE == 'true') {
    tep_store_mail($name, $email_address, EMAIL_SUBJECT, $email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
    }
	tep_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, EMAIL_SUBJECT, nl2br($admin_email_text), $name, $email_address, '');

// BOF Separate Pricing Per Customer: alert shop owner of account created by a company
      // if you would like to have an email when either a company name has been entered in
      // the appropriate field or a tax id number, or both then uncomment the next line and comment the default
      // setting: only email when a tax_id number has been given
      if ( (ACCOUNT_COMPANY == 'true' && tep_not_null($company) ) || (ACCOUNT_COMPANY == 'true' && tep_not_null($company_tax_id) ) ) {
     // if ( ACCOUNT_COMPANY == 'true' && tep_not_null($company_tax_id) ) {
      $alert_email_text =  ADMIN_COMPANY_CREATED . $firstname . $lastname . '-' . $company;      
      tep_mail(STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS, ADMIN_EMAIL_COMPANY_CREATED, $alert_email_text, STORE_OWNER, STORE_OWNER_EMAIL_ADDRESS);
      
     } 
// EOF Separate Pricing Per Customer: alert shop owner of account created by a company
  

      tep_redirect(tep_href_link(FILENAME_CREATE_ACCOUNT_SUCCESS, '', 'SSL'));
    }
  }

 $breadcrumb->add(NAVBAR_TITLE, tep_href_link(FILENAME_CREATE_ACCOUNT,   '', 'SSL'));

?>
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN">
<html <?php echo HTML_PARAMS; ?>>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8 echo CHARSET; ?>">
<title><?php echo TITLE; ?></title>
<base href="<?php echo (($request_type == 'SSL') ? HTTPS_SERVER : HTTP_SERVER) . DIR_WS_CATALOG; ?>">
<link rel="stylesheet" type="text/css" href="stylesheet.css">
<?php require('includes/form_check.js.php'); ?>

<?php require_once('includes/ajax.js.php'); ?>

<script language="javascript"><!--
function rowOverEffect(object) {
  document.create_account.elements[object].parentNode.parentNode.className = 'moduleRowOver';
}

function rowOutEffect(object) {
  if (document.create_account.elements[object].checked) {
    document.create_account.elements[object].parentNode.parentNode.className = 'moduleRowSelected';
  } else {
    document.create_account.elements[object].parentNode.parentNode.className = 'moduleRow';
  }
}

function checkboxRowEffect(object) {
  document.create_account.elements[object].checked = !document.create_account.elements[object].checked;
  if(document.create_account.elements[object].checked) {
    document.create_account.elements[object].parentNode.parentNode.className = 'moduleRowSelected';
  } else {
    document.create_account.elements[object].parentNode.parentNode.className = 'moduleRowOver';
  }
}

function check_form_wrapper(formname) {
  if (check_form(formname)) {
    if (formname.elements['agree'].checked) {
      return true;
    } else {
      alert('<?php echo ENTRY_PRIVACY_AGREEMENT_ERROR; ?>');
      submitted = false;
      return false;
    }
  } else {
    formname.elements['agree'].checked = false;
    return false;
  }
}
var win = null;
function NewWindow(mypage,myname,w,h,scroll){
LeftPosition = (screen.width) ? (screen.width-w)/2 : 0;
TopPosition = (screen.height) ? (screen.height-h)/2 : 0;
settings =
'height='+h+',width='+w+',top='+TopPosition+',left='+LeftPosition+',scrollbars='+scroll+',resizable'
win = window.open(mypage,myname,settings)
}
//--></script>

</head>
<BODY oncontextmenu=window.event.returnValue=false bottomMargin=0 leftMargin=0
topMargin=0 rightMargin=0 marginheight="0"
marginwidth="0">
<!-- header //-->
<?php require(DIR_WS_INCLUDES . 'header.php'); ?>
<!-- header_eof //-->

<!-- body //-->
<table border="0" width="100%" cellspacing="3" cellpadding="3">
  <tr>
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- left_navigation //-->
<?php require(DIR_WS_INCLUDES . 'column_left.php'); ?>
<!-- left_navigation_eof //-->
    </table></td>
<!-- body_text //-->
    <td width="100%" valign="top"><?php echo tep_draw_form('create_account', tep_href_link(FILENAME_CREATE_ACCOUNT, '', 'SSL'), 'post', 'onSubmit="return check_form_wrapper(create_account);"') . tep_draw_hidden_field('action', 'process'); ?><table border="0" width="100%" cellspacing="0" cellpadding="0">
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
          <tr>
            <td class="pageHeading"><?php echo HEADING_TITLE; ?></td>
            <td class="pageHeading" align="right"><?php echo tep_image(DIR_WS_IMAGES . 'table_background_account.gif', HEADING_TITLE, HEADING_IMAGE_WIDTH, HEADING_IMAGE_HEIGHT); ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td class="smallText"><br><?php echo sprintf(TEXT_ORIGIN_LOGIN, tep_href_link(FILENAME_LOGIN, tep_get_all_get_params(), 'SSL')); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
  if ($messageStack->size('create_account') > 0) {
?>
      <tr>
        <td><?php echo $messageStack->output('create_account'); ?></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php
  }
?>
      <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
          <tr>
            <td class="main"><b><?php echo CATEGORY_PERSONAL; ?></b></td>
           <td class="inputRequirement" align="right"><?php echo FORM_REQUIRED_INFORMATION; ?></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" cellspacing="2" cellpadding="2">
<?php
  if (ACCOUNT_GENDER == 'true') {
?>
              <tr>
                <td class="main"><?php echo ENTRY_GENDER; ?></td>
                <td class="main"><?php echo tep_draw_radio_field('gender', 'm') . '&nbsp;&nbsp;' . MALE . '&nbsp;&nbsp;' . tep_draw_radio_field('gender', 'f') . '&nbsp;&nbsp;' . FEMALE . '&nbsp;' . (tep_not_null(ENTRY_GENDER_TEXT) ? '<span class="inputRequirement">' . ENTRY_GENDER_TEXT . '</span>': ''); ?></td>
              </tr>
<?php
  }
?>
<!--Begin Username-->
              <tr>
                <td class="main"><?php echo ENTRY_USERNAME; ?></td>
                <td class="main"><?php echo tep_draw_input_field('username') . '&nbsp;' . (tep_not_null(ENTRY_USERNAME_TEXT) ? '<span class="inputRequirement">' . ENTRY_USERNAME_TEXT . '</span>': ''); ?></td>
              </tr>
<!--End Username-->
              <tr>
                <td class="main"><?php echo ENTRY_FIRST_NAME; ?></td>
                <td class="main"><?php echo tep_draw_input_field('firstname') . '&nbsp;' . (tep_not_null(ENTRY_FIRST_NAME_TEXT) ? '<span class="inputRequirement">' . ENTRY_FIRST_NAME_TEXT . '</span>': ''); ?></td>
              </tr>
              <tr>
                <td class="main"><?php echo ENTRY_LAST_NAME; ?></td>
                <td class="main"><?php echo tep_draw_input_field('lastname') . '&nbsp;' . (tep_not_null(ENTRY_LAST_NAME_TEXT) ? '<span class="inputRequirement">' . ENTRY_LAST_NAME_TEXT . '</span>': ''); ?></td>
              </tr>
<?php
//---------BOF Pulldown date of birth 1.0

  if (ACCOUNT_DOB == 'true') {
?>
              <tr>
                <td class="main"><?php echo ENTRY_DATE_OF_BIRTH; ?></td>
                <td class="main"><?php 
	
				for($i=1940; $i<date('Y')-17; $i++)
				{
					$years[] = array('id' => $i, 'text' => $i);
				}
				
				echo tep_draw_pull_down_menu('dob_year', $years). CYEAR;
				echo tep_get_monthname_list('dob_month'). CMONTH;
				echo tep_get_day_list('dob_day'). CDAY;
		
				echo '&nbsp;' . (tep_not_null(ENTRY_DATE_OF_BIRTH_TEXT) ? '<span class="inputRequirement">' . ENTRY_DATE_OF_BIRTH_TEXT . '</span>': ''); ?></td>
              </tr>

<?php
  }
 //---------->EOF Pulldown date of birth 1.0  
?>
              <tr>
                <td class="main"><?php echo ENTRY_EMAIL_ADDRESS; ?></td>
                <td class="main"><?php echo tep_draw_input_field('email_address') . '&nbsp;' . (tep_not_null(ENTRY_EMAIL_ADDRESS_TEXT) ? '<span class="inputRequirement">' . ENTRY_EMAIL_ADDRESS_TEXT . '</span>': ''); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
<?php
  if (ACCOUNT_COMPANY == 'true') {
?>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><b><?php echo CATEGORY_COMPANY; ?></b></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" cellspacing="2" cellpadding="2">
              <tr>
                <td class="main"><?php echo ENTRY_COMPANY; ?></td>
                <td class="main"><?php echo tep_draw_input_field('company') . '&nbsp;' . (tep_not_null(ENTRY_COMPANY_TEXT) ? '<span class="inputRequirement">' . ENTRY_COMPANY_TEXT . '</span>': ''); ?></td>
              </tr>
<?php

if (ACCOUNT_CF == 'true') {
?>
                          <tr>
                <td class="main"><?php echo ENTRY_CF; ?></td>
                <td class="main"><?php echo tep_draw_input_field('company_tax_id') . '&nbsp;' . ((tep_not_null(ENTRY_CF_TEXT) && (ACCOUNT_CF_REQ == 'true'))? '<span class="inputRequirement">' . ENTRY_CF_TEXT . '</span>': ''); ?></td>
              </tr>
<?php } ?>
<!--PIVACF end-->
            </table></td>
          </tr>
        </table></td>
      </tr>
<?php
  }
?>

      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><b><?php echo CATEGORY_ADDRESS; ?></b></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" cellspacing="2" cellpadding="2">

              <tr>
                <td class="main"><?php echo ENTRY_COUNTRY; ?></td>
                <td align="left">
		      <?php 
			  $mysid = tep_session_name().'='.tep_session_id();
			  echo tep_get_country_list('country', '', 'onchange="loadXMLDoc(\'country=\'+this.value,\'ajax_state.php\',\''. $mysid .'\',\'states\',\'&nbsp;<img style=vertical-align:middle src=images/loading.gif>&nbsp;Please wait...\');" class="inputBox" style="width:150px" ');
		      ?></td>
              </tr>

<?php

  if (ACCOUNT_STATE == 'true') {
?>
              <tr>
                <td class="main"><?php echo ENTRY_STATE; ?></td>
                <td class="main">                
			<?php
			echo '<div id="states">';
        	echo tep_draw_pull_down_menu('state', $zones_array,'', ' class="inputBox" style="width:150px" ');
			echo '</div>';			
            ?>
                </td>
              </tr>
<?php
  }
?>

              <tr>
                <td class="main"><?php echo ENTRY_CITY; ?></td>
                <td class="main"><?php echo tep_draw_input_field('city') . '&nbsp;' . (tep_not_null(ENTRY_CITY_TEXT) ? '<span class="inputRequirement">' . ENTRY_CITY_TEXT . '</span>': ''); ?></td>
              </tr>

              <tr>
                <td class="main"><?php echo ENTRY_POST_CODE; ?></td>
                <td class="main"><?php echo tep_draw_input_field('postcode') . '&nbsp;' . (tep_not_null(ENTRY_POST_CODE_TEXT) ? '<span class="inputRequirement">' . ENTRY_POST_CODE_TEXT . '</span>': ''); ?></td>
              </tr>

              <tr>
                <td class="main"><?php echo ENTRY_STREET_ADDRESS; ?></td>
                <td class="main"><?php echo tep_draw_input_field('street_address') . '&nbsp;' . (tep_not_null(ENTRY_STREET_ADDRESS_TEXT) ? '<span class="inputRequirement">' . ENTRY_STREET_ADDRESS_TEXT . '</span>': ''); ?></td>
              </tr>
<?php
  if (ACCOUNT_SUBURB == 'true') {
?>
              <tr>
                <td class="main"><?php echo ENTRY_SUBURB; ?></td>
                <td class="main"><?php echo tep_draw_input_field('suburb') . '&nbsp;' . (tep_not_null(ENTRY_SUBURB_TEXT) ? '<span class="inputRequirement">' . ENTRY_SUBURB_TEXT . '</span>': ''); ?></td>
              </tr>
<?php
  }
?>

            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><b><?php echo CATEGORY_CONTACT; ?></b></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" cellspacing="2" cellpadding="2">
              <tr>
                <td class="main"><?php echo ENTRY_TELEPHONE_NUMBER; ?></td>
                <td class="main"><?php echo tep_draw_input_field('telephone') . '&nbsp;' . (tep_not_null(ENTRY_TELEPHONE_NUMBER_TEXT) ? '<span class="inputRequirement">' . ENTRY_TELEPHONE_NUMBER_TEXT . '</span>': ''); ?></td>
              </tr>
              <tr>
                <td class="main"><?php echo ENTRY_FAX_NUMBER; ?></td>
                <td class="main"><?php echo tep_draw_input_field('fax') . '&nbsp;' . (tep_not_null(ENTRY_FAX_NUMBER_TEXT) ? '<span class="inputRequirement">' . ENTRY_FAX_NUMBER_TEXT . '</span>': ''); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
      <tr>
        <td class="main"><b><?php echo CATEGORY_OPTIONS; ?></b></td>
      </tr>
      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" cellspacing="2" cellpadding="2">
              <tr>
                <td class="main"><?php echo ENTRY_NEWSLETTER; ?></td>
                <td class="main"><?php
  $newsletter_array = array(array('id' => '1',
                                  'text' => ENTRY_NEWSLETTER_YES),
                            array('id' => '0',
                                  'text' => ENTRY_NEWSLETTER_NO));
  if ($is_read_only) {
    if ($account['customers_newsletter'] == '1') {
      echo ENTRY_NEWSLETTER_YES;
    } else {
      echo ENTRY_NEWSLETTER_NO;
    }
  } elseif ($processed) {
    if ($newsletter == '1') {
      echo ENTRY_NEWSLETTER_YES;
    } else {
      echo ENTRY_NEWSLETTER_NO;
    }
    echo tep_draw_hidden_field('newsletter');
  } else {
    echo tep_draw_pull_down_menu('newsletter', $newsletter_array, $account['customers_newsletter']) . '&nbsp;' . ENTRY_NEWSLETTER_TEXT;
  }
?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>


<?php  //BOF_auto_password    IF (MEMBER == 'false'){ ?>
	   <tr>
        <td class="main"><b><?php echo CATEGORY_PASSWORD; ?></b></td>
      </tr>

      <tr>
        <td>
          <table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
            <tr class="infoBoxContents">
              <td>
                <table border="0" cellspacing="2" cellpadding="2">
                  <tr>
                    <td class="main"><?php echo ENTRY_EMAIL_WARNING; ?></td>
                  </tr>
                </table>
              </td>
            </tr>
          </table>
        </td>
      </tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>
<?php //EOF_auto_password   } ?>

      <tr>
            <tr>
        <td><table border="0" width="100%" cellspacing="0" cellpadding="2"  class="infoBox">
          <tr class="moduleRow" onmouseover="rowOverEffect('agree')" onmouseout="rowOutEffect('agree')" onclick="checkboxRowEffect('agree')">
           
           <td class="main" align="right" colspan="2"><a href="javascript:void(0);" onclick="NewWindow('<?php echo tep_href_link('popup_privacy.php'); ?>','tech','800','600','yes');return false"><b><u style="main"><u style="main"><?php echo ENTRY_PRIVACY; ?></u></b></a></td>
           <td class="main" align="right"><b><?php echo ENTRY_PRIVACY_AGREEMENT; ?></b>&nbsp;

            <?php echo tep_draw_checkbox_field('agree','true', false, 'onclick="checkboxRowEffect(\'agree\')"'); ?></td>

          </tr>
        </table></td>
      </tr>
      <tr>
        <td><?php echo tep_draw_separator('pixel_trans.gif', '100%', '10'); ?></td>
      </tr>

<!--  VISUAL VERIFY CODE start -->
      <?php include_once (DIR_WS_MODULES. 'show_vvcode.php'); ?>
<!--  VISUAL VERIFY CODE stop   -->

      <tr>
        <td><table border="0" width="100%" cellspacing="1" cellpadding="2" class="infoBox">
          <tr class="infoBoxContents">
            <td><table border="0" width="100%" cellspacing="0" cellpadding="2">
              <tr>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
                <td align="left" class="main"><?php echo '<a href="' . tep_href_link(FILENAME_DEFAULT, '', 'NONSSL') . '">' . tep_image_button('button_back.gif', IMAGE_BUTTON_BACK) . '</a>'; ?></td>
                <td align="right"><?php echo tep_image_submit('button_continue.gif', IMAGE_BUTTON_CONTINUE); ?></td>
                <td width="10"><?php echo tep_draw_separator('pixel_trans.gif', '10', '1'); ?></td>
              </tr>
            </table></td>
          </tr>
        </table></td>
      </tr>
    </table></form></td>
<!-- body_text_eof //-->
    <td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="<?php echo BOX_WIDTH; ?>" cellspacing="0" cellpadding="2">
<!-- right_navigation //-->
<?php include(DIR_WS_INCLUDES . 'column_right.php'); ?>
<!-- right_navigation_eof //-->
    </table></td>
  </tr>
</table>
<!-- body_eof //-->

<!-- footer //-->
<?php include(DIR_WS_INCLUDES . 'footer.php'); ?>
<!-- footer_eof //-->
</body>
</html>
<?php require(DIR_WS_INCLUDES . 'application_bottom.php'); ?>