<?php
/* -----------------------------------------------------------------------------------------
   $Id: tep_display_banner.inc.php 13/09/06 10:26 
   
   osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com  
   -----------------------------------------------------------------------------------------
  based on: 
   (c) 2000-2001 The Exchange Project  (earlier name of osCommerce)
   (c) 2002-2003 osCommerce(general.php,v 1.225 2003/05/29); www.oscommerce.com 
  Released under the GNU General Public License 
   ---------------------------------------------------------------------------------------*/

// include needed functions 
  require_once (DIR_WS_INC.'tep_random_select.inc.php');
  require_once (DIR_WS_INC.'tep_update_banner_display_count.inc.php');
  
// Display a banner from the specified group or banner id ($identifier)
  function tep_display_banner($action, $identifier) {
// WebMakers.com Added: Banner Manager
    global $my_page_ssl;

    switch (true) {
    case ( BANNERS_SHOW_ON_SSL=='1' and $my_page_ssl=='on' ):
      $my_banner_filter=" and banners_on_ssl= " . "'1' ";
      break;
    case ( BANNERS_SHOW_ON_SSL=='1' and $my_page_ssl=='off' ):
      $my_banner_filter='';
      break;
    case ( BANNERS_SHOW_ON_SSL=='0' and $my_page_ssl=='on' ):
      $my_banner_filter=" and banners_on_ssl= " . "'2' ";
      break;
    case ( BANNERS_SHOW_ON_SSL=='0' and $my_page_ssl=='off' ):
      $my_banner_filter='';
      break;
    }

    if ($action == 'dynamic') {
      $banners_query = tep_db_query("select count(*) as count from " . TABLE_BANNERS . " where status = '1' " . $my_banner_filter . " and banners_group = '" . $identifier . "'");
      $banners = tep_db_fetch_array($banners_query);
      if ($banners['count'] > 0) {
// WebMakers.com Added: Banner Manager
        $banner = tep_random_select("select banners_id, banners_title, banners_image, banners_html_text, banners_open_new_windows, banners_on_ssl from " . TABLE_BANNERS . " where status = '1' " . $my_banner_filter . "  and banners_group = '" . $identifier . "'");
      } else {
        return '<b>TEP ERROR! (tep_display_banner(' . $action . ', ' . $identifier . ') -> No banners with group \'' . $identifier . '\' found!</b>';
      }
    } elseif ($action == 'static') {
      if (is_array($identifier)) {
        $banner = $identifier;
      } else {
// WebMakers.com Added: Banner Manager
        $banner_query = tep_db_query("select banners_id, banners_title, banners_image, banners_html_text,  banners_open_new_windows, banners_on_ssl from " . TABLE_BANNERS . " where status = '1'  " . $my_banner_filter . " and banners_id = '" . $identifier . "'");
        if (tep_db_num_rows($banner_query)) {
          $banner = tep_db_fetch_array($banner_query);
        } else {
          return '<b>TEP ERROR! (tep_display_banner(' . $action . ', ' . $identifier . ') -> Banner with ID \'' . $identifier . '\' not found, or status inactive</b>';
        }
      }
    } else {
      return '<b>TEP ERROR! (tep_display_banner(' . $action . ', ' . $identifier . ') -> Unknown $action parameter value - it must be either \'dynamic\' or \'static\'</b>';
    }

    if ($banner['banners_html_text']) {
      $banner_string = $banner['banners_html_text'];
    } else {
// WebMakers.com Added: Banner Manager
      if ( $banner['banners_open_new_windows'] =='1' ) {
        $banner_string = '<a href="' . tep_href_link(FILENAME_REDIRECT, 'action=banner&goto=' . $banner['banners_id']) . '" target="_blank">' . tep_image(DIR_WS_IMAGES . $banner['banners_image'], $banner['banners_title']) . '</a>';
      } else {
        $banner_string = '<a href="' . tep_href_link(FILENAME_REDIRECT, 'action=banner&goto=' . $banner['banners_id']) . '">' . tep_image(DIR_WS_IMAGES . $banner['banners_image'], $banner['banners_title']) . '</a>';
      }
    }

    tep_update_banner_display_count($banner['banners_id']);

    return $banner_string;
  }
?>