<?php
/*
  $Id: application_top.php,v 1.0 2004-02-28 03:22:45+01 bluedog Exp bluedog $
  adapted for Separate Pricing Per Customer v4.1, Hide products from groups mod 2005/03/28

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
 
// start the timer for the page parse time log
  define('PAGE_PARSE_START_TIME', microtime());
// queries_debug_v1.6
  $debug = array();
// set the level of error reporting
  error_reporting(E_ALL & ~E_NOTICE);
  
// Set the local configuration parameters - mainly for developers - if exists else the mainconfigure
if (file_exists('includes/local/configure.php')) {
	include ('includes/local/configure.php');
} else {
	include ('includes/configure.php');
}

  if (strlen(DB_SERVER) < 1) {
    if (is_dir('install')) {
      header('Location: install/index.php');
    }
  }

  $php4_3_10 = (0 == version_compare(phpversion(), "4.3.10"));
  define('PHP4_3_10', $php4_3_10);
// define the project version
  define('PROJECT_VERSION', 'osCommerce 2.2-MS2');

// set the type of request (secure or not)
  $request_type = (getenv('HTTPS') == 'on') ? 'SSL' : 'NONSSL';

// set php_self in the local scope
$PHP_SELF = $_SERVER['PHP_SELF'];

  if ($request_type == 'NONSSL') {
    define('DIR_WS_CATALOG', DIR_WS_HTTP_CATALOG);
  } else {
    define('DIR_WS_CATALOG', DIR_WS_HTTPS_CATALOG);
  }

// include the list of project filenames
  require(DIR_WS_INCLUDES . 'filenames.php');

// include the list of project database tables
  require(DIR_WS_INCLUDES . 'database_tables.php');


// customization for the design layout
//  Switch for STS_template_BOF
if (MODULE_STS_DEFAULT_STATUS == 'false') {
//  Switch for STS_template_EOF
  define('BOX_WIDTH', 125); // how wide the boxes should be in pixels (default: 125)
} else {
  define('BOX_WIDTH', 145); //STS templates define
}

// include the database functions
require_once (DIR_WS_INC.'tep_db_connect.inc.php');
require_once (DIR_WS_INC.'tep_db_close.inc.php');
require_once (DIR_WS_INC.'tep_db_error.inc.php');
require_once (DIR_WS_INC.'tep_db_perform.inc.php');
require_once (DIR_WS_INC.'tep_db_query.inc.php');
//require_once (DIR_WS_INC.'tep_db_queryCached.inc.php');
require_once (DIR_WS_INC.'tep_db_fetch_array.inc.php');
require_once (DIR_WS_INC.'tep_db_num_rows.inc.php');
require_once (DIR_WS_INC.'tep_db_data_seek.inc.php');
require_once (DIR_WS_INC.'tep_db_insert_id.inc.php');
require_once (DIR_WS_INC.'tep_db_free_result.inc.php');
require_once (DIR_WS_INC.'tep_db_fetch_fields.inc.php');
require_once (DIR_WS_INC.'tep_db_output.inc.php');
require_once (DIR_WS_INC.'tep_db_input.inc.php');
require_once (DIR_WS_INC.'tep_db_prepare_input.inc.php');
//require_once (DIR_WS_INC.'tep_get_top_level_domain.inc.php');
	//database functions for SPPC
require_once (DIR_WS_INC.'tep_db_table_exists.inc.php');
require_once (DIR_WS_INC.'tep_get_products_special_price.inc.php');
require_once (DIR_WS_INC.'tep_db_check_age_specials_retail_table.inc.php');
require_once (DIR_WS_INC.'tep_db_check_age_products_group_prices_cg_table.inc.php');

// html basics
require_once (DIR_WS_INC.'tep_href_link.inc.php');
require_once (DIR_WS_INC.'tep_not_null.inc.php');
require_once (DIR_WS_INC.'tep_draw_separator.inc.php');
require_once (DIR_WS_INC.'tep_mail.inc.php');

// define general functions used application-wide
  require_once (DIR_WS_INC.'link_get_variable.inc.php');
  require_once (DIR_WS_INC.'link_post_variable.inc.php');
  require_once (DIR_WS_INC.'tep_output_string.inc.php');
//  require_once (DIR_WS_INC.'tep_output_string_protected.inc.php');
//  require_once (DIR_WS_INC.'tep_break_string.inc.php');
//  require_once (DIR_WS_INC.'tep_round.inc.php');
//  require_once (DIR_WS_INC.'tep_get_tax_description.inc.php');
//  require_once (DIR_WS_INC.'tep_parse_search_string.inc.php');
  require_once (DIR_WS_INC.'tep_string_to_int.inc.php');
//  require(DIR_WS_FUNCTIONS . 'general.php');
  
// html_output functions
require_once (DIR_WS_INC.'tep_draw_checkbox_field.inc.php');
require_once (DIR_WS_INC.'tep_draw_form.inc.php');
require_once (DIR_WS_INC.'tep_draw_hidden_field.inc.php');
require_once (DIR_WS_INC.'tep_draw_input_field.inc.php');
require_once (DIR_WS_INC.'tep_draw_password_field.inc.php');
require_once (DIR_WS_INC.'tep_draw_pull_down_menu.inc.php');
require_once (DIR_WS_INC.'tep_draw_radio_field.inc.php');
require_once (DIR_WS_INC.'tep_draw_selection_field.inc.php');
require_once (DIR_WS_INC.'tep_draw_textarea_field.inc.php');

require_once (DIR_WS_INC.'tep_image.inc.php');
require_once (DIR_WS_INC.'tep_image_button.inc.php'); 
require_once (DIR_WS_INC.'tep_image_submit.inc.php');

require_once (DIR_WS_INC.'tep_update_whos_online.inc.php');
require_once (DIR_WS_INC.'tep_set_banner_status.inc.php');
require_once (DIR_WS_INC.'tep_activate_banners.inc.php');
require_once (DIR_WS_INC.'tep_expire_banners.inc.php');

require_once (DIR_WS_INC.'tep_expire_specials.inc.php');
require_once (DIR_WS_INC.'tep_expire_featured.inc.php');
require_once (DIR_WS_INC.'tep_expire_happy_hours_specials.inc.php');

require_once (DIR_WS_INC.'tep_parse_category_path.inc.php');
require_once (DIR_WS_INC.'tep_get_product_path.inc.php');
require_once (DIR_WS_INC.'tep_get_parent_categories.inc.php');

require_once (DIR_WS_INC.'tep_redirect.inc.php');
require_once (DIR_WS_INC.'tep_get_uprid.inc.php');
require_once (DIR_WS_INC.'tep_get_all_get_params.inc.php');
require_once (DIR_WS_INC.'tep_has_product_attributes.inc.php');
require_once (DIR_WS_INC.'tep_check_stock_attributes.inc.php');
require_once (DIR_WS_INC.'tep_check_stock.inc.php');
require_once (DIR_WS_INC.'tep_get_products_stock_attributes.inc.php');
require_once (DIR_WS_INC.'tep_currency_exists.inc.php');
require_once (DIR_WS_INC.'tep_get_tax_rate.inc.php');
require_once (DIR_WS_INC.'tep_add_tax.inc.php');
require_once (DIR_WS_INC.'tep_calculate_tax.inc.php');

require_once (DIR_WS_INC.'tep_get_ip_address.inc.php');
require_once (DIR_WS_INC.'tep_setcookie.inc.php');
require_once (DIR_WS_INC.'tep_browser_detect.inc.php');


// make a connection to the database... now
  tep_db_connect() or die('Unable to connect to database server!');

// set the application parameters
  $configuration_query = tep_db_query('select configuration_key as cfgKey, configuration_value as cfgValue from ' . TABLE_CONFIGURATION);
  while ($configuration = tep_db_fetch_array($configuration_query)) {
    define($configuration['cfgKey'], $configuration['cfgValue']);
  }

// if gzip_compression is enabled, start to buffer the output
if ((GZIP_COMPRESSION == 'true') && ($ext_zlib_loaded = extension_loaded('zlib')) && (PHP_VERSION >= '4')) {
	if (($ini_zlib_output_compression = (int) ini_get('zlib.output_compression')) < 1) {
		ob_start('ob_gzhandler');
	} else {
		ini_set('zlib.output_compression_level', GZIP_LEVEL);
	}
}

// set the HTTP GET parameters manually if search_engine_friendly_urls is enabled
  if (SEARCH_ENGINE_FRIENDLY_URLS == 'true') {
    if (strlen(getenv('PATH_INFO')) > 1) {
      $GET_array = array();
      $PHP_SELF = str_replace(getenv('PATH_INFO'), '', $PHP_SELF);
      $vars = explode('/', substr(getenv('PATH_INFO'), 1));
      for ($i = 0, $n = sizeof($vars); $i < $n; $i ++) {
			if (strpos($vars[$i], '[]')) {
				$GET_array[substr($vars[$i], 0, -2)][] = $vars[$i +1];
			} else {
				$_GET[$vars[$i]] = htmlspecialchars($vars[$i +1]);
			}
			$i ++;
		}

      if (sizeof($GET_array) > 0) {
			while (list ($key, $value) = each($GET_array)) {
				$_GET[$key] = htmlspecialchars($value);
			}
      }
    }
  }

// set the cookie domain
  $cookie_domain = (($request_type == 'NONSSL') ? HTTP_COOKIE_DOMAIN : HTTPS_COOKIE_DOMAIN);
  $cookie_path = (($request_type == 'NONSSL') ? HTTP_COOKIE_PATH : HTTPS_COOKIE_PATH);

// include cache functions if enabled
  if (USE_CACHE == 'true') include(DIR_WS_FUNCTIONS . 'cache.php');

// include shopping cart class
  require(DIR_WS_CLASSES . 'shopping_cart.php');

// include navigation history class
  require(DIR_WS_CLASSES . 'navigation_history.php');

// some code to solve compatibility issues
  require(DIR_WS_FUNCTIONS . 'compatibility.php');

// check if sessions are supported, otherwise use the php3 compatible session class
  if (!function_exists('session_start')) {
    define('PHP_SESSION_NAME', 'osCsid');
    define('PHP_SESSION_PATH', $cookie_path);
    define('PHP_SESSION_DOMAIN', $cookie_domain);
    define('PHP_SESSION_SAVE_PATH', SESSION_WRITE_DIRECTORY);

    include(DIR_WS_CLASSES . 'sessions.php');
  }

// define how the session functions will be used
  require(DIR_WS_FUNCTIONS . 'sessions.php');

// set the session name and save path
  tep_session_name('osCsid');
  tep_session_save_path(SESSION_WRITE_DIRECTORY);

// set the session cookie parameters
   if (function_exists('session_set_cookie_params')) {
    session_set_cookie_params(0, $cookie_path, $cookie_domain);
  } elseif (function_exists('ini_set')) {
    ini_set('session.cookie_lifetime', '0');
    ini_set('session.cookie_path', $cookie_path);
    ini_set('session.cookie_domain', $cookie_domain);
  }

// set the session ID if it exists
   if (isset($_POST[tep_session_name()])) {
     tep_session_id($_POST[tep_session_name()]);
   } elseif ( ($request_type == 'SSL') && isset($_GET[tep_session_name()]) ) {
     tep_session_id($_GET[tep_session_name()]);
   }

// start the session
/*  $session_started = false;
  if (SESSION_FORCE_COOKIE_USE == 'True') {
    tep_setcookie('cookie_test', 'please_accept_for_session', time()+60*60*24*30, $cookie_path, $cookie_domain);

    if (isset($_COOKIE['cookie_test'])) {
      tep_session_start();
      $session_started = true;
    }
  } elseif (SESSION_BLOCK_SPIDERS == 'True') {
    $user_agent = strtolower(getenv('HTTP_USER_AGENT'));
    $spider_flag = false;

    if (tep_not_null($user_agent)) {
      $spiders = file(DIR_WS_INCLUDES . 'spiders.txt');

      for ($i=0, $n=sizeof($spiders); $i<$n; $i++) {
        if (tep_not_null($spiders[$i])) {
          if (is_integer(strpos($user_agent, trim($spiders[$i])))) {
            $spider_flag = true;
            break;
          }
        }
      }
    }

    if ($spider_flag == false) {
      tep_session_start();
      $session_started = true;
    }
  } else {
    tep_session_start();
    $session_started = true;
  } */
  
$spider_flag = false;
if (SESSION_BLOCK_SPIDERS == 'True') {
  $user_agent = strtolower(getenv('HTTP_USER_AGENT'));

  if (tep_not_null($user_agent)) {
    $spiders = file(DIR_WS_INCLUDES . 'spiders.txt');

    for ($i=0, $n=sizeof($spiders); $i<$n; $i++) {
      if (tep_not_null($spiders[$i])) {
        if (is_integer(strpos($user_agent, trim($spiders[$i])))) {
          $spider_flag = true;
          break;
        }
      }
    }
  }
}

$session_started = false;
if ($spider_flag == false) {
  if (SESSION_FORCE_COOKIE_USE == 'True') {
    tep_setcookie('cookie_test', 'please_accept_for_session', time()+60*60*24*30, $cookie_path, $cookie_domain);
    if (isset($_COOKIE['cookie_test'])) {
      tep_session_start();
      $session_started = true;
    }
  } else {
    tep_session_start();
    $session_started = true;
  }
}  

// set SID once, even if empty
  $SID = (defined('SID') ? SID : '');

// verify the ssl_session_id if the feature is enabled
  if ( ($request_type == 'SSL') && (SESSION_CHECK_SSL_SESSION_ID == 'True') && (ENABLE_SSL == true) && ($session_started == true) ) {
    $ssl_session_id = getenv('SSL_SESSION_ID');
    if (!tep_session_is_registered('SSL_SESSION_ID')) {
      $_SESSION['SESSION_SSL_ID'] = $ssl_session_id;
      tep_session_register('SESSION_SSL_ID');
    }

    if ($_SESSION['SESSION_SSL_ID'] != $ssl_session_id) {
      tep_session_destroy();
      tep_redirect(tep_href_link(FILENAME_SSL_CHECK));
    }
  }

// verify the browser user agent if the feature is enabled
if (SESSION_CHECK_USER_AGENT == 'True') {
	$http_user_agent = strtolower($_SERVER['HTTP_USER_AGENT']);
	$http_user_agent2 = strtolower(getenv("HTTP_USER_AGENT"));
	$http_user_agent = ($http_user_agent == $http_user_agent2) ? $http_user_agent : $http_user_agent.';'.$http_user_agent2;
	if (!isset ($_SESSION['SESSION_USER_AGENT'])) {
		$_SESSION['SESSION_USER_AGENT'] = $http_user_agent;
	}

	if ($_SESSION['SESSION_USER_AGENT'] != $http_user_agent) {
      tep_session_destroy();
      tep_redirect(tep_href_link(FILENAME_LOGIN));
    }
  }

// verify the IP address if the feature is enabled
  if (SESSION_CHECK_IP_ADDRESS == 'True') {
    $ip_address = tep_get_ip_address();
    if (!isset ($_SESSION['SESSION_IP_ADDRESS'])) {
		$_SESSION['SESSION_IP_ADDRESS'] = $ip_address;
	}

    if ($_SESSION['SESSION_IP_ADDRESS'] != $ip_address) {
      tep_session_destroy();
      tep_redirect(tep_href_link(FILENAME_LOGIN));
    }
  }

// create the shopping cart & fix the cart if necesary
if (!is_object($_SESSION['cart'])) {
	$_SESSION['cart'] = new shoppingCart();
}

// include currencies class and create an instance
  require(DIR_WS_CLASSES . 'currencies.php');
  $currencies = new currencies();
// include balance_format class and create an instance
// Account Balance Modif
  require(DIR_WS_CLASSES . 'balance_format.php');
  $balance_format = new balance_format();
// End Account Balance Modif

// include the price formatter for the price breaks contribution
  require(DIR_WS_CLASSES . 'PriceFormatter.php');
  $pf = new PriceFormatter;

// include the mail classes
  require(DIR_WS_CLASSES . 'mime.php');
  require(DIR_WS_CLASSES . 'email.php');

// set the language
  if (!tep_session_is_registered('language') || isset($_GET['language'])) {
    if (!tep_session_is_registered('language')) {
      tep_session_register('language');
      tep_session_register('languages_id');
    }

    include(DIR_WS_CLASSES . 'language.php');
    $lng = new language();

    if (isset($_GET['language']) && tep_not_null($_GET['language'])) {
      $lng->set_language($_GET['language']);
    } else {
      $lng->get_browser_language();
    }

    $language = $lng->language['directory'];
    $languages_id = $lng->language['id'];
  }

// include the language translations
  require(DIR_WS_LANGUAGES . $language . '.php');

// currency
  if (!tep_session_is_registered('currency') || isset($_GET['currency']) || ( (USE_DEFAULT_LANGUAGE_CURRENCY == 'true') && (LANGUAGE_CURRENCY != $currency) ) ) {
    if (!tep_session_is_registered('currency')) tep_session_register('currency');

    if (isset($_GET['currency'])) {
      if (!$currency = tep_currency_exists($_GET['currency'])) $currency = (USE_DEFAULT_LANGUAGE_CURRENCY == 'true') ? LANGUAGE_CURRENCY : DEFAULT_CURRENCY;
    } else {
      $currency = (USE_DEFAULT_LANGUAGE_CURRENCY == 'true') ? LANGUAGE_CURRENCY : DEFAULT_CURRENCY;
    }
  }

// navigation history
  if (tep_session_is_registered('navigation')) {
    if (PHP_VERSION < 4) {
      $broken_navigation = $navigation;
      $navigation = new navigationHistory;
      $navigation->unserialize($broken_navigation);
    }
  } else {
    tep_session_register('navigation');
    $navigation = new navigationHistory;
  }
  $navigation->add_current_page();
  
   //BEGIN allprods modification  
   if (ALL_PRODUCTS=='false' and strstr($PHP_SELF,ALL_PRODUCTS_FILENAME)) {
    tep_redirect(tep_href_link(FILENAME_DEFAULT));
   }
   //END allprods modification
  
// BOF Separate Pricing Per Customer v4.1, Hide products from groups mod

  if(!tep_session_is_registered('sppc_customer_group_id')) {
  $customer_group_id = '0';
  } else {
   $customer_group_id = $sppc_customer_group_id;
  }
      if (isset($_POST['products_id'])) {
            $pid_for_hide = (int)$_POST['products_id'];
    } elseif (isset($_GET['products_id'])) {
            $pid_for_hide = (int)$_GET['products_id'];
    }
    if (tep_not_null($pid_for_hide)) {
            $hide_query = tep_db_query("select find_in_set('".$customer_group_id."', products_hide_from_groups) as hide_or_not from " . TABLE_PRODUCTS . " p where p.products_id = '" . $pid_for_hide . "'");
            $hide_product_array = tep_db_fetch_array($hide_query);
            if ( $hide_product_array['hide_or_not'] == '0') {
                    $hide_product = false;
            } else {
                    $hide_product = true;
            }
    } // end if (tep_not_null($pid_for_hide))
// EOF Separate Pricing Per Customer v4.1, Hide products from groups mod


// Shopping cart actions
  if (isset($_GET['action'])) {
// redirect the customer to a friendly cookie-must-be-enabled page if cookies are disabled
    if ($session_started == false) {
      tep_redirect(tep_href_link(FILENAME_COOKIE_USAGE));
    }
// BOF Separate Pricing Per Customer v4.1, Hide products from groups mod
    if (!$hide_product) { // product does not need to be hidden from the customer group
// EOF Separate Pricing Per Customer v4.1, Hide products from groups mod


    if (DISPLAY_CART == 'true') {
      $goto =  FILENAME_SHOPPING_CART;
      $parameters = array('action', 'cPath', 'products_id', 'pid');
    } else {
      $goto = basename($PHP_SELF);
      if ($_GET['action'] == 'buy_now') {
        $parameters = array('action', 'pid', 'products_id');
      } else {
        $parameters = array('action', 'pid');
      }
    }
    switch ($_GET['action']) { 
      // customer wants to update the product quantity in their shopping cart
      case 'update_product' : for ($i=0, $n=sizeof($_POST['products_id']); $i<$n; $i++) {
                                if (in_array($_POST['products_id'][$i], (is_array($_POST['cart_delete']) ? $_POST['cart_delete'] : array()))) {
                                  $_SESSION['cart']->remove($_POST['products_id'][$i]);
                                } else {
                                  if (PHP_VERSION < 4) {
                                    // if PHP3, make correction for lack of multidimensional array.
                                    reset($_POST);
                                    while (list($key, $value) = each($_POST)) {
                                      if (is_array($value)) {
                                        while (list($key2, $value2) = each($value)) {
                                          if (ereg ("(.*)\]\[(.*)", $key2, $var)) {
                                            $id2[$var[1]][$var[2]] = $value2;
                                          }
                                        }
                                      }
                                    }
                                    $attributes = ($id2[$_POST['products_id'][$i]]) ? $id2[$_POST['products_id'][$i]] : '';
                                  } else {
                                    $attributes = ($_POST['id'][$_POST['products_id'][$i]]) ? $_POST['id'][$_POST['products_id'][$i]] : '';
                                  }
                                  $_SESSION['cart']->add_cart($_POST['products_id'][$i], $_POST['cart_quantity'][$i], $attributes, false);
                                }
                              }
                              tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
                              break;
//// bof: Added 2gether (contribution 3929)
 		case 'add_product' : if (isset($_POST['products_id']) && is_numeric($_POST['products_id'])) {
 			 			   if (tep_get_products_stock($_POST['products_id']) > 0) 
 						   $_SESSION['cart']->add_cart($_POST['products_id'], $_SESSION['cart']->get_quantity(tep_get_uprid($_POST['products_id'], $_POST['id'])) + $_POST['cart_quantity'], $_POST['id']);
 						   }
 						   if (isset($_POST['buy_tinn_add']) && is_numeric($_POST['buy_tinn_add'])) {
 						   if (tep_get_products_stock($_POST['buy_tinn_add']) > 0) {
 					//	   $_SESSION['cart']->add_cart($_POST['buy_tinn_add'], $_SESSION['cart']->get_quantity(tep_get_uprid($_POST['buy_tinn_add'], $_POST['id']))+1, $_POST['id']);
 						   $_SESSION['cart']->add_cart($_POST['buy_tinn_add'], $_SESSION['cart']->get_quantity(tep_get_uprid($_POST['buy_tinn_add'], $_POST['id'])) + $_POST['cart_quantity'], $_POST['id']);
 						   }
 						   }
 						   tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
 						   break;
////  eof: Added 2gether (contribution 3929)
                              
      // performed by the 'buy now' button in product listings and review page
      case 'buy_now' :        if (isset($_GET['products_id'])) {
                                if (tep_has_product_attributes($_GET['products_id'])) {
                                  tep_redirect(tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $_GET['products_id']));
                                } else {
                                  $_SESSION['cart']->add_cart($_GET['products_id'], $_SESSION['cart']->get_quantity($_GET['products_id'])+1);
                                }
                              }
                              tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
                              break;
      case 'notify' :         if (tep_session_is_registered('customer_id')) {
                                if (isset($_GET['products_id'])) {
                                  $notify = $_GET['products_id'];
                                } elseif (isset($_GET['notify'])) {
                                  $notify = $_GET['notify'];
                                } elseif (isset($_POST['notify'])) {
                                  $notify = $_POST['notify'];
                                } else {
                                  tep_redirect(tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action', 'notify'))));
                                }
                                if (!is_array($notify)) $notify = array($notify);
                                for ($i=0, $n=sizeof($notify); $i<$n; $i++) {
                                  $check_query = tep_db_query("select count(*) as count from " . TABLE_PRODUCTS_NOTIFICATIONS . " where products_id = '" . $notify[$i] . "' and customers_id = '" . $customer_id . "'");
                                  $check = tep_db_fetch_array($check_query);
                                  if ($check['count'] < 1) {
                                    tep_db_query("insert into " . TABLE_PRODUCTS_NOTIFICATIONS . " (products_id, customers_id, date_added) values ('" . $notify[$i] . "', '" . $customer_id . "', now())");
                                  }
                                }
                                tep_redirect(tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action', 'notify'))));
                              } else {
                                $navigation->set_snapshot();
                                tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
                              }
                              break;
      case 'notify_remove' :  if (tep_session_is_registered('customer_id') && isset($_GET['products_id'])) {
                                $check_query = tep_db_query("select count(*) as count from " . TABLE_PRODUCTS_NOTIFICATIONS . " where products_id = '" . $_GET['products_id'] . "' and customers_id = '" . $customer_id . "'");
                                $check = tep_db_fetch_array($check_query);
                                if ($check['count'] > 0) {
                                  tep_db_query("delete from " . TABLE_PRODUCTS_NOTIFICATIONS . " where products_id = '" . $_GET['products_id'] . "' and customers_id = '" . $customer_id . "'");
                                }
                                tep_redirect(tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action'))));
                              } else {
                                $navigation->set_snapshot();
                                tep_redirect(tep_href_link(FILENAME_LOGIN, '', 'SSL'));
                              }
                              break;
      case 'cust_order' :     if (tep_session_is_registered('customer_id') && isset($_GET['pid'])) {
                                if (tep_has_product_attributes($_GET['pid'])) {
                                  tep_redirect(tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $_GET['pid']));
                                } else {
                                  $_SESSION['cart']->add_cart($_GET['pid'], $_SESSION['cart']->get_quantity($_GET['pid'])+1);
                                }
                              }
                              tep_redirect(tep_href_link($goto, tep_get_all_get_params($parameters)));
                              break;
} // end switch
// BOF Separate Pricing Per Customer v4.1, Hide products from groups mod
    } else { // $hide_product is true
            tep_redirect(tep_href_link(FILENAME_DEFAULT));
    }
// EOF Separate Pricing Per Customer v4.1, Hide products from groups mod
  } // if (isset($_GET['action']))

// include the password crypto functions
//  require(DIR_WS_FUNCTIONS . 'password_funcs.php');

// include validation functions (right now only email address)
//  require(DIR_WS_FUNCTIONS . 'validations.php');

// split-page-results
  require(DIR_WS_CLASSES . 'split_page_results.php');

// infobox
  require(DIR_WS_CLASSES . 'boxes.php');

// Points/Rewards Module V1.60
  require(DIR_WS_FUNCTIONS . 'redemptions.php');
  
// auto activate and expire banners
  tep_activate_banners();
  tep_expire_banners();

// auto expire special products
  tep_expire_specials();
  tep_expire_happy_hours_specials(); //happy hours special
  
// auto expire featured products
  tep_expire_featured();  

// calculate category path
  if (isset($_GET['cPath'])) {
    $cPath = $_GET['cPath'];
  } elseif (isset($_GET['products_id']) && !isset($_GET['manufacturers_id'])) {
    $cPath = tep_get_product_path($_GET['products_id']);
  } else {
    $cPath = '';
  }

  if (tep_not_null($cPath)) {
    $cPath_array = tep_parse_category_path($cPath);
    $cPath = implode('_', $cPath_array);
    $current_category_id = $cPath_array[(sizeof($cPath_array)-1)];
  } else {
    $current_category_id = 0;
  }

// include the breadcrumb class and start the breadcrumb trail
  require(DIR_WS_CLASSES . 'breadcrumb.php');
  $breadcrumb = new breadcrumb;

  $breadcrumb->add(HEADER_TITLE_TOP, HTTP_SERVER);
  $breadcrumb->add(HEADER_TITLE_CATALOG, tep_href_link(FILENAME_DEFAULT));

// add category names or the manufacturer name to the breadcrumb trail
  if (isset($cPath_array)) {
    for ($i=0, $n=sizeof($cPath_array); $i<$n; $i++) {
      $categories_query = tep_db_query("select categories_name from " . TABLE_CATEGORIES_DESCRIPTION . " where categories_id = '" . (int)$cPath_array[$i] . "' and language_id = '" . (int)$languages_id . "'");
      if (tep_db_num_rows($categories_query) > 0) {
        $categories = tep_db_fetch_array($categories_query);
        $breadcrumb->add($categories['categories_name'], tep_href_link(FILENAME_DEFAULT, 'cPath=' . implode('_', array_slice($cPath_array, 0, ($i+1)))));
      } else {
        break;
      }
    }
  } elseif (isset($_GET['manufacturers_id'])) {
    $manufacturers_query = tep_db_query("select manufacturers_name from " . TABLE_MANUFACTURERS . " where manufacturers_id = '" . (int)$_GET['manufacturers_id'] . "'");
    if (tep_db_num_rows($manufacturers_query)) {
      $manufacturers = tep_db_fetch_array($manufacturers_query);
      $breadcrumb->add($manufacturers['manufacturers_name'], tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $_GET['manufacturers_id']));
    }
  }

// add the products model to the breadcrumb trail

// BOF Separate Pricing Per Customer, Hide products from groups mod
  if (isset($_GET['products_id'])) {
  //################## Added Enable / Disable Categories #################
   // $model_query = tep_db_query("select p.products_model from " . TABLE_PRODUCTS . " p left join " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c on p.products_id = p2c.products_id left join " . TABLE_CATEGORIES . " c on p2c.categories_id = c.categories_id, " . TABLE_PRODUCTS_DESCRIPTION . "  pd where c.categories_status = '1' and p.products_id = '" . (int)$_GET['products_id'] . "' and p.products_id = pd.products_id and find_in_set('".$customer_group_id."', products_hide_from_groups) = 0");
    $model_query = tep_db_query("select pd.products_name from " . TABLE_PRODUCTS . " p left join " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c on p.products_id = p2c.products_id left join " . TABLE_CATEGORIES . " c on p2c.categories_id = c.categories_id, " . TABLE_PRODUCTS_DESCRIPTION . "  pd where c.categories_status = '1' and p.products_id = '" . (int)$_GET['products_id'] . "' and p.products_id = pd.products_id and language_id = '" . (int)$languages_id . "' and find_in_set('".$customer_group_id."', products_hide_from_groups) = 0");
    //################## End Enable / Disable Categories #################
// EOF Separate Pricing Per Customer, Hide products from groups mod    
    if (tep_db_num_rows($model_query)) {
      $model = tep_db_fetch_array($model_query);
   //   $breadcrumb->add($model['products_model'], tep_href_link(FILENAME_PRODUCT_INFO, 'cPath=' . $cPath . '&products_id=' . $_GET['products_id']));
      $breadcrumb->add($model['products_name'], tep_href_link(FILENAME_PRODUCT_INFO, 'cPath=' . $cPath . '&products_id=' . $_GET['products_id']));
    }
  }

// initialize the message stack for output messages
  require(DIR_WS_CLASSES . 'message_stack.php');
  $messageStack = new messageStack;

// BEGIN OF MUST AGREE TO TERMS - JAVASCRIPT DISABLED FIX - By Phliplip
  if(!empty($_GET['terms_not_agreed'])) {
    $messageStack->add('header', urldecode($_GET['terms_not_agreed']), 'error');
  }
// END OF MUST AGREE TO TERMS - JAVASCRIPT DISABLED FIX - By Phliplip

// set which precautions should be checked
  define('WARN_INSTALL_EXISTENCE', 'true');
  define('WARN_CONFIG_WRITEABLE', 'true');
  define('WARN_SESSION_DIRECTORY_NOT_WRITEABLE', 'true');
  define('WARN_SESSION_AUTO_START', 'true');
  define('WARN_DOWNLOAD_DIRECTORY_NOT_READABLE', 'true');

// BOF: WebMakers.com Added: Header Tags Controller v2.5.9
  require_once (DIR_WS_INC.'tep_get_header_tag_products_desc.inc.php');
  require_once (DIR_WS_INC.'tep_get_header_tag_products_keywords.inc.php');
  require_once (DIR_WS_INC.'tep_get_header_tag_products_title.inc.php');
  require_once (DIR_WS_INC.'tep_header_tag_page.inc.php');
  // Clean out HTML comments from ALT tags etc.
  require_once (DIR_WS_INC. 'clean_html_comments.inc.php');
// EOF: WebMakers.com Added: Header Tags Controller v2.5.2

// ICW CREDIT CLASS Gift Voucher Addittion  
  require(DIR_WS_INCLUDES . 'add_ccgvdc_application_top.php');
  
// tax class
require('includes/classes/tax.php');
$osC_Tax = new osC_Tax;

// START STS 4.1
require (DIR_WS_CLASSES.'sts.php');
$sts= new sts();
$sts->start_capture();
// END STS 4.1
?>