<?php
// /catalog/includes/languages/english/header_tags.php
// WebMakers.com Added: Header Tags Generator v2.0
// Add META TAGS and Modify TITLE
//
// DEFINITIONS FOR /includes/languages/english/header_tags.php

// Define your email address to appear on all pages
define('HEAD_REPLY_TAG_ALL','service@yago.com.tw');

// For all pages not defined or left blank, and for products not defined
// These are included unless you set the toggle switch in each section below to OFF ( '0' )
// The HEAD_TITLE_TAG_ALL is included BEFORE the specific one for the page
// The HEAD_DESC_TAG_ALL is included AFTER the specific one for the page
// The HEAD_KEY_TAG_ALL is included BEFORE the specific one for the page
define('HEAD_TITLE_TAG_ALL', '雅格設計');
define('HEAD_DESC_TAG_ALL','OSC-整合,安裝,修改,STS模版設計,網頁設計,平面設計,印刷服務');
define('HEAD_KEY_TAG_ALL','OSC-整合,安裝,修改,STS模版設計,網頁設計,平面設計,印刷服務');

// DEFINE TAGS FOR INDIVIDUAL PAGES


// index.php
define('HTTA_DEFAULT_ON','1'); // Include HEAD_TITLE_TAG_ALL in Title
define('HTKA_DEFAULT_ON','1'); // Include HEAD_KEY_TAG_ALL in Keywords
define('HTDA_DEFAULT_ON','1'); // Include HEAD_DESC_TAG_ALL in Description
define('HTTA_CAT_DEFAULT_ON', '1'); //Include HEADER_TITLE_DEFAULT in CATEGORY DISPLAY
define('HEAD_TITLE_TAG_DEFAULT', '商品目錄');
define('HEAD_DESC_TAG_DEFAULT','OSC-整合,安裝,修改,STS模版設計,網頁設計,平面設計,印刷服務');
define('HEAD_KEY_TAG_DEFAULT','OSC-整合,安裝,修改,STS模版設計,網頁設計,平面設計,印刷服務');
// newsdesk_index.php
define('HTTA_NEWSDESK_INDEX_ON','1');
define('HTDA_NEWSDESK_INDEX_ON','1');
define('HTKA_NEWSDESK_INDEX_ON','1');
define('HEAD_TITLE_TAG_NEWSDESK_INDEX','資訊分類');
define('HEAD_DESC_TAG_NEWSDESK_INDEX','資訊,新聞,公告');
define('HEAD_KEY_TAG_NEWSDESK_INDEX','資訊,新聞,公告');

// product_info.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_INFO_ON','1'); // will not show HEAD_TITLE_TAG_ALL on product_info.php
define('HTKA_PRODUCT_INFO_ON','1');
define('HTDA_PRODUCT_INFO_ON','1');
define('HTTA_CAT_PRODUCT_DEFAULT_ON', '1');
define('HTPA_DEFAULT_ON', '1');
define('HEAD_TITLE_TAG_PRODUCT_INFO','商品資訊');
define('HEAD_DESC_TAG_PRODUCT_INFO','OSC-整合,安裝,修改,STS模版設計,網頁設計,平面設計,印刷服務');
define('HEAD_KEY_TAG_PRODUCT_INFO','');

// products_new.php - whats_new
define('HTTA_WHATS_NEW_ON','1');
define('HTKA_WHATS_NEW_ON','1');
define('HTDA_WHATS_NEW_ON','1');
define('HEAD_TITLE_TAG_WHATS_NEW','雅格-新上架商品');
define('HEAD_DESC_TAG_WHATS_NEW','新上架商品');
define('HEAD_KEY_TAG_WHATS_NEW','最新商品');

// specials.php
// If HEAD_KEY_TAG_SPECIALS is left blank, it will build the keywords from the products_names of all products on special
define('HTTA_SPECIALS_ON','1');
define('HTKA_SPECIALS_ON','1');
define('HTDA_SPECIALS_ON','1');
define('HEAD_TITLE_TAG_SPECIALS','雅格-特價商品');
define('HEAD_DESC_TAG_SPECIALS','最新特價,限時特價,限量特價');
define('HEAD_KEY_TAG_SPECIALS','特價');

// product_reviews_info.php and product_reviews.php - if left blank in products_description table these values will be used
define('HTTA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTKA_PRODUCT_REVIEWS_INFO_ON','1');
define('HTDA_PRODUCT_REVIEWS_INFO_ON','1');
define('HEAD_TITLE_TAG_PRODUCT_REVIEWS_INFO','雅格-商品評論');
define('HEAD_DESC_TAG_PRODUCT_REVIEWS_INFO','商品評論');
define('HEAD_KEY_TAG_PRODUCT_REVIEWS_INFO','商品評論');

// product_reviews_write.php
define('HTTA_PRODUCT_REVIEWS_WRITE_ON','1');
define('HTKA_PRODUCT_REVIEWS_WRITE_ON','1');
define('HTDA_PRODUCT_REVIEWS_WRITE_ON','1');
define('HEAD_TITLE_TAG_PRODUCT_REVIEWS_WRITE','');
define('HEAD_DESC_TAG_PRODUCT_REVIEWS_WRITE','');
define('HEAD_KEY_TAG_PRODUCT_REVIEWS_WRITE','');
?>