<?php
/*
  $Id: my_answer.php, v 2.00 2006/JULY/06 17:37:00 dsa_ Exp $
  created by Ben Zukrel, Deep Silver Accessories
  http://www.deep-silver.com
  Reformatted by phocea to use CSS display

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2005 osCommerce

  Released under the GNU General Public License
************************************************************/

// Variable for the style use dto display the answers on the page
$style = 'background-color:#f5ffc7; border: 1px dashed #fe8fa7; DISPLAY: none; POSITION: relative; padding:4px; margin:2px; border-left:5px solid #fe8fa7; text-align:justify;';

// Initialisation of some required parameters for the FAQ answers
 if (tep_not_null(POINTS_AUTO_EXPIRES)){
   $answer_expire = '紅利回饋點數從今日算起 ' . POINTS_AUTO_EXPIRES . ' 個月到期。';
 } else {
   $answer_expire = '紅利回饋點數沒有期限，您可以一直累積到決定使用它';
 }

if (POINTS_PER_AMOUNT_PURCHASE > 1) {
  $point_or_answer = '紅利金';
} else {
  $point_or_answer = '點';
}

// Definition if the navigation bar and page title
define('NAVBAR_TITLE', '紅利點數系統2.0常見問題FAQ');
define('HEADING_TITLE', '紅利點數系統2.0常見問題FAQ');

// Definitions of the FAQ questions
define('POINTS_FAQ_1', '何謂紅利點數系統?');
define('POINTS_FAQ_2', '這個系統是如何工作?');
define('POINTS_FAQ_3', '點數與紅利金');
define('POINTS_FAQ_4', '使用紅利點數');
define('POINTS_FAQ_5', '最低使用點數(每筆訂單內)');
define('POINTS_FAQ_6', '最低購買金額');
define('POINTS_FAQ_7', '最高使用點數(每筆訂單內)');
define('POINTS_FAQ_8', '運費可以列入計算點數嗎?');
define('POINTS_FAQ_9', '商品稅可以列入計算購物點數嗎?');
define('POINTS_FAQ_10', '購買已特價折扣的商品還可以再獲得點數嗎?');
define('POINTS_FAQ_11', '我使用紅利點數購買某商品後還可以再加入累積計算嗎?');
define('POINTS_FAQ_12', '獲得推薦點數?');
define('POINTS_FAQ_13', '填寫商品評論以獲得點數?');
define('POINTS_FAQ_14', '可以使用紅利積點兌換的商品?');
define('POINTS_FAQ_15', '特價商品使用點數有何限制?');
define('POINTS_FAQ_16', '使用規定?');
define('POINTS_FAQ_17', '問題發生時該怎麼處理?');

// Definition of the answer for each of the questions:

// FAQ1
define('SUB_HEADING_TITLE','');
define('SUB_HEADING_TEXT','');

define('TEXT_FAQ_1', '為了感謝您對本網站的支持與消費我們提供此計畫回饋給消費者。
<br /><br />當您在『' . STORE_NAME . '』購物，您將可得到商品的紅利回饋。<br>
<br />一旦您在『' . STORE_NAME . '』獲得紅利點數您將可以在下次購物時候使用這些紅利點數購物。
<br /><br />紅利積點回饋活動開始於 ' . tep_get_last_date('USE_POINTS_SYSTEM') . ' ，所有的購物
將會產生紅利積點回饋。');


// FAQ2
define('TEXT_FAQ_2', '當您訂購了一筆訂單後，訂單總額<small><font color="FF6633">*</font></small> 
便會自動計算，換算成您所得的購物紅利回饋點數.
而這筆點數將會存放在您的個人購物紅利帳戶裡，暫定為"等候確認"點數。
<br />所有等候確認的點數都列在您的 <a href="' . tep_href_link(FILENAME_MY_POINTS) . '"> <u>【我的紅利點數】</u>
</a>  並且等候『' . STORE_NAME . '』的確認與發送.
<br /><br />當點數被確認發送後，就會放置在您的帳戶裡成為有價的金額，隨時讓您再度使用. 購物紅利點數並沒有使用期限，您可以自由決定使用時機。
<br />' . $points_expire . '
<br />您必須登入帳戶後才能看見您的購物紅利點數狀態。
<br /><br />而結帳時您就可以用您的購物紅利點數可用餘額來支付或是折抵。 
<p align="right"<small><font color="FF6633">*</font> 除非特別說明，否則運費以及稅率將不列入購物金回饋計算中．
請參考其他FAQ獲得更詳細說明。</small></p>');

// FAQ3
define('TEXT_FAQ_3', '目前設定:當您購物所消費的 ' .  $currencies->format(1) . ' 即可獲得『' . STORE_NAME . '』 
紅利 ' . number_format(POINTS_PER_AMOUNT_PURCHASE,POINTS_DECIMAL_PLACES)  . ' ' . $point_or_answer . '
<br />舉例:<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b>商品金額:</b>&nbsp; ' .  $currencies->format(100) . '<br />
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <b>可獲得的紅利金:</b>&nbsp; ' .  $currencies->format(tep_calc_shopping_pvalue(100 * POINTS_PER_AMOUNT_PURCHASE)) . '<br /><br />
請特別注意, 我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
<br />這裡所出現的換算比率永遠是最新的(隨系統調整)。
<p align="right"><small>最近更新: ' . tep_get_last_date('REDEEM_POINT_VALUE') . '</small><p>');

// FAQ4
define('TEXT_FAQ_4', '
<ul>
如果您有可用餘額於購物紅利帳戶裡，您就可以在『' . STORE_NAME . '』裡使用它。
<li>當進行結帳時，在選擇付款方式的頁面裡，您將會看見使用購物紅利的自選輸入方塊, 
<br />請輸入您想使用的金額或是勾選使用全部餘額選項. </li>
<li>請注意，如果您的可用餘額不足支付全部訂單總額，您仍需選擇任何一種付款方式來支付剩餘金額。</li> 
<li>繼續進行結帳後，您將會發現在訂單明細裡購物金折抵已經替您扣除部分金額。</li>
<li>一旦您確認訂單後，您使用的購物金將回立刻自您的購物禮金帳戶裡扣除，同時也會更新您的購物禮金帳戶可用餘額。 </li>
<li>請注意，以購物紅利買的東西，都沒辦法再給您回饋點數，只有在扣除購物紅利點數額外的消費才能再計算點數。</li>
</ul>
');


// FAQ5 - conditionnal depending on the point limit value set in admin
if (POINTS_LIMIT_VALUE  > 0)  {
	define('TEXT_FAQ_5', '目前設定:每次訂單最少要使用 <b>' . number_format(POINTS_LIMIT_VALUE) . '</b> 點兌換
	點數。 <b>(' . $currencies->format(tep_calc_shopping_pvalue(POINTS_LIMIT_VALUE)) . ')' . '</b>
	<br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('POINTS_LIMIT_VALUE') . '</small></p>');
} else {
	define('TEXT_FAQ_5', '目前設定:每次訂單沒有使用最少點數的限制。您可以選擇使用點數兌換或是不使用點數兌換。<br />
	<br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('POINTS_LIMIT_VALUE') . '</small></p>');
}

// FAQ6 - conditionnal depending on the point min amount value set in admin
if(tep_not_null(POINTS_MIN_AMOUNT))  {
	define('TEXT_FAQ_6', '目前, 【每次購買】總金額最少必須在任何紅利點數兌換之前大於 <b>' . $currencies->format(POINTS_MIN_AMOUNT) . '</b>
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>Last updated: ' . tep_get_last_date('POINTS_MIN_AMOUNT') . '</small></p>');
} else {
	define('TEXT_FAQ_6', '目前, 紅利點數兌換沒有最小購買金額限制.
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('POINTS_MIN_AMOUNT') . '</small></p>');
}

// FAQ7
define('TEXT_FAQ_7', '目前設定:每次訂單最多可兌換的點數<b>' . number_format(POINTS_MAX_VALUE) . '</b> 點 <b>(' . $currencies->format(tep_calc_shopping_pvalue(POINTS_MAX_VALUE)) . ')' . '</b>
<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
<p align="right"><small>最近更新: ' . tep_get_last_date('POINTS_MAX_VALUE') . '</small></p>');

// FAQ8 - conditionnal depending on the use point for shipping value set in admin
if(USE_POINTS_FOR_SHIPPING == 'false')  {
	define('TEXT_FAQ_8', '目前設定:商品運費不列入紅利點數的計算。
<br><br>
當您購買商品所支付的運費並不列入紅利點數的計算。	
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_SHIPPING') . '</small></p>');
} else {
#---------------------- DO NOT EDIT  EOF ----------------------------  
 	define('TEXT_FAQ_8', '目前設定:商品運費列入紅利點數的計算。<br><br>
當您購買商品所支付的運費依然列入紅利點數的計算。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_SHIPPING') . '</small></p>');
}

// FAQ9 - conditionnal depending on the value set in admin for ginving point for tax value
if(USE_POINTS_FOR_TAX == 'false')  {
	define('TEXT_FAQ_9', '目前設定:商品稅金不列入紅利點數計算。
	<br><br>
當您購買商品所支付的商品稅金依然列入紅利點數的計算。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_TAX') . '</small></p>');
} else {
	define('TEXT_FAQ_9', '目前設定:商品稅金列入紅利點數計算。
	<br><br>
當您購買商品所支付的商品稅金依然列入紅利點數的計算。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_TAX') . '</small></p>');
}	 

// FAQ10 - conditionnal depending on value set in admin for giving point on specials
if(USE_POINTS_FOR_SPECIALS == 'false')  {
	define('TEXT_FAQ_10', '目前設定:特價商品無法獲得紅利點數。
	<br><br>
當商品有特價時，您購買的時候並不能獲得當時特價商品的紅利點數。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_SPECIALS') . '</small></p>');
} else {
	define('TEXT_FAQ_10', '目前設定:特價商品可以獲得紅利點數。
	<br><br>
當商品有特價時，您購買的時候並不影響當時特價商品的紅利點數。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_SPECIALS') . '</small></p>');
}

// FAQ11 - conditionnel selon la valeur renseign dans l'admin pour l'attribution de points lors d'une commande avec des points
if(USE_POINTS_FOR_REDEEMED == 'false')  {
	define('TEXT_FAQ_11', '目前設定:紅利點數兌換無法獲得紅利點數。
	<br /><br />當您使用紅利點數兌換的時候，您將不能獲得這次購買商品的紅利點數。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_REDEEMED') . '</small></p>');
} else {
	define('TEXT_FAQ_11', '目前設定:紅利點數兌換可以獲得紅利點數。
<br><br>當您使用紅利點數兌換的時候，您依然可以獲得這次購買商品的紅利點數。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_REDEEMED') . '</small></p>');
}

// FAQ12 - conditionnel selon la valeur renseign dans l'admin pour l'utilisation du systme de parrainage
if (tep_not_null(USE_REFERRAL_SYSTEM)){
	define('TEXT_FAQ_12', '<em>"口耳相傳" 是最有效的廣告方式.</em>
	<br />推薦點數：我們盼望藉由您的口耳相傳以及eamil輾轉相傳推薦獲得點數產生廣告效益
	<br />當您要推薦給朋友,在結帳進行中的付款方式頁面會出現一則輸入推薦碼.
	所謂推薦碼就是您提供一組email位址給我們
	<br />當我們收到您在訂單上提供的推薦朋友的資料,我們會贈送您推薦點數在您的紅利帳號 <b>' .  USE_REFERRAL_SYSTEM . '</b> points .
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_REFERRAL_SYSTEM') . '</small></p>');
} else {
	define('TEXT_FAQ_12', '目前本項計劃尚未實施.
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_REFERRAL_SYSTEM') . '</small></p>');
}

// FAQ13 - conditionnel selon la valeur renseign dans l'admin pour l'attribution de points pour la redaction de critiques
if (tep_not_null(USE_POINTS_FOR_REVIEWS)){
	define('TEXT_FAQ_13', '<em>"請您寫一篇讓其他人更了解商品的評論也是我們想到的另一種有效的廣告"</em>
	<br />分享您使用商品的心得以協助我們做得更好，強化服務效能.
	<br />我們很樂意您對我們的各項商品給予評論, 為了感謝謝您的支持，同時贈送 <b>' .  $currencies->format(tep_calc_shopping_pvalue(USE_POINTS_FOR_REVIEWS)) . '</b> 元紅利金。
	<br />請您在評論之前了解以下的限制原則：
	<ul>
  	   <li>您的評論必須正常.</li>
  	   <li>評論請針對主題及商品正確說明.</li>
  	   <li>評論不能複製已經發表過的內容.</li>
  	   <li>真實而厄要.</li>
  	   <li>評論不能包含故垃圾郵件, 商業或廣告行為的連結.</li>
  	   <li>評論不能幫含不雅的、 人身攻擊、惡意措辭, 或是妨害個人安全或名譽之文字.</li>
	</ul>
	如果評論未完全遵守以上之原則『' . STORE_NAME . '』會刪除之。
	<br />『' . STORE_NAME . '』會適當修改您的錯字或漏字或文法錯誤。
	<br />『' . STORE_NAME . '』沒有任何義務或責任承擔任何客戶在本處所發表的不當的評分及評論。
	<p align="right"><small>最近更新:' . tep_get_last_date('USE_POINTS_FOR_REVIEWS') . '</small></p>');
} else {
	define('TEXT_FAQ_13', '目前本項計劃尚未實施.
	<p align="right"><small>最近更新: ' . tep_get_last_date('USE_POINTS_FOR_REVIEWS') . '</small></p>');
}

// FAQ14 - conditionnel selon la valeur renseign dans l'admin pour la restriction par modele, produits ou categories
if (tep_not_null(RESTRICTION_MODEL)) {
	define('TEXT_FAQ_14', '目前設定:目前只有 <b>[' . RESTRICTION_MODEL . ']</b> 型號商品可以使用紅利積點兌換
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的。
	<p align="right"><small>最近更新: ' . tep_get_last_date('RESTRICTION_MODEL') . '</small></p>');
}
if (tep_not_null(RESTRICTION_PID)) { 
	$p_ids = split("[,]", RESTRICTION_PID);
	for ($i = 0; $i < count($p_ids); $i++) {
		$prods_query = tep_db_query("SELECT * FROM products, products_description WHERE products.products_id = products_description.products_id and products_description.language_id = '" . $languages_id . "'and products.products_id = '" . $p_ids[$i] . "'");
		if ($list = tep_db_fetch_array($prods_query)) {
			$prods .= '<li>' . $list['products_name'] .'</li>';
		}
	}
	
	define('TEXT_FAQ_14', '目前, 僅有以下項目可以使用您的紅利點數購買.<ul>' . $prods . '</ul>
	<br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的
	<p align="right"><small>最近更新: ' . tep_get_last_date('RESTRICTION_PID') . '</small></p>');
}
if (tep_not_null(RESTRICTION_PATH)) {
	$cat_path = split("[,]", RESTRICTION_PATH);
        for ($i = 0; $i < count($cat_path); $i++) {
        	$cat_path_query = tep_db_query("select * from " . TABLE_CATEGORIES . ", " . TABLE_CATEGORIES_DESCRIPTION . " WHERE categories.categories_id = categories_description.categories_id and categories_description.language_id = '" . $languages_id . "' and categories.categories_id='" . $cat_path[$i] . "'");
        	if ($list = tep_db_fetch_array($cat_path_query)) {
        		$cats .= '<li>' . $list['categories_name'] .'</li>';
        	}
        }
	define('TEXT_FAQ_14', '目前, 僅有以下商品類別可以使用您的紅利點數購買<ul>' . $cats . '</ul>
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的
	<p align="right"><small>最近更新:' . tep_get_last_date('RESTRICTION_PATH') . '</small></p>');
 } else {
	define('TEXT_FAQ_14', '目前設定:目前全部的商品都可以使用紅利點數兌換.
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的
	<p align="right"><small>最近更新: ' . tep_get_last_date('REDEMPTION_RESTRICTION') . '</small></p>');
}

// FAQ15 - conditionnel selon la valeur renseign dans l'admin pour la restriction par modele
if (REDEMPTION_DISCOUNTED == 'true') {
	define('TEXT_FAQ_15', '目前設定:目前特價商品無法使用紅利點數兌換。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的
	<p align="right"><small>最近更新: ' . tep_get_last_date('REDEMPTION_DISCOUNTED') . '</small></p>');
} else {
	define('TEXT_FAQ_15', '目前設定:目前特價商品可以使用紅利點數兌換。
	<br /><br />我們強烈建議您隨時觀看這裡的最新更新，因為現在的設定並不是不變的
	<p align="right"><small>最近更新: ' . tep_get_last_date('REDEMPTION_DISCOUNTED') . '</small></p>');
}

// FAQ16
define('TEXT_FAQ_16', '
<ul>
  <li>紅利積點目前只限定於『' . STORE_NAME . '』註冊會員使用。不論新舊會員，系統將自動計算累計紅利，只要在
  本站消費過，即可獲得紅利回饋。</li>
  <li>紅利積點目前只限定於註冊會員線上消費時候才可以取得。並且只能在『' . STORE_NAME . '』使用。</li>
  <li>紅利積點目前不可換取現金，並且不能轉移給其他會員。</li>
  <li>紅利積點目前在任何情況下不可以轉讓給其他會員或是換取現金</li>
  <li>若使用紅利積點付費後，該訂單有取消或是退貨情形，該次使用的紅利積點可能會無法為您加回 ，請您下單前仔細評估。</li>
  <li>紅利積點可以用來抵扣指定紅利商品裡的點數，只要剩餘紅利足夠，系統將會為您利用點數再折扣。若是剩餘點數不足，
  系統將會請您選擇其它的付費方式。</li>
  <li>紅利積點目前設定只可對於商品金額兌換，商品運費與商品稅金是否可以獲得點數請參閱第7.8條設定。</li>
</ul>
注意: 我們保有任何時候不需預先通知對紅利積點使用規則做適當變動的權利。');

// FAQ17
define('TEXT_FAQ_17', '若使用紅利點數的過程讓您有不瞭解或發生任何問題時，請不用擔心，請您連結到
<a href="' . tep_href_link(FILENAME_CONTACT_US) . '"> <u>聯絡我們 </u></a>.  ，我們將盡快替您解決。請盡可能在您的E-mail中提供足夠的資訊給我們，以加快我們對您的服務速度。');

// Below is the section that will actually displax on the FAQ page
define('TEXT_INFORMATION', '<a name="Top"></a><font color="FF0000"><b>請從下面主題選擇:</b></font>
<ol>
<li><a href="javascript:show(\'answer_q1\');">'. POINTS_FAQ_1 .'</a><br />
	<div id="answer_q1" style="'.$style.'">'.
		TEXT_FAQ_1	
	.'</div>
<li><a href="javascript:show(\'answer_q2\');">'. POINTS_FAQ_2 .'</a><br />
	<div id="answer_q2" style="'.$style.'">'.
		TEXT_FAQ_2
	.'</div>
<li><a href="javascript:show(\'answer_q3\');">'. POINTS_FAQ_3 .'</a><br />
	<div id="answer_q3" style="'.$style.'">'.
		TEXT_FAQ_3	
	.'</div>
<li><a href="javascript:show(\'answer_q4\');">'. POINTS_FAQ_4 .'</a><br />
	<div id="answer_q4" style="'.$style.'">'.
		TEXT_FAQ_4	
	.'</div>
<li><a href="javascript:show(\'answer_q5\');">'. POINTS_FAQ_5 .'</a><br />
	<div id="answer_q5" style="'.$style.'">'.
		TEXT_FAQ_5	
	.'</div>
<li><a href="javascript:show(\'answer_q6\');">'. POINTS_FAQ_6 .'</a><br />
	<div id="answer_q6" style="'.$style.'">'.
		TEXT_FAQ_6	
	.'</div>
<li><a href="javascript:show(\'answer_q7\');">'. POINTS_FAQ_7 .'</a><br />
	<div id="answer_q7" style="'.$style.'">'.
		TEXT_FAQ_7	
	.'</div>
<li><a href="javascript:show(\'answer_q8\');">'. POINTS_FAQ_8 .'</a><br />
	<div id="answer_q8" style="'.$style.'">'.
		TEXT_FAQ_8	
	.'</div>
<li><a href="javascript:show(\'answer_q9\');">'. POINTS_FAQ_9 .'</a><br />
	<div id="answer_q9" style="'.$style.'">'.
		TEXT_FAQ_9	
	.'</div>
<li><a href="javascript:show(\'answer_q10\');">'. POINTS_FAQ_10 .'</a><br />
	<div id="answer_q10" style="'.$style.'">'.
		TEXT_FAQ_10	
	.'</div>
<li><a href="javascript:show(\'answer_q11\');">'. POINTS_FAQ_11 .'</a><br />
	<div id="answer_q11" style="'.$style.'">'.
		TEXT_FAQ_11	
	.'</div>
<li><a href="javascript:show(\'answer_q12\');">'. POINTS_FAQ_12 .'</a><br />
	<div id="answer_q12" style="'.$style.'">'.
		TEXT_FAQ_12	
	.'</div>
<li><a href="javascript:show(\'answer_q13\');">'. POINTS_FAQ_13 .'</a><br />
	<div id="answer_q13" style="'.$style.'">'.
		TEXT_FAQ_13	
	.'</div>
<li><a href="javascript:show(\'answer_q14\');">'. POINTS_FAQ_14 .'</a><br />
	<div id="answer_q14" style="'.$style.'">'.
		TEXT_FAQ_14	
	.'</div>
<li><a href="javascript:show(\'answer_q15\');">'. POINTS_FAQ_15 .'</a><br />
	<div id="answer_q15" style="'.$style.'">'.
		TEXT_FAQ_15	
	.'</div>
<li><a href="javascript:show(\'answer_q16\');">'. POINTS_FAQ_16 .'</a><br />
	<div id="answer_q16" style="'.$style.'">'.
		TEXT_FAQ_16	
	.'</div>
<li><a href="javascript:show(\'answer_q17\');">'. POINTS_FAQ_17 .'</a><br />
	<div id="answer_q17" style="'.$style.'">'.
		TEXT_FAQ_17	
	.'</div></ol>');
?>