<?php
/*
  $Id: new_products.php,v 1.0 2004-02-28 03:24:00+01 bluedog Exp bluedog $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
        Contribution B2BSuite id="id20031008144119"
        released by Walter "BluEdoG" Tosolini (info AT bluedog DOT it)
*/
 require_once (DIR_WS_INC.'tep_get_products_info.inc.php');
 require_once (DIR_WS_INC.'tep_get_products_name.inc.php');
 require_once (DIR_WS_INC.'tep_get_all_get_params.inc.php');
 require_once (DIR_WS_INC.'tep_get_tax_rate.inc.php');
 
// added for New Product Icon contribution
  $today_time = time();
// end addition for New Product Icon contribution

?>
<!-- new_products //-->
<?php
  $info_box_contents = array();
  $info_box_contents[] = array('text' => sprintf(TABLE_HEADING_NEW_PRODUCTS, strftime('%m')));

  new contentBoxHeading($info_box_contents);
// global variable (session) $sppc_customer_group_id -> local variable customer_group_id

  if(!tep_session_is_registered('sppc_customer_group_id')) {
  $customer_group_id = '0';
  } else {
   $customer_group_id = $sppc_customer_group_id;
  }

   // BOF Separate Pricing per Customer, Hide products from groups mod
  if ( (!isset($new_products_category_id)) || ($new_products_category_id == '0') ) {
// ######################## Added Enable / Disable Categorie ################
//    $new_products_query = tep_db_query("select p.products_id, p.products_image, p.products_tax_class_id, if(s.status, s.specials_new_products_price, p.products_price) as products_price from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id where products_status = '1' order by p.products_date_added desc limit " . MAX_DISPLAY_NEW_PRODUCTS);
    $new_products_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_model, p.products_tax_class_id, if(s.status, s.specials_new_products_price, p.products_price) as products_price, mnf.manufacturers_name, rvw.reviews_rating from (((" . TABLE_PRODUCTS . " p) left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id) left join ".TABLE_MANUFACTURERS." mnf on p.manufacturers_id = mnf.manufacturers_id) left join ".TABLE_REVIEWS." rvw on p.products_id = rvw.products_id, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c where c.categories_status='1' and p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and products_status = '1' and find_in_set('".$customer_group_id."', products_hide_from_groups) = 0 order by p.products_date_added desc limit " . MAX_DISPLAY_NEW_PRODUCTS);
// ######################## End Added Enable / Disable Categorie ################
  } else {
// ######################## Added Enable / Disable Categorie ################
//    $new_products_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_tax_class_id, if(s.status, s.specials_new_products_price, p.products_price) as products_price from " . TABLE_PRODUCTS . " p left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c where p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and c.parent_id = '" . (int)$new_products_category_id . "' and p.products_status = '1' order by p.products_date_added desc limit " . MAX_DISPLAY_NEW_PRODUCTS);
    $new_products_query = tep_db_query("select distinct p.products_id, p.products_image, p.products_model, p.products_tax_class_id, if(s.status, s.specials_new_products_price, p.products_price) as products_price, mnf.manufacturers_name, rvw.reviews_rating from (((" . TABLE_PRODUCTS . " p) left join " . TABLE_SPECIALS . " s on p.products_id = s.products_id, " . TABLE_PRODUCTS_TO_CATEGORIES . " p2c, " . TABLE_CATEGORIES . " c) left join ".TABLE_MANUFACTURERS." mnf on p.manufacturers_id = mnf.manufacturers_id) left join ".TABLE_REVIEWS." rvw on p.products_id = rvw.products_id where c.categories_status='1' and p.products_id = p2c.products_id and p2c.categories_id = c.categories_id and c.parent_id = '" . (int)$new_products_category_id . "' and p.products_status = '1' and find_in_set('".$customer_group_id."', products_hide_from_groups) = 0 order by rand() desc limit " . MAX_DISPLAY_NEW_PRODUCTS);
// ######################## End Added Enable / Disable Categorie ################
  }
// EOF Separate Pricing per Customer, Hide products from groups mod

  if (($no_of_new_products = tep_db_num_rows($new_products_query)) > 0) {
          while ($_new_products = tep_db_fetch_array($new_products_query)) {
        $new_products[] = $_new_products;
        $list_of_prdct_ids[] = $_new_products['products_id'];
        }

$select_list_of_prdct_ids = "products_id = '".$list_of_prdct_ids[0]."' ";
  if ($no_of_new_products > 1) {
   for ($n = 1 ; $n < count($list_of_prdct_ids) ; $n++) {
   $select_list_of_prdct_ids .= "or products_id = '".$list_of_prdct_ids[$n]."' ";
   }
}
// get all customers_group_prices for products with the particular customer_group_id
// however not necessary for customer_group_id = 0
if ($customer_group_id != '0') {
  $pg_query = tep_db_query("select pg.products_id, customers_group_price as price from " . TABLE_PRODUCTS_GROUPS . " pg where (".$select_list_of_prdct_ids.") and pg.customers_group_id = '".$customer_group_id."'");
        while ($pg_array = tep_db_fetch_array($pg_query)) {
        $new_prices[] = array ('products_id' => $pg_array['products_id'], 'products_price' => $pg_array['price'], 'specials_new_products_price' => '');
        }

   for ($x = 0; $x < $no_of_new_products; $x++) {
// replace products prices with those from customers_group table
        if(!empty($new_prices)) {
            for ($i = 0; $i < count($new_prices); $i++) {
                    if( $new_products[$x]['products_id'] == $new_prices[$i]['products_id'] ) {
                        $new_products[$x]['products_price'] = $new_prices[$i]['products_price'];
                    }
            }
        } // end if(!empty($new_prices)
   } // end for ($x = 0; $x < $no_of_products_new; $x++)
} // end if ($customer_group_id != '0')

// an extra query is needed for all the specials
        $specials_query = tep_db_query("select products_id, specials_new_products_price from specials where (".$select_list_of_prdct_ids.") and status = '1' and customers_group_id = '" .$customer_group_id. "' ");
        while ($specials_array = tep_db_fetch_array($specials_query)) {
        
		$product_id = $specials_array['products_id'];
		$happy_time = date ("H:i:s");
	$product_query2 = tep_db_query("select specials_price_happy_hours from " . TABLE_SPECIALS . " where products_id = '" . (int)$product_id . "' and status_happy_hours='1' and customers_group_id = '" . (int)$customer_group_id . "' and '" .$happy_time. "'
											 BETWEEN happy_hours_beginning_time and happy_hours_end_time and now() > happy_hours_beginning_date and now() < happy_hours_end_date"); 
	
    $product2 = tep_db_fetch_array($product_query2);
	if ($product2){$specials_array['specials_new_products_price'] = $product2['specials_price_happy_hours'];}        
        
        $new_s_prices[] = array ('products_id' => $specials_array['products_id'], 'specials_new_products_price' => $specials_array['specials_new_products_price']);
        }

// replace products_price with the correct specials_new_products_price
if(!empty($new_s_prices)) {
        for ($x = 0; $x < $no_of_new_products; $x++) {
            for ($i = 0; $i < count($new_s_prices); $i++) {
                    if( $new_products[$x]['products_id'] == $new_s_prices[$i]['products_id'] ) {
                        $new_products[$x]['products_price'] = $new_s_prices[$i]['specials_new_products_price'];
                    }
               }
           }
        } // // end if(!empty($new_s_prices)

  $row = 0;
  $col = 0;

  $info_box_contents = array();
  echo '<table width="100%" border="0" cellspacing="0" cellpadding="0"><tr>';
  
//  while ($new_products = tep_db_fetch_array($new_products_query)) {
        for ($x = 0; $x < $no_of_new_products; $x++) {
    $new_products[$x]['products_info'] = tep_get_products_info($new_products[$x]['products_id']);
    $new_products[$x]['products_name'] = tep_get_products_name($new_products[$x]['products_id']);
    
    	$reviews_rating = $new_products[$x]['reviews_rating'];
	$manufacturers_name = $new_products[$x]['manufacturers_name'];

	if(!$manufacturers_name==null) {
	  $manufacturers_name = '<b>' . TABLE_HEADING_MANUFACTURER . ': </b> ' . $manufacturers_name;
	} else {
	  $manufacturers_name = '';
	}

	if(!$reviews_rating==null){
	$reviews_rating = '<img src="images/stars_'. $new_products[$x]['reviews_rating'].'.gif" alt="'.$new_products[$x]['reviews_rating'] . TABLE_HEADING_TEXT_OF_5_STARS . ' ('.$new_products[$x]['products_name'].')" border="0" align="absmiddle">';
	}else {
	$reviews_rating = '<img src="images/stars_0.gif" alt="'.NOT_RATED.'" border="0" align="absmiddle"><br><span class="smallText"><a href="product_reviews_write.php?products_id='.$new_products[$x]['products_id'].'">' . TABLE_HEADING_FIRST_TO_RATE . '</a></span>';
	}
	
    
    // added for New Product Icon contribution
    //  2592000 = 30 days in the unix timestamp format
    if ( ($today_time - strtotime($new_products[$x]['products_date_added'])) < 5184000) {
	    $new_products[$x]['products_name'] .= '&nbsp' . tep_image_button('icon_newarrival.gif', TEXT_ICON_NEW_PRODUCT);
	    }
    // end addition for New Product Icon contribution

$info_box_contents[$row][$col] = array('text' => '<!-- one TBL Product -->
		<table width="100%" border="0" cellspacing="1" cellpadding="4" bgcolor="#B2B2B2">
		  <tr>
			<td bgcolor="#F5F5F5" class="pageHeading" height="37"><img src="images/lk_blue.gif" width="15" height="15" align="absmiddle" alt="'.$new_products[$x]['products_name'].'">&nbsp;<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $new_products[$x]['products_id']) . '">' . $new_products[$x]['products_name'] . '</a></td>
		  </tr>
		  <tr>
		  	<td bgcolor="#FFFFFF">
			  <table width="100%" border="0" cellspacing="0" cellpadding="0">
		        <tr>
				  <td align="center" style="padding:3px;"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $new_products[$x]['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $new_products[$x]['products_image'], $new_products[$x]['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a></td>
				  <td height="125" valign="top">
					<table width="100%" border="0" cellspacing="0" cellpadding="0">
					  <tr>
					    <td height="17" class="main">' . $manufacturers_name . '</td>
					  </tr>
					  <tr>
						<td height="17" class="main"><b>' . TABLE_HEADING_MODEL . ': </b> '.$new_products[$x]['products_model'].'</td>
					  </tr>
					  <tr>
						<td height="17" class="main"><b>' . TABLE_HEADING_PRICE . ': <font color="#FF5C02">' . $currencies->display_price($new_products[$x]['products_price'], tep_get_tax_rate($new_products[$x]['products_tax_class_id'])). '</font></b></td>
					  </tr>
					  <tr>
					    <td height="17" class="main"><b>' . TABLE_HEADING_RATING . ': </b>'.$reviews_rating.'</td>
					  </tr>
					</table>
				  </td>
				</tr>
				<tr>
				  <td>' . tep_draw_separator('pixel_trans.gif', '100%', '10') . '</td>
				  <td height="35"><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $new_products[$x]['products_id']) . '">' . tep_image_button('small_more_info.gif','more info',60,14) . '</a></td>
				</tr>
			  </table>
			</td>
		  </tr>
		</table>
		<!-- one TBL Product -->');


    $col ++;
    if ($col > 2) {
      $col = 0;
      $row ++;
    }
   } // end for ($x = 0; $x < $no_of_new_products; $x++)
 } //  end if (($no_of_new_products = tep_db_num_rows($new_products_query)) > 0)
 // EOF Separate Pricing per Customer
  new contentBox($info_box_contents);
?>
<!-- new_products_eof //-->