<?php
/*
  $Id: bank.php,v 1.1.1.1 2003/08/14 08:01:10 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  class bank {
    var $code, $title, $description, $enabled;

// class constructor
    function bank() {
      global $order;

      $this->code = 'bank';
      $this->title = MODULE_PAYMENT_BANK_TEXT_TITLE;
      $this->description = MODULE_PAYMENT_BANK_TEXT_DESCRIPTION;
      $this->sort_order = MODULE_PAYMENT_BANK_SORT_ORDER;
// START PAYMENT UNALLOWED
 if (tep_get_payment_unallowed($this->code) ) {
     $this->enabled = ((MODULE_PAYMENT_BANK_STATUS == 'True') ? true : false);
     }
// END PAYMENT UNALLOWED

      if ((int)MODULE_PAYMENT_BANK_ORDER_STATUS_ID > 0) {
        $this->order_status = MODULE_PAYMENT_BANK_ORDER_STATUS_ID;
      }

      if (is_object($order)) $this->update_status();

      $this->email_footer = MODULE_PAYMENT_BANK_TEXT_EMAIL_FOOTER;
    }

// class methods
    function update_status() {
      global $order;

      if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_BANK_ZONE > 0) ) {
        $check_flag = false;
        $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_BANK_ZONE . "' and zone_country_id = '" . $order->billing['country']['id'] . "' order by zone_id");
        while ($check = tep_db_fetch_array($check_query)) {
          if ($check['zone_id'] < 1) {
            $check_flag = true;
            break;
          } elseif ($check['zone_id'] == $order->billing['zone_id']) {
            $check_flag = true;
            break;
          }
        }

        if ($check_flag == false) {
          $this->enabled = false;
        }
	  }	
// START Shipping dependency
// unallowed shipping method
// and the choosen method is not in
      if ($this->enabled == true) {
          global $shipping;
            if (tep_not_null(MODULE_PAYMENT_BANK_SHIPPING)) {
              $ship_method=split ("_",$shipping['id']);
                  $ship_unallowed=split (";",MODULE_PAYMENT_BANK_SHIPPING);
                  if (in_array($ship_method[0],$ship_unallowed )==true) {
            $this->enabled = false;
          }
                }
      }
// END Shipping dependency

// disable the module if the order only contains orders with virtual and $0.00 price
      if ($this->enabled == true) {
         if ($order->content_type == 'virtual') {
		 	if ($order->info['total'] = 0) {
          $this->enabled = false;
        }
      }
    }
  }

    function javascript_validation() {
      return false;
    }

    function selection() {
      return array('id' => $this->code,
                   'module' => $this->title);
    }

    function pre_confirmation_check() {
      return false;
    }

    function confirmation() {
      return array('title' => MODULE_PAYMENT_BANK_TEXT_DESCRIPTION1);
    }

    function process_button() {
      return false;
    }

    function before_process() {
      return false;
    }

    function after_process() {
      return false;
    }

    function get_error() {
      return false;
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_BANK_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('啟動銀行匯款模組', 'MODULE_PAYMENT_BANK_STATUS', 'True', '確定要啟動銀行匯款？', '6', '1', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now());");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('銀行名稱', 'MODULE_PAYMENT_BANK_NAME', 'xx 銀行 xx 分行', '請輸入你的銀行名稱', '6', '1', now());");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('帳戶名稱', 'MODULE_PAYMENT_BANK_ACCNAME', '王小明', '請輸入你的銀行帳戶名稱', '6', '1', now());");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('帳戶號碼', 'MODULE_PAYMENT_BANK_ACCNUM', 'xx-xxx-xxx-xxx-xxx', '請輸入你的銀行帳戶號碼', '6', '1', now());");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('顯示順序', 'MODULE_PAYMENT_BANK_SORT_ORDER', '0', '顯示順序，數字越小順序在前', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('銀行匯款地區', 'MODULE_PAYMENT_BANK_ZONE', '0', '如果選擇地區，則只有該地區可以使用這個結帳模組', '6', '2', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, use_function, date_added) values ('銀行匯款的訂單狀態', 'MODULE_PAYMENT_BANK_ORDER_STATUS_ID', '0', '設定使用銀行匯款結帳模組的預設訂單狀態，如處理中、已處理或已出貨', '6', '0', 'tep_cfg_pull_down_order_statuses(', 'tep_get_order_status_name', now())");
// Shipping dependency: line added
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('不接受運送模組.', 'MODULE_PAYMENT_BANK_SHIPPING', '', '填入不接受的運費模組名稱, 以;隔開(例: zones;table). 空白表示全部接受', '6', '', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }
// Shipping dependency: key MODULE_PAYMENT_BANK_SHIPPING added.
    function keys() {
      return array('MODULE_PAYMENT_BANK_STATUS', 'MODULE_PAYMENT_BANK_NAME', 'MODULE_PAYMENT_BANK_ACCNAME', 'MODULE_PAYMENT_BANK_ACCNUM', 'MODULE_PAYMENT_BANK_ZONE', 'MODULE_PAYMENT_BANK_ORDER_STATUS_ID', 'MODULE_PAYMENT_BANK_SORT_ORDER', 'MODULE_PAYMENT_BANK_SHIPPING');
    }
  }
?>