<?php
/*
  $Id: twv.php,v 1.0.0.1 2003/07/03 12:00:03 odie Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com
  Copyright (c) 2002 osCommerce
  Released under the GNU General Public License

  Traditional Chinese language pack(Big5 code) for osCommerce 2.2 ms1
  Community: http://www.dcezgo.com
  Author(s): Odie Chiou (odie@dcezgo.com)
  Released under the GNU General Public License ,too!!

*/

  class p711 {
    var $code, $title, $description, $enabled,$dealercode;

// class constructor
    function p711() {
      global $order;

      $this->code = 'p711';
      $this->title = MODULE_PAYMENT_P711_TEXT_TITLE;
      $this->description = MODULE_PAYMENT_P711_TEXT_DESCRIPTION;
      $this->sort_order = MODULE_PAYMENT_P711_SORT_ORDER;
// START PAYMENT UNALLOWED
     if ( tep_get_payment_unallowed($this->code) ) {
         $this->enabled = ((MODULE_PAYMENT_P711_STATUS == 'True') ? true : false);
         }
         // END PAYMENT UNALLOWED


      if ((int)MODULE_PAYMENT_P711_ORDER_STATUS_ID > 0) {
        $this->order_status = MODULE_PAYMENT_P711_ORDER_STATUS_ID;
      }

      if (is_object($order)) $this->update_status();
      //this->form_action_url = 'https://service.seed.net.tw';
        }

// class methods

        function update_status() {
      global $order;

      if ( ($this->enabled == true) && ((int)MODULE_PAYMENT_P711_ZONE > 0) ) {
        $check_flag = false;
        $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_PAYMENT_P711_ZONE . "' and zone_country_id = '" . $order->billing['country']['id'] . "' order by zone_id");
        while ($check = tep_db_fetch_array($check_query)) {
          if ($check['zone_id'] < 1) {
            $check_flag = true;
            break;
          } elseif ($check['zone_id'] == $order->billing['zone_id']) {
            $check_flag = true;
            break;
          }
        }

        if ($check_flag == false) {
          $this->enabled = false;
        }
	   }	
// START Shipping dependency
// allowed shipping method
// and the choosen method is not in
      if ($this->enabled == true) {
          global $shipping;
            if (tep_not_null(MODULE_PAYMENT_P711_SHIPPING)) {
              $ship_method=split ("_",$shipping['id']);
                  $ship_allowed=split (";",MODULE_PAYMENT_P711_SHIPPING);
                  if (in_array($ship_method[0],$ship_allowed )==false) {
            $this->enabled = false;
          }
                }
      }
// END Shipping dependency

// disable the module if the order only contains virtual products
      if ($this->enabled == true) {
        if ($order->content_type == 'virtual') {
          $this->enabled = false;
        }
      }
    }

    function javascript_validation() {
      return false;
    }

    function selection() {
      return array('id' => $this->code,
                   'module' => $this->title);
    }

    function pre_confirmation_check() {
      global $order,$cart;


      $products = $cart->get_products();
          $pr_qty=sizeof($products);
          //  echo $pr_qty;
        if($pr_qty>7){
        $error= MODULE_PAYMENT_P711_TEXT_ERROR_MESSAGE;
                $payment_error_return='payment_error=' . $this->code . '&error=' . urlencode($error);
                tep_redirect(tep_href_link(FILENAME_CHECKOUT_PAYMENT, $payment_error_return, 'SSL', true, false));
        }
      return false;
    }

    function confirmation() {
      return array('title' => MODULE_PAYMENT_P711_TEXT_DESCRIPTION);
    }

        function process_button() {
      return false;
        }
        function process_button_p711() {
          global $order ,$currencies,$customer_id;
          $pr_detail=null;
          for ($i=0, $n=sizeof($order->products); $i<$n; $i++) {
                $p_detail='&ProductPrice'.($i+1).'='.$currencies->display_price_p711($order->products[$i]['final_price'], $order->products[$i]['tax'], 1). '&ProductName'.($i+1).'='.$order->products[$i]['name']. '&ProductQuantity'.($i+1).'='.$order->products[$i]['qty'];
                $pr_detail=$pr_detail.$p_detail;
                $ta_price+=$currencies->display_price_p711($order->products[$i]['final_price'], $order->products[$i]['tax'], $order->products[$i]['qty']);

        }
        $order_query_max = tep_db_query("select MAX(orders_id) as maxorders_id from " . TABLE_ORDERS );
      $maxorders_id = tep_db_fetch_array($order_query_max);
        /////dealercode////////////////////
        $dealercode_query=tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key ='MODULE_PAYMENT_P711_ID' ");
        $dealercode=tep_db_fetch_array($dealercode_query);
        ///duedate ///////////////////////
        $duedate_query=tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key ='MODULE_PAYMENT_P711_DATE' ");
        $duedate=tep_db_fetch_array($duedate_query);
        $duedate=date('Ymd',mktime(0, 0, 0, date("m")  , date("d")+$duedate['configuration_value'], date("Y")));


        $process_button_string.='https://service.seed.net.tw/register-cgi/proxy_bill?';//seednet網址
        $process_button_string.='FUNC=OnlinePrintBill';//固定值
        $process_button_string.='&DealerCode='.$dealercode['configuration_value'];//廠商編號
        $process_button_string.='&DueDate='.$duedate;//繳費期限
        $process_button_string.=$pr_detail;//產品名稱,產品單價,數量
        $process_button_string.='&UserNo='.$customer_id;//用戶編號
        $process_button_string.='&BillNo='.($maxorders_id['maxorders_id']+1);//帳單編號
        $process_button_string.='&BillDate='.date('Ymd');//列帳日期
        $process_button_string.='&Amount='.$ta_price;//交易總金額
        $process_button_string.='&UserName='.$order->customer['firstname'];//用戶姓名
        $process_button_string.='&TelNo='.$order->customer['telephone'];//聯絡電話

          return $process_button_string;
    }


    function before_process() {
      return false;
    }

    function after_process() {
      return false;
    }

    function get_error() {
    //  return false;
          global $_GET;

      $error = array('title' => MODULE_PAYMENT_P711_TEXT_ERROR,
                     'error' => stripslashes(urldecode($_GET['error'])));

      return $error;

    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_PAYMENT_P711_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('啟動 便利超商代收貨款模組', 'MODULE_PAYMENT_P711_STATUS', 'True', '使用便利超商代收貨款？', '6', '3', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('<a href=http://www.pumo.com.tw/www/pay.jsp>立即申請便利商店</a>', 'MODULE_PAYMENT_P711_APPLY', '', '', '6', '4', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('SEEDNET商家編號', 'MODULE_PAYMENT_P711_ID', 'SCITY000', '請輸入 SEEDNET商家編號', '6', '4', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('繳費到期天數', 'MODULE_PAYMENT_P711_DATE', '5', '請輸入 SEEDNET商家編號', '6', '4', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('便利超商代收 結帳的顯示順序', 'MODULE_PAYMENT_P711_SORT_ORDER', '0', '便利超商代收 結帳的顯示順序，數字小者在前', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('便利超商代收 結帳地區', 'MODULE_PAYMENT_P711_ZONE', '0', '如果選擇地區，則只有該地區可以使用這個結帳方式', '6', '2', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
// Shipping dependency: line added
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('可接受運送模組.', 'MODULE_PAYMENT_P711_SHIPPING', '', '填入可接受的運費模組名稱, 以;隔開(例: zones;table). 空白表示全部接受', '6', '', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }
// Shipping dependency: key MODULE_PAYMENT_P711_SHIPPING added.
    function keys() {
      return array('MODULE_PAYMENT_P711_STATUS','MODULE_PAYMENT_P711_APPLY', 'MODULE_PAYMENT_P711_ID','MODULE_PAYMENT_P711_DATE','MODULE_PAYMENT_P711_ZONE',  'MODULE_PAYMENT_P711_SORT_ORDER', 'MODULE_PAYMENT_P711_SHIPPING');
    }
  }
?>