<?php
/*
  $Id: product_listing.php,v 1.44 2003/06/09 22:49:59 hpdl Exp $
  adapted for Separate Pricing Per Customer v4 and Price Break 1.11.3 2005/03/12

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/
  require_once (DIR_WS_INC.'tep_create_sort_heading.inc.php');
  require_once (DIR_WS_INC.'tep_get_all_get_params.inc.php');
  
    
  // added for New Product Icon contribution
  $today_time = time();
  // end addition

  $listing_split = new splitPageResults($listing_sql, MAX_DISPLAY_SEARCH_RESULTS, 'p.products_id');

  if ( ($listing_split->number_of_rows > 0) && ( (PREV_NEXT_BAR_LOCATION == '1') || (PREV_NEXT_BAR_LOCATION == '3') ) ) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td class="smallText"><?php echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?></td>
    <td class="smallText" align="right"><?php echo TEXT_RESULT_PAGE . ' ' . $listing_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></td>
  </tr>
</table>
<?php
  }
  if (PRODUCT_LISTING_DISPLAY_STYLE == 'list') {
  $list_box_contents = array();

  for ($col=0, $n=sizeof($column_list); $col<$n; $col++) {
    switch ($column_list[$col]) {
      case 'PRODUCT_LIST_MODEL':
        $lc_text = TABLE_HEADING_MODEL;
        $lc_align = 'center';
        break;
      case 'PRODUCT_LIST_NAME':
        $lc_text = TABLE_HEADING_PRODUCTS;
        $lc_align = 'left';
        break;
      case 'PRODUCT_LIST_INFO':
        $lc_text = TABLE_HEADING_INFO;
        $lc_align = 'left';
        break;
      case 'PRODUCT_LIST_MANUFACTURER':
        $lc_text = TABLE_HEADING_MANUFACTURER;
        $lc_align = 'center';
        break;
      case 'PRODUCT_LIST_PRICE':
        $lc_text = TABLE_HEADING_PRICE;
        $lc_align = 'center';
        break;
      case 'PRODUCT_LIST_QUANTITY':
        $lc_text = TABLE_HEADING_QUANTITY;
        $lc_align = 'center';
        break;
//Minimum quantity code
      case 'PRODUCT_LIST_MINORDER':
        $lc_text = TABLE_HEADING_MINORDER;
        $lc_align = 'right';
        break;
//End Minimum quantity code
//MAXIMUM quantity code
      case 'PRODUCT_LIST_MAXORDER':
        $lc_text = TABLE_HEADING_MAXORDER;
        $lc_align = 'right';
        break;
//End MAXIMUM quantity code
      case 'PRODUCT_LIST_WEIGHT':
        $lc_text = TABLE_HEADING_WEIGHT;
        $lc_align = 'center';
        break;
      case 'PRODUCT_LIST_IMAGE':
        $lc_text = TABLE_HEADING_IMAGE;
        $lc_align = 'center';
        break;
      case 'PRODUCT_LIST_BUY_NOW':
        $lc_text = TABLE_HEADING_BUY_NOW;
        $lc_align = 'center';
        break;
// Start - Addition for showing enlarge icon in product listing
      case 'PRODUCT_LIST_ENLARGE_ICON':
        $lc_text = tep_image(DIR_WS_IMAGES . 'button_enlarge.gif', TEXT_CLICK_TO_ENLARGE);
		$lc_align = 'center';            
        break;
// End - Addition for showing enlarge icon in product listing 
  /*    case 'PRODUCT_SORT_ORDER':
        $lc_text = TABLE_HEADING_PRODUCT_SORT;
        $lc_align = 'center';
        break; */
    }

   // if ( ($column_list[$col] != 'PRODUCT_LIST_BUY_NOW') && ($column_list[$col] != 'PRODUCT_LIST_IMAGE') ) {
   if ( ($column_list[$col] != 'PRODUCT_LIST_BUY_NOW') && ($column_list[$col] != 'PRODUCT_LIST_IMAGE') && ($column_list[$col] != 'PRODUCT_LIST_ENLARGE_ICON') ) {
      $lc_text = tep_create_sort_heading($_GET['sort'], $col+1, $lc_text);
    }

    $list_box_contents[0][] = array('align' => $lc_align,
                                    'params' => 'class="productListing-heading"',
                                    'text' => '&nbsp;' . $lc_text . '&nbsp;');
  }

  if ($listing_split->number_of_rows > 0) {

    $rows = 0;
    $listing_query = tep_db_query($listing_split->sql_query);
// BOF Separate Pricing per Customer, Price Break 1.11.3 modification
    $no_of_listings = tep_db_num_rows($listing_query);
// global variable (session) $sppc_customer_group_id -> local variable customer_group_id

  if(!tep_session_is_registered('sppc_customer_group_id')) {
  $customer_group_id = '0';
  } else {
   $customer_group_id = $sppc_customer_group_id;
  }

  $default_settings = array('products_price1' => '0.0000', 'products_price2' => '0.0000', 'products_price3' => '0.0000',
'products_price4' => '0.0000', 'products_price5' => '0.0000', 'products_price6' => '0.0000', 'products_price7' => '0.0000', 'products_price8' => '0.0000', 'products_price1_qty' => '0', 'products_price2_qty' => '0', 'products_price3_qty' => '0', 'products_price4_qty' => '0', 'products_price5_qty' => '0', 'products_price6_qty' => '0', 'products_price7_qty' => '0', 'products_price8_qty' => '0', 'products_qty_blocks' => '1');

        while ($_listing = tep_db_fetch_array($listing_query)) {
        // let's start with default settings, you never know
        $_new_listing =        array_merge($_listing , $default_settings);
        $listing[] = $_new_listing;
        $list_of_prdct_ids[] = $_listing['products_id'];
        }
// next part is a debug feature, when uncommented it will print the info that this module receives

/*   echo '<pre>';
   print_r($listing);
   echo '</pre>'; */

  $select_list_of_prdct_ids = "products_id = '".$list_of_prdct_ids[0]."' ";
  if ($no_of_listings > 1) {
   for ($n = 1 ; $n < count($list_of_prdct_ids) ; $n++) {
   $select_list_of_prdct_ids .= "or products_id = '".$list_of_prdct_ids[$n]."' ";
   }
}
// to avoid messing with index.php, which is complicated of itself already
// we add another query here to get the price break variables for retail customers
// for other groups we change the $pg_query from the one in SPPC4

   if ($customer_group_id == '0') {
        $retail_price_break_query = tep_db_query("select p.products_id, p.products_price1, p.products_price2, p.products_price3, p.products_price4, p.products_price5, p.products_price6, p.products_price7, p.products_price8, p.products_price1_qty, p.products_price2_qty, p.products_price3_qty, p.products_price4_qty, p.products_price5_qty, p.products_price6_qty, p.products_price7_qty, p.products_price8_qty, p.products_qty_blocks from " . TABLE_PRODUCTS . " p where " . $select_list_of_prdct_ids . "");
        while ($rp_break = tep_db_fetch_array($retail_price_break_query)) {
                for ($u = 0; $u < $no_of_listings; $u++) {
                        if ($rp_break['products_id'] == $listing[$u]['products_id']) {
                                $listing[$u]['products_price1'] = $rp_break['products_price1'];
                                $listing[$u]['products_price2'] = $rp_break['products_price2'];
                                $listing[$u]['products_price3'] = $rp_break['products_price3'];
                                $listing[$u]['products_price4'] = $rp_break['products_price4'];
                                $listing[$u]['products_price5'] = $rp_break['products_price5'];
                                $listing[$u]['products_price6'] = $rp_break['products_price6'];
                                $listing[$u]['products_price7'] = $rp_break['products_price7'];
                                $listing[$u]['products_price8'] = $rp_break['products_price8'];
                                $listing[$u]['products_price1_qty'] = $rp_break['products_price1_qty'];
                                $listing[$u]['products_price2_qty'] = $rp_break['products_price2_qty'];
                                $listing[$u]['products_price3_qty'] = $rp_break['products_price3_qty'];
                                $listing[$u]['products_price4_qty'] = $rp_break['products_price4_qty'];
                                $listing[$u]['products_price5_qty'] = $rp_break['products_price5_qty'];
                                $listing[$u]['products_price6_qty'] = $rp_break['products_price6_qty'];
                                $listing[$u]['products_price7_qty'] = $rp_break['products_price7_qty'];
                                $listing[$u]['products_price8_qty'] = $rp_break['products_price8_qty'];
                                $listing[$u]['products_qty_blocks'] = $rp_break['products_qty_blocks'];
                        } // end if ($rp_break['products_id'] == $listing[$u]['products_id'])
        } // end for ($u = 0; $u < $no_of_listings; $u++)
        } // end while ($rp_break = tep_db_fetch_array($retail_price_break_query)
   } // end if ($customer_group_id == '0')

// get all product prices for products with the particular customer_group_id
// however not necessary for customer_group_id = 0
if ($customer_group_id != '0') {
  $pg_query = tep_db_query("select pg.products_id, customers_group_price as price, pg.products_price1, pg.products_price2, pg.products_price3, pg.products_price4, pg.products_price5, pg.products_price6, pg.products_price7, pg.products_price8, pg.products_price1_qty, pg.products_price2_qty, pg.products_price3_qty, pg.products_price4_qty, pg.products_price5_qty, pg.products_price6_qty, pg.products_price7_qty, pg.products_price8_qty, pg.products_qty_blocks from " . TABLE_PRODUCTS_GROUPS . " pg where (".$select_list_of_prdct_ids.") and pg.customers_group_id = '".$customer_group_id."' ");
 //   $no_of_pg_products = tep_db_num_rows($pg_query) ;
        while ($pg_array = tep_db_fetch_array($pg_query)) {
        $new_prices[] = array ('products_id' => $pg_array['products_id'], 'products_price' => $pg_array['price'], 'specials_new_products_price' => '', 'final_price' => $pg_array['price'], 'products_price1' => $pg_array['products_price1'], 'products_price2' => $pg_array['products_price2'], 'products_price3' => $pg_array['products_price3'], 'products_price4' => $pg_array['products_price4'], 'products_price5' => $pg_array['products_price5'], 'products_price6' => $pg_array['products_price6'], 'products_price7' => $pg_array['products_price7'], 'products_price8' => $pg_array['products_price8'], 'products_price1_qty' => $pg_array['products_price1_qty'], 'products_price2_qty' => $pg_array['products_price2_qty'], 'products_price3_qty' => $pg_array['products_price3_qty'], 'products_price4_qty' => $pg_array['products_price4_qty'], 'products_price5_qty' => $pg_array['products_price5_qty'], 'products_price6_qty' => $pg_array['products_price6_qty'], 'products_price7_qty' => $pg_array['products_price7_qty'], 'products_price8_qty' => $pg_array['products_price8_qty'], 'products_qty_blocks' => $pg_array['products_qty_blocks']);
        }
   for ($x = 0; $x < $no_of_listings; $x++) {
// replace products prices with those from customers_group table
      if(!empty($new_prices)) {
         for ($i = 0; $i < count($new_prices); $i++) {
            if( $listing[$x]['products_id'] == $new_prices[$i]['products_id'] ) {
                $listing[$x]['products_price'] = $new_prices[$i]['products_price'];
                $listing[$x]['final_price'] = $new_prices[$i]['final_price'];
                $listing[$x]['products_price1'] = $new_prices[$i]['products_price1'];
                $listing[$x]['products_price2'] = $new_prices[$i]['products_price2'];
                $listing[$x]['products_price3'] = $new_prices[$i]['products_price3'];
                $listing[$x]['products_price4'] = $new_prices[$i]['products_price4'];
                $listing[$x]['products_price5'] = $new_prices[$i]['products_price5'];
                $listing[$x]['products_price6'] = $new_prices[$i]['products_price6'];
                $listing[$x]['products_price7'] = $new_prices[$i]['products_price7'];
                $listing[$x]['products_price8'] = $new_prices[$i]['products_price8'];
                $listing[$x]['products_price1_qty'] = $new_prices[$i]['products_price1_qty'];
                $listing[$x]['products_price2_qty'] = $new_prices[$i]['products_price2_qty'];
                $listing[$x]['products_price3_qty'] = $new_prices[$i]['products_price3_qty'];
                $listing[$x]['products_price4_qty'] = $new_prices[$i]['products_price4_qty'];
                $listing[$x]['products_price5_qty'] = $new_prices[$i]['products_price5_qty'];
                $listing[$x]['products_price6_qty'] = $new_prices[$i]['products_price6_qty'];
                $listing[$x]['products_price7_qty'] = $new_prices[$i]['products_price7_qty'];
                $listing[$x]['products_price8_qty'] = $new_prices[$i]['products_price8_qty'];
                $listing[$x]['products_qty_blocks'] = $new_prices[$i]['products_qty_blocks'];
                }
            }
        } // end if(!empty($new_prices)
        $listing[$x]['specials_new_products_price'] = ''; // makes sure that a retail specials price doesn't carry over to another customer group
        $listing[$x]['final_price'] = $listing[$x]['products_price']; // final price should not be the retail special price
   } // end for ($x = 0; $x < $no_of_listings; $x++)
} // end if ($customer_group_id != '0')

// an extra query is needed for all the specials

        $specials_query = tep_db_query("select products_id, specials_new_products_price from " . TABLE_SPECIALS . " where (".$select_list_of_prdct_ids.") and status = '1' and customers_group_id = '" .$customer_group_id. "'");
        while ($specials_array = tep_db_fetch_array($specials_query)) {
        
        $product_id = $specials_array['products_id'];
		$happy_time = date ("H:i:s");
	$product_query2 = tep_db_query("select specials_price_happy_hours from " . TABLE_SPECIALS . " where products_id = '" . (int)$product_id . "' and status_happy_hours='1' and customers_group_id = '" . (int)$customer_group_id . "' and '" .$happy_time. "'
											 BETWEEN happy_hours_beginning_time and happy_hours_end_time and now() > happy_hours_beginning_date and now() < happy_hours_end_date"); 
	
    $product2 = tep_db_fetch_array($product_query2);
	if ($product2){$specials_array['specials_new_products_price'] = $product2['specials_price_happy_hours'];}
	
        $new_s_prices[] = array ('products_id' => $specials_array['products_id'], 'products_price' => '', 'specials_new_products_price' => $specials_array['specials_new_products_price'] , 'final_price' => $specials_array['specials_new_products_price']);
        }

// add the correct specials_new_products_price and replace final_price
        for ($x = 0; $x < $no_of_listings; $x++) {

        if(!empty($new_s_prices)) {
            for ($i = 0; $i < count($new_s_prices); $i++) {
                 if( $listing[$x]['products_id'] == $new_s_prices[$i]['products_id'] ) {
                   $listing[$x]['specials_new_products_price'] = $new_s_prices[$i]['specials_new_products_price'];
                   $listing[$x]['final_price'] = $new_s_prices[$i]['final_price'];
                 }
               }
           } // end if(!empty($new_s_prices)
        } // end for ($x = 0; $x < $no_of_listings; $x++)

//    while ($listing = tep_db_fetch_array($listing_query)) { (was original code)
        for ($x = 0; $x < $no_of_listings; $x++) {

      $rows++;

      if (($rows/2) == floor($rows/2)) {
        $list_box_contents[] = array('params' => 'class="productListing-even"');
      } else {
        $list_box_contents[] = array('params' => 'class="productListing-odd"');
      }

      $cur_row = sizeof($list_box_contents) - 1;

      for ($col=0, $n=sizeof($column_list); $col<$n; $col++) {
        $lc_align = '';

        switch ($column_list[$col]) {
          case 'PRODUCT_LIST_MODEL':
            $lc_align = '';
            $lc_text = '&nbsp;' . $listing[$x]['products_model'] . '&nbsp;';
            break;
          case 'PRODUCT_LIST_INFO':
            $lc_align = '';
            $lc_text = '&nbsp;' . $listing[$x]['products_info'] . '&nbsp;';
            break;  
          case 'PRODUCT_LIST_NAME':
          // added for New Product Icon contribution
            //  2592000 = 30 days in the unix timestamp format
               if ( ($today_time - strtotime($listing[$x]['products_date_added'])) < 2592000) {
                  $listing[$x]['products_name'] .= '&nbsp' . tep_image_button('icon_newarrival.gif', TEXT_ICON_NEW_PRODUCT);
               }
            // end addition
            
            $lc_align = '';
            if (isset($_GET['manufacturers_id'])) {
              $lc_text = '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'manufacturers_id=' . $_GET['manufacturers_id'] . '&products_id=' . $listing[$x]['products_id']) . '">' . $listing[$x]['products_name'] . '</a>';
            } else {
              $lc_text = '&nbsp;<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, ($cPath ? 'cPath=' . $cPath . '&' : '') . 'products_id=' . $listing[$x]['products_id']) . '">' . $listing[$x]['products_name'] . '</a>&nbsp;';
            }
            break;
          case 'PRODUCT_LIST_MANUFACTURER':
            $lc_align = '';
            $lc_text = '&nbsp;<a href="' . tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $listing[$x]['manufacturers_id']) . '">' . $listing[$x]['manufacturers_name'] . '</a>&nbsp;';
            break;
          case 'PRODUCT_LIST_PRICE':
            $lc_align = 'center';

 /*  removed for price break modification
              if (tep_not_null($listing[$x]['specials_new_products_price'])) {
              $lc_text = '&nbsp;<s>' .  $currencies->display_price($listing[$x]['products_price'], tep_get_tax_rate($listing[$x]['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $currencies->display_price($listing[$x]['specials_new_products_price'], tep_get_tax_rate($listing[$x]['products_tax_class_id'])) . '</span>&nbsp;';
            } else {
              $lc_text = '&nbsp;' . $currencies->display_price($listing[$x]['products_price'], tep_get_tax_rate($listing[$x]['products_tax_class_id'])) . '&nbsp;';
            } end removed for price break modification, see next two lines for replacement code */

            $pf->parse($listing[$x]);
            if ($listing[$x]['products_price'] > 0) {
               $lc_text = $pf->getPriceStringShort();
            } else {
               $lc_text = '&nbsp;';
            }
            break;
          case 'PRODUCT_LIST_QUANTITY':
            $lc_align = 'right';
            $lc_text = '&nbsp;' . $listing[$x]['products_quantity'] . '&nbsp;';
            break;
//Minimum quantity code
          case 'PRODUCT_LIST_MINORDER':
            $lc_align = 'right';
            $lc_text = '&nbsp;' . $listing[$x]['minorder'] . '&nbsp;';
            break;
//End Minimum quantity code
//MAXIMUM quantity code
       /*   case 'PRODUCT_LIST_MAXORDER':
            $lc_align = 'right';
            $lc_text = '&nbsp;' . $listing[$x]['maxorder'] . '&nbsp;';
            break; */
//End MAXIMUM quantity code
          case 'PRODUCT_LIST_WEIGHT':
            $lc_align = 'right';
            $lc_text = '&nbsp;' . $listing[$x]['products_weight'] . '&nbsp;';
            break;
          case 'PRODUCT_LIST_IMAGE':
            $lc_align = 'center';
            if (isset($_GET['manufacturers_id'])) {
              $lc_text = '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'manufacturers_id=' . $_GET['manufacturers_id'] . '&products_id=' . $listing[$x]['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $listing[$x]['products_image'], $listing[$x]['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>';
            } else {
              $lc_text = '&nbsp;<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, ($cPath ? 'cPath=' . $cPath . '&' : '') . 'products_id=' . $listing[$x]['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $listing[$x]['products_image'], $listing[$x]['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>&nbsp;';
            }
            break;
          case 'PRODUCT_LIST_BUY_NOW':
            $lc_align = 'center';
            $form = tep_draw_form ('cart_quantity', tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action')) . 'action=add_product', 'NONSSL'),'post','');
                                                $buy_now_button = tep_image_submit('button_buy_now.gif', IMAGE_BUTTON_IN_CART);
                                                $submit_product_quant = '<input type="text" name="cart_quantity" value="1" maxlength="2" size="2">';
                                                $hidden = tep_draw_hidden_field ('products_id', $listing[$x]['products_id'],'');
                                                $endform = '</form>';
            $lc_text = '<a href="' . tep_href_link(basename($PHP_SELF), tep_get_all_get_params(array('action')) . 'action=buy_now&products_id=' . $listing[$x]['products_id']) . '">' . tep_image_button('button_buy_now.gif', IMAGE_BUTTON_BUY_NOW) . '</a>&nbsp;';
            break;
    // Start - Addition for showing enlarge icon in product listing
          case 'PRODUCT_LIST_ENLARGE_ICON':
            $lc_align = 'center';
            $lc_text = '<script><!--' . "\n" . 'document.write(\'<a href="javascript:popupWindow(\\\''. tep_href_link(FILENAME_POPUP_IMAGE, 'pID=' . $listing[$x]['products_id']) . '\\\')">' . tep_image(DIR_WS_IMAGES . 'button_enlarge.gif', TEXT_CLICK_TO_ENLARGE) .'</a>\')'."\n".'--></script><noscript><a href="' . tep_href_link(DIR_WS_IMAGES . $listing[$x]['products_image']) . '" target="_blank">' . tep_image(DIR_WS_IMAGES . 'button_enlarge.gif', TEXT_CLICK_TO_ENLARGE) . '</a></noscript>';
            break;
   // End - Addition for showing enlarge icon in product listing        
      /*    case 'PRODUCT_SORT_ORDER';
            $lc_align = 'center';
            $lc_text = '&nbsp;' . $listing[$x]['products_sort_order'] . '&nbsp;';
            break; */
        }
// EOF Separate Pricing per Customer, Price Break 1.11.3 modification
        $list_box_contents[$cur_row][] = array('align' => $lc_align,
                                               'params' => 'class="productListing-data"',
                                               'text'  => $lc_text);
      }
    }

    new productListingBox($list_box_contents);
  } else {
    $list_box_contents = array();

    $list_box_contents[0] = array('params' => 'class="productListing-odd"');
    $list_box_contents[0][] = array('params' => 'class="productListing-data"',
                                   'text' => TEXT_NO_PRODUCTS);

    new productListingBox($list_box_contents);
  }

} elseif (PRODUCT_LISTING_DISPLAY_STYLE == 'columns') {

    $info_box_contents = array();
    if ($listing_split->number_of_rows > 0) {
      $row = 0;
      $col = 0;
      $listing_query = tep_db_query($listing_split->sql_query);

//***********
      // BOF Separate Pricing per Customer, Price Break 1.11.3 modification
      $no_of_listings = tep_db_num_rows($listing_query);
      // global variable (session) $sppc_customer_group_id -> local variable customer_group_id

      if(!tep_session_is_registered('sppc_customer_group_id')) {
        $customer_group_id = '0';
      } else {
        $customer_group_id = $sppc_customer_group_id;
      }

      $default_settings = array('products_price1' => '0.0000', 'products_price2' => '0.0000', 'products_price3' => '0.0000',
'products_price4' => '0.0000', 'products_price5' => '0.0000', 'products_price6' => '0.0000', 'products_price7' => '0.0000', 'products_price8' => '0.0000', 'products_price1_qty' => '0', 'products_price2_qty' => '0', 'products_price3_qty' => '0', 'products_price4_qty' => '0', 'products_price5_qty' => '0', 'products_price6_qty' => '0', 'products_price7_qty' => '0', 'products_price8_qty' => '0', 'products_qty_blocks' => '1');
//***********


      while ($_listing = tep_db_fetch_array($listing_query)) {

//************
        // let's start with default settings, you never know
        $_new_listing =        array_merge($_listing , $default_settings);
        $listing[] = $_new_listing;
        $list_of_prdct_ids[] = $_listing['products_id'];
        }
// next part is a debug feature, when uncommented it will print the info that this module receives

/*  echo '<pre>';
    print_r($listing);
    echo '</pre>'; */

  $select_list_of_prdct_ids = "products_id = '".$list_of_prdct_ids[0]."' ";
  if ($no_of_listings > 1) {
   for ($n = 1 ; $n < count($list_of_prdct_ids) ; $n++) {
   $select_list_of_prdct_ids .= "or products_id = '".$list_of_prdct_ids[$n]."' ";
   }
}
// to avoid messing with index.php, which is complicated of itself already
// we add another query here to get the price break variables for retail customers
// for other groups we change the $pg_query from the one in SPPC4

   if ($customer_group_id == '0') {
        $retail_price_break_query = tep_db_query("select p.products_id, p.products_price1, p.products_price2, p.products_price3, p.products_price4, p.products_price5, p.products_price6, p.products_price7, p.products_price8, p.products_price1_qty, p.products_price2_qty, p.products_price3_qty, p.products_price4_qty, p.products_price5_qty, p.products_price6_qty, p.products_price7_qty, p.products_price8_qty, p.products_qty_blocks from " . TABLE_PRODUCTS . " p where " . $select_list_of_prdct_ids . "");
        while ($rp_break = tep_db_fetch_array($retail_price_break_query)) {
                for ($u = 0; $u < $no_of_listings; $u++) {
                        if ($rp_break['products_id'] == $listing[$u]['products_id']) {
                                $listing[$u]['products_price1'] = $rp_break['products_price1'];
                                $listing[$u]['products_price2'] = $rp_break['products_price2'];
                                $listing[$u]['products_price3'] = $rp_break['products_price3'];
                                $listing[$u]['products_price4'] = $rp_break['products_price4'];
                                $listing[$u]['products_price5'] = $rp_break['products_price5'];
                                $listing[$u]['products_price6'] = $rp_break['products_price6'];
                                $listing[$u]['products_price7'] = $rp_break['products_price7'];
                                $listing[$u]['products_price8'] = $rp_break['products_price8'];
                                $listing[$u]['products_price1_qty'] = $rp_break['products_price1_qty'];
                                $listing[$u]['products_price2_qty'] = $rp_break['products_price2_qty'];
                                $listing[$u]['products_price3_qty'] = $rp_break['products_price3_qty'];
                                $listing[$u]['products_price4_qty'] = $rp_break['products_price4_qty'];
                                $listing[$u]['products_price5_qty'] = $rp_break['products_price5_qty'];
                                $listing[$u]['products_price6_qty'] = $rp_break['products_price6_qty'];
                                $listing[$u]['products_price7_qty'] = $rp_break['products_price7_qty'];
                                $listing[$u]['products_price8_qty'] = $rp_break['products_price8_qty'];
                                $listing[$u]['products_qty_blocks'] = $rp_break['products_qty_blocks'];
                        } // end if ($rp_break['products_id'] == $listing[$u]['products_id'])
        } // end for ($u = 0; $u < $no_of_listings; $u++)
        } // end while ($rp_break = tep_db_fetch_array($retail_price_break_query)
   } // end if ($customer_group_id == '0')

// get all product prices for products with the particular customer_group_id
// however not necessary for customer_group_id = 0
if ($customer_group_id != '0') {
  $pg_query = tep_db_query("select pg.products_id, customers_group_price as price, pg.products_price1, pg.products_price2, pg.products_price3, pg.products_price4, pg.products_price5, pg.products_price6, pg.products_price7, pg.products_price8, pg.products_price1_qty, pg.products_price2_qty, pg.products_price3_qty, pg.products_price4_qty, pg.products_price5_qty, pg.products_price6_qty, pg.products_price7_qty, pg.products_price8_qty, pg.products_qty_blocks from " . TABLE_PRODUCTS_GROUPS . " pg where (".$select_list_of_prdct_ids.") and pg.customers_group_id = '".$customer_group_id."' ");
 //   $no_of_pg_products = tep_db_num_rows($pg_query) ;
        while ($pg_array = tep_db_fetch_array($pg_query)) {
        $new_prices[] = array ('products_id' => $pg_array['products_id'], 'products_price' => $pg_array['price'], 'specials_new_products_price' => '', 'final_price' => $pg_array['price'], 'products_price1' => $pg_array['products_price1'], 'products_price2' => $pg_array['products_price2'], 'products_price3' => $pg_array['products_price3'], 'products_price4' => $pg_array['products_price4'], 'products_price5' => $pg_array['products_price5'], 'products_price6' => $pg_array['products_price6'], 'products_price7' => $pg_array['products_price7'], 'products_price8' => $pg_array['products_price8'], 'products_price1_qty' => $pg_array['products_price1_qty'], 'products_price2_qty' => $pg_array['products_price2_qty'], 'products_price3_qty' => $pg_array['products_price3_qty'], 'products_price4_qty' => $pg_array['products_price4_qty'], 'products_price5_qty' => $pg_array['products_price5_qty'], 'products_price6_qty' => $pg_array['products_price6_qty'], 'products_price7_qty' => $pg_array['products_price7_qty'], 'products_price8_qty' => $pg_array['products_price8_qty'], 'products_qty_blocks' => $pg_array['products_qty_blocks']);
        }
   for ($x = 0; $x < $no_of_listings; $x++) {
// replace products prices with those from customers_group table
      if(!empty($new_prices)) {
         for ($i = 0; $i < count($new_prices); $i++) {
            if( $listing[$x]['products_id'] == $new_prices[$i]['products_id'] ) {
                $listing[$x]['products_price'] = $new_prices[$i]['products_price'];
                $listing[$x]['final_price'] = $new_prices[$i]['final_price'];
                $listing[$x]['products_price1'] = $new_prices[$i]['products_price1'];
                $listing[$x]['products_price2'] = $new_prices[$i]['products_price2'];
                $listing[$x]['products_price3'] = $new_prices[$i]['products_price3'];
                $listing[$x]['products_price4'] = $new_prices[$i]['products_price4'];
                $listing[$x]['products_price5'] = $new_prices[$i]['products_price5'];
                $listing[$x]['products_price6'] = $new_prices[$i]['products_price6'];
                $listing[$x]['products_price7'] = $new_prices[$i]['products_price7'];
                $listing[$x]['products_price8'] = $new_prices[$i]['products_price8'];
                $listing[$x]['products_price1_qty'] = $new_prices[$i]['products_price1_qty'];
                $listing[$x]['products_price2_qty'] = $new_prices[$i]['products_price2_qty'];
                $listing[$x]['products_price3_qty'] = $new_prices[$i]['products_price3_qty'];
                $listing[$x]['products_price4_qty'] = $new_prices[$i]['products_price4_qty'];
                $listing[$x]['products_price5_qty'] = $new_prices[$i]['products_price5_qty'];
                $listing[$x]['products_price6_qty'] = $new_prices[$i]['products_price6_qty'];
                $listing[$x]['products_price7_qty'] = $new_prices[$i]['products_price7_qty'];
                $listing[$x]['products_price8_qty'] = $new_prices[$i]['products_price8_qty'];
                $listing[$x]['products_qty_blocks'] = $new_prices[$i]['products_qty_blocks'];
                }
            }
        } // end if(!empty($new_prices)
        $listing[$x]['specials_new_products_price'] = ''; // makes sure that a retail specials price doesn't carry over to another customer group
        $listing[$x]['final_price'] = $listing[$x]['products_price']; // final price should not be the retail special price
   } // end for ($x = 0; $x < $no_of_listings; $x++)
} // end if ($customer_group_id != '0')

// an extra query is needed for all the specials

        $specials_query = tep_db_query("select products_id, specials_new_products_price from " . TABLE_SPECIALS . " where (".$select_list_of_prdct_ids.") and status = '1' and customers_group_id = '" .$customer_group_id. "'");
        while ($specials_array = tep_db_fetch_array($specials_query)) {
        
        $product_id = $specials_array['products_id'];
		$happy_time = date ("H:i:s");
	$product_query2 = tep_db_query("select specials_price_happy_hours from " . TABLE_SPECIALS . " where products_id = '" . (int)$product_id . "' and status_happy_hours='1' and customers_group_id = '" . (int)$customer_group_id . "' and '" .$happy_time. "'
											 BETWEEN happy_hours_beginning_time and happy_hours_end_time and now() > happy_hours_beginning_date and now() < happy_hours_end_date"); 
	
    $product2 = tep_db_fetch_array($product_query2);
	if ($product2){$specials_array['specials_new_products_price'] = $product2['specials_price_happy_hours'];}
        
        $new_s_prices[] = array ('products_id' => $specials_array['products_id'], 'products_price' => '', 'specials_new_products_price' => $specials_array['specials_new_products_price'] , 'final_price' => $specials_array['specials_new_products_price']);
        }

// add the correct specials_new_products_price and replace final_price
        for ($x = 0; $x < $no_of_listings; $x++) {

          if(!empty($new_s_prices)) {
            for ($i = 0; $i < count($new_s_prices); $i++) {
              if( $listing[$x]['products_id'] == $new_s_prices[$i]['products_id'] ) {
                  $listing[$x]['specials_new_products_price'] = $new_s_prices[$i]['specials_new_products_price'];
                  $listing[$x]['final_price'] = $new_s_prices[$i]['final_price'];
              }
            }
          } // end if(!empty($new_s_prices)
        } // end for ($x = 0; $x < $no_of_listings; $x++)
//******************

        for ($x = 0; $x < $no_of_listings; $x++) {

          if (PRODUCT_LIST_IMAGE > 0) {
              $lc_text = '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $listing[$x]['products_id']) . '">' . tep_image(DIR_WS_IMAGES . $listing[$x]['products_image'], $listing[$x]['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a><br>';
          }

          if (PRODUCT_LIST_NAME > 0) {
              $lc_text .= '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $listing[$x]['products_id']) . '">' . $listing[$x]['products_name'] . '</a><br>';
          }

          if (PRODUCT_LIST_MODEL > 0) {
              $lc_text .= '<a href="' . tep_href_link(FILENAME_PRODUCT_INFO, 'products_id=' . $listing[$x]['products_id']) . '">' . $listing[$x]['products_model'] . '</a><br>';
          }

          if (PRODUCT_LIST_MANUFACTURER > 0) {
              $lc_text .= '<a href="' . tep_href_link(FILENAME_DEFAULT, 'manufacturers_id=' . $listing[$x]['manufacturers_id']) . '">' . $listing[$x]['manufacturers_name'] . '</a><br>';
          }

          if (PRODUCT_LIST_PRICE > 0) {
         /* if (tep_not_null($listing[$x]['specials_new_products_price'])) {
            $lc_text .= '<s>' .  $currencies->display_price($listing[$x]['products_price'], tep_get_tax_rate($listing[$x]['products_tax_class_id'])) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">ab&nbsp;' . $currencies->display_price($listing[$x]['specials_new_products_price'], tep_get_tax_rate($listing[$x]['products_tax_class_id'])) . '</span>';
          } else {
            if ($listing[$x]['products_price']>0) {
            $lc_text .= $currencies->display_price($listing[$x]['products_price'], tep_get_tax_rate($listing[$x]['products_tax_class_id'])) . '&nbsp;';
            }
          } */

            $pf->parse($listing[$x]);
            if ($listing[$x]['products_price'] > 0) {
              $lc_text .= $pf->getPriceStringShort();
            } else {
              $lc_text .= '&nbsp;';
            }
          }
          if (PRODUCT_LIST_BUY_NOW) {
            $lc_text .= '<br><a href="' . tep_href_link(FILENAME_PRODUCT_INFO, /* ($cPath ? 'cPath=' . $cPath . '&' : '') . */ 'products_id=' . $listing[$x]['products_id']) . '">' . tep_image_button('button_buy_now.gif', TEXT_BUY . $listing[$x]['products_name'] . TEXT_NOW) . '</a>';
          }

          $breite=number_format(100/PRODUCT_LIST_COL_NUM,0);
          $info_box_contents[$row][$col] = array('align' => 'center', 'params' => 'class="smallText" width="' . $breite . '%" valign="top"',
                                                'text' => $lc_text);

          $col ++;
          if ($col > PRODUCT_LIST_COL_NUM-1) {
            $col = 0;
            $row ++;
          }
        }

        new contentBox($info_box_contents);

      } else {

      $info_box_contents = array();

      $info_box_contents[0] = array('params' => 'class="productListing-odd"');
      $info_box_contents[0][] = array('params' => 'class="productListing-data"',
                                        'text' => TEXT_NO_PRODUCTS);

      new contentBox($info_box_contents);

    }
  }

  if ( ($listing_split->number_of_rows > 0) && ((PREV_NEXT_BAR_LOCATION == '2') || (PREV_NEXT_BAR_LOCATION == '3')) ) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
  <tr>
    <td class="smallText"><?php echo $listing_split->display_count(TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?></td>
    <td class="smallText" align="right"><?php echo TEXT_RESULT_PAGE . ' ' . $listing_split->display_links(MAX_DISPLAY_PAGE_LINKS, tep_get_all_get_params(array('page', 'info', 'x', 'y'))); ?></td>
  </tr>
</table>
<?php
  }
?>
