<?php
/*
  $Id: postislandrecpay.php,v 1.1.1.1 2003/03/22 16:56:09 nickle Exp $

  osCommerce, Open Source E-Commerce Solutions
  http://www.oscommerce.com

  Copyright (c) 2003 osCommerce

  Released under the GNU General Public License
*/

  class postislandrecpay {
    var $code, $title, $description, $icon, $enabled;

// class constructor
    function postislandrecpay() {
      global $order;

      $this->code = 'postislandrecpay';
      $this->title = MODULE_SHIPPING_POSTISLANDRECPAY_TEXT_TITLE;
      $this->description = MODULE_SHIPPING_POSTISLANDRECPAY_TEXT_DESCRIPTION;
      $this->sort_order = MODULE_SHIPPING_POSTISLANDRECPAY_SORT_ORDER;
      $this->icon = DIR_WS_ICONS . 'post.gif';
      $this->tax_class = MODULE_SHIPPING_POSTISLANDRECPAY_TAX_CLASS;
//      $this->enabled = ((MODULE_SHIPPING_POSTISLANDRECPAY_STATUS == 'True') ? true : false);
// START SHIPPING UNALLOWED
if (tep_get_shipping_unallowed($this->code) ) {
     $this->enabled = ((MODULE_SHIPPING_POSTISLANDRECPAY_STATUS == 'True') ? true : false);
     }
// END SHIPPING UNALLOWED

      if ( ($this->enabled == true) && ((int)MODULE_SHIPPING_POSTISLANDRECPAY_ZONE > 0) ) {
        $check_flag = false;
        $check_query = tep_db_query("select zone_id from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_SHIPPING_POSTISLANDRECPAY_ZONE . "' and zone_country_id = '" . $order->delivery['country']['id'] . "' order by zone_id");
        while ($check = tep_db_fetch_array($check_query)) {
          if ($check['zone_id'] < 1) {
            $check_flag = true;
            break;
          } elseif ($check['zone_id'] == $order->delivery['zone_id']) {
            $check_flag = true;
            break;
          }
        }

        if ($check_flag == false) {
          $this->enabled = false;
        }
      }
$this->types = array('TIME0'=>'上午掛號小包或包裹送達','TIME1'=>'下午掛號小包或包裹送達','TIME2'=>'晚上掛號小包或包裹送達');
    }

// class methods
    function quote($method = '') {
      global $order, $cart, $shipping_weight, $shipping_num_boxes;

      if (MODULE_SHIPPING_POSTISLANDRECPAY_MODE == '依價格計') {
        $order_total = $cart->show_total();
      } else {
        $order_total = $shipping_weight;
      }

      $table_cost = split("[:,]" , MODULE_SHIPPING_POSTISLANDRECPAY_COST);
      $size = sizeof($table_cost);
      for ($i=0, $n=$size; $i<$n; $i+=2) {
        if ($order_total <= $table_cost[$i]) {
          $shipping = $table_cost[$i+1];
          break;
        }
      }

      if (MODULE_SHIPPING_POSTISLANDRECPAY_MODE == '依重量計') {
        $shipping = $shipping * $shipping_num_boxes;
      }

      $this->quotes = array('id' => $this->code,
                            'module' => MODULE_SHIPPING_POSTISLANDRECPAY_TEXT_TITLE);
		$methods = array();
		if ($method) {
			$i = substr($method,strlen($method)-1) ;
				$methods[] = array('id' => 'TIME'.$i,
								 'title' => $this->types['TIME'.$i],
								 'cost' => $shipping + MODULE_SHIPPING_POSTISLANDRECPAY_HANDLING);
		} else {
			$qsize = sizeof($this->types);
			for ($i=0; $i<$qsize; $i++) {
			  //list($type, $time) = each($this->types[$i]);
			  $methods[] = array('id' => 'TIME'.$i,
								 'title' => $this->types['TIME'.$i],
								 'cost' => $shipping + MODULE_SHIPPING_POSTISLANDRECPAY_HANDLING);
			}
		}
        $this->quotes['methods'] = $methods;
      if ($this->tax_class > 0) {
        $this->quotes['tax'] = tep_get_tax_rate($this->tax_class, $order->delivery['country']['id'], $order->delivery['zone_id']);
      }

      if (tep_not_null($this->icon)) $this->quotes['icon'] = tep_image($this->icon, $this->title);

      return $this->quotes;
    }

    function check() {
      if (!isset($this->_check)) {
        $check_query = tep_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_SHIPPING_POSTISLANDRECPAY_STATUS'");
        $this->_check = tep_db_num_rows($check_query);
      }
      return $this->_check;
    }

    function install() {
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) VALUES ('啟動運送模組', 'MODULE_SHIPPING_POSTISLANDRECPAY_STATUS', 'True', '確定要啟動郵局配送運送模組？', '6', '0', 'tep_cfg_select_option(array(\'True\', \'False\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('郵局配送費率', 'MODULE_SHIPPING_POSTISLANDRECPAY_COST', '25:8.50,50:5.50,10000:0.00', '依商品重量或金額設定收費表費率，例如： 25:8.50,50:5.50， 表示重量或金額達 25 時，收費 8.50， 25 到 50 ，收費 5.50, 依此類推', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('郵局配送計價方式', 'MODULE_SHIPPING_POSTISLANDRECPAY_MODE', '依重量計', '郵局配送運費會依訂單商品的重量或訂單總計金額，按表收取相對應之金額', '6', '0', 'tep_cfg_select_option(array(\'依重量計\', \'依價格計\'), ', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('郵局配送運送模組處理費', 'MODULE_SHIPPING_POSTISLANDRECPAY_HANDLING', '0', '設定郵局配送運送處理費', '6', '0', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('郵局配送費率稅別', 'MODULE_SHIPPING_POSTISLANDRECPAY_TAX_CLASS', '0', '設定郵局配送費率稅別', '6', '0', 'tep_get_tax_class_title', 'tep_cfg_pull_down_tax_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('郵局配送費率地區', 'MODULE_SHIPPING_POSTISLANDRECPAY_ZONE', '0', '如果選擇地區，則只有該地區可以使用這個運送方式', '6', '0', 'tep_get_zone_class_title', 'tep_cfg_pull_down_zone_classes(', now())");
      tep_db_query("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('郵局配送費率顯示順序', 'MODULE_SHIPPING_POSTISLANDRECPAY_SORT_ORDER', '0', '郵局配送費率顯示順序', '6', '0', now())");
    }

    function remove() {
      tep_db_query("delete from " . TABLE_CONFIGURATION . " where configuration_key in ('" . implode("', '", $this->keys()) . "')");
    }

    function keys() {
      return array('MODULE_SHIPPING_POSTISLANDRECPAY_STATUS', 'MODULE_SHIPPING_POSTISLANDRECPAY_COST', 'MODULE_SHIPPING_POSTISLANDRECPAY_MODE', 'MODULE_SHIPPING_POSTISLANDRECPAY_HANDLING', 'MODULE_SHIPPING_POSTISLANDRECPAY_TAX_CLASS', 'MODULE_SHIPPING_POSTISLANDRECPAY_ZONE', 'MODULE_SHIPPING_POSTISLANDRECPAY_SORT_ORDER');
    }
  }
?>
